#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(ahci_ignore_sss, "_gpl", "");
KSYMTAB_DATA(ahci_shost_groups, "_gpl", "");
KSYMTAB_DATA(ahci_sdev_groups, "_gpl", "");
KSYMTAB_DATA(ahci_ops, "_gpl", "");
KSYMTAB_DATA(ahci_pmp_retry_srst_ops, "_gpl", "");
KSYMTAB_FUNC(ahci_save_initial_config, "_gpl", "");
KSYMTAB_FUNC(ahci_start_engine, "_gpl", "");
KSYMTAB_FUNC(ahci_stop_engine, "_gpl", "");
KSYMTAB_FUNC(ahci_start_fis_rx, "_gpl", "");
KSYMTAB_FUNC(ahci_reset_controller, "_gpl", "");
KSYMTAB_FUNC(ahci_reset_em, "_gpl", "");
KSYMTAB_FUNC(ahci_init_controller, "_gpl", "");
KSYMTAB_FUNC(ahci_dev_classify, "_gpl", "");
KSYMTAB_FUNC(ahci_fill_cmd_slot, "_gpl", "");
KSYMTAB_FUNC(ahci_kick_engine, "_gpl", "");
KSYMTAB_FUNC(ahci_check_ready, "_gpl", "");
KSYMTAB_FUNC(ahci_do_softreset, "_gpl", "");
KSYMTAB_FUNC(ahci_do_hardreset, "_gpl", "");
KSYMTAB_FUNC(ahci_handle_port_intr, "_gpl", "");
KSYMTAB_FUNC(ahci_qc_issue, "_gpl", "");
KSYMTAB_FUNC(ahci_error_handler, "_gpl", "");
KSYMTAB_FUNC(ahci_port_resume, "_gpl", "");
KSYMTAB_FUNC(ahci_print_info, "_gpl", "");
KSYMTAB_FUNC(ahci_set_em_messages, "_gpl", "");
KSYMTAB_FUNC(ahci_host_activate, "_gpl", "");

SYMBOL_CRC(ahci_ignore_sss, 0xea50dad3, "_gpl");
SYMBOL_CRC(ahci_shost_groups, 0xaba84cc8, "_gpl");
SYMBOL_CRC(ahci_sdev_groups, 0x8d2f7487, "_gpl");
SYMBOL_CRC(ahci_ops, 0xca703f54, "_gpl");
SYMBOL_CRC(ahci_pmp_retry_srst_ops, 0xa0db8c5c, "_gpl");
SYMBOL_CRC(ahci_save_initial_config, 0xbd6387cc, "_gpl");
SYMBOL_CRC(ahci_start_engine, 0xfc1934fa, "_gpl");
SYMBOL_CRC(ahci_stop_engine, 0x812a3c9e, "_gpl");
SYMBOL_CRC(ahci_start_fis_rx, 0x49eafcd1, "_gpl");
SYMBOL_CRC(ahci_reset_controller, 0x9797d974, "_gpl");
SYMBOL_CRC(ahci_reset_em, 0xe2541aad, "_gpl");
SYMBOL_CRC(ahci_init_controller, 0x48d20528, "_gpl");
SYMBOL_CRC(ahci_dev_classify, 0xa31e3f1f, "_gpl");
SYMBOL_CRC(ahci_fill_cmd_slot, 0x2253b8e3, "_gpl");
SYMBOL_CRC(ahci_kick_engine, 0x24803496, "_gpl");
SYMBOL_CRC(ahci_check_ready, 0xf9bd371d, "_gpl");
SYMBOL_CRC(ahci_do_softreset, 0xbdba9b11, "_gpl");
SYMBOL_CRC(ahci_do_hardreset, 0x877019ed, "_gpl");
SYMBOL_CRC(ahci_handle_port_intr, 0x9873d736, "_gpl");
SYMBOL_CRC(ahci_qc_issue, 0x2c06fda4, "_gpl");
SYMBOL_CRC(ahci_error_handler, 0xa58442df, "_gpl");
SYMBOL_CRC(ahci_port_resume, 0xd6199257, "_gpl");
SYMBOL_CRC(ahci_print_info, 0xa3532cc7, "_gpl");
SYMBOL_CRC(ahci_set_em_messages, 0x083bdca3, "_gpl");
SYMBOL_CRC(ahci_host_activate, 0xd3ea4d4d, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x4484264, "ata_std_postreset" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xa4c085f8, "ata_tf_from_fis" },
	{ 0xdfb3de70, "ata_std_qc_defer" },
	{ 0x9f7e325d, "sata_pmp_qc_defer_cmd_switch" },
	{ 0xf9a482f9, "msleep" },
	{ 0xf8e66d75, "_dev_warn" },
	{ 0xe7f11285, "__dynamic_dev_dbg" },
	{ 0x3ddc8f5, "ata_port_classify" },
	{ 0x4536295f, "ata_qc_complete_multiple" },
	{ 0xe0863648, "ata_port_freeze" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x1704cec4, "sata_pmp_error_handler" },
	{ 0x3eb8731c, "ata_host_start" },
	{ 0xdfd16b21, "devm_request_threaded_irq" },
	{ 0x59910169, "ata_port_desc" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0x53f89aeb, "ata_host_register" },
	{ 0xd3a20498, "ata_host_activate" },
	{ 0xa83f943f, "ata_dummy_port_ops" },
	{ 0x75f58d93, "acpi_storage_d3" },
	{ 0x42635d55, "pm_suspend_global_flags" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x48623c21, "devm_kmalloc" },
	{ 0xff8c902a, "dmam_alloc_attrs" },
	{ 0x48bb122e, "dev_driver_string" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x3ab1caa3, "devm_kfree" },
	{ 0xbc79eb0b, "sata_deb_timing_hotplug" },
	{ 0x9371ea58, "sata_deb_timing_normal" },
	{ 0xdf0c757f, "ata_tf_to_fis" },
	{ 0x4f5b4b7e, "sata_link_hardreset" },
	{ 0x4ccf42ff, "ata_wait_after_reset" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x69acdf38, "memcpy" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xb9d4bdea, "sata_lpm_ignore_phy_events" },
	{ 0xa9eb247f, "ata_ehi_clear_desc" },
	{ 0x7df5c0d5, "ata_ehi_push_desc" },
	{ 0x2dc40406, "sata_async_notification" },
	{ 0x7273251, "ata_link_abort" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xb390a76a, "ata_port_abort" },
	{ 0xf8f3a0fb, "ata_ratelimit" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x58cfccdb, "param_ops_int" },
	{ 0x7be61139, "param_ops_bool" },
	{ 0xf0219b20, "sata_pmp_port_ops" },
	{ 0x12cdd568, "dev_attr_sw_activity" },
	{ 0x1384d1d3, "dev_attr_unload_heads" },
	{ 0x98372768, "dev_attr_ncq_prio_supported" },
	{ 0x9a775895, "dev_attr_ncq_prio_enable" },
	{ 0xb08c7163, "dev_attr_link_power_management_policy" },
	{ 0x42549f46, "dev_attr_em_message_type" },
	{ 0x868d4074, "dev_attr_em_message" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xa352bc61, "__pm_runtime_resume" },
	{ 0x5bc2476b, "__pm_runtime_idle" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x6128b5fc, "__printk_ratelimit" },
	{ 0x92997ed8, "_printk" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x5bafbd9, "ata_link_next" },
	{ 0x42793d55, "ata_wait_register" },
	{ 0x73704fde, "ata_dev_set_feature" },
	{ 0x208822a8, "_dev_info" },
	{ 0x594d54c2, "ata_msleep" },
	{ 0xa9b3670d, "sata_link_scr_lpm" },
	{ 0x70ed1b59, "_dev_err" },
	{ 0x7777a199, "module_layout" },
};

MODULE_INFO(depends, "libata");


MODULE_INFO(srcversion, "9A7C9ED3F9F2BE88064C951");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
