#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(adf_cfg_dev_add, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_cfg_dev_remove, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_cfg_add_key_value_param, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_cfg_section_add, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_cfg_get_param_value, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_isr_resource_free, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_isr_resource_alloc, "_gpl", "CRYPTO_QAT");
KSYMTAB_DATA(adf_cfg_services, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_get_service_enabled, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_clean_vf_map, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_devmgr_update_class_index, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_devmgr_add_dev, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_devmgr_rm_dev, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_devmgr_pci_to_accel_dev, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_dev_in_use, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_dev_get, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_dev_put, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_devmgr_in_reset, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_dev_started, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_dev_down, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_dev_up, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_dev_restart, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_reset_sbr, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_reset_flr, "_gpl", "CRYPTO_QAT");
KSYMTAB_DATA(adf_err_handler, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_init_etr_data, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_cleanup_etr_data, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_send_admin_init, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_init_admin_comms, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_exit_admin_comms, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_init_arb, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_exit_arb, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_sysfs_init, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen2_init_hw_csr_ops, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen2_get_num_accels, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen2_get_num_aes, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen2_enable_error_correction, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen2_cfg_iov_thds, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen2_get_admin_info, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen2_get_arb_info, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen2_enable_ints, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen2_get_accel_cap, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen2_set_ssm_wdtimer, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen2_dev_config, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_dev_config, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_cfg_dev_init, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_init_hw_csr_ops, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_get_accel_mask, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_get_num_accels, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_get_num_aes, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_get_misc_bar_id, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_get_etr_bar_id, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_get_sram_bar_id, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_get_sku, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_get_arb_info, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_get_admin_info, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_get_heartbeat_clock, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_enable_error_correction, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_enable_ints, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_init_device, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_set_ssm_wdtimer, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_set_msix_default_rttable, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_pfvf_comms_disabled, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_ring_pair_reset, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_init_thd2arb_map, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_get_ring_to_svc_map, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_bank_quiesce_coal_timer, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_bank_state_save, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_bank_state_restore, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_init_vf_mig_ops, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_handle_pm_interrupt, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_enable_pm, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen2_init_dc_ops, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_init_dc_ops, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_init_ras_ops, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_timer_start, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_timer_stop, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_dev_measure_clock, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(qat_vfmig_create, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(qat_vfmig_init, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(qat_vfmig_cleanup, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(qat_vfmig_reset, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(qat_vfmig_open, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(qat_vfmig_close, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(qat_vfmig_suspend, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(qat_vfmig_resume, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(qat_vfmig_save_state, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(qat_vfmig_save_setup, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(qat_vfmig_load_state, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(qat_vfmig_load_setup, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(qat_vfmig_destroy, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_init_tl_data, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_heartbeat_check_ctrs, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_heartbeat_save_cfg_param, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_heartbeat_dbgfs_add, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_heartbeat_dbgfs_rm, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_dbgfs_init, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_dbgfs_exit, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_disable_sriov, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_sriov_configure, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_disable_pf2vf_interrupts, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_vf_isr_resource_free, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_vf_isr_resource_alloc, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_flush_vf_wq, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_enable_pf2vf_comms, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_vf2pf_notify_init, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_vf2pf_notify_shutdown, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_vf2pf_notify_restart_complete, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_enable_vf2pf_comms, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen2_init_pf_pfvf_ops, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen2_init_vf_pfvf_ops, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_init_pf_pfvf_ops, "_gpl", "CRYPTO_QAT");

SYMBOL_CRC(adf_cfg_dev_add, 0x7957e26b, "_gpl");
SYMBOL_CRC(adf_cfg_dev_remove, 0xb8967745, "_gpl");
SYMBOL_CRC(adf_cfg_add_key_value_param, 0x3f8d4174, "_gpl");
SYMBOL_CRC(adf_cfg_section_add, 0xd8046345, "_gpl");
SYMBOL_CRC(adf_cfg_get_param_value, 0x1cd3356a, "_gpl");
SYMBOL_CRC(adf_isr_resource_free, 0x3541f383, "_gpl");
SYMBOL_CRC(adf_isr_resource_alloc, 0x19fcb118, "_gpl");
SYMBOL_CRC(adf_cfg_services, 0xc9dd5b96, "_gpl");
SYMBOL_CRC(adf_get_service_enabled, 0xd926c8c9, "_gpl");
SYMBOL_CRC(adf_clean_vf_map, 0xcc3b167a, "_gpl");
SYMBOL_CRC(adf_devmgr_update_class_index, 0x4a5494a5, "_gpl");
SYMBOL_CRC(adf_devmgr_add_dev, 0x3a26d016, "_gpl");
SYMBOL_CRC(adf_devmgr_rm_dev, 0xa37174cb, "_gpl");
SYMBOL_CRC(adf_devmgr_pci_to_accel_dev, 0x98981c84, "_gpl");
SYMBOL_CRC(adf_dev_in_use, 0x4bfae179, "_gpl");
SYMBOL_CRC(adf_dev_get, 0xaac50b2d, "_gpl");
SYMBOL_CRC(adf_dev_put, 0x4a3d487a, "_gpl");
SYMBOL_CRC(adf_devmgr_in_reset, 0xc7dcad9c, "_gpl");
SYMBOL_CRC(adf_dev_started, 0x84d740f2, "_gpl");
SYMBOL_CRC(adf_dev_down, 0x6996f046, "_gpl");
SYMBOL_CRC(adf_dev_up, 0x4176af53, "_gpl");
SYMBOL_CRC(adf_dev_restart, 0x332f39fd, "_gpl");
SYMBOL_CRC(adf_reset_sbr, 0x0d1c2506, "_gpl");
SYMBOL_CRC(adf_reset_flr, 0x4af530dc, "_gpl");
SYMBOL_CRC(adf_err_handler, 0x7549cd38, "_gpl");
SYMBOL_CRC(adf_init_etr_data, 0xf521f2a4, "_gpl");
SYMBOL_CRC(adf_cleanup_etr_data, 0xb17b1556, "_gpl");
SYMBOL_CRC(adf_send_admin_init, 0x58d18295, "_gpl");
SYMBOL_CRC(adf_init_admin_comms, 0x8559c9b0, "_gpl");
SYMBOL_CRC(adf_exit_admin_comms, 0x57f751cb, "_gpl");
SYMBOL_CRC(adf_init_arb, 0xc2c2c6a2, "_gpl");
SYMBOL_CRC(adf_exit_arb, 0x93fd8e8a, "_gpl");
SYMBOL_CRC(adf_sysfs_init, 0xf7744dbe, "_gpl");
SYMBOL_CRC(adf_gen2_init_hw_csr_ops, 0xe7e93b61, "_gpl");
SYMBOL_CRC(adf_gen2_get_num_accels, 0x3deaf6e1, "_gpl");
SYMBOL_CRC(adf_gen2_get_num_aes, 0xeefbe3bf, "_gpl");
SYMBOL_CRC(adf_gen2_enable_error_correction, 0x1baf22be, "_gpl");
SYMBOL_CRC(adf_gen2_cfg_iov_thds, 0x9023dc5b, "_gpl");
SYMBOL_CRC(adf_gen2_get_admin_info, 0x3e707f37, "_gpl");
SYMBOL_CRC(adf_gen2_get_arb_info, 0x2be4e269, "_gpl");
SYMBOL_CRC(adf_gen2_enable_ints, 0x4758ce85, "_gpl");
SYMBOL_CRC(adf_gen2_get_accel_cap, 0xe53d532d, "_gpl");
SYMBOL_CRC(adf_gen2_set_ssm_wdtimer, 0x533bf1cd, "_gpl");
SYMBOL_CRC(adf_gen2_dev_config, 0x2405e916, "_gpl");
SYMBOL_CRC(adf_gen4_dev_config, 0x00b7a8c6, "_gpl");
SYMBOL_CRC(adf_gen4_cfg_dev_init, 0x6da4cded, "_gpl");
SYMBOL_CRC(adf_gen4_init_hw_csr_ops, 0x2c0f84ec, "_gpl");
SYMBOL_CRC(adf_gen4_get_accel_mask, 0xb9ac0eac, "_gpl");
SYMBOL_CRC(adf_gen4_get_num_accels, 0x8a0adf82, "_gpl");
SYMBOL_CRC(adf_gen4_get_num_aes, 0x1a977daf, "_gpl");
SYMBOL_CRC(adf_gen4_get_misc_bar_id, 0x2d1b8199, "_gpl");
SYMBOL_CRC(adf_gen4_get_etr_bar_id, 0x91327515, "_gpl");
SYMBOL_CRC(adf_gen4_get_sram_bar_id, 0xcaa91d5c, "_gpl");
SYMBOL_CRC(adf_gen4_get_sku, 0x59c480a8, "_gpl");
SYMBOL_CRC(adf_gen4_get_arb_info, 0x4c051dc4, "_gpl");
SYMBOL_CRC(adf_gen4_get_admin_info, 0x2230d349, "_gpl");
SYMBOL_CRC(adf_gen4_get_heartbeat_clock, 0xaff62ec4, "_gpl");
SYMBOL_CRC(adf_gen4_enable_error_correction, 0x184b9753, "_gpl");
SYMBOL_CRC(adf_gen4_enable_ints, 0x8c5282af, "_gpl");
SYMBOL_CRC(adf_gen4_init_device, 0xdb6e58c2, "_gpl");
SYMBOL_CRC(adf_gen4_set_ssm_wdtimer, 0x136d3981, "_gpl");
SYMBOL_CRC(adf_gen4_set_msix_default_rttable, 0xe55c201b, "_gpl");
SYMBOL_CRC(adf_pfvf_comms_disabled, 0xec6c554f, "_gpl");
SYMBOL_CRC(adf_gen4_ring_pair_reset, 0x0d0840a9, "_gpl");
SYMBOL_CRC(adf_gen4_init_thd2arb_map, 0xfe3f980f, "_gpl");
SYMBOL_CRC(adf_gen4_get_ring_to_svc_map, 0x946d34b2, "_gpl");
SYMBOL_CRC(adf_gen4_bank_quiesce_coal_timer, 0xe315711d, "_gpl");
SYMBOL_CRC(adf_gen4_bank_state_save, 0x961a7ff6, "_gpl");
SYMBOL_CRC(adf_gen4_bank_state_restore, 0x6187f952, "_gpl");
SYMBOL_CRC(adf_gen4_init_vf_mig_ops, 0xfa6ffd23, "_gpl");
SYMBOL_CRC(adf_gen4_handle_pm_interrupt, 0x72fdb122, "_gpl");
SYMBOL_CRC(adf_gen4_enable_pm, 0xe9f54e62, "_gpl");
SYMBOL_CRC(adf_gen2_init_dc_ops, 0xe45f3512, "_gpl");
SYMBOL_CRC(adf_gen4_init_dc_ops, 0xe327f1f1, "_gpl");
SYMBOL_CRC(adf_gen4_init_ras_ops, 0xf3395891, "_gpl");
SYMBOL_CRC(adf_gen4_timer_start, 0x463ef806, "_gpl");
SYMBOL_CRC(adf_gen4_timer_stop, 0xe40b07ef, "_gpl");
SYMBOL_CRC(adf_dev_measure_clock, 0x80ac5872, "_gpl");
SYMBOL_CRC(qat_vfmig_create, 0x2ed74697, "_gpl");
SYMBOL_CRC(qat_vfmig_init, 0x11c78a82, "_gpl");
SYMBOL_CRC(qat_vfmig_cleanup, 0xc445daef, "_gpl");
SYMBOL_CRC(qat_vfmig_reset, 0xf957a0dc, "_gpl");
SYMBOL_CRC(qat_vfmig_open, 0xe6ec398c, "_gpl");
SYMBOL_CRC(qat_vfmig_close, 0x8d9f5e3d, "_gpl");
SYMBOL_CRC(qat_vfmig_suspend, 0x17442e7f, "_gpl");
SYMBOL_CRC(qat_vfmig_resume, 0x99d30dc6, "_gpl");
SYMBOL_CRC(qat_vfmig_save_state, 0x85ff00a2, "_gpl");
SYMBOL_CRC(qat_vfmig_save_setup, 0x6161526c, "_gpl");
SYMBOL_CRC(qat_vfmig_load_state, 0x4f7494c7, "_gpl");
SYMBOL_CRC(qat_vfmig_load_setup, 0x7e56a91f, "_gpl");
SYMBOL_CRC(qat_vfmig_destroy, 0x52d721ce, "_gpl");
SYMBOL_CRC(adf_gen4_init_tl_data, 0xe2c32138, "_gpl");
SYMBOL_CRC(adf_heartbeat_check_ctrs, 0x1fb8ab8b, "_gpl");
SYMBOL_CRC(adf_heartbeat_save_cfg_param, 0x654b7551, "_gpl");
SYMBOL_CRC(adf_heartbeat_dbgfs_add, 0x800581a0, "_gpl");
SYMBOL_CRC(adf_heartbeat_dbgfs_rm, 0xdc071f99, "_gpl");
SYMBOL_CRC(adf_dbgfs_init, 0x8f85fa7c, "_gpl");
SYMBOL_CRC(adf_dbgfs_exit, 0xf3374dbc, "_gpl");
SYMBOL_CRC(adf_disable_sriov, 0x576964c9, "_gpl");
SYMBOL_CRC(adf_sriov_configure, 0x04bd6ae1, "_gpl");
SYMBOL_CRC(adf_disable_pf2vf_interrupts, 0x63666aec, "_gpl");
SYMBOL_CRC(adf_vf_isr_resource_free, 0x938ec7f9, "_gpl");
SYMBOL_CRC(adf_vf_isr_resource_alloc, 0xb5a46d36, "_gpl");
SYMBOL_CRC(adf_flush_vf_wq, 0x49462a40, "_gpl");
SYMBOL_CRC(adf_enable_pf2vf_comms, 0x26d3766e, "_gpl");
SYMBOL_CRC(adf_vf2pf_notify_init, 0x7bc859b9, "_gpl");
SYMBOL_CRC(adf_vf2pf_notify_shutdown, 0x26cec7ce, "_gpl");
SYMBOL_CRC(adf_vf2pf_notify_restart_complete, 0x1ac9711f, "_gpl");
SYMBOL_CRC(adf_enable_vf2pf_comms, 0x45712f7e, "_gpl");
SYMBOL_CRC(adf_gen2_init_pf_pfvf_ops, 0x9a8342cc, "_gpl");
SYMBOL_CRC(adf_gen2_init_vf_pfvf_ops, 0x09fc9645, "_gpl");
SYMBOL_CRC(adf_gen4_init_pf_pfvf_ops, 0xdad58a80, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x63b3add3, "pci_set_master" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x2f6dafe4, "crypto_register_acomps" },
	{ 0x5a44f8cb, "__crypto_memneq" },
	{ 0x668b19a1, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xbb9ed3bf, "mutex_trylock" },
	{ 0xa719d826, "seq_read" },
	{ 0xc62611e1, "scatterwalk_map_and_copy" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x58088e8c, "_dev_notice" },
	{ 0x81967ab8, "crypto_cipher_encrypt_one" },
	{ 0x3571cbff, "debugfs_create_file" },
	{ 0x662ae0e6, "dma_free_attrs" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xa89926dc, "crypto_dh_decode_key" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x554475ca, "seq_write" },
	{ 0xf3ee21a5, "crypto_register_kpp" },
	{ 0x7783da04, "device_destroy" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x23bf00f8, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0x90c28d79, "seq_printf" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xa231b344, "pci_disable_sriov" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x3e3bad0a, "__tasklet_hi_schedule" },
	{ 0xfc79eb12, "single_release" },
	{ 0xdf9734a7, "sg_nents" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xaa8106bc, "crc8_populate_msb" },
	{ 0xaa81c4a9, "device_add_groups" },
	{ 0x626b36f2, "seq_open" },
	{ 0xffa0eeb2, "crypto_unregister_skciphers" },
	{ 0x81188c30, "match_string" },
	{ 0xa3032728, "crypto_register_akcipher" },
	{ 0x665bbd8, "single_open" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0x5009546e, "crypto_alloc_shash" },
	{ 0xf29c5392, "debugfs_create_dir" },
	{ 0x87b44925, "pci_write_config_word" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x89ae7aa0, "rsa_parse_pub_key" },
	{ 0xb8ed33e, "pci_free_irq_vectors" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x7820c797, "pci_enable_sriov" },
	{ 0x53b954a2, "up_read" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x7f62eaa4, "sgl_free" },
	{ 0xe5548c62, "class_register" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xd4d73561, "cdev_init" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x53847a1a, "kmalloc_caches" },
	{ 0x731b6c3d, "cdev_del" },
	{ 0x4a380bc4, "crypto_shash_export" },
	{ 0x2af66683, "crypto_alloc_skcipher" },
	{ 0xac60b598, "crypto_skcipher_encrypt" },
	{ 0x6cbe9d98, "pci_save_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x6d4142d7, "try_module_get" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xc4b320c2, "crypto_alloc_base" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x48623c21, "devm_kmalloc" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xe7d4daac, "seq_list_next" },
	{ 0x1b9284f, "pci_alloc_irq_vectors" },
	{ 0xb13d0e42, "crypto_unregister_kpp" },
	{ 0x93dfefe7, "seq_release" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x1aeebc05, "__kmalloc_node_noprof" },
	{ 0x1d5e64e4, "dma_unmap_page_attrs" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x372cadae, "request_firmware" },
	{ 0x96848186, "scnprintf" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xaf55cef5, "pci_num_vf" },
	{ 0x69acdf38, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0x51f54670, "crypto_register_aeads" },
	{ 0x646ff9f7, "pci_sriov_get_totalvfs" },
	{ 0xe55892e9, "seq_hex_dump" },
	{ 0x20e59356, "device_remove_groups" },
	{ 0x239c6232, "seq_lseek" },
	{ 0xbb4f4766, "simple_write_to_buffer" },
	{ 0xad974c17, "devm_device_add_group" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xff1e9dd8, "seq_list_start" },
	{ 0xb7c8548e, "pci_irq_vector" },
	{ 0xccecfb87, "crypto_skcipher_setkey" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xe7f11285, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x558b281d, "aes_expandkey" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xf0af558, "crypto_cipher_setkey" },
	{ 0x48bb122e, "dev_driver_string" },
	{ 0x9f7a1976, "crypto_unregister_aeads" },
	{ 0xbf5f2b98, "crypto_destroy_tfm" },
	{ 0x587b5beb, "pci_read_config_dword" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x9c5d5b94, "crc8" },
	{ 0x922126bc, "dma_map_page_attrs" },
	{ 0x92997ed8, "_printk" },
	{ 0x2479193e, "crypto_authenc_extractkeys" },
	{ 0xd0513215, "crypto_alloc_kpp" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xf9885911, "crypto_skcipher_decrypt" },
	{ 0x441d0de9, "__kmalloc_large_noprof" },
	{ 0xa916b694, "strnlen" },
	{ 0x5e934fc7, "sgl_alloc" },
	{ 0x618911fc, "numa_node" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xb0aa812e, "fips_enabled" },
	{ 0x208822a8, "_dev_info" },
	{ 0x47cfd825, "kstrtouint_from_user" },
	{ 0xec1f44a5, "module_put" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xddd68048, "compat_ptr_ioctl" },
	{ 0xa139017c, "cdev_add" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x3d9d2994, "pci_clear_master" },
	{ 0x199c4833, "__irq_apply_affinity_hint" },
	{ 0x5a493422, "crypto_unregister_acomps" },
	{ 0x57bc19d2, "down_write" },
	{ 0x3ab1caa3, "devm_kfree" },
	{ 0x70ed1b59, "_dev_err" },
	{ 0xce807a25, "up_write" },
	{ 0x86e7b44c, "simple_open" },
	{ 0x1c12c32, "cpu_bit_bitmap" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x16091423, "crypto_unregister_akcipher" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0xceb9083a, "device_create" },
	{ 0x2364c85a, "tasklet_init" },
	{ 0xea8c8fce, "pci_wait_for_pending_transaction" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xd75b20aa, "rsa_parse_priv_key" },
	{ 0x2ef23732, "dma_alloc_attrs" },
	{ 0x6303756b, "debugfs_remove" },
	{ 0x40fd1008, "pcie_flr" },
	{ 0xb3e19cb6, "pci_read_config_word" },
	{ 0x5a921311, "strncmp" },
	{ 0x1ddd1ad9, "seq_putc" },
	{ 0x7b73162f, "crypto_shash_digest" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xce66faa6, "crypto_shash_update" },
	{ 0xeb0d2ab8, "class_unregister" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xb9b9fdf6, "crypto_register_skciphers" },
	{ 0x11089ac7, "_ctype" },
	{ 0x1528aa9a, "pci_restore_state" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x169938c1, "__sysfs_match_string" },
	{ 0xfb578fc5, "memset" },
	{ 0xf8e66d75, "_dev_warn" },
	{ 0x5863beb2, "__kmalloc_cache_node_noprof" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x7777a199, "module_layout" },
};

MODULE_INFO(depends, "crc8,authenc");


MODULE_INFO(srcversion, "DC6CB582A7708D347ECB0A0");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
