#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(iio_dmaengine_buffer_free, "_gpl", "IIO_DMAENGINE_BUFFER");
KSYMTAB_FUNC(iio_dmaengine_buffer_setup_ext, "_gpl", "IIO_DMAENGINE_BUFFER");
KSYMTAB_FUNC(devm_iio_dmaengine_buffer_setup_ext, "_gpl", "IIO_DMAENGINE_BUFFER");

SYMBOL_CRC(iio_dmaengine_buffer_free, 0xef382933, "_gpl");
SYMBOL_CRC(iio_dmaengine_buffer_setup_ext, 0xd847a420, "_gpl");
SYMBOL_CRC(devm_iio_dmaengine_buffer_setup_ext, 0xd5f9f723, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x90d190ae, "iio_buffer_put" },
	{ 0x2801437e, "iio_dma_buffer_release" },
	{ 0x37a0cba, "kfree" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x484e4ff7, "iio_dma_buffer_block_done" },
	{ 0xbac8aeea, "sg_nents_for_len" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xbd667018, "iio_dma_buffer_block_list_abort" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x53847a1a, "kmalloc_caches" },
	{ 0x23bf00f8, "__kmalloc_cache_noprof" },
	{ 0xc5e8cf45, "dma_request_chan" },
	{ 0xc6ba38e3, "dma_get_slave_caps" },
	{ 0xfa652e56, "iio_dma_buffer_init" },
	{ 0x9724a27, "iio_device_attach_buffer" },
	{ 0x8b72fb27, "__devm_add_action" },
	{ 0x47898e4b, "iio_dma_buffer_read" },
	{ 0x66f9b4dd, "iio_dma_buffer_usage" },
	{ 0xe248913c, "iio_dma_buffer_write" },
	{ 0xb93a08a4, "iio_dma_buffer_request_update" },
	{ 0xd47a94d2, "iio_dma_buffer_set_bytes_per_datum" },
	{ 0xb10c2986, "iio_dma_buffer_set_length" },
	{ 0xae87464d, "iio_dma_buffer_enable" },
	{ 0x338c05c5, "iio_dma_buffer_disable" },
	{ 0xf8ace51c, "iio_dma_buffer_attach_dmabuf" },
	{ 0x993e58bb, "iio_dma_buffer_detach_dmabuf" },
	{ 0x181da572, "iio_dma_buffer_enqueue_dmabuf" },
	{ 0xd13dd4fb, "iio_dma_buffer_lock_queue" },
	{ 0xd3c30909, "iio_dma_buffer_unlock_queue" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe40f4e9, "iio_dma_buffer_exit" },
	{ 0x7dbd4c6d, "dma_release_channel" },
	{ 0x7777a199, "module_layout" },
};

MODULE_INFO(depends, "industrialio,industrialio-buffer-dma");


MODULE_INFO(srcversion, "E2D5B553B5B6FCFE229A861");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
