#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(rdma_event_msg, "", "");
KSYMTAB_FUNC(rdma_reject_msg, "", "");
KSYMTAB_FUNC(rdma_consumer_reject_data, "", "");
KSYMTAB_FUNC(rdma_iw_cm_id, "", "");
KSYMTAB_FUNC(rdma_res_to_id, "", "");
KSYMTAB_FUNC(__rdma_create_kernel_id, "", "");
KSYMTAB_FUNC(rdma_create_user_id, "", "");
KSYMTAB_FUNC(rdma_create_qp, "", "");
KSYMTAB_FUNC(rdma_destroy_qp, "", "");
KSYMTAB_FUNC(rdma_init_qp_attr, "", "");
KSYMTAB_FUNC(rdma_destroy_id, "", "");
KSYMTAB_FUNC(rdma_get_service_id, "", "");
KSYMTAB_FUNC(rdma_read_gids, "", "");
KSYMTAB_FUNC(rdma_set_service_type, "", "");
KSYMTAB_FUNC(rdma_set_ack_timeout, "", "");
KSYMTAB_FUNC(rdma_set_min_rnr_timer, "", "");
KSYMTAB_FUNC(rdma_set_ib_path, "", "");
KSYMTAB_FUNC(rdma_resolve_route, "", "");
KSYMTAB_FUNC(rdma_set_reuseaddr, "", "");
KSYMTAB_FUNC(rdma_set_afonly, "", "");
KSYMTAB_FUNC(rdma_listen, "", "");
KSYMTAB_FUNC(rdma_resolve_addr, "", "");
KSYMTAB_FUNC(rdma_bind_addr, "", "");
KSYMTAB_FUNC(rdma_connect_locked, "", "");
KSYMTAB_FUNC(rdma_connect, "", "");
KSYMTAB_FUNC(rdma_connect_ece, "", "");
KSYMTAB_FUNC(rdma_accept, "", "");
KSYMTAB_FUNC(rdma_accept_ece, "", "");
KSYMTAB_FUNC(rdma_lock_handler, "", "");
KSYMTAB_FUNC(rdma_unlock_handler, "", "");
KSYMTAB_FUNC(rdma_notify, "", "");
KSYMTAB_FUNC(rdma_reject, "", "");
KSYMTAB_FUNC(rdma_disconnect, "", "");
KSYMTAB_FUNC(rdma_join_multicast, "", "");
KSYMTAB_FUNC(rdma_leave_multicast, "", "");

SYMBOL_CRC(rdma_event_msg, 0x907df803, "");
SYMBOL_CRC(rdma_reject_msg, 0x499e5d94, "");
SYMBOL_CRC(rdma_consumer_reject_data, 0xb2d0fbac, "");
SYMBOL_CRC(rdma_iw_cm_id, 0x8ed9f11b, "");
SYMBOL_CRC(rdma_res_to_id, 0x1f9a0acf, "");
SYMBOL_CRC(__rdma_create_kernel_id, 0x9fde5fb9, "");
SYMBOL_CRC(rdma_create_user_id, 0x4509a518, "");
SYMBOL_CRC(rdma_create_qp, 0xeb711227, "");
SYMBOL_CRC(rdma_destroy_qp, 0x4eec49e8, "");
SYMBOL_CRC(rdma_init_qp_attr, 0x4ddca03e, "");
SYMBOL_CRC(rdma_destroy_id, 0x4f2c13f5, "");
SYMBOL_CRC(rdma_get_service_id, 0xc885b32c, "");
SYMBOL_CRC(rdma_read_gids, 0x7981bd89, "");
SYMBOL_CRC(rdma_set_service_type, 0x76ea804f, "");
SYMBOL_CRC(rdma_set_ack_timeout, 0x001760af, "");
SYMBOL_CRC(rdma_set_min_rnr_timer, 0xec97091b, "");
SYMBOL_CRC(rdma_set_ib_path, 0x0a99211d, "");
SYMBOL_CRC(rdma_resolve_route, 0x1a14c98c, "");
SYMBOL_CRC(rdma_set_reuseaddr, 0x5211c8a1, "");
SYMBOL_CRC(rdma_set_afonly, 0xcb716b77, "");
SYMBOL_CRC(rdma_listen, 0xdb1171d5, "");
SYMBOL_CRC(rdma_resolve_addr, 0x6e4886e3, "");
SYMBOL_CRC(rdma_bind_addr, 0xc23cc13f, "");
SYMBOL_CRC(rdma_connect_locked, 0xfa15d46b, "");
SYMBOL_CRC(rdma_connect, 0x1d743e49, "");
SYMBOL_CRC(rdma_connect_ece, 0x2221f416, "");
SYMBOL_CRC(rdma_accept, 0xa863d182, "");
SYMBOL_CRC(rdma_accept_ece, 0x634e4d6b, "");
SYMBOL_CRC(rdma_lock_handler, 0xd1885af5, "");
SYMBOL_CRC(rdma_unlock_handler, 0xa6c77bbd, "");
SYMBOL_CRC(rdma_notify, 0x56bad51e, "");
SYMBOL_CRC(rdma_reject, 0x076b1069, "");
SYMBOL_CRC(rdma_disconnect, 0x6a680fbc, "");
SYMBOL_CRC(rdma_join_multicast, 0x92670ea8, "");
SYMBOL_CRC(rdma_leave_multicast, 0x49810bd2, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6efb39ec, "iw_cm_connect" },
	{ 0xb9e7b968, "rdma_restrack_add" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xf08dfe3, "rdma_addr_cancel" },
	{ 0xb17941bf, "ib_cm_notify" },
	{ 0xa916b694, "strnlen" },
	{ 0x95488d77, "ib_sa_get_mcmember_rec" },
	{ 0x30b3f334, "const_pcpu_hot" },
	{ 0xc6cbbc89, "capable" },
	{ 0xda0d50ec, "ib_sa_cancel_query" },
	{ 0x3a28c36d, "ib_register_client" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xe1230581, "ib_sa_path_rec_get" },
	{ 0x1a20fc94, "ib_create_cm_id" },
	{ 0x9fd60cf9, "__ip_mc_dec_group" },
	{ 0xb4c25169, "vlan_dev_real_dev" },
	{ 0x439ce33c, "ib_sa_unregister_client" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0x80170a16, "perf_trace_run_bpf_submit" },
	{ 0x699f953, "ib_init_ah_from_mcmember" },
	{ 0x8a6e8d99, "rdma_destroy_ah_attr" },
	{ 0x40209b97, "ib_set_client_data" },
	{ 0x37b16a1, "init_net" },
	{ 0x6af05a00, "ib_get_cached_pkey" },
	{ 0xdfce3ffd, "configfs_register_subsystem" },
	{ 0x9156f2c, "configfs_remove_default_groups" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0xdea92bf, "rdma_put_gid_attr" },
	{ 0x40f6bbdf, "config_group_init_type_name" },
	{ 0x51555518, "dev_get_by_index" },
	{ 0xd3fb50ff, "iw_destroy_cm_id" },
	{ 0x7a2da530, "dev_get_by_index_rcu" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x4fe1eddf, "unregister_netevent_notifier" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x2bbd4828, "ib_send_cm_rep" },
	{ 0xebd48f80, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x90e807c7, "ib_cache_gid_parse_type_str" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xf6a76d5, "iw_cm_disconnect" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x6a6e05bf, "kstrtou8" },
	{ 0xf3df871f, "iwcm_reject_msg" },
	{ 0xb9003dd, "bpf_trace_run1" },
	{ 0x5a17ea47, "ib_destroy_qp_user" },
	{ 0x6cadd276, "unregister_pernet_subsys" },
	{ 0xc6f28f0e, "ib_cm_init_qp_attr" },
	{ 0xf8e66d75, "_dev_warn" },
	{ 0xfad70bf2, "ib_send_cm_drep" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x2d54d70, "rdma_restrack_set_name" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x53ca2527, "ib_get_net_dev_by_params" },
	{ 0x4e90435c, "ib_sa_free_multicast" },
	{ 0x513c2a99, "ib_get_cached_port_state" },
	{ 0x8c693487, "ib_send_cm_mra" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xc7f5e912, "rdma_restrack_del" },
	{ 0xb4860675, "ib_modify_qp" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x7dcf4135, "__xa_insert" },
	{ 0x745a981, "xa_erase" },
	{ 0xd82233ae, "bpf_trace_run3" },
	{ 0x48e71d37, "__put_net" },
	{ 0xdb8cdde, "rdma_restrack_parent_name" },
	{ 0xb4e04387, "iw_cm_accept" },
	{ 0x979e742, "trace_event_buffer_reserve" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x257b9b2d, "config_item_put" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x23bf00f8, "__kmalloc_cache_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x69b30cd8, "iw_cm_reject" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x69824a14, "ibcm_reject_msg" },
	{ 0x9a137b9e, "iw_cm_init_qp_attr" },
	{ 0x47e5db00, "dst_release" },
	{ 0xa6863dd5, "ib_send_cm_rtu" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xbb0db353, "ib_send_cm_dreq" },
	{ 0x89d6a2d6, "ib_send_cm_req" },
	{ 0x2ed1fad2, "ib_create_qp_kernel" },
	{ 0x49c8d2fa, "ib_sa_join_multicast" },
	{ 0xaa72bc9e, "roce_gid_type_mask_support" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x6641404, "rdma_get_gid_attr" },
	{ 0x17c1463c, "rdma_restrack_new" },
	{ 0xdf0da892, "__fib_lookup" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x7a826bc1, "iw_cm_listen" },
	{ 0x17c776a8, "ib_send_cm_rej" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x96a84bfe, "rdma_copy_src_l2_addr" },
	{ 0x53847a1a, "kmalloc_caches" },
	{ 0x32632796, "rdma_resolve_ip" },
	{ 0xa82bea70, "ib_send_cm_sidr_req" },
	{ 0x55bb02f3, "ib_cache_gid_type_str" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xa9d4c8c5, "iw_create_cm_id" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x2144c8d4, "ib_unregister_client" },
	{ 0xacb62d93, "netdev_walk_all_lower_dev_rcu" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x2931e544, "ib_send_cm_sidr_rep" },
	{ 0x42b26a28, "bpf_trace_run4" },
	{ 0x2ca26b07, "config_group_init" },
	{ 0x6ea72f90, "ib_init_ah_attr_from_path" },
	{ 0xfba7a5f5, "__get_random_u32_below" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x4761f17c, "register_netevent_notifier" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xf9c38d85, "rdma_find_gid_by_port" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x62f95a87, "trace_raw_output_prep" },
	{ 0x1f05f84f, "ib_cm_insert_listen" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xfdfb55be, "__trace_trigger_soft_disabled" },
	{ 0x80f27d0a, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xc86f5cb, "ib_sa_register_client" },
	{ 0x34983dc1, "trace_event_raw_init" },
	{ 0x8900d05a, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xdedee3e3, "rdma_query_gid" },
	{ 0x369c8722, "rt6_lookup" },
	{ 0xad13d1c1, "pcpu_hot" },
	{ 0x525ea068, "rdma_translate_ip" },
	{ 0x5d7b1ad9, "bpf_trace_run2" },
	{ 0x81b78e29, "rdma_dev_access_netns" },
	{ 0x6fdb2097, "fib_table_lookup" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x70807834, "rdma_addr_size" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x3829cc2f, "ib_destroy_cm_id" },
	{ 0xf5dedb30, "rdma_node_get_transport" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x961caec9, "configfs_unregister_subsystem" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x4329be6d, "register_pernet_subsys" },
	{ 0xcd44e46f, "trace_event_buffer_commit" },
	{ 0x74cde0b9, "ip_mc_inc_group" },
	{ 0x277bf16f, "rdma_read_gid_attr_ndev_rcu" },
	{ 0x36754488, "ib_find_cached_pkey" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x1fbd16da, "ip_tos2prio" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x7777a199, "module_layout" },
};

MODULE_INFO(depends, "iw_cm,ib_core,ib_cm,configfs");


MODULE_INFO(srcversion, "13C2F6469B0E8343BBFD221");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
