#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(rtrs_iu_alloc, "_gpl", "");
KSYMTAB_FUNC(rtrs_iu_free, "_gpl", "");
KSYMTAB_FUNC(rtrs_iu_post_recv, "_gpl", "");
KSYMTAB_FUNC(rtrs_post_recv_empty, "_gpl", "");
KSYMTAB_FUNC(rtrs_iu_post_send, "_gpl", "");
KSYMTAB_FUNC(rtrs_iu_post_rdma_write_imm, "_gpl", "");
KSYMTAB_FUNC(rtrs_cq_qp_create, "_gpl", "");
KSYMTAB_FUNC(rtrs_cq_qp_destroy, "_gpl", "");
KSYMTAB_FUNC(rtrs_send_hb_ack, "_gpl", "");
KSYMTAB_FUNC(rtrs_init_hb, "_gpl", "");
KSYMTAB_FUNC(rtrs_start_hb, "_gpl", "");
KSYMTAB_FUNC(rtrs_stop_hb, "_gpl", "");
KSYMTAB_FUNC(sockaddr_to_str, "", "");
KSYMTAB_FUNC(rtrs_addr_to_str, "", "");
KSYMTAB_FUNC(rtrs_addr_to_sockaddr, "", "");
KSYMTAB_FUNC(rtrs_rdma_dev_pd_init, "", "");
KSYMTAB_FUNC(rtrs_rdma_dev_pd_deinit, "", "");
KSYMTAB_FUNC(rtrs_ib_dev_put, "", "");
KSYMTAB_FUNC(rtrs_ib_dev_find_or_add, "", "");

SYMBOL_CRC(rtrs_iu_alloc, 0x568bdb10, "_gpl");
SYMBOL_CRC(rtrs_iu_free, 0x79ff6ec8, "_gpl");
SYMBOL_CRC(rtrs_iu_post_recv, 0x1a1efd2c, "_gpl");
SYMBOL_CRC(rtrs_post_recv_empty, 0xeaa0400a, "_gpl");
SYMBOL_CRC(rtrs_iu_post_send, 0xba546824, "_gpl");
SYMBOL_CRC(rtrs_iu_post_rdma_write_imm, 0x96794dea, "_gpl");
SYMBOL_CRC(rtrs_cq_qp_create, 0xe3d8282d, "_gpl");
SYMBOL_CRC(rtrs_cq_qp_destroy, 0x72d5114c, "_gpl");
SYMBOL_CRC(rtrs_send_hb_ack, 0x892d8fd7, "_gpl");
SYMBOL_CRC(rtrs_init_hb, 0x3c78d477, "_gpl");
SYMBOL_CRC(rtrs_start_hb, 0x135be6ee, "_gpl");
SYMBOL_CRC(rtrs_stop_hb, 0x6abe886e, "_gpl");
SYMBOL_CRC(sockaddr_to_str, 0xe15357ef, "");
SYMBOL_CRC(rtrs_addr_to_str, 0x242a8646, "");
SYMBOL_CRC(rtrs_addr_to_sockaddr, 0x887302f3, "");
SYMBOL_CRC(rtrs_rdma_dev_pd_init, 0xd00e7a3e, "");
SYMBOL_CRC(rtrs_rdma_dev_pd_deinit, 0x00cc2310, "");
SYMBOL_CRC(rtrs_ib_dev_put, 0x8e0c1832, "");
SYMBOL_CRC(rtrs_ib_dev_find_or_add, 0xd64f410a, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa5bfac58, "__ib_alloc_pd" },
	{ 0x1d5e64e4, "dma_unmap_page_attrs" },
	{ 0x96848186, "scnprintf" },
	{ 0x609bcd98, "in6_pton" },
	{ 0x37a0cba, "kfree" },
	{ 0xf6ed3334, "ib_event_msg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x48bb122e, "dev_driver_string" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x922126bc, "dma_map_page_attrs" },
	{ 0x92997ed8, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xeb711227, "rdma_create_qp" },
	{ 0x9eacf8a5, "kstrndup" },
	{ 0x37b16a1, "init_net" },
	{ 0xef3a2c63, "ib_cq_pool_put" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x5a921311, "strncmp" },
	{ 0x2be948c0, "__ib_alloc_cq" },
	{ 0x56bad51e, "rdma_notify" },
	{ 0x884de32e, "inet_pton_with_scope" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x4eec49e8, "rdma_destroy_qp" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd0a5c2c6, "ib_cq_pool_get" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x53186f25, "ib_free_cq" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x23bf00f8, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x9d26bc8a, "ib_dealloc_pd_user" },
	{ 0x349cba85, "strchr" },
	{ 0x53847a1a, "kmalloc_caches" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x7777a199, "module_layout" },
};

MODULE_INFO(depends, "ib_core,rdma_cm");


MODULE_INFO(srcversion, "6BB5F36E141843009D358B1");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
