#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(gspca_debug, "", "");
KSYMTAB_FUNC(gspca_frame_add, "", "");
KSYMTAB_FUNC(gspca_dev_probe2, "", "");
KSYMTAB_FUNC(gspca_dev_probe, "", "");
KSYMTAB_FUNC(gspca_disconnect, "", "");
KSYMTAB_FUNC(gspca_suspend, "", "");
KSYMTAB_FUNC(gspca_resume, "", "");
KSYMTAB_FUNC(gspca_expo_autogain, "", "");
KSYMTAB_FUNC(gspca_coarse_grained_expo_autogain, "", "");

SYMBOL_CRC(gspca_debug, 0x9670af2c, "");
SYMBOL_CRC(gspca_frame_add, 0x30560206, "");
SYMBOL_CRC(gspca_dev_probe2, 0x15ce99b8, "");
SYMBOL_CRC(gspca_dev_probe, 0x02ad7d88, "");
SYMBOL_CRC(gspca_disconnect, 0x8f805613, "");
SYMBOL_CRC(gspca_suspend, 0xfb25c155, "");
SYMBOL_CRC(gspca_resume, 0xc03d6a08, "");
SYMBOL_CRC(gspca_expo_autogain, 0x4a5150cc, "");
SYMBOL_CRC(gspca_coarse_grained_expo_autogain, 0x6870a257, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd2f9a248, "vb2_fop_release" },
	{ 0xa916b694, "strnlen" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xb628d75a, "usb_submit_urb" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x976ee9bb, "__v4l2_ctrl_s_ctrl" },
	{ 0xfddcf7ca, "vb2_ioctl_dqbuf" },
	{ 0x5540671b, "usb_free_coherent" },
	{ 0x4893b7d6, "vb2_ioctl_create_bufs" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xd7141d2f, "vb2_buffer_done" },
	{ 0x2f941c1d, "vb2_plane_vaddr" },
	{ 0x7bfcd01b, "v4l2_ctrl_subscribe_event" },
	{ 0x490bb7c1, "usb_set_interface" },
	{ 0x9278f912, "video_unregister_device" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x77632e91, "vb2_ioctl_qbuf" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x6b8ae9d2, "vb2_fop_mmap" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x4bb2feb7, "vb2_vmalloc_memops" },
	{ 0x2c4cf1fa, "v4l2_device_disconnect" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x1d28a194, "vb2_fop_read" },
	{ 0x3cc0e12b, "v4l2_device_register" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xe6bb5454, "__video_register_device" },
	{ 0x3ef790e4, "vb2_ops_wait_prepare" },
	{ 0x23bf00f8, "__kmalloc_cache_noprof" },
	{ 0x5165c09, "usb_kill_urb" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xfbd207e0, "vb2_ioctl_streamon" },
	{ 0xfe618dac, "vb2_fop_poll" },
	{ 0x9cbdbaed, "v4l2_ctrl_g_ctrl" },
	{ 0x25eb2b19, "v4l2_ctrl_handler_free" },
	{ 0xce401de2, "v4l2_device_unregister" },
	{ 0x58cfccdb, "param_ops_int" },
	{ 0xc9c63ea3, "video_device_release_empty" },
	{ 0xf9a482f9, "msleep" },
	{ 0x9029d132, "v4l2_event_unsubscribe" },
	{ 0x53847a1a, "kmalloc_caches" },
	{ 0x54b976dc, "vb2_ioctl_reqbufs" },
	{ 0x1d79e92a, "vb2_queue_init" },
	{ 0x22faca8c, "input_allocate_device" },
	{ 0x69bce15e, "usb_alloc_urb" },
	{ 0x12db9acb, "video_ioctl2" },
	{ 0x2cbfa3e8, "usb_free_urb" },
	{ 0x48e20af0, "v4l2_device_put" },
	{ 0xc2523ffe, "vb2_ioctl_streamoff" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xdda132bd, "usb_alloc_coherent" },
	{ 0xe9799afa, "vb2_ioctl_expbuf" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xf6e312da, "usb_ifnum_to_if" },
	{ 0x5e848d71, "vb2_ops_wait_finish" },
	{ 0x627d22cb, "input_unregister_device" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xb90091ea, "vb2_ioctl_querybuf" },
	{ 0xf3d58a68, "v4l2_fh_open" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x3ef0016b, "input_free_device" },
	{ 0x92997ed8, "_printk" },
	{ 0x91179f19, "usb_clear_halt" },
	{ 0x60a7c604, "v4l2_ctrl_handler_setup" },
	{ 0xf4a2c07c, "input_register_device" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb628490d, "video_devdata" },
	{ 0xcf695d56, "vb2_queue_error" },
	{ 0x7777a199, "module_layout" },
};

MODULE_INFO(depends, "videobuf2-v4l2,usbcore,videodev,videobuf2-common,videobuf2-vmalloc");


MODULE_INFO(srcversion, "C0F5C38121EAAFD38E0612A");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
