#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(ice_xdp_locking_key, "", "");
KSYMTAB_FUNC(ice_add_rdma_qset, "_gpl", "");
KSYMTAB_FUNC(ice_del_rdma_qset, "_gpl", "");
KSYMTAB_FUNC(ice_rdma_request_reset, "_gpl", "");
KSYMTAB_FUNC(ice_rdma_update_vsi_filter, "_gpl", "");
KSYMTAB_FUNC(ice_get_qos_params, "_gpl", "");

SYMBOL_CRC(ice_xdp_locking_key, 0x965ff908, "");
SYMBOL_CRC(ice_add_rdma_qset, 0x86b80758, "_gpl");
SYMBOL_CRC(ice_del_rdma_qset, 0x61496149, "_gpl");
SYMBOL_CRC(ice_rdma_request_reset, 0xedd00f20, "_gpl");
SYMBOL_CRC(ice_rdma_update_vsi_filter, 0x229ffdf9, "_gpl");
SYMBOL_CRC(ice_get_qos_params, 0xf1632e65, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x1edb69d6, "ktime_get_raw_ts64" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x52662891, "ethtool_op_get_link" },
	{ 0x6d294e43, "clock_t_to_jiffies" },
	{ 0x49e95e69, "netif_set_xps_queue" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xaf72e8a8, "__SCK__tp_func_xdp_exception" },
	{ 0x64127b67, "bitmap_find_next_zero_area_off" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xeff39aad, "flow_keys_dissector" },
	{ 0xa38cb9ae, "netif_tx_stop_all_queues" },
	{ 0x1528aa9a, "pci_restore_state" },
	{ 0xb9003dd, "bpf_trace_run1" },
	{ 0xd34f1171, "netif_tx_wake_queue" },
	{ 0x48d27375, "__bitmap_intersects" },
	{ 0xb7c5b9e1, "device_del" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x169938c1, "__sysfs_match_string" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x32956ee4, "dcb_getapp" },
	{ 0x63d5d3c3, "dmam_free_coherent" },
	{ 0x5338184f, "ethtool_sprintf" },
	{ 0xfb578fc5, "memset" },
	{ 0xf8e66d75, "_dev_warn" },
	{ 0xa6c0b388, "flow_rule_match_ports" },
	{ 0x626477a9, "gnss_allocate_device" },
	{ 0xcf28982b, "dpll_netdev_pin_set" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0xea792d9e, "ptp_clock_event" },
	{ 0xb202f0d7, "rht_bucket_nested_insert" },
	{ 0x2c66ac85, "devlink_info_serial_number_put" },
	{ 0xfa6a80ef, "netif_schedule_queue" },
	{ 0xa084749a, "__bitmap_or" },
	{ 0x63b3add3, "pci_set_master" },
	{ 0xb0044abf, "dpll_device_unregister" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x5831e9b1, "flow_rule_match_ipv6_addrs" },
	{ 0x8120248e, "netdev_set_tc_queue" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x448166bc, "devl_params_unregister" },
	{ 0xcabec0dc, "ptp_clock_unregister" },
	{ 0xe3382fd8, "__pskb_pull_tail" },
	{ 0x3c43389b, "xp_dma_unmap" },
	{ 0xffb285b4, "dpll_pin_put" },
	{ 0xad645234, "register_switchdev_notifier" },
	{ 0x2a5ea9ef, "rhashtable_destroy" },
	{ 0x9add1806, "switchdev_handle_port_obj_add" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xded9a541, "devl_unlock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xb75a5cce, "__dynamic_netdev_dbg" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x6a0cd7bb, "dma_set_coherent_mask" },
	{ 0x7dcf4135, "__xa_insert" },
	{ 0x745a981, "xa_erase" },
	{ 0xba93cd55, "flow_rule_match_pppoe" },
	{ 0xdddcc7e5, "pv_ops" },
	{ 0x4b10295, "flow_rule_match_enc_control" },
	{ 0xd82233ae, "bpf_trace_run3" },
	{ 0xa719d826, "seq_read" },
	{ 0x9dab3c1f, "__page_frag_cache_drain" },
	{ 0xe0313d71, "rhashtable_insert_slow" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x146cc88f, "bpf_master_redirect_enabled_key" },
	{ 0x922f45a6, "__bitmap_clear" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x58088e8c, "_dev_notice" },
	{ 0x7bd3a5ad, "gnss_deregister_device" },
	{ 0x3571cbff, "debugfs_create_file" },
	{ 0x8404a1c3, "rps_may_expire_flow" },
	{ 0xa5c6ea4a, "metadata_dst_free" },
	{ 0xca590e29, "xsk_set_tx_need_wakeup" },
	{ 0x8554e007, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xf41921a, "netdev_reset_tc" },
	{ 0xc25d94c1, "pcpu_alloc_noprof" },
	{ 0x999e8297, "vfree" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x28839c12, "rhashtable_init_noprof" },
	{ 0x979e742, "trace_event_buffer_reserve" },
	{ 0xb674ad28, "kthread_destroy_worker" },
	{ 0x2c57588f, "flow_rule_match_enc_ipv6_addrs" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x7d251871, "flow_rule_match_enc_ports" },
	{ 0x2c2ef967, "xdp_return_frame_bulk" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x1d07e365, "memdup_user_nul" },
	{ 0x59f7b7b8, "dpll_netdev_pin_clear" },
	{ 0xe4f52809, "netif_queue_set_napi" },
	{ 0xdd0fa41d, "__dma_sync_single_for_device" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xd9491c14, "xa_destroy" },
	{ 0xb6c15c1d, "call_netdevice_notifiers" },
	{ 0x8fa25c24, "xa_find" },
	{ 0xc023166d, "devl_assert_locked" },
	{ 0x3789c42d, "pcie_print_link_status" },
	{ 0xe0a1f3a4, "xp_set_rxq_info" },
	{ 0x69cf8750, "flow_rule_match_vlan" },
	{ 0xf453cbd1, "devl_port_unregister" },
	{ 0x9dab51e8, "xdp_rxq_info_unreg" },
	{ 0xddddb7e, "pci_dev_get" },
	{ 0xee38ef57, "register_switchdev_blocking_notifier" },
	{ 0x4c142c27, "napi_build_skb" },
	{ 0xadeec212, "netdev_master_upper_dev_get_rcu" },
	{ 0xd3a90f76, "__xdp_rxq_info_reg" },
	{ 0x23bf00f8, "__kmalloc_cache_noprof" },
	{ 0xe8fbb6e7, "netdev_master_upper_dev_get" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xbee3ddd5, "vzalloc_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x46b3a19b, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x90c28d79, "seq_printf" },
	{ 0x29332499, "__x86_indirect_thunk_rsi" },
	{ 0xfbff0cca, "dpll_pin_register" },
	{ 0x737096d6, "gnss_register_device" },
	{ 0x5b3e282f, "xa_store" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xddc5c5a8, "devlink_priv" },
	{ 0xe0419ac4, "kstrtos16" },
	{ 0x6779c6ea, "__hw_addr_sync_dev" },
	{ 0xa231b344, "pci_disable_sriov" },
	{ 0xc2b6135a, "pldmfw_flash_image" },
	{ 0xd5e9ff6a, "kthread_queue_delayed_work" },
	{ 0x8c2cbce6, "metadata_dst_alloc" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x47e5db00, "dst_release" },
	{ 0x95c2c3bb, "netif_carrier_on" },
	{ 0xaeba2e85, "netdev_set_num_tc" },
	{ 0xc30ef7aa, "dpll_device_register" },
	{ 0x373b0d5, "dql_reset" },
	{ 0xe21e5325, "hwmon_device_unregister" },
	{ 0x3b814ca, "bpf_dispatcher_xdp_func" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x7dd63b4c, "dev_uc_add_excl" },
	{ 0x3426ac54, "boot_cpu_data" },
	{ 0xf1b8a3e3, "xp_free" },
	{ 0x87800d15, "dev_mc_add_excl" },
	{ 0xa7a6933b, "gnss_put_device" },
	{ 0xfc79eb12, "single_release" },
	{ 0x35030a14, "dma_set_mask" },
	{ 0xc3a2d697, "__auxiliary_driver_register" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xb4b5b634, "netif_set_tso_max_size" },
	{ 0xd22923f4, "__skb_flow_dissect" },
	{ 0x204b6cce, "vlan_dev_vlan_id" },
	{ 0x111f8ac4, "pci_msix_alloc_irq_at" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x1ee00c75, "libie_rx_pt_lut" },
	{ 0xebdcbb8, "skb_add_rx_frag_netmem" },
	{ 0xdf36914b, "xa_find_after" },
	{ 0xb977afff, "pcim_iomap_table" },
	{ 0xe545fa65, "xdp_master_redirect" },
	{ 0x8b72fb27, "__devm_add_action" },
	{ 0x3bb79582, "dpll_pin_on_pin_register" },
	{ 0xbf7f226a, "napi_schedule_prep" },
	{ 0x3e0b2810, "napi_consume_skb" },
	{ 0x742b9b39, "pci_read_config_byte" },
	{ 0x6c2f46b1, "xp_alloc_batch" },
	{ 0x754d539c, "strlen" },
	{ 0xa53005cf, "napi_disable" },
	{ 0x591bdbd4, "dev_kfree_skb_any_reason" },
	{ 0x7b2fe3e3, "dcb_ieee_delapp" },
	{ 0x91eb9b4, "round_jiffies" },
	{ 0x58cfccdb, "param_ops_int" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x665bbd8, "single_open" },
	{ 0xed36a742, "pcim_enable_device" },
	{ 0x6b68a3d8, "devl_register" },
	{ 0x349cba85, "strchr" },
	{ 0xf29c5392, "debugfs_create_dir" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xb8ed33e, "pci_free_irq_vectors" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x28e6813, "flow_rule_match_control" },
	{ 0xa88683d2, "flow_rule_match_ip" },
	{ 0x7820c797, "pci_enable_sriov" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xcc6128f6, "dpll_device_get" },
	{ 0xb26a1add, "elfcorehdr_addr" },
	{ 0xd4ec10e6, "BUG_func" },
	{ 0x9353512b, "dcb_ieee_setapp" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xbeaf39cd, "ethtool_op_get_ts_info" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x53847a1a, "kmalloc_caches" },
	{ 0x847188e8, "krealloc_noprof" },
	{ 0x584fcf9d, "netdev_info" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xb9681621, "xdp_do_flush" },
	{ 0x3efeaa63, "pci_get_dsn" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x8bd69e6e, "__tracepoint_xdp_exception" },
	{ 0x4ee5c11d, "xsk_tx_completed" },
	{ 0x2c0bf5db, "napi_alloc_skb" },
	{ 0x3316ac4f, "alloc_etherdev_mqs" },
	{ 0xe07359b, "netdev_lower_get_next" },
	{ 0x69191548, "flow_block_cb_lookup" },
	{ 0x6cbe9d98, "pci_save_state" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x404e79fe, "devl_rate_leaf_create" },
	{ 0x8fa9d9e8, "__SCT__tp_func_xdp_exception" },
	{ 0x501a7bfa, "device_set_wakeup_enable" },
	{ 0x15998a50, "__skb_pad" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x50b2da53, "devl_unregister" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x28812c1b, "flow_rule_match_enc_keyid" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xbd877a01, "pci_find_ext_capability" },
	{ 0xf61ceb74, "kthread_create_worker" },
	{ 0x222a15b4, "bpf_prog_put" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xcfa102cf, "devl_region_create" },
	{ 0xe7bd082a, "xp_dma_map" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0x2d8d83f7, "skb_copy_bits" },
	{ 0x20978fb9, "idr_find" },
	{ 0xdfd16b21, "devm_request_threaded_irq" },
	{ 0xf4f1ed86, "kthread_cancel_delayed_work_sync" },
	{ 0xedefe316, "dpll_device_change_ntf" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x48623c21, "devm_kmalloc" },
	{ 0x3a7a232f, "pci_wake_from_d3" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0xcc59cbcf, "skb_tstamp_tx" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x1be72268, "call_switchdev_notifiers" },
	{ 0xcfdf94a5, "flow_indr_dev_register" },
	{ 0x2c834418, "static_key_slow_inc" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x5e515be6, "ktime_get_ts64" },
	{ 0x55643e36, "firmware_request_nowarn" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xabdeeb7e, "ethtool_forced_speed_maps_init" },
	{ 0xa9e5ec38, "auxiliary_device_init" },
	{ 0x4256dce2, "pci_enable_device_mem" },
	{ 0xfad60243, "consume_skb" },
	{ 0xf86f560, "kthread_delayed_work_timer_fn" },
	{ 0x8b4fa162, "flow_rule_match_enc_ip" },
	{ 0xb0e602eb, "memmove" },
	{ 0x1b9284f, "pci_alloc_irq_vectors" },
	{ 0x1892d8d3, "flow_rule_match_l2tpv3" },
	{ 0xeb0c29b3, "netif_napi_add_weight" },
	{ 0xcf6549a0, "dpll_pin_change_ntf" },
	{ 0x31435ec4, "ethtool_puts" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x5a2dc01, "xsk_tx_peek_release_desc_batch" },
	{ 0x24d765e6, "pci_vfs_assigned" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xff8c902a, "dmam_alloc_attrs" },
	{ 0x62f95a87, "trace_raw_output_prep" },
	{ 0x4087ef25, "devl_lock" },
	{ 0xd6084f8f, "pci_dev_put" },
	{ 0xb9639e7b, "xp_fill_cb" },
	{ 0x8cf80f46, "bpf_warn_invalid_xdp_action" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x5eab7781, "ndo_dflt_bridge_getlink" },
	{ 0x3d3739d6, "unregister_netdev" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x3e3d5e83, "dpll_device_put" },
	{ 0x607c4683, "devlink_info_version_fixed_put" },
	{ 0x52d54fce, "devlink_info_version_stored_put" },
	{ 0x24effe1e, "dpll_pin_unregister" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0xf1ef6bc5, "xdp_features_set_redirect_target" },
	{ 0xfdfb55be, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xc1c5f567, "pci_get_device" },
	{ 0xf8d07858, "bitmap_from_arr32" },
	{ 0x1d5e64e4, "dma_unmap_page_attrs" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x372cadae, "request_firmware" },
	{ 0x80f27d0a, "trace_event_printf" },
	{ 0x88145da4, "dev_uc_del" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xf7370f56, "system_state" },
	{ 0x1f3a27f, "flow_rule_match_cvlan" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xf3f3a963, "__pci_register_driver" },
	{ 0xe2b3207a, "unregister_switchdev_notifier" },
	{ 0x2fb76f2b, "gnss_insert_raw" },
	{ 0xaf55cef5, "pci_num_vf" },
	{ 0x177e51b0, "flow_rule_match_eth_addrs" },
	{ 0xaf2aa4f7, "get_device_system_crosststamp" },
	{ 0x55f650b6, "devlink_port_attrs_set" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xce4a509d, "ptp_clock_index" },
	{ 0x34983dc1, "trace_event_raw_init" },
	{ 0x73dc5751, "devl_port_fn_devlink_set" },
	{ 0x69acdf38, "memcpy" },
	{ 0xbef31d8f, "xp_can_alloc" },
	{ 0x37a0cba, "kfree" },
	{ 0x555078ff, "devlink_alloc_ns" },
	{ 0xe45a3f63, "devl_rate_leaf_destroy" },
	{ 0xad13d1c1, "pcpu_hot" },
	{ 0xa0485d08, "xdp_do_redirect" },
	{ 0x479d21f, "devlink_free" },
	{ 0xe975e51b, "eth_validate_addr" },
	{ 0x81c51d19, "irq_cpu_rmap_add" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x5d7b1ad9, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x7fe12562, "devl_rate_node_create" },
	{ 0x7eef5e76, "netdev_warn" },
	{ 0x237810e6, "udp_tunnel_nic_ops" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xb0412b93, "pci_set_power_state" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x18333f7f, "devl_rate_nodes_destroy" },
	{ 0xe2964344, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xb7c8548e, "pci_irq_vector" },
	{ 0x4302d426, "flow_rule_match_ipv4_addrs" },
	{ 0x20225c0a, "__netif_napi_del" },
	{ 0xcaf4b66c, "dpll_pin_on_pin_unregister" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xe7f11285, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x6b047e8d, "netdev_state_change" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0xd8061a3c, "pci_unregister_driver" },
	{ 0x467df16d, "netdev_rss_key_fill" },
	{ 0x8067a59c, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x9ef7eb7f, "pskb_expand_head" },
	{ 0x4c3ddd1, "switchdev_handle_port_attr_set" },
	{ 0x2f4880df, "static_key_slow_dec" },
	{ 0x389b64a2, "static_key_count" },
	{ 0xddb5b1bd, "devlink_flash_update_status_notify" },
	{ 0x48bb122e, "dev_driver_string" },
	{ 0xb1b023d8, "pci_restore_msi_state" },
	{ 0xcd44e46f, "trace_event_buffer_commit" },
	{ 0x9652fbc8, "xdp_return_buff" },
	{ 0x63443ada, "dev_addr_mod" },
	{ 0x516469a8, "xdp_rxq_info_reg_mem_model" },
	{ 0xb1647fc2, "devlink_info_version_running_put" },
	{ 0xe94986d6, "sched_clock" },
	{ 0xcba67309, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x940d2d8c, "auxiliary_driver_unregister" },
	{ 0x922126bc, "dma_map_page_attrs" },
	{ 0xa6edc192, "napi_complete_done" },
	{ 0x6bd45ded, "switchdev_handle_port_obj_del" },
	{ 0x8311b02f, "__alloc_pages_noprof" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x88e1d0f0, "page_frag_free" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0xc5bf5040, "priv_to_devlink" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xa5a76c0a, "dpll_pin_get" },
	{ 0xf390f6f1, "__bitmap_andnot" },
	{ 0xda13067a, "skb_checksum_help" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x64dba328, "put_device" },
	{ 0x3d184561, "devm_free_irq" },
	{ 0x7f52071a, "net_dim" },
	{ 0x62741c6e, "__napi_schedule" },
	{ 0x441d0de9, "__kmalloc_large_noprof" },
	{ 0x673afc45, "ipv6_skip_exthdr" },
	{ 0x37fefba4, "xsk_set_rx_need_wakeup" },
	{ 0xa916b694, "strnlen" },
	{ 0x7405947e, "flow_rule_match_enc_ipv4_addrs" },
	{ 0x9382b52d, "netif_device_detach" },
	{ 0x618911fc, "numa_node" },
	{ 0xb48a0755, "__free_pages" },
	{ 0xf0674cc7, "__hw_addr_unsync_dev" },
	{ 0x208822a8, "_dev_info" },
	{ 0x87b903a2, "napi_gro_receive" },
	{ 0x3705afe0, "netif_device_attach" },
	{ 0x549a78d9, "xdp_features_clear_redirect_target" },
	{ 0xf990ad2, "netdev_pick_tx" },
	{ 0x46c27464, "flow_indr_dev_unregister" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0xf32e3484, "xp_raw_get_dma" },
	{ 0xcd163220, "eth_get_headlen" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xc5940e18, "pci_iov_virtfn_devfn" },
	{ 0x8f14d45b, "get_zeroed_page_noprof" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x615911d7, "__bitmap_set" },
	{ 0x9fd50907, "xdp_rxq_info_is_reg" },
	{ 0x31db8217, "flow_rule_match_enc_opts" },
	{ 0xdedc57d6, "flow_block_cb_setup_simple" },
	{ 0x57c45c88, "pci_msix_can_alloc_dyn" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x2d28353e, "flow_rule_match_basic" },
	{ 0x7665a95b, "idr_remove" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x289e40ff, "dev_open" },
	{ 0xd4afea5d, "free_irq_cpu_rmap" },
	{ 0x20fb1db8, "pcim_iomap_regions" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x9114b616, "__xa_alloc" },
	{ 0xb4c25169, "vlan_dev_real_dev" },
	{ 0x3d9d2994, "pci_clear_master" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0xe6f97633, "__dma_sync_single_for_cpu" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x74d0adf4, "devm_kmemdup" },
	{ 0x89382a9f, "pci_msix_free_irq" },
	{ 0x7919b383, "alloc_cpu_rmap" },
	{ 0xf84bd6ee, "bpf_stats_enabled_key" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0x78041b8f, "byte_rev_table" },
	{ 0x80170a16, "perf_trace_run_bpf_submit" },
	{ 0x199c4833, "__irq_apply_affinity_hint" },
	{ 0x3c227bee, "devlink_flash_update_timeout_notify" },
	{ 0x3ab1caa3, "devm_kfree" },
	{ 0x70ed1b59, "_dev_err" },
	{ 0x37b16a1, "init_net" },
	{ 0xd3f0bfd4, "softnet_data" },
	{ 0x86e7b44c, "simple_open" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x101b051d, "xdp_return_frame" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0xb989af40, "ptp_clock_register" },
	{ 0x4f3d85ea, "devl_nested_devlink_set" },
	{ 0x8677245d, "unregister_switchdev_blocking_notifier" },
	{ 0xe39bb3a6, "hwmon_device_register_with_info" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x485684b6, "netif_set_real_num_tx_queues" },
	{ 0x2951cc06, "__auxiliary_device_add" },
	{ 0x4f8d016c, "pldmfw_op_pci_match_record" },
	{ 0xc16be39d, "iter_div_u64_rem" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0x6f759072, "netif_set_real_num_rx_queues" },
	{ 0xca9566ea, "flow_indr_block_cb_alloc" },
	{ 0xa65e2f0e, "devl_port_register_with_ops" },
	{ 0xea8c8fce, "pci_wait_for_pending_transaction" },
	{ 0x70f5f4ef, "dev_close" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x170a011a, "pci_device_is_present" },
	{ 0x6303756b, "debugfs_remove" },
	{ 0xb3e19cb6, "pci_read_config_word" },
	{ 0x40fd1008, "pcie_flr" },
	{ 0xc7ca8122, "napi_enable" },
	{ 0x5a921311, "strncmp" },
	{ 0x7e66e689, "xsk_clear_rx_need_wakeup" },
	{ 0x365acda7, "set_normalized_timespec64" },
	{ 0x9503a362, "dcbnl_ieee_notify" },
	{ 0xb2572366, "xsk_uses_need_wakeup" },
	{ 0xd0d71c15, "register_netdev" },
	{ 0x11c91e6a, "dev_mc_del" },
	{ 0xebd48f80, "trace_event_reg" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x5cede0a7, "xdp_flush_frame_bulk" },
	{ 0x7a3f16a2, "devl_region_destroy" },
	{ 0x121a44d, "free_netdev" },
	{ 0x2b28e692, "xsk_get_pool_from_qid" },
	{ 0x3221df67, "__bitmap_subset" },
	{ 0xcd279169, "nla_find" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xa7e47df0, "devl_params_register" },
	{ 0x1f7155cb, "dql_completed" },
	{ 0x7777a199, "module_layout" },
};

MODULE_INFO(depends, "gnss,libie");

MODULE_ALIAS("auxiliary:ice.sf");
MODULE_ALIAS("pci:v00008086d00001591sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001592sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001593sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001599sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000159Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000159Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000188Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000188Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000188Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000188Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000188Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001890sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001891sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001892sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001893sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001894sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001897sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001898sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001899sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000189Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000124Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000124Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000124Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000124Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000151Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001888sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000579Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000579Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000579Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000579Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000012D1sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000012D2sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000012D3sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000012D4sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000012D5sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000012DCsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000012D8sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000012DDsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000012DAsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000012DEsv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "F33EF067451D8F4CDAFEA25");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
