#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(mlxsw_pci_driver_register, "", "");
KSYMTAB_FUNC(mlxsw_pci_driver_unregister, "", "");

SYMBOL_CRC(mlxsw_pci_driver_register, 0xe5c3fdae, "");
SYMBOL_CRC(mlxsw_pci_driver_unregister, 0x37dc6db9, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x5cf3dd79, "mlxsw_core_bus_device_unregister" },
	{ 0x2ef23732, "dma_alloc_attrs" },
	{ 0xc7ca8122, "napi_enable" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x121a44d, "free_netdev" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xde80cd09, "ioremap" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x86ff80c1, "page_pool_put_unrefed_netmem" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x79e12567, "mlxsw_core_skb_receive" },
	{ 0xcdeb3e49, "mlxsw_core_resources_query" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x1528aa9a, "pci_restore_state" },
	{ 0x563c317d, "page_pool_create" },
	{ 0x9bb4e317, "ioread32be" },
	{ 0x3ece9ac0, "mlxsw_core_ptp_transmitted" },
	{ 0x63b3add3, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xe3382fd8, "__pskb_pull_tail" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x6a0cd7bb, "dma_set_coherent_mask" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x8a4e0b77, "alloc_netdev_dummy" },
	{ 0x662ae0e6, "dma_free_attrs" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x6d1c329a, "pci_release_regions" },
	{ 0xfcc770e9, "page_pool_alloc_pages" },
	{ 0x4c142c27, "napi_build_skb" },
	{ 0x23bf00f8, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0xb9be1cdb, "pci_disable_device" },
	{ 0x35030a14, "dma_set_mask" },
	{ 0xebdcbb8, "skb_add_rx_frag_netmem" },
	{ 0xf89280a3, "mlxsw_core_kvd_sizes_get" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0xbf7f226a, "napi_schedule_prep" },
	{ 0x3e0b2810, "napi_consume_skb" },
	{ 0xa53005cf, "napi_disable" },
	{ 0xed06130, "mlxsw_core_res_valid" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xb8ed33e, "pci_free_irq_vectors" },
	{ 0x5c73d5a4, "mlxsw_core_sdq_supports_cqe_v2" },
	{ 0xf9a482f9, "msleep" },
	{ 0x53847a1a, "kmalloc_caches" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x8854d198, "mlxsw_reg_write" },
	{ 0x6cbe9d98, "pci_save_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xcc27042f, "pci_cfg_access_unlock" },
	{ 0x8c7782a8, "pci_enable_device" },
	{ 0x34611bfc, "skb_put" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x1b9284f, "pci_alloc_irq_vectors" },
	{ 0xeb0c29b3, "netif_napi_add_weight" },
	{ 0xa7765e88, "mlxsw_reg_query" },
	{ 0x1d5e64e4, "dma_unmap_page_attrs" },
	{ 0xf3f3a963, "__pci_register_driver" },
	{ 0xedc03953, "iounmap" },
	{ 0x6a4f48c6, "pci_request_regions" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x3434d04d, "page_pool_destroy" },
	{ 0xb7c8548e, "pci_irq_vector" },
	{ 0x20225c0a, "__netif_napi_del" },
	{ 0xe7f11285, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x844ae6af, "mlxsw_core_res_get" },
	{ 0x484489a4, "mlxsw_cmd_exec" },
	{ 0xd8061a3c, "pci_unregister_driver" },
	{ 0xc28ae427, "pci_cfg_access_lock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x2e73045f, "mlxsw_core_bus_device_register" },
	{ 0x48bb122e, "dev_driver_string" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x922126bc, "dma_map_page_attrs" },
	{ 0xa6edc192, "napi_complete_done" },
	{ 0x92997ed8, "_printk" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x62741c6e, "__napi_schedule" },
	{ 0xe419bc99, "iowrite32be" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x14d6b97d, "dev_set_threaded" },
	{ 0xa2e9879f, "__pci_reset_function_locked" },
	{ 0xe6f97633, "__dma_sync_single_for_cpu" },
	{ 0x70ed1b59, "_dev_err" },
	{ 0x7777a199, "module_layout" },
};

MODULE_INFO(depends, "mlxsw_core");


MODULE_INFO(srcversion, "7FF019A6D3D4E4E43DCDF80");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
