#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ipvlan_count_rx, "_gpl", "");
KSYMTAB_FUNC(ipvlan_link_new, "_gpl", "");
KSYMTAB_FUNC(ipvlan_link_delete, "_gpl", "");
KSYMTAB_FUNC(ipvlan_link_setup, "_gpl", "");
KSYMTAB_FUNC(ipvlan_link_register, "_gpl", "");

SYMBOL_CRC(ipvlan_count_rx, 0xcc47126f, "_gpl");
SYMBOL_CRC(ipvlan_link_new, 0x7320ecac, "_gpl");
SYMBOL_CRC(ipvlan_link_delete, 0x72704246, "_gpl");
SYMBOL_CRC(ipvlan_link_setup, 0x2663470c, "_gpl");
SYMBOL_CRC(ipvlan_link_register, 0xe8f2e34c, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd3604ef5, "eth_header_parse" },
	{ 0xf565e61d, "netdev_rx_handler_unregister" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x1006437d, "eth_header_cache_update" },
	{ 0xc7c3358b, "nf_register_net_hooks" },
	{ 0xe35ffbc, "ip6_route_output_flags" },
	{ 0xfe029963, "unregister_inetaddr_notifier" },
	{ 0x763ba149, "ip_route_input_noref" },
	{ 0x8c7addc7, "__dev_get_by_index" },
	{ 0x184649db, "rtnl_link_unregister" },
	{ 0xff81d66a, "skb_pull" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x6ef78684, "sk_skb_reason_drop" },
	{ 0xb6159370, "netif_stacked_transfer_operstate" },
	{ 0x495816cd, "netdev_upper_dev_unlink" },
	{ 0x8d304f20, "nla_put" },
	{ 0xffb7c514, "ida_free" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x3891794f, "ns_capable" },
	{ 0xc1a437e9, "nf_unregister_net_hooks" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x52662891, "ethtool_op_get_link" },
	{ 0x44f45bd1, "__ethtool_get_link_ksettings" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0x6cadd276, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x2fe252cc, "unregister_inet6addr_notifier" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xe3382fd8, "__pskb_pull_tail" },
	{ 0x3cb33466, "netif_rx" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x979c64a3, "skb_scrub_packet" },
	{ 0x47c65bfc, "unregister_inet6addr_validator_notifier" },
	{ 0x8554e007, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x1827109a, "vlan_vid_add" },
	{ 0xc25d94c1, "pcpu_alloc_noprof" },
	{ 0xb6c15c1d, "call_netdevice_notifiers" },
	{ 0xf3b34edb, "vlan_vid_del" },
	{ 0x97d80a5d, "dev_set_allmulti" },
	{ 0x60352082, "register_inet6addr_notifier" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x23bf00f8, "__kmalloc_cache_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xf75b2343, "skb_clone" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x47e5db00, "dst_release" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x8296066c, "netdev_rx_handler_register" },
	{ 0xab63baa5, "unregister_inetaddr_validator_notifier" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xa87ae285, "ip_local_out" },
	{ 0xf68285c0, "register_inetaddr_notifier" },
	{ 0x9b0ca2af, "eth_header_parse_protocol" },
	{ 0xc32c71af, "register_inetaddr_validator_notifier" },
	{ 0x242318f0, "dev_mc_unsync" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x1efc9863, "dev_change_flags" },
	{ 0x44418c4d, "netdev_core_stats_inc" },
	{ 0xa5620684, "dev_forward_skb" },
	{ 0x53847a1a, "kmalloc_caches" },
	{ 0x18e60984, "__do_once_start" },
	{ 0xa77bfd29, "register_inet6addr_validator_notifier" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x849088b2, "register_netdevice" },
	{ 0x97bc2c8f, "__do_once_done" },
	{ 0x899d8ea, "ip6_route_input_lookup" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x69668826, "netdev_increment_features" },
	{ 0xd393d709, "dev_pre_changeaddr_notify" },
	{ 0x7545b400, "dev_mc_sync" },
	{ 0xa7d5f92e, "ida_destroy" },
	{ 0x11f90299, "netdev_is_rx_handler_busy" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xcaf3179e, "netdev_update_features" },
	{ 0xfad60243, "consume_skb" },
	{ 0x4b3f3338, "ip6_local_out" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xa157c003, "dev_uc_sync" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x28669c79, "rtnl_link_register" },
	{ 0x89799d1a, "netif_inherit_tso_max" },
	{ 0x792b41e0, "eth_header_cache" },
	{ 0x37a0cba, "kfree" },
	{ 0xad13d1c1, "pcpu_hot" },
	{ 0xfc4508c, "ip_route_output_flow" },
	{ 0xf3d91036, "unregister_netdevice_queue" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x58662a04, "dev_uc_unsync" },
	{ 0x4e0492f2, "ether_setup" },
	{ 0x8067a59c, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x7249dff0, "netdev_upper_dev_link" },
	{ 0x4329be6d, "register_pernet_subsys" },
	{ 0x63443ada, "dev_addr_mod" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x7777a199, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "AED4B93465B3A8F8BE46AB6");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
