#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(ath11k_debug_mask, "", "");
KSYMTAB_FUNC(ath11k_core_suspend, "", "");
KSYMTAB_FUNC(ath11k_core_resume, "", "");
KSYMTAB_FUNC(ath11k_core_pre_init, "", "");
KSYMTAB_FUNC(ath11k_core_init, "", "");
KSYMTAB_FUNC(ath11k_core_deinit, "", "");
KSYMTAB_FUNC(ath11k_core_free, "", "");
KSYMTAB_FUNC(ath11k_core_alloc, "", "");
KSYMTAB_FUNC(ath11k_hal_srng_init, "", "");
KSYMTAB_FUNC(ath11k_hal_srng_deinit, "", "");
KSYMTAB_DATA(ath11k_cold_boot_cal, "", "");
KSYMTAB_FUNC(ath11k_qmi_fwreset_from_cold_boot, "", "");
KSYMTAB_FUNC(ath11k_qmi_deinit_service, "", "");
KSYMTAB_FUNC(ath11k_dp_service_srng, "", "");
KSYMTAB_FUNC(ath11k_info, "", "");
KSYMTAB_FUNC(ath11k_err, "", "");
KSYMTAB_FUNC(ath11k_warn, "", "");
KSYMTAB_FUNC(ath11k_ce_per_engine_service, "", "");
KSYMTAB_FUNC(ath11k_ce_get_shadow_config, "", "");
KSYMTAB_FUNC(ath11k_ce_cleanup_pipes, "", "");
KSYMTAB_FUNC(ath11k_ce_rx_post_buf, "", "");
KSYMTAB_FUNC(ath11k_ce_free_pipes, "", "");
KSYMTAB_FUNC(ath11k_ce_alloc_pipes, "", "");
KSYMTAB_FUNC(ath11k_ce_get_attr_flags, "", "");
KSYMTAB_FUNC(ath11k_pcic_init_msi_config, "", "");
KSYMTAB_FUNC(ath11k_pcic_write32, "", "");
KSYMTAB_FUNC(ath11k_pcic_read32, "", "");
KSYMTAB_FUNC(ath11k_pcic_read, "", "");
KSYMTAB_FUNC(ath11k_pcic_get_msi_address, "", "");
KSYMTAB_FUNC(ath11k_pcic_get_user_msi_assignment, "", "");
KSYMTAB_FUNC(ath11k_pcic_get_ce_msi_idx, "", "");
KSYMTAB_FUNC(ath11k_pcic_free_irq, "", "");
KSYMTAB_FUNC(ath11k_pcic_ext_irq_enable, "", "");
KSYMTAB_FUNC(ath11k_pcic_ext_irq_disable, "", "");
KSYMTAB_FUNC(ath11k_pcic_config_irq, "", "");
KSYMTAB_FUNC(ath11k_pcic_ce_irqs_enable, "", "");
KSYMTAB_FUNC(ath11k_pcic_ce_irq_disable_sync, "", "");
KSYMTAB_FUNC(ath11k_pcic_stop, "", "");
KSYMTAB_FUNC(ath11k_pcic_start, "", "");
KSYMTAB_FUNC(ath11k_pcic_map_service_to_pipe, "", "");
KSYMTAB_FUNC(ath11k_pcic_register_pci_ops, "", "");
KSYMTAB_FUNC(ath11k_pci_enable_ce_irqs_except_wake_irq, "", "");
KSYMTAB_FUNC(ath11k_pci_disable_ce_irqs_except_wake_irq, "", "");

SYMBOL_CRC(ath11k_debug_mask, 0x9c51bcc4, "");
SYMBOL_CRC(ath11k_core_suspend, 0x0b9f19e7, "");
SYMBOL_CRC(ath11k_core_resume, 0x14077e65, "");
SYMBOL_CRC(ath11k_core_pre_init, 0x0801f8d6, "");
SYMBOL_CRC(ath11k_core_init, 0x5689dc80, "");
SYMBOL_CRC(ath11k_core_deinit, 0x75f3a5ac, "");
SYMBOL_CRC(ath11k_core_free, 0x4bb60955, "");
SYMBOL_CRC(ath11k_core_alloc, 0x02b93c6d, "");
SYMBOL_CRC(ath11k_hal_srng_init, 0xc60ea67a, "");
SYMBOL_CRC(ath11k_hal_srng_deinit, 0x56abb711, "");
SYMBOL_CRC(ath11k_cold_boot_cal, 0xf0197188, "");
SYMBOL_CRC(ath11k_qmi_fwreset_from_cold_boot, 0x40462dc4, "");
SYMBOL_CRC(ath11k_qmi_deinit_service, 0x76e4485a, "");
SYMBOL_CRC(ath11k_dp_service_srng, 0x9ad95d75, "");
SYMBOL_CRC(ath11k_info, 0x018658c9, "");
SYMBOL_CRC(ath11k_err, 0xd6296691, "");
SYMBOL_CRC(ath11k_warn, 0xd154ee4a, "");
SYMBOL_CRC(ath11k_ce_per_engine_service, 0x6adeec74, "");
SYMBOL_CRC(ath11k_ce_get_shadow_config, 0x1631639b, "");
SYMBOL_CRC(ath11k_ce_cleanup_pipes, 0x306109bd, "");
SYMBOL_CRC(ath11k_ce_rx_post_buf, 0x0b76371a, "");
SYMBOL_CRC(ath11k_ce_free_pipes, 0xacbda3eb, "");
SYMBOL_CRC(ath11k_ce_alloc_pipes, 0x0049e758, "");
SYMBOL_CRC(ath11k_ce_get_attr_flags, 0x00f25794, "");
SYMBOL_CRC(ath11k_pcic_init_msi_config, 0x09c48ac7, "");
SYMBOL_CRC(ath11k_pcic_write32, 0x726838db, "");
SYMBOL_CRC(ath11k_pcic_read32, 0x78cf61b2, "");
SYMBOL_CRC(ath11k_pcic_read, 0x13002889, "");
SYMBOL_CRC(ath11k_pcic_get_msi_address, 0xf26e42c5, "");
SYMBOL_CRC(ath11k_pcic_get_user_msi_assignment, 0x3fc92dbb, "");
SYMBOL_CRC(ath11k_pcic_get_ce_msi_idx, 0xf8a2333c, "");
SYMBOL_CRC(ath11k_pcic_free_irq, 0xf7b4d466, "");
SYMBOL_CRC(ath11k_pcic_ext_irq_enable, 0x1567d33f, "");
SYMBOL_CRC(ath11k_pcic_ext_irq_disable, 0xbbdc1d69, "");
SYMBOL_CRC(ath11k_pcic_config_irq, 0x88bf30a2, "");
SYMBOL_CRC(ath11k_pcic_ce_irqs_enable, 0x86af92c5, "");
SYMBOL_CRC(ath11k_pcic_ce_irq_disable_sync, 0x17f7ff4c, "");
SYMBOL_CRC(ath11k_pcic_stop, 0xe2f82532, "");
SYMBOL_CRC(ath11k_pcic_start, 0xa23ae9b2, "");
SYMBOL_CRC(ath11k_pcic_map_service_to_pipe, 0xd06b5819, "");
SYMBOL_CRC(ath11k_pcic_register_pci_ops, 0x74b00494, "");
SYMBOL_CRC(ath11k_pci_enable_ce_irqs_except_wake_irq, 0xc520729a, "");
SYMBOL_CRC(ath11k_pci_disable_ce_irqs_except_wake_irq, 0x02d76dc5, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0xdd2bbbed, "ieee80211_wake_queues" },
	{ 0x121a44d, "free_netdev" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xa0415875, "qmi_txn_init" },
	{ 0x32219693, "ieee80211_report_low_ack" },
	{ 0x1f6cd43e, "ieee80211_beacon_get_template" },
	{ 0xde80cd09, "ioremap" },
	{ 0xce66faa6, "crypto_shash_update" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x3f4a6cb1, "ieee80211_free_txskb" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x4c4a8f8f, "ieee80211_alloc_hw_nm" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x11089ac7, "_ctype" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0xc0d4abcc, "kernel_connect" },
	{ 0x6bedf402, "ieee80211_freq_khz_to_channel" },
	{ 0xa4028f80, "devm_hwmon_device_register_with_groups" },
	{ 0xfb578fc5, "memset" },
	{ 0xf8e66d75, "_dev_warn" },
	{ 0xb202f0d7, "rht_bucket_nested_insert" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x7c983a5d, "dmi_walk" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xbf4453c4, "ieee80211_beacon_free_ema_list" },
	{ 0xfff50bc6, "__netdev_alloc_skb" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0x2a5ea9ef, "rhashtable_destroy" },
	{ 0x493a667, "ieee80211_ready_on_channel" },
	{ 0xfb40d85e, "ieee80211_stop_queues" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x99934c81, "skb_trim" },
	{ 0xea5978b4, "qmi_handle_release" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xdddcc7e5, "pv_ops" },
	{ 0xe0313d71, "rhashtable_insert_slow" },
	{ 0x1d40b6f3, "idr_for_each" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x83ceb288, "ieee80211_vif_to_wdev" },
	{ 0x8a4e0b77, "alloc_netdev_dummy" },
	{ 0x662ae0e6, "dma_free_attrs" },
	{ 0x28839c12, "rhashtable_init_noprof" },
	{ 0xb2df7fc1, "ieee80211_scan_completed" },
	{ 0x8e12762c, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0xf97053c8, "crypto_shash_final" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x7be61139, "param_ops_bool" },
	{ 0xb3076033, "ieee80211_unregister_hw" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x23bf00f8, "__kmalloc_cache_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x7ef39823, "ieee80211_hdrlen" },
	{ 0xacc44fde, "ieee80211_color_change_finish" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xf9f1824e, "ieee80211_radar_detected" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xcd651a8c, "thermal_cooling_device_unregister" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0x27bbf221, "disable_irq_nosync" },
	{ 0x5c2c0fb0, "ieee80211_queue_work" },
	{ 0xbf7f226a, "napi_schedule_prep" },
	{ 0x754d539c, "strlen" },
	{ 0xa53005cf, "napi_disable" },
	{ 0x591bdbd4, "dev_kfree_skb_any_reason" },
	{ 0x5cba2be4, "ieee80211_bss_get_elem" },
	{ 0xf0708166, "regulatory_set_wiphy_regd" },
	{ 0xd682c93f, "cfg80211_chandef_dfs_cac_time" },
	{ 0x5009546e, "crypto_alloc_shash" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x6232a8e7, "ieee80211_beacon_get_template_ema_list" },
	{ 0x8957aefe, "qmi_add_lookup" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x6872b6e2, "__cfg80211_get_bss" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xd4ec10e6, "BUG_func" },
	{ 0xf9a482f9, "msleep" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x53847a1a, "kmalloc_caches" },
	{ 0xd9eb2768, "ieee80211_csa_finish" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x20f79083, "ieee80211_rx_napi" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xbf02db51, "ieee80211_beacon_update_cntdwn" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xe91f9b82, "ieee80211_gtk_rekey_notify" },
	{ 0x501a7bfa, "device_set_wakeup_enable" },
	{ 0xddf6ad7a, "completion_done" },
	{ 0xc875c952, "cfg80211_chandef_dfs_usable" },
	{ 0xa78af5f3, "ioread32" },
	{ 0xad68421f, "ieee80211_connection_loss" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xb973f05c, "device_set_wakeup_capable" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0x20978fb9, "idr_find" },
	{ 0xf94f719, "param_ops_uint" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x34611bfc, "skb_put" },
	{ 0x4a453f53, "iowrite32" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x4cd2fe40, "qmi_response_type_v01_ei" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x55643e36, "firmware_request_nowarn" },
	{ 0x1d813723, "qmi_handle_init" },
	{ 0xfad60243, "consume_skb" },
	{ 0xb0e602eb, "memmove" },
	{ 0xeb0c29b3, "netif_napi_add_weight" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xb87ef784, "device_get_mac_address" },
	{ 0x2fe3987, "ieee80211_get_unsol_bcast_probe_resp_tmpl" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x863f913b, "skb_dequeue" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x747b33c0, "ieee80211_free_hw" },
	{ 0x1d5e64e4, "dma_unmap_page_attrs" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x96848186, "scnprintf" },
	{ 0xa1354ea2, "ieee80211_iterate_stations_atomic" },
	{ 0xd9dc66c0, "devm_ioremap" },
	{ 0xedc03953, "iounmap" },
	{ 0xc1c95945, "ieee80211_tx_status_ext" },
	{ 0x69acdf38, "memcpy" },
	{ 0xfb1f865e, "ieee80211_beacon_loss" },
	{ 0x37a0cba, "kfree" },
	{ 0xcb34777a, "ieee80211_get_fils_discovery_tmpl" },
	{ 0xfcec0987, "enable_irq" },
	{ 0xaeb082ad, "_raw_read_unlock_bh" },
	{ 0x8dee722d, "_raw_read_lock_bh" },
	{ 0xad13d1c1, "pcpu_hot" },
	{ 0x30893a2c, "thermal_cooling_device_register" },
	{ 0xcb15786a, "ieee80211_register_hw" },
	{ 0xd780ffe4, "ieee80211_restart_hw" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x697ed5f0, "memcpy_and_pad" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xab8bbf7a, "ieee80211_get_hdrlen_from_skb" },
	{ 0xe2964344, "__wake_up" },
	{ 0x20225c0a, "__netif_napi_del" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xfdb512aa, "ieee80211_hw_restart_disconnect" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x9ef7eb7f, "pskb_expand_head" },
	{ 0x48bb122e, "dev_driver_string" },
	{ 0xbf5f2b98, "crypto_destroy_tfm" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x69509299, "ieee80211_find_sta" },
	{ 0x922126bc, "dma_map_page_attrs" },
	{ 0x878237f2, "qmi_send_request" },
	{ 0xa6edc192, "napi_complete_done" },
	{ 0xb9e7429c, "memcpy_toio" },
	{ 0xc660dfb4, "ieee80211_handle_wake_tx_queue" },
	{ 0x7522f3ba, "irq_modify_status" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x810972a7, "ieee80211_tx_status_irqsafe" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x79b82a71, "cfg80211_find_vendor_elem" },
	{ 0xb71509, "ieee80211_iter_chan_contexts_atomic" },
	{ 0x62741c6e, "__napi_schedule" },
	{ 0x441d0de9, "__kmalloc_large_noprof" },
	{ 0xa916b694, "strnlen" },
	{ 0x9633cb1e, "cfg80211_put_bss" },
	{ 0xc57c48a3, "idr_get_next" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xfc8ee5e4, "qmi_txn_wait" },
	{ 0x208822a8, "_dev_info" },
	{ 0xae7df2e2, "skb_queue_tail" },
	{ 0xb871455e, "ieee80211_get_channel_khz" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x7d4a513d, "sysfs_create_link" },
	{ 0x9a052515, "ieee80211_obss_color_collision_notify" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x9d6cba30, "cfg80211_find_elem_match" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0x7665a95b, "idr_remove" },
	{ 0xe34fab33, "wiphy_to_ieee80211_hw" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x1ae08d52, "__skb_get_hash_net" },
	{ 0xe6f97633, "__dma_sync_single_for_cpu" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x1f48b1f4, "ieee80211_queue_delayed_work" },
	{ 0x70ed1b59, "_dev_err" },
	{ 0x3116aae, "crypto_shash_setkey" },
	{ 0xff81d66a, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xa1e06411, "qmi_txn_cancel" },
	{ 0xfbba88dd, "sysfs_remove_link" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x6ef78684, "sk_skb_reason_drop" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x6e651f93, "ieee80211_find_sta_by_ifaddr" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xceb1ab22, "ieee80211_remain_on_channel_expired" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x9ea2a343, "skb_push" },
	{ 0x2ef23732, "dma_alloc_attrs" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0xc7ca8122, "napi_enable" },
	{ 0x5a921311, "strncmp" },
	{ 0x13c0013, "ieee80211_beacon_cntdwn_is_complete" },
	{ 0x7777a199, "module_layout" },
};

MODULE_INFO(depends, "mac80211,qmi_helpers,cfg80211");


MODULE_INFO(srcversion, "212F01909F6E52C1BEEE16E");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
