#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(rt2x00usb_vendor_request, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_vendor_req_buff_lock, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_vendor_request_buff, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_regbusy_read, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_register_read_async, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_kick_queue, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_flush_queue, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_watchdog, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_disable_radio, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_clear_entry, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_initialize, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_uninitialize, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_probe, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_disconnect, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_suspend, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_resume, "_gpl", "");

SYMBOL_CRC(rt2x00usb_vendor_request, 0x674402ad, "_gpl");
SYMBOL_CRC(rt2x00usb_vendor_req_buff_lock, 0x66e821e1, "_gpl");
SYMBOL_CRC(rt2x00usb_vendor_request_buff, 0x7555e242, "_gpl");
SYMBOL_CRC(rt2x00usb_regbusy_read, 0xe99940e6, "_gpl");
SYMBOL_CRC(rt2x00usb_register_read_async, 0x6051088b, "_gpl");
SYMBOL_CRC(rt2x00usb_kick_queue, 0x4a049e6b, "_gpl");
SYMBOL_CRC(rt2x00usb_flush_queue, 0xaac0fad1, "_gpl");
SYMBOL_CRC(rt2x00usb_watchdog, 0x92a3310f, "_gpl");
SYMBOL_CRC(rt2x00usb_disable_radio, 0x3a083941, "_gpl");
SYMBOL_CRC(rt2x00usb_clear_entry, 0xaf5dc7d5, "_gpl");
SYMBOL_CRC(rt2x00usb_initialize, 0x56d3cb2a, "_gpl");
SYMBOL_CRC(rt2x00usb_uninitialize, 0x36fb7aa6, "_gpl");
SYMBOL_CRC(rt2x00usb_probe, 0xcb4c55ce, "_gpl");
SYMBOL_CRC(rt2x00usb_disconnect, 0x4a8b859d, "_gpl");
SYMBOL_CRC(rt2x00usb_suspend, 0x0907f8e9, "_gpl");
SYMBOL_CRC(rt2x00usb_resume, 0x996488d3, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x7a9392d9, "usb_control_msg" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x70ed1b59, "_dev_err" },
	{ 0x364c23ad, "mutex_is_locked" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x48ee5c26, "usb_anchor_urb" },
	{ 0xb628d75a, "usb_submit_urb" },
	{ 0x37a0cba, "kfree" },
	{ 0x18bd4075, "usb_unanchor_urb" },
	{ 0x53847a1a, "kmalloc_caches" },
	{ 0x23bf00f8, "__kmalloc_cache_noprof" },
	{ 0x69bce15e, "usb_alloc_urb" },
	{ 0x2cbfa3e8, "usb_free_urb" },
	{ 0xe3cd47ba, "rt2x00lib_dmastart" },
	{ 0xce6c72f8, "rt2x00lib_dmadone" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x15998a50, "__skb_pad" },
	{ 0xf8e66d75, "_dev_warn" },
	{ 0xf9a482f9, "msleep" },
	{ 0x5269ecc, "rt2x00queue_for_each_entry" },
	{ 0x5165c09, "usb_kill_urb" },
	{ 0x75946bae, "rt2x00queue_get_entry" },
	{ 0x9a456b9a, "rt2x00queue_stop_queue" },
	{ 0xff6100a8, "rt2x00queue_flush_queue" },
	{ 0xbaeefaa5, "rt2x00queue_start_queue" },
	{ 0xe1c49d2e, "rt2x00lib_txdone_noinfo" },
	{ 0xd823c944, "rt2x00lib_rxdone" },
	{ 0xabb762a6, "rt2x00lib_suspend" },
	{ 0xc342f540, "rt2x00lib_resume" },
	{ 0x962c8ae1, "usb_kill_anchored_urbs" },
	{ 0x102fe6de, "hrtimer_cancel" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xe3b58311, "rt2x00lib_remove_dev" },
	{ 0x747b33c0, "ieee80211_free_hw" },
	{ 0xac83734f, "usb_put_dev" },
	{ 0x50cfda8f, "usb_get_dev" },
	{ 0x2de7912, "usb_reset_device" },
	{ 0x4c4a8f8f, "ieee80211_alloc_hw_nm" },
	{ 0xea82d349, "hrtimer_init" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x48623c21, "devm_kmalloc" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xbb9998ee, "rt2x00lib_probe_dev" },
	{ 0x92997ed8, "_printk" },
	{ 0x7777a199, "module_layout" },
};

MODULE_INFO(depends, "usbcore,rt2x00lib,mac80211");


MODULE_INFO(srcversion, "67421242C6BCF3999A68E20");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
