#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(rtw_pm_ops, "", "");
KSYMTAB_FUNC(rtw_pci_probe, "", "");
KSYMTAB_FUNC(rtw_pci_remove, "", "");
KSYMTAB_FUNC(rtw_pci_shutdown, "", "");

SYMBOL_CRC(rtw_pm_ops, 0xc4690ab8, "");
SYMBOL_CRC(rtw_pci_probe, 0x0c072a9f, "");
SYMBOL_CRC(rtw_pci_remove, 0xb74f9925, "");
SYMBOL_CRC(rtw_pci_shutdown, 0x143182d7, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf9f773df, "rtw_fw_c2h_cmd_isr" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xe6f97633, "__dma_sync_single_for_cpu" },
	{ 0xb3eefde2, "rtw_unregister_hw" },
	{ 0x70ed1b59, "_dev_err" },
	{ 0xff81d66a, "skb_pull" },
	{ 0xeb2a478d, "rtw_tx_fill_tx_desc" },
	{ 0x9ea2a343, "skb_push" },
	{ 0x2ef23732, "dma_alloc_attrs" },
	{ 0xc7ca8122, "napi_enable" },
	{ 0x2eac6c05, "rtw_core_init" },
	{ 0x121a44d, "free_netdev" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x4c4a8f8f, "ieee80211_alloc_hw_nm" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xe9635ef1, "pci_iounmap" },
	{ 0x9b2b6bab, "rtw_update_rx_freq_from_ie" },
	{ 0x8008b9f6, "rtw_tx_write_data_rsvd_page_get" },
	{ 0xfb578fc5, "memset" },
	{ 0xf8e66d75, "_dev_warn" },
	{ 0x63b3add3, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xc591b8af, "ieee80211_stop_queue" },
	{ 0xfff50bc6, "__netdev_alloc_skb" },
	{ 0x8de857b4, "rtw_rx_stats" },
	{ 0x637e6f16, "pcie_capability_clear_and_set_word_unlocked" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x7fae7000, "rtw_register_hw" },
	{ 0x8a4e0b77, "alloc_netdev_dummy" },
	{ 0x662ae0e6, "dma_free_attrs" },
	{ 0x7be61139, "param_ops_bool" },
	{ 0x6d1c329a, "pci_release_regions" },
	{ 0xdd0fa41d, "__dma_sync_single_for_device" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xb3076033, "ieee80211_unregister_hw" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x56470118, "__warn_printk" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xe9cc5b9e, "rtw_core_deinit" },
	{ 0xf4a65302, "rtw_ops" },
	{ 0xb9be1cdb, "pci_disable_device" },
	{ 0xbf7f226a, "napi_schedule_prep" },
	{ 0xa53005cf, "napi_disable" },
	{ 0x591bdbd4, "dev_kfree_skb_any_reason" },
	{ 0xd4b01f2, "rtw_power_mode_change" },
	{ 0x68e363fe, "rtw_tx_write_data_h2c_get" },
	{ 0xb8ed33e, "pci_free_irq_vectors" },
	{ 0xf9a482f9, "msleep" },
	{ 0xbcc1fbfc, "rtw_fw_c2h_cmd_rx_irqsafe" },
	{ 0x20f79083, "ieee80211_rx_napi" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x67cc8dfd, "rtw_tx_report_enqueue" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x25f18c94, "rtw_tx_queue_mapping" },
	{ 0xeb050907, "pcie_capability_read_word" },
	{ 0xdfd16b21, "devm_request_threaded_irq" },
	{ 0x8c7782a8, "pci_enable_device" },
	{ 0x34611bfc, "skb_put" },
	{ 0xfad60243, "consume_skb" },
	{ 0x9a7ae8d8, "pci_iomap" },
	{ 0x1b9284f, "pci_alloc_irq_vectors" },
	{ 0xeb0c29b3, "netif_napi_add_weight" },
	{ 0x863f913b, "skb_dequeue" },
	{ 0x747b33c0, "ieee80211_free_hw" },
	{ 0x1d5e64e4, "dma_unmap_page_attrs" },
	{ 0x6a4f48c6, "pci_request_regions" },
	{ 0x69acdf38, "memcpy" },
	{ 0x1dc2d072, "rtw_tx_ac_to_hwq" },
	{ 0xe27b207f, "dev_kfree_skb_irq_reason" },
	{ 0xb0412b93, "pci_set_power_state" },
	{ 0x20225c0a, "__netif_napi_del" },
	{ 0x3c393563, "ieee80211_wake_queue" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x48bb122e, "dev_driver_string" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x922126bc, "dma_map_page_attrs" },
	{ 0xa6edc192, "napi_complete_done" },
	{ 0x810972a7, "ieee80211_tx_status_irqsafe" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x3d184561, "devm_free_irq" },
	{ 0x62741c6e, "__napi_schedule" },
	{ 0xae7df2e2, "skb_queue_tail" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xae0378e7, "rtw_chip_info_setup" },
	{ 0x7777a199, "module_layout" },
};

MODULE_INFO(depends, "rtw88_core,mac80211");


MODULE_INFO(srcversion, "36AACC18DB487549C77AFF2");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
