#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ndlc_open, "", "");
KSYMTAB_FUNC(ndlc_close, "", "");
KSYMTAB_FUNC(ndlc_send, "", "");
KSYMTAB_FUNC(ndlc_recv, "", "");
KSYMTAB_FUNC(ndlc_probe, "", "");
KSYMTAB_FUNC(ndlc_remove, "", "");
KSYMTAB_FUNC(st_nci_probe, "_gpl", "");
KSYMTAB_FUNC(st_nci_remove, "_gpl", "");
KSYMTAB_FUNC(st_nci_hci_load_session, "_gpl", "");
KSYMTAB_FUNC(st_nci_hci_event_received, "_gpl", "");
KSYMTAB_FUNC(st_nci_hci_cmd_received, "_gpl", "");
KSYMTAB_FUNC(st_nci_disable_se, "_gpl", "");
KSYMTAB_FUNC(st_nci_enable_se, "_gpl", "");
KSYMTAB_FUNC(st_nci_discover_se, "_gpl", "");
KSYMTAB_FUNC(st_nci_se_io, "", "");
KSYMTAB_FUNC(st_nci_se_init, "", "");
KSYMTAB_FUNC(st_nci_se_deinit, "", "");
KSYMTAB_FUNC(st_nci_vendor_cmds_init, "", "");

SYMBOL_CRC(ndlc_open, 0x2cd33fab, "");
SYMBOL_CRC(ndlc_close, 0x7961a206, "");
SYMBOL_CRC(ndlc_send, 0xae2c8352, "");
SYMBOL_CRC(ndlc_recv, 0xd23595f6, "");
SYMBOL_CRC(ndlc_probe, 0xae6f320c, "");
SYMBOL_CRC(ndlc_remove, 0xe8a75633, "");
SYMBOL_CRC(st_nci_probe, 0x9078087f, "_gpl");
SYMBOL_CRC(st_nci_remove, 0xd8c7dc14, "_gpl");
SYMBOL_CRC(st_nci_hci_load_session, 0xdce23e21, "_gpl");
SYMBOL_CRC(st_nci_hci_event_received, 0x6a101cf9, "_gpl");
SYMBOL_CRC(st_nci_hci_cmd_received, 0x6f9ee0ee, "_gpl");
SYMBOL_CRC(st_nci_disable_se, 0xb0b07cfd, "_gpl");
SYMBOL_CRC(st_nci_enable_se, 0x68d2ca3d, "_gpl");
SYMBOL_CRC(st_nci_discover_se, 0xb1c4e4c2, "_gpl");
SYMBOL_CRC(st_nci_se_io, 0xcec0f907, "");
SYMBOL_CRC(st_nci_se_init, 0xb24d3572, "");
SYMBOL_CRC(st_nci_se_deinit, 0xf81ec8c4, "");
SYMBOL_CRC(st_nci_vendor_cmds_init, 0xfdd6d8e2, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x167c5967, "print_hex_dump" },
	{ 0x1a8c886d, "nfc_se_transaction" },
	{ 0x70ed1b59, "_dev_err" },
	{ 0xff81d66a, "skb_pull" },
	{ 0x20ba05cd, "nci_hci_connect_gate" },
	{ 0x6ef78684, "sk_skb_reason_drop" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x9ea2a343, "skb_push" },
	{ 0x8d304f20, "nla_put" },
	{ 0x2e3bcce2, "wait_for_completion_interruptible" },
	{ 0xddada339, "nci_prop_cmd" },
	{ 0x6d7c5890, "nci_core_conn_create" },
	{ 0xf0996f9b, "nci_nfcc_loopback" },
	{ 0x769283fd, "nci_unregister_device" },
	{ 0x87f0f73f, "skb_dequeue_tail" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xec997fb5, "nci_hci_send_event" },
	{ 0xee62baa4, "nci_hci_clear_all_pipes" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x4111784b, "nfc_se_connectivity" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xe3bae31b, "nci_hci_send_cmd" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x23bf00f8, "__kmalloc_cache_noprof" },
	{ 0xf9a0949, "nfc_vendor_cmd_reply" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xd98ae130, "nci_recv_frame" },
	{ 0x13719664, "nci_hci_dev_session_init" },
	{ 0xd4d64a73, "nci_hci_set_param" },
	{ 0xc7e554da, "nci_req_complete" },
	{ 0xf9a482f9, "msleep" },
	{ 0x53847a1a, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x5f918c6d, "skb_queue_head" },
	{ 0xcebc633, "nci_free_device" },
	{ 0x52eec342, "nci_allocate_device" },
	{ 0xef277e25, "nci_register_device" },
	{ 0x48623c21, "devm_kmalloc" },
	{ 0xab566e03, "__nfc_alloc_vendor_cmd_reply_skb" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x1e4f2c70, "nfc_add_se" },
	{ 0x863f913b, "skb_dequeue" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x96848186, "scnprintf" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x37a0cba, "kfree" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xa28ca97d, "nfc_remove_se" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xaf78e7ac, "skb_queue_purge_reason" },
	{ 0x90abfe0e, "nci_nfcee_mode_set" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xbfa4f3d1, "nci_hci_get_param" },
	{ 0x92997ed8, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xae7df2e2, "skb_queue_tail" },
	{ 0x7777a199, "module_layout" },
};

MODULE_INFO(depends, "nfc,nci");


MODULE_INFO(srcversion, "5FCF973BF4AA30B3DDAC57D");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
