#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(asus_wmi_evaluate_method, "_gpl", "");
KSYMTAB_FUNC(asus_wmi_register_driver, "_gpl", "");
KSYMTAB_FUNC(asus_wmi_unregister_driver, "_gpl", "");

SYMBOL_CRC(asus_wmi_evaluate_method, 0x57c46ceb, "_gpl");
SYMBOL_CRC(asus_wmi_register_driver, 0x2d9ca476, "_gpl");
SYMBOL_CRC(asus_wmi_unregister_driver, 0x2d914e64, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe783e261, "sysfs_emit" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x6a6e05bf, "kstrtou8" },
	{ 0x67927a0d, "platform_profile_notify" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xab5bc054, "device_remove_file" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x8b31178d, "device_create_file" },
	{ 0x665bbd8, "single_open" },
	{ 0x90c28d79, "seq_printf" },
	{ 0xcb3d130f, "led_classdev_unregister" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x75077a6, "platform_device_unregister" },
	{ 0xc72d966d, "platform_driver_unregister" },
	{ 0xb4043948, "acpi_execute_simple_method" },
	{ 0xf9a482f9, "msleep" },
	{ 0x70ed1b59, "_dev_err" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x69acdf38, "memcpy" },
	{ 0x5322663e, "acpi_get_handle" },
	{ 0x1c58427f, "acpi_remove_notify_handler" },
	{ 0x170ddf79, "acpi_install_notify_handler" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xddbeeecc, "pci_lock_rescan_remove" },
	{ 0x8a490c90, "rfkill_set_sw_state" },
	{ 0x396aa12b, "pci_find_bus" },
	{ 0x8f1f9df9, "pci_bus_read_config_dword" },
	{ 0xb15e9566, "pci_get_slot" },
	{ 0xd6084f8f, "pci_dev_put" },
	{ 0x5790e7a0, "pci_unlock_rescan_remove" },
	{ 0x1402f5d3, "pci_stop_and_remove_bus_device" },
	{ 0x230ae3df, "pci_scan_single_device" },
	{ 0x3b9c62a0, "pci_bus_assign_resources" },
	{ 0x7181984b, "pci_bus_add_device" },
	{ 0x83eb21c, "rfkill_unregister" },
	{ 0xdb68bbad, "rfkill_destroy" },
	{ 0xbdb0224a, "pci_hp_deregister" },
	{ 0x141271bf, "acpi_dev_found" },
	{ 0xea389218, "i8042_remove_filter" },
	{ 0x76ae31fd, "wmi_remove_notify_handler" },
	{ 0xd1bc552b, "backlight_device_unregister" },
	{ 0x627d22cb, "input_unregister_device" },
	{ 0x6303756b, "debugfs_remove" },
	{ 0x69a87810, "sysfs_remove_group" },
	{ 0x3e84bedb, "battery_hook_unregister" },
	{ 0xbfe36436, "platform_profile_remove" },
	{ 0xf90df783, "input_event" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x3b7235aa, "__acpi_video_get_backlight_type" },
	{ 0x8968ecf2, "sparse_keymap_report_event" },
	{ 0xd5b79037, "backlight_force_update" },
	{ 0x147bf5df, "led_classdev_notify_brightness_hw_changed" },
	{ 0xf8e66d75, "_dev_warn" },
	{ 0x9920a2c4, "input_set_capability" },
	{ 0x36b88e24, "rfkill_alloc" },
	{ 0xaad6d92f, "rfkill_init_sw_state" },
	{ 0xff282521, "rfkill_register" },
	{ 0x9cab34a6, "rfkill_set_led_trigger_name" },
	{ 0xc9d4d6d1, "wmi_has_guid" },
	{ 0x53847a1a, "kmalloc_caches" },
	{ 0x23bf00f8, "__kmalloc_cache_noprof" },
	{ 0x65b4695, "wmi_get_acpi_device_uid" },
	{ 0x208822a8, "_dev_info" },
	{ 0x509b64ea, "acpi_has_method" },
	{ 0x991d80aa, "sysfs_create_group" },
	{ 0xd4835ef8, "dmi_check_system" },
	{ 0x22faca8c, "input_allocate_device" },
	{ 0xc329896a, "sparse_keymap_setup" },
	{ 0xcac33cd4, "platform_profile_register" },
	{ 0xf4a2c07c, "input_register_device" },
	{ 0x3ef0016b, "input_free_device" },
	{ 0xa4028f80, "devm_hwmon_device_register_with_groups" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xff38c190, "led_classdev_register_ext" },
	{ 0x498d7c3e, "backlight_device_register" },
	{ 0x33c30ffe, "wmi_install_notify_handler" },
	{ 0x6dc88d76, "i8042_install_filter" },
	{ 0xf29c5392, "debugfs_create_dir" },
	{ 0x359c4603, "debugfs_create_x32" },
	{ 0x3571cbff, "debugfs_create_file" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xe1d7ffa9, "__pci_hp_register" },
	{ 0xc1c5f567, "pci_get_device" },
	{ 0x587b5beb, "pci_read_config_dword" },
	{ 0x64553bd5, "pci_write_config_dword" },
	{ 0x45ad8eda, "battery_hook_register" },
	{ 0x239c6232, "seq_lseek" },
	{ 0xa719d826, "seq_read" },
	{ 0xfc79eb12, "single_release" },
	{ 0x75dc63c9, "device_show_string" },
	{ 0x7be61139, "param_ops_bool" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6068bedf, "wmi_evaluate_method" },
	{ 0x37a0cba, "kfree" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xcc4839ab, "__platform_create_bundle" },
	{ 0x92997ed8, "_printk" },
	{ 0xc9df07e6, "sysfs_notify" },
	{ 0x7777a199, "module_layout" },
};

MODULE_INFO(depends, "platform_profile,rfkill,wmi,battery,video,sparse-keymap");


MODULE_INFO(srcversion, "A7CDAF8FBC39745F8112FC1");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
