#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(rio_local_get_device_id, "_gpl", "");
KSYMTAB_FUNC(rio_query_mport, "", "");
KSYMTAB_FUNC(rio_alloc_net, "_gpl", "");
KSYMTAB_FUNC(rio_add_net, "_gpl", "");
KSYMTAB_FUNC(rio_free_net, "_gpl", "");
KSYMTAB_FUNC(rio_local_set_device_id, "_gpl", "");
KSYMTAB_FUNC(rio_add_device, "_gpl", "");
KSYMTAB_FUNC(rio_del_device, "_gpl", "");
KSYMTAB_FUNC(rio_request_inb_mbox, "_gpl", "");
KSYMTAB_FUNC(rio_release_inb_mbox, "_gpl", "");
KSYMTAB_FUNC(rio_request_outb_mbox, "_gpl", "");
KSYMTAB_FUNC(rio_release_outb_mbox, "_gpl", "");
KSYMTAB_FUNC(rio_request_inb_dbell, "_gpl", "");
KSYMTAB_FUNC(rio_release_inb_dbell, "_gpl", "");
KSYMTAB_FUNC(rio_request_outb_dbell, "_gpl", "");
KSYMTAB_FUNC(rio_release_outb_dbell, "_gpl", "");
KSYMTAB_FUNC(rio_add_mport_pw_handler, "_gpl", "");
KSYMTAB_FUNC(rio_del_mport_pw_handler, "_gpl", "");
KSYMTAB_FUNC(rio_request_inb_pwrite, "_gpl", "");
KSYMTAB_FUNC(rio_release_inb_pwrite, "_gpl", "");
KSYMTAB_FUNC(rio_pw_enable, "_gpl", "");
KSYMTAB_FUNC(rio_map_inb_region, "_gpl", "");
KSYMTAB_FUNC(rio_unmap_inb_region, "_gpl", "");
KSYMTAB_FUNC(rio_map_outb_region, "_gpl", "");
KSYMTAB_FUNC(rio_unmap_outb_region, "_gpl", "");
KSYMTAB_FUNC(rio_mport_get_physefb, "_gpl", "");
KSYMTAB_FUNC(rio_get_comptag, "_gpl", "");
KSYMTAB_FUNC(rio_set_port_lockout, "_gpl", "");
KSYMTAB_FUNC(rio_enable_rx_tx_port, "_gpl", "");
KSYMTAB_FUNC(rio_mport_chk_dev_access, "_gpl", "");
KSYMTAB_FUNC(rio_inb_pwrite_handler, "_gpl", "");
KSYMTAB_FUNC(rio_mport_get_efb, "_gpl", "");
KSYMTAB_FUNC(rio_mport_get_feature, "_gpl", "");
KSYMTAB_FUNC(rio_lock_device, "_gpl", "");
KSYMTAB_FUNC(rio_unlock_device, "_gpl", "");
KSYMTAB_FUNC(rio_route_add_entry, "_gpl", "");
KSYMTAB_FUNC(rio_route_get_entry, "_gpl", "");
KSYMTAB_FUNC(rio_route_clr_table, "_gpl", "");
KSYMTAB_FUNC(rio_request_mport_dma, "_gpl", "");
KSYMTAB_FUNC(rio_request_dma, "_gpl", "");
KSYMTAB_FUNC(rio_release_dma, "_gpl", "");
KSYMTAB_FUNC(rio_dma_prep_xfer, "_gpl", "");
KSYMTAB_FUNC(rio_dma_prep_slave_sg, "_gpl", "");
KSYMTAB_FUNC(rio_register_scan, "_gpl", "");
KSYMTAB_FUNC(rio_unregister_scan, "_gpl", "");
KSYMTAB_FUNC(rio_init_mports, "_gpl", "");
KSYMTAB_FUNC(rio_mport_initialize, "_gpl", "");
KSYMTAB_FUNC(rio_register_mport, "_gpl", "");
KSYMTAB_FUNC(rio_unregister_mport, "_gpl", "");
KSYMTAB_FUNC(__rio_local_read_config_8, "_gpl", "");
KSYMTAB_FUNC(__rio_local_read_config_16, "_gpl", "");
KSYMTAB_FUNC(__rio_local_read_config_32, "_gpl", "");
KSYMTAB_FUNC(__rio_local_write_config_8, "_gpl", "");
KSYMTAB_FUNC(__rio_local_write_config_16, "_gpl", "");
KSYMTAB_FUNC(__rio_local_write_config_32, "_gpl", "");
KSYMTAB_FUNC(rio_mport_read_config_8, "_gpl", "");
KSYMTAB_FUNC(rio_mport_read_config_16, "_gpl", "");
KSYMTAB_FUNC(rio_mport_read_config_32, "_gpl", "");
KSYMTAB_FUNC(rio_mport_write_config_8, "_gpl", "");
KSYMTAB_FUNC(rio_mport_write_config_16, "_gpl", "");
KSYMTAB_FUNC(rio_mport_write_config_32, "_gpl", "");
KSYMTAB_FUNC(rio_mport_send_doorbell, "_gpl", "");
KSYMTAB_FUNC(rio_attach_device, "_gpl", "");
KSYMTAB_DATA(rio_mport_class, "_gpl", "");
KSYMTAB_FUNC(rio_register_driver, "_gpl", "");
KSYMTAB_FUNC(rio_unregister_driver, "_gpl", "");
KSYMTAB_DATA(rio_bus_type, "_gpl", "");
KSYMTAB_FUNC(rio_dev_get, "_gpl", "");
KSYMTAB_FUNC(rio_dev_put, "_gpl", "");

SYMBOL_CRC(rio_local_get_device_id, 0xd6a9851e, "_gpl");
SYMBOL_CRC(rio_query_mport, 0x52f149ba, "");
SYMBOL_CRC(rio_alloc_net, 0xe275a35b, "_gpl");
SYMBOL_CRC(rio_add_net, 0x019ac865, "_gpl");
SYMBOL_CRC(rio_free_net, 0xa9e87e21, "_gpl");
SYMBOL_CRC(rio_local_set_device_id, 0xbc593949, "_gpl");
SYMBOL_CRC(rio_add_device, 0x18ea4f28, "_gpl");
SYMBOL_CRC(rio_del_device, 0x2432b175, "_gpl");
SYMBOL_CRC(rio_request_inb_mbox, 0xdc19be82, "_gpl");
SYMBOL_CRC(rio_release_inb_mbox, 0x40eb1a84, "_gpl");
SYMBOL_CRC(rio_request_outb_mbox, 0xd8b7ee51, "_gpl");
SYMBOL_CRC(rio_release_outb_mbox, 0x8e643006, "_gpl");
SYMBOL_CRC(rio_request_inb_dbell, 0x6a112950, "_gpl");
SYMBOL_CRC(rio_release_inb_dbell, 0x5b5220c5, "_gpl");
SYMBOL_CRC(rio_request_outb_dbell, 0x71538963, "_gpl");
SYMBOL_CRC(rio_release_outb_dbell, 0x572739e7, "_gpl");
SYMBOL_CRC(rio_add_mport_pw_handler, 0x3d37413c, "_gpl");
SYMBOL_CRC(rio_del_mport_pw_handler, 0x74e1f94e, "_gpl");
SYMBOL_CRC(rio_request_inb_pwrite, 0x4ba9354d, "_gpl");
SYMBOL_CRC(rio_release_inb_pwrite, 0x7a13aade, "_gpl");
SYMBOL_CRC(rio_pw_enable, 0x9afb4185, "_gpl");
SYMBOL_CRC(rio_map_inb_region, 0x23f516bf, "_gpl");
SYMBOL_CRC(rio_unmap_inb_region, 0x5f68ef63, "_gpl");
SYMBOL_CRC(rio_map_outb_region, 0xa6958a62, "_gpl");
SYMBOL_CRC(rio_unmap_outb_region, 0x55e918c1, "_gpl");
SYMBOL_CRC(rio_mport_get_physefb, 0x35fe19e5, "_gpl");
SYMBOL_CRC(rio_get_comptag, 0x954634ba, "_gpl");
SYMBOL_CRC(rio_set_port_lockout, 0x32a5df4a, "_gpl");
SYMBOL_CRC(rio_enable_rx_tx_port, 0xddebd152, "_gpl");
SYMBOL_CRC(rio_mport_chk_dev_access, 0x4283f189, "_gpl");
SYMBOL_CRC(rio_inb_pwrite_handler, 0xa5fddcc9, "_gpl");
SYMBOL_CRC(rio_mport_get_efb, 0xdd2de6ce, "_gpl");
SYMBOL_CRC(rio_mport_get_feature, 0x87b0ef14, "_gpl");
SYMBOL_CRC(rio_lock_device, 0xcaefd6f2, "_gpl");
SYMBOL_CRC(rio_unlock_device, 0xc05d933d, "_gpl");
SYMBOL_CRC(rio_route_add_entry, 0x85d4be00, "_gpl");
SYMBOL_CRC(rio_route_get_entry, 0xafad2b5e, "_gpl");
SYMBOL_CRC(rio_route_clr_table, 0xf5a1fc67, "_gpl");
SYMBOL_CRC(rio_request_mport_dma, 0x78110fce, "_gpl");
SYMBOL_CRC(rio_request_dma, 0x36e10545, "_gpl");
SYMBOL_CRC(rio_release_dma, 0xb8c027e6, "_gpl");
SYMBOL_CRC(rio_dma_prep_xfer, 0x08beab32, "_gpl");
SYMBOL_CRC(rio_dma_prep_slave_sg, 0xa5c4ffe0, "_gpl");
SYMBOL_CRC(rio_register_scan, 0xae080f37, "_gpl");
SYMBOL_CRC(rio_unregister_scan, 0x3dc149b6, "_gpl");
SYMBOL_CRC(rio_init_mports, 0xe1bd6c99, "_gpl");
SYMBOL_CRC(rio_mport_initialize, 0x52b5410e, "_gpl");
SYMBOL_CRC(rio_register_mport, 0x94dc4f6a, "_gpl");
SYMBOL_CRC(rio_unregister_mport, 0x5a767f50, "_gpl");
SYMBOL_CRC(__rio_local_read_config_8, 0xfadf50cc, "_gpl");
SYMBOL_CRC(__rio_local_read_config_16, 0x02ead17c, "_gpl");
SYMBOL_CRC(__rio_local_read_config_32, 0xacdb7f22, "_gpl");
SYMBOL_CRC(__rio_local_write_config_8, 0x3b9a00ac, "_gpl");
SYMBOL_CRC(__rio_local_write_config_16, 0xd0329a95, "_gpl");
SYMBOL_CRC(__rio_local_write_config_32, 0xc1cf6c9f, "_gpl");
SYMBOL_CRC(rio_mport_read_config_8, 0xc2c1452e, "_gpl");
SYMBOL_CRC(rio_mport_read_config_16, 0x8ff93b17, "_gpl");
SYMBOL_CRC(rio_mport_read_config_32, 0xeeffc90b, "_gpl");
SYMBOL_CRC(rio_mport_write_config_8, 0x21c63713, "_gpl");
SYMBOL_CRC(rio_mport_write_config_16, 0xd5f7e606, "_gpl");
SYMBOL_CRC(rio_mport_write_config_32, 0x05dcd313, "_gpl");
SYMBOL_CRC(rio_mport_send_doorbell, 0x7e92fa9b, "_gpl");
SYMBOL_CRC(rio_attach_device, 0x23eb5a5b, "_gpl");
SYMBOL_CRC(rio_mport_class, 0x78b90a0a, "_gpl");
SYMBOL_CRC(rio_register_driver, 0x3d151312, "_gpl");
SYMBOL_CRC(rio_unregister_driver, 0x8ead367c, "_gpl");
SYMBOL_CRC(rio_bus_type, 0x66d70711, "_gpl");
SYMBOL_CRC(rio_dev_get, 0x33345549, "_gpl");
SYMBOL_CRC(rio_dev_put, 0xaa605d0c, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xfde33339, "get_device" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xe7f11285, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x8de96c0e, "__dma_request_channel" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x64dba328, "put_device" },
	{ 0xc6cbbc89, "capable" },
	{ 0xec1f44a5, "module_put" },
	{ 0x70ed1b59, "_dev_err" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x25e15af1, "driver_unregister" },
	{ 0xeb0d2ab8, "class_unregister" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x49da913e, "device_register" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x23bf00f8, "__kmalloc_cache_noprof" },
	{ 0x3854774b, "kstrtoll" },
	{ 0xc5e74216, "release_resource" },
	{ 0x58cfccdb, "param_ops_int" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x3d8ae1d7, "driver_register" },
	{ 0xe5548c62, "class_register" },
	{ 0x53847a1a, "kmalloc_caches" },
	{ 0x123627f, "bus_register" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x6d4142d7, "try_module_get" },
	{ 0x13110126, "request_resource" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x75fc6fd4, "dev_set_name" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x746c9725, "device_unregister" },
	{ 0xfe4179a5, "param_array_ops" },
	{ 0x37a0cba, "kfree" },
	{ 0x7dbd4c6d, "dma_release_channel" },
	{ 0x386b670b, "device_for_each_child" },
	{ 0x7777a199, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "7C3C1A8BC085EC9B7BCC133");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
