#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(sas_remove_children, "", "");
KSYMTAB_FUNC(sas_remove_host, "", "");
KSYMTAB_FUNC(sas_get_address, "", "");
KSYMTAB_FUNC(sas_tlr_supported, "_gpl", "");
KSYMTAB_FUNC(sas_disable_tlr, "_gpl", "");
KSYMTAB_FUNC(sas_enable_tlr, "_gpl", "");
KSYMTAB_FUNC(sas_is_tlr_enabled, "_gpl", "");
KSYMTAB_FUNC(sas_ata_ncq_prio_supported, "_gpl", "");
KSYMTAB_FUNC(sas_phy_alloc, "", "");
KSYMTAB_FUNC(sas_phy_add, "", "");
KSYMTAB_FUNC(sas_phy_free, "", "");
KSYMTAB_FUNC(sas_phy_delete, "", "");
KSYMTAB_FUNC(scsi_is_sas_phy, "", "");
KSYMTAB_FUNC(sas_port_alloc, "", "");
KSYMTAB_FUNC(sas_port_alloc_num, "", "");
KSYMTAB_FUNC(sas_port_add, "", "");
KSYMTAB_FUNC(sas_port_free, "", "");
KSYMTAB_FUNC(sas_port_delete, "", "");
KSYMTAB_FUNC(scsi_is_sas_port, "", "");
KSYMTAB_FUNC(sas_port_get_phy, "", "");
KSYMTAB_FUNC(sas_port_add_phy, "", "");
KSYMTAB_FUNC(sas_port_delete_phy, "", "");
KSYMTAB_FUNC(sas_port_mark_backlink, "", "");
KSYMTAB_FUNC(sas_read_port_mode_page, "", "");
KSYMTAB_FUNC(sas_end_device_alloc, "", "");
KSYMTAB_FUNC(sas_expander_alloc, "", "");
KSYMTAB_FUNC(sas_rphy_add, "", "");
KSYMTAB_FUNC(sas_rphy_free, "", "");
KSYMTAB_FUNC(sas_rphy_delete, "", "");
KSYMTAB_FUNC(sas_rphy_unlink, "", "");
KSYMTAB_FUNC(sas_rphy_remove, "", "");
KSYMTAB_FUNC(scsi_is_sas_rphy, "", "");
KSYMTAB_FUNC(sas_attach_transport, "", "");
KSYMTAB_FUNC(sas_release_transport, "", "");

SYMBOL_CRC(sas_remove_children, 0xd08d8798, "");
SYMBOL_CRC(sas_remove_host, 0x463cc442, "");
SYMBOL_CRC(sas_get_address, 0x3d0b4936, "");
SYMBOL_CRC(sas_tlr_supported, 0x4bbaf8cf, "_gpl");
SYMBOL_CRC(sas_disable_tlr, 0x05e8d433, "_gpl");
SYMBOL_CRC(sas_enable_tlr, 0x00f83174, "_gpl");
SYMBOL_CRC(sas_is_tlr_enabled, 0x3539f139, "_gpl");
SYMBOL_CRC(sas_ata_ncq_prio_supported, 0x354bdc5f, "_gpl");
SYMBOL_CRC(sas_phy_alloc, 0x5d2a5043, "");
SYMBOL_CRC(sas_phy_add, 0x58bdbf8e, "");
SYMBOL_CRC(sas_phy_free, 0x3656ee85, "");
SYMBOL_CRC(sas_phy_delete, 0xb1ed8a17, "");
SYMBOL_CRC(scsi_is_sas_phy, 0x72c4a59d, "");
SYMBOL_CRC(sas_port_alloc, 0x981a8e72, "");
SYMBOL_CRC(sas_port_alloc_num, 0x0ee5d319, "");
SYMBOL_CRC(sas_port_add, 0xa9318174, "");
SYMBOL_CRC(sas_port_free, 0x6e2c99e1, "");
SYMBOL_CRC(sas_port_delete, 0x7334023f, "");
SYMBOL_CRC(scsi_is_sas_port, 0x33ef40ed, "");
SYMBOL_CRC(sas_port_get_phy, 0x550cfd33, "");
SYMBOL_CRC(sas_port_add_phy, 0xd26cfcf9, "");
SYMBOL_CRC(sas_port_delete_phy, 0x592d5e92, "");
SYMBOL_CRC(sas_port_mark_backlink, 0x2e8768f7, "");
SYMBOL_CRC(sas_read_port_mode_page, 0xe6b5280b, "");
SYMBOL_CRC(sas_end_device_alloc, 0x00a092bf, "");
SYMBOL_CRC(sas_expander_alloc, 0x75154c0b, "");
SYMBOL_CRC(sas_rphy_add, 0x33ac8f66, "");
SYMBOL_CRC(sas_rphy_free, 0x85023baa, "");
SYMBOL_CRC(sas_rphy_delete, 0xacd08d74, "");
SYMBOL_CRC(sas_rphy_unlink, 0x023c156b, "");
SYMBOL_CRC(sas_rphy_remove, 0x00681c17, "");
SYMBOL_CRC(scsi_is_sas_rphy, 0x7004e4ac, "");
SYMBOL_CRC(sas_attach_transport, 0xba9c08db, "");
SYMBOL_CRC(sas_release_transport, 0xa5b84e5d, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x53847a1a, "kmalloc_caches" },
	{ 0x23bf00f8, "__kmalloc_cache_noprof" },
	{ 0x5868ec9e, "attribute_container_register" },
	{ 0x96c65581, "scsi_get_vpd_page" },
	{ 0xb655458f, "scsi_mode_sense" },
	{ 0xae97d25b, "attribute_container_unregister" },
	{ 0x94dcdf86, "scsi_remove_host" },
	{ 0x7ccf5d39, "bsg_remove_queue" },
	{ 0x14df526, "scsi_remove_target" },
	{ 0x49584518, "scsi_is_host_device" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xf8e66d75, "_dev_warn" },
	{ 0xc960bfb1, "bsg_job_done" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x88ac0e0c, "dma_opt_mapping_size" },
	{ 0x87ef9baa, "device_initialize" },
	{ 0x75fc6fd4, "dev_set_name" },
	{ 0x4e609ffb, "transport_setup_device" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x386b670b, "device_for_each_child" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x64dba328, "put_device" },
	{ 0x37a0cba, "kfree" },
	{ 0xf86cf345, "device_add" },
	{ 0xab5b23e5, "transport_add_device" },
	{ 0xa386ef7e, "transport_configure_device" },
	{ 0xb7c5b9e1, "device_del" },
	{ 0x194aeccc, "transport_destroy_device" },
	{ 0x60157d76, "transport_remove_device" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xfde33339, "get_device" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xfbba88dd, "sysfs_remove_link" },
	{ 0x7d4a513d, "sysfs_create_link" },
	{ 0x92997ed8, "_printk" },
	{ 0xa7d0e13, "_dev_printk" },
	{ 0xea0c9fad, "scsi_scan_target" },
	{ 0x8ea6bb6e, "bsg_setup_queue" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x754d539c, "strlen" },
	{ 0x5a921311, "strncmp" },
	{ 0xab10e66a, "transport_class_register" },
	{ 0x6f2e9500, "transport_class_unregister" },
	{ 0x7777a199, "module_layout" },
};

MODULE_INFO(depends, "scsi_mod");


MODULE_INFO(srcversion, "3109B07A74B7470B8C8BE31");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
