#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(sdw_amd_probe, "", "SOUNDWIRE_AMD_INIT");
KSYMTAB_FUNC(sdw_amd_exit, "", "SOUNDWIRE_AMD_INIT");
KSYMTAB_FUNC(sdw_amd_get_slave_info, "", "SOUNDWIRE_AMD_INIT");

SYMBOL_CRC(sdw_amd_probe, 0x0f97fee4, "");
SYMBOL_CRC(sdw_amd_exit, 0xb8c459f1, "");
SYMBOL_CRC(sdw_amd_get_slave_info, 0x88a9c25d, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x68848d4b, "sdw_stream_remove_master" },
	{ 0x70ed1b59, "_dev_err" },
	{ 0x75077a6, "platform_device_unregister" },
	{ 0xf9d90bfd, "platform_get_resource" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xc293c0fa, "__platform_driver_register" },
	{ 0x3d8d9eb1, "devm_kasprintf" },
	{ 0xe907c949, "sdw_stream_add_master" },
	{ 0x7ba1b36d, "platform_device_register_full" },
	{ 0xa352bc61, "__pm_runtime_resume" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xc1e57b3e, "acpi_fetch_acpi_dev" },
	{ 0xecdf83e7, "device_get_named_child_node" },
	{ 0x60e31fbb, "sdw_find_col_index" },
	{ 0x23bf00f8, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x77728917, "sdw_bus_master_delete" },
	{ 0xc813900a, "__pm_runtime_use_autosuspend" },
	{ 0x69b3ad8e, "__pm_runtime_disable" },
	{ 0x4f3539cf, "sdw_compute_slave_ports" },
	{ 0x7082ee18, "sdw_bus_exit_clk_stop" },
	{ 0x3ad41c88, "sdw_master_read_prop" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x53847a1a, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0xc0c63442, "sdw_bus_prep_clk_stop" },
	{ 0x48623c21, "devm_kmalloc" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xc72d966d, "platform_driver_unregister" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xee3f7347, "sdw_bus_clk_stop" },
	{ 0x1104f5ba, "pm_runtime_set_autosuspend_delay" },
	{ 0xa3cd5419, "sdw_bus_master_add" },
	{ 0xd9dc66c0, "devm_ioremap" },
	{ 0x37a0cba, "kfree" },
	{ 0x1deee061, "sdw_find_row_index" },
	{ 0x386b670b, "device_for_each_child" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x5439557e, "sdw_handle_slave_status" },
	{ 0xe7f11285, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xc3abf0f7, "__pm_runtime_set_status" },
	{ 0x82686cbe, "devm_snd_soc_register_component" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb6019912, "pm_runtime_enable" },
	{ 0xb2335428, "fwnode_property_read_u32_array" },
	{ 0xdbd544df, "sdw_clear_slave_status" },
	{ 0x7777a199, "module_layout" },
};

MODULE_INFO(depends, "soundwire-bus,soundwire-generic-allocation,snd-pcm,snd-soc-core");


MODULE_INFO(srcversion, "28CDA231589925865647A53");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
