#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(vfio_pci_core_enable, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_disable, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_close_device, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_finish_enable, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_register_dev_region, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_ioctl, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_ioctl_feature, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_read, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_write, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_mmap, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_request, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_match, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_init_dev, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_release_dev, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_register_device, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_unregister_device, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_aer_err_detected, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_sriov_configure, "_gpl", "");
KSYMTAB_DATA(vfio_pci_core_err_handlers, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_set_params, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_iowrite8, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_iowrite16, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_iowrite32, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_iowrite64, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_ioread8, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_ioread16, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_ioread32, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_ioread64, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_do_io_rw, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_setup_barmap, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_range_intersect_range, "_gpl", "");

SYMBOL_CRC(vfio_pci_core_enable, 0x085511e3, "_gpl");
SYMBOL_CRC(vfio_pci_core_disable, 0x2153e7cf, "_gpl");
SYMBOL_CRC(vfio_pci_core_close_device, 0xd646719d, "_gpl");
SYMBOL_CRC(vfio_pci_core_finish_enable, 0x4a5b6e22, "_gpl");
SYMBOL_CRC(vfio_pci_core_register_dev_region, 0x093357c1, "_gpl");
SYMBOL_CRC(vfio_pci_core_ioctl, 0x1e15c79f, "_gpl");
SYMBOL_CRC(vfio_pci_core_ioctl_feature, 0x1fabc2b9, "_gpl");
SYMBOL_CRC(vfio_pci_core_read, 0x19e734a1, "_gpl");
SYMBOL_CRC(vfio_pci_core_write, 0xb3ff9591, "_gpl");
SYMBOL_CRC(vfio_pci_core_mmap, 0xcee5890d, "_gpl");
SYMBOL_CRC(vfio_pci_core_request, 0xcd28370a, "_gpl");
SYMBOL_CRC(vfio_pci_core_match, 0x0f909157, "_gpl");
SYMBOL_CRC(vfio_pci_core_init_dev, 0x1664fd0c, "_gpl");
SYMBOL_CRC(vfio_pci_core_release_dev, 0xce6635f9, "_gpl");
SYMBOL_CRC(vfio_pci_core_register_device, 0x47daa507, "_gpl");
SYMBOL_CRC(vfio_pci_core_unregister_device, 0x9f295fd9, "_gpl");
SYMBOL_CRC(vfio_pci_core_aer_err_detected, 0xba0e48e0, "_gpl");
SYMBOL_CRC(vfio_pci_core_sriov_configure, 0xaeea5987, "_gpl");
SYMBOL_CRC(vfio_pci_core_err_handlers, 0xbdfcfa0e, "_gpl");
SYMBOL_CRC(vfio_pci_core_set_params, 0x4cf699b8, "_gpl");
SYMBOL_CRC(vfio_pci_core_iowrite8, 0x1aaba298, "_gpl");
SYMBOL_CRC(vfio_pci_core_iowrite16, 0xe870be5a, "_gpl");
SYMBOL_CRC(vfio_pci_core_iowrite32, 0x4865e86b, "_gpl");
SYMBOL_CRC(vfio_pci_core_iowrite64, 0xb44cd6a7, "_gpl");
SYMBOL_CRC(vfio_pci_core_ioread8, 0x5b1b6bb9, "_gpl");
SYMBOL_CRC(vfio_pci_core_ioread16, 0xf9ce3d64, "_gpl");
SYMBOL_CRC(vfio_pci_core_ioread32, 0xbd9b6e02, "_gpl");
SYMBOL_CRC(vfio_pci_core_ioread64, 0x1bb517c2, "_gpl");
SYMBOL_CRC(vfio_pci_core_do_io_rw, 0xa73f0f22, "_gpl");
SYMBOL_CRC(vfio_pci_core_setup_barmap, 0x49efdafb, "_gpl");
SYMBOL_CRC(vfio_pci_core_range_intersect_range, 0xe850ca1f, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x82751915, "pci_probe_reset_slot" },
	{ 0xb0412b93, "pci_set_power_state" },
	{ 0xb7c8548e, "pci_irq_vector" },
	{ 0xf2c53d53, "pci_write_msi_msg" },
	{ 0x89485687, "iommu_group_put" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xe7f11285, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xc3ff38c2, "down_read_trylock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x587b5beb, "pci_read_config_dword" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x848d372e, "iowrite8" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x594bf15b, "ioport_map" },
	{ 0x595dd627, "pci_intx" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9a2660fc, "pci_user_write_config_word" },
	{ 0x5e004fe1, "bus_register_notifier" },
	{ 0x208822a8, "_dev_info" },
	{ 0xf7b2a4b3, "vfio_file_is_group" },
	{ 0x57c45c88, "pci_msix_can_alloc_dyn" },
	{ 0x2a43a24d, "vfio_file_has_dev" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x3d9d2994, "pci_clear_master" },
	{ 0xa2e9879f, "__pci_reset_function_locked" },
	{ 0x98378a1d, "cc_mkdec" },
	{ 0x6e7943ec, "iommu_group_id" },
	{ 0x69e683de, "uuid_gen" },
	{ 0xee724366, "fput" },
	{ 0x57bc19d2, "down_write" },
	{ 0xce807a25, "up_write" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0xfe052363, "ioread64_lo_hi" },
	{ 0x418873cc, "irq_bypass_register_producer" },
	{ 0xafceaed5, "pci_write_vpd" },
	{ 0xbcc6d0dc, "vfio_virqfd_enable" },
	{ 0x40b1d6d5, "vga_client_register" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xb3e19cb6, "pci_read_config_word" },
	{ 0x5a921311, "strncmp" },
	{ 0x1f9e2326, "aperture_remove_conflicting_pci_devices" },
	{ 0xcb17fda7, "vfio_unregister_group_dev" },
	{ 0xd562b9ed, "pci_map_rom" },
	{ 0xde80cd09, "ioremap" },
	{ 0xd67364f7, "eventfd_ctx_fdget" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xce78900c, "pci_store_saved_state" },
	{ 0xabb7c7c2, "get_cached_msi_msg" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xe9635ef1, "pci_iounmap" },
	{ 0x1528aa9a, "pci_restore_state" },
	{ 0xb19b445, "ioread8" },
	{ 0xfb578fc5, "memset" },
	{ 0xf8e66d75, "_dev_warn" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0xfc39e32f, "ioport_unmap" },
	{ 0x3490596e, "pcie_get_mps" },
	{ 0x74965d1b, "pci_dev_trylock" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xb67fec0e, "uuid_parse" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe40c37ea, "down_write_trylock" },
	{ 0x668b19a1, "down_read" },
	{ 0xa758dae5, "vga_put" },
	{ 0x6c28be5a, "vfio_info_add_capability" },
	{ 0x2c3d2038, "pci_dev_driver" },
	{ 0x7dcf4135, "__xa_insert" },
	{ 0x745a981, "xa_erase" },
	{ 0x9e7e07b6, "vfio_find_device_in_devset" },
	{ 0xf6e772c3, "irq_bypass_unregister_producer" },
	{ 0x58088e8c, "_dev_notice" },
	{ 0x3ae01f3a, "pm_runtime_forbid" },
	{ 0xbadf5d7b, "pm_runtime_allow" },
	{ 0x2b5bf950, "pci_reset_bus" },
	{ 0xa352bc61, "__pm_runtime_resume" },
	{ 0x6d14e287, "vfio_register_group_dev" },
	{ 0x7f525de6, "vfio_assign_device_set" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x7dc51a76, "pci_user_read_config_byte" },
	{ 0x23533a3a, "pci_try_reset_function" },
	{ 0x8fa25c24, "xa_find" },
	{ 0x680fd96, "pci_get_class" },
	{ 0x23bf00f8, "__kmalloc_cache_noprof" },
	{ 0xaf7a5d4, "pci_user_write_config_dword" },
	{ 0x32f6bee5, "pcie_capability_read_dword" },
	{ 0x69f01904, "pci_load_and_free_saved_state" },
	{ 0xa231b344, "pci_disable_sriov" },
	{ 0x48ee7465, "vfio_device_set_open_count" },
	{ 0xb9be1cdb, "pci_disable_device" },
	{ 0xc07e1e74, "pci_match_id" },
	{ 0x3426ac54, "boot_cpu_data" },
	{ 0x29724f24, "pci_check_and_unmask_intx" },
	{ 0x7e9adb17, "pcie_set_readrq" },
	{ 0xa5d1ca10, "pci_walk_bus" },
	{ 0x111f8ac4, "pci_msix_alloc_irq_at" },
	{ 0xdf36914b, "xa_find_after" },
	{ 0x5eb5f277, "vga_get" },
	{ 0x27bbf221, "disable_irq_nosync" },
	{ 0x42637bed, "pci_unmap_rom" },
	{ 0x46cf10eb, "cachemode2protval" },
	{ 0x742b9b39, "pci_read_config_byte" },
	{ 0xc5e74216, "release_resource" },
	{ 0x754d539c, "strlen" },
	{ 0x591870bc, "vga_set_legacy_decoding" },
	{ 0xd0a89867, "vmf_insert_pfn_pmd" },
	{ 0x8880dbff, "vmf_insert_pfn_pud" },
	{ 0xfabe6594, "pci_dev_unlock" },
	{ 0x87b44925, "pci_write_config_word" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xc10e997, "eventfd_signal_mask" },
	{ 0xb8ed33e, "pci_free_irq_vectors" },
	{ 0x7820c797, "pci_enable_sriov" },
	{ 0x53b954a2, "up_read" },
	{ 0x5bc2476b, "__pm_runtime_idle" },
	{ 0x10cc060e, "vfio_virqfd_flush_thread" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xcf45099, "pci_bus_type" },
	{ 0x53847a1a, "kmalloc_caches" },
	{ 0x847188e8, "krealloc_noprof" },
	{ 0x6cbe9d98, "pci_save_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xa78af5f3, "ioread32" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x13110126, "request_resource" },
	{ 0xa923b313, "vmf_insert_pfn" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0x718f1bff, "pci_read_vpd" },
	{ 0x12bbe17c, "bus_unregister_notifier" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xe00df769, "pci_request_selected_regions" },
	{ 0x38af3056, "pci_release_selected_regions" },
	{ 0x4431630d, "pci_user_write_config_byte" },
	{ 0x8c7782a8, "pci_enable_device" },
	{ 0x4a453f53, "iowrite32" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x50a060cc, "pci_bus_max_busnr" },
	{ 0xd3aa9571, "pci_check_and_mask_intx" },
	{ 0x9a7ae8d8, "pci_iomap" },
	{ 0x19567d06, "vfio_info_cap_shift" },
	{ 0x941f2aaa, "eventfd_ctx_put" },
	{ 0x1b9284f, "pci_alloc_irq_vectors" },
	{ 0xadc044b7, "vfio_set_irqs_validate_and_prepare" },
	{ 0x23f6c39c, "pci_enable_atomic_ops_to_root" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0xd6084f8f, "pci_dev_put" },
	{ 0xd21c5139, "iowrite64_lo_hi" },
	{ 0x2057be86, "iommu_group_get" },
	{ 0x842c8e9d, "ioread16" },
	{ 0xbfae9ba8, "vfio_virqfd_disable" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x849046d6, "fget" },
	{ 0xedc03953, "iounmap" },
	{ 0xaf55cef5, "pci_num_vf" },
	{ 0x69acdf38, "memcpy" },
	{ 0xd2692a6d, "unmap_mapping_range" },
	{ 0xe7c233f0, "pci_user_read_config_dword" },
	{ 0x37a0cba, "kfree" },
	{ 0xbfc9f825, "pci_user_read_config_word" },
	{ 0xfcec0987, "enable_irq" },
	{ 0xb99cc10b, "pci_probe_reset_bus" },
	{ 0x6a86bc1, "iowrite16" },
	{ 0x7777a199, "module_layout" },
};

MODULE_INFO(depends, "vfio");


MODULE_INFO(srcversion, "26336A6ACFC1AA66C22314D");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
