#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(netfs_readahead, "", "");
KSYMTAB_FUNC(netfs_read_folio, "", "");
KSYMTAB_FUNC(netfs_write_begin, "", "");
KSYMTAB_FUNC(netfs_buffered_read_iter, "", "");
KSYMTAB_FUNC(netfs_file_read_iter, "", "");
KSYMTAB_FUNC(netfs_perform_write, "", "");
KSYMTAB_FUNC(netfs_buffered_write_iter_locked, "", "");
KSYMTAB_FUNC(netfs_file_write_iter, "", "");
KSYMTAB_FUNC(netfs_page_mkwrite, "", "");
KSYMTAB_FUNC(netfs_unbuffered_read_iter_locked, "", "");
KSYMTAB_FUNC(netfs_unbuffered_read_iter, "", "");
KSYMTAB_FUNC(netfs_unbuffered_write_iter_locked, "", "");
KSYMTAB_FUNC(netfs_unbuffered_write_iter, "", "");
KSYMTAB_FUNC(netfs_extract_user_iter, "_gpl", "");
KSYMTAB_FUNC(netfs_limit_iter, "", "");
KSYMTAB_FUNC(netfs_start_io_read, "", "");
KSYMTAB_FUNC(netfs_end_io_read, "", "");
KSYMTAB_FUNC(netfs_start_io_write, "", "");
KSYMTAB_FUNC(netfs_end_io_write, "", "");
KSYMTAB_FUNC(netfs_start_io_direct, "", "");
KSYMTAB_FUNC(netfs_end_io_direct, "", "");
KSYMTAB_DATA(__tracepoint_netfs_sreq, "", "");
KSYMTAB_FUNC(__traceiter_netfs_sreq, "", "");
KSYMTAB_DATA(__SCK__tp_func_netfs_sreq, "", "");
KSYMTAB_FUNC(__SCT__tp_func_netfs_sreq, "", "");
KSYMTAB_FUNC(netfs_dirty_folio, "", "");
KSYMTAB_FUNC(netfs_unpin_writeback, "", "");
KSYMTAB_FUNC(netfs_clear_inode_writeback, "", "");
KSYMTAB_FUNC(netfs_invalidate_folio, "", "");
KSYMTAB_FUNC(netfs_release_folio, "", "");
KSYMTAB_FUNC(netfs_read_subreq_progress, "", "");
KSYMTAB_FUNC(netfs_read_subreq_terminated, "", "");
KSYMTAB_FUNC(netfs_write_subrequest_terminated, "", "");
KSYMTAB_FUNC(netfs_prepare_write_failed, "", "");
KSYMTAB_FUNC(netfs_writepages, "", "");
KSYMTAB_FUNC(netfs_stats_show, "", "");
KSYMTAB_DATA(fscache_addremove_sem, "", "");
KSYMTAB_DATA(fscache_clearance_waiters, "", "");
KSYMTAB_FUNC(fscache_acquire_cache, "", "");
KSYMTAB_FUNC(fscache_relinquish_cache, "", "");
KSYMTAB_FUNC(fscache_add_cache, "", "");
KSYMTAB_FUNC(fscache_io_error, "", "");
KSYMTAB_FUNC(fscache_withdraw_cache, "", "");
KSYMTAB_FUNC(fscache_end_cookie_access, "", "");
KSYMTAB_FUNC(fscache_cookie_lookup_negative, "", "");
KSYMTAB_FUNC(fscache_resume_after_invalidation, "", "");
KSYMTAB_FUNC(fscache_caching_failed, "", "");
KSYMTAB_FUNC(__fscache_acquire_cookie, "", "");
KSYMTAB_FUNC(__fscache_use_cookie, "", "");
KSYMTAB_FUNC(__fscache_unuse_cookie, "", "");
KSYMTAB_FUNC(fscache_withdraw_cookie, "", "");
KSYMTAB_FUNC(__fscache_relinquish_cookie, "", "");
KSYMTAB_FUNC(fscache_put_cookie, "", "");
KSYMTAB_FUNC(fscache_get_cookie, "", "");
KSYMTAB_FUNC(__fscache_invalidate, "", "");
KSYMTAB_FUNC(fscache_wait_for_operation, "", "");
KSYMTAB_FUNC(__fscache_begin_read_operation, "", "");
KSYMTAB_FUNC(__fscache_begin_write_operation, "", "");
KSYMTAB_FUNC(__fscache_clear_page_bits, "", "");
KSYMTAB_FUNC(__fscache_write_to_cache, "", "");
KSYMTAB_FUNC(__fscache_resize_cookie, "", "");
KSYMTAB_DATA(__tracepoint_fscache_access_cache, "", "");
KSYMTAB_FUNC(__traceiter_fscache_access_cache, "", "");
KSYMTAB_DATA(__SCK__tp_func_fscache_access_cache, "", "");
KSYMTAB_FUNC(__SCT__tp_func_fscache_access_cache, "", "");
KSYMTAB_DATA(__tracepoint_fscache_access_volume, "", "");
KSYMTAB_FUNC(__traceiter_fscache_access_volume, "", "");
KSYMTAB_DATA(__SCK__tp_func_fscache_access_volume, "", "");
KSYMTAB_FUNC(__SCT__tp_func_fscache_access_volume, "", "");
KSYMTAB_DATA(__tracepoint_fscache_access, "", "");
KSYMTAB_FUNC(__traceiter_fscache_access, "", "");
KSYMTAB_DATA(__SCK__tp_func_fscache_access, "", "");
KSYMTAB_FUNC(__SCT__tp_func_fscache_access, "", "");
KSYMTAB_DATA(fscache_wq, "", "");
KSYMTAB_FUNC(fscache_try_get_volume, "", "");
KSYMTAB_FUNC(fscache_end_volume_access, "", "");
KSYMTAB_FUNC(__fscache_acquire_volume, "", "");
KSYMTAB_FUNC(fscache_put_volume, "", "");
KSYMTAB_FUNC(__fscache_relinquish_volume, "", "");
KSYMTAB_FUNC(fscache_withdraw_volume, "", "");
KSYMTAB_DATA(fscache_n_updates, "", "");
KSYMTAB_DATA(fscache_n_read, "", "");
KSYMTAB_DATA(fscache_n_write, "", "");
KSYMTAB_DATA(fscache_n_no_write_space, "", "");
KSYMTAB_DATA(fscache_n_no_create_space, "", "");
KSYMTAB_DATA(fscache_n_culled, "", "");
KSYMTAB_DATA(fscache_n_dio_misfit, "", "");

SYMBOL_CRC(netfs_readahead, 0x2c3742df, "");
SYMBOL_CRC(netfs_read_folio, 0x9af94a46, "");
SYMBOL_CRC(netfs_write_begin, 0x0c816791, "");
SYMBOL_CRC(netfs_buffered_read_iter, 0x116961ff, "");
SYMBOL_CRC(netfs_file_read_iter, 0x1ff428c8, "");
SYMBOL_CRC(netfs_perform_write, 0xec7765cd, "");
SYMBOL_CRC(netfs_buffered_write_iter_locked, 0xee5805ad, "");
SYMBOL_CRC(netfs_file_write_iter, 0x92647b78, "");
SYMBOL_CRC(netfs_page_mkwrite, 0xe2e6b90a, "");
SYMBOL_CRC(netfs_unbuffered_read_iter_locked, 0x489a4541, "");
SYMBOL_CRC(netfs_unbuffered_read_iter, 0xa72c19a5, "");
SYMBOL_CRC(netfs_unbuffered_write_iter_locked, 0xb9beef97, "");
SYMBOL_CRC(netfs_unbuffered_write_iter, 0xa1dfbeac, "");
SYMBOL_CRC(netfs_extract_user_iter, 0xdf1a89e9, "_gpl");
SYMBOL_CRC(netfs_limit_iter, 0xf9b721b3, "");
SYMBOL_CRC(netfs_start_io_read, 0xf69df562, "");
SYMBOL_CRC(netfs_end_io_read, 0xae98b7a1, "");
SYMBOL_CRC(netfs_start_io_write, 0x7ce580c6, "");
SYMBOL_CRC(netfs_end_io_write, 0x7ed0168e, "");
SYMBOL_CRC(netfs_start_io_direct, 0xb41def00, "");
SYMBOL_CRC(netfs_end_io_direct, 0xcc181334, "");
SYMBOL_CRC(__tracepoint_netfs_sreq, 0x6373ca2f, "");
SYMBOL_CRC(__traceiter_netfs_sreq, 0xcbab713f, "");
SYMBOL_CRC(__SCK__tp_func_netfs_sreq, 0xa8645d13, "");
SYMBOL_CRC(__SCT__tp_func_netfs_sreq, 0x42c377ab, "");
SYMBOL_CRC(netfs_dirty_folio, 0xb09f4075, "");
SYMBOL_CRC(netfs_unpin_writeback, 0x1c49f17d, "");
SYMBOL_CRC(netfs_clear_inode_writeback, 0x45a5e2f9, "");
SYMBOL_CRC(netfs_invalidate_folio, 0xdf1b59bf, "");
SYMBOL_CRC(netfs_release_folio, 0x8fe68762, "");
SYMBOL_CRC(netfs_read_subreq_progress, 0x6964c249, "");
SYMBOL_CRC(netfs_read_subreq_terminated, 0x68a516dd, "");
SYMBOL_CRC(netfs_write_subrequest_terminated, 0x90f5f875, "");
SYMBOL_CRC(netfs_prepare_write_failed, 0xb28bad6c, "");
SYMBOL_CRC(netfs_writepages, 0x7ab9d407, "");
SYMBOL_CRC(netfs_stats_show, 0x6b147aa6, "");
SYMBOL_CRC(fscache_addremove_sem, 0x557a775f, "");
SYMBOL_CRC(fscache_clearance_waiters, 0x8c2d6da7, "");
SYMBOL_CRC(fscache_acquire_cache, 0x62dab794, "");
SYMBOL_CRC(fscache_relinquish_cache, 0xa7f90a56, "");
SYMBOL_CRC(fscache_add_cache, 0xc1be81d6, "");
SYMBOL_CRC(fscache_io_error, 0xe2721170, "");
SYMBOL_CRC(fscache_withdraw_cache, 0x1888b50a, "");
SYMBOL_CRC(fscache_end_cookie_access, 0x493507b6, "");
SYMBOL_CRC(fscache_cookie_lookup_negative, 0xa1805199, "");
SYMBOL_CRC(fscache_resume_after_invalidation, 0x1a1ecc15, "");
SYMBOL_CRC(fscache_caching_failed, 0x075dd09e, "");
SYMBOL_CRC(__fscache_acquire_cookie, 0x86a87aaf, "");
SYMBOL_CRC(__fscache_use_cookie, 0x65e7fa4e, "");
SYMBOL_CRC(__fscache_unuse_cookie, 0x094cfdf4, "");
SYMBOL_CRC(fscache_withdraw_cookie, 0x61cbfc24, "");
SYMBOL_CRC(__fscache_relinquish_cookie, 0x3845ac6a, "");
SYMBOL_CRC(fscache_put_cookie, 0x44dd79e9, "");
SYMBOL_CRC(fscache_get_cookie, 0x1a59400f, "");
SYMBOL_CRC(__fscache_invalidate, 0xd167c23e, "");
SYMBOL_CRC(fscache_wait_for_operation, 0x2eb4e509, "");
SYMBOL_CRC(__fscache_begin_read_operation, 0x57d0e715, "");
SYMBOL_CRC(__fscache_begin_write_operation, 0xea5fa20e, "");
SYMBOL_CRC(__fscache_clear_page_bits, 0x2c57f1d8, "");
SYMBOL_CRC(__fscache_write_to_cache, 0xb871e822, "");
SYMBOL_CRC(__fscache_resize_cookie, 0xdf19c177, "");
SYMBOL_CRC(__tracepoint_fscache_access_cache, 0x16549cc4, "");
SYMBOL_CRC(__traceiter_fscache_access_cache, 0xae6040a5, "");
SYMBOL_CRC(__SCK__tp_func_fscache_access_cache, 0x720b22c6, "");
SYMBOL_CRC(__SCT__tp_func_fscache_access_cache, 0x7c87e02d, "");
SYMBOL_CRC(__tracepoint_fscache_access_volume, 0xd9a1bd02, "");
SYMBOL_CRC(__traceiter_fscache_access_volume, 0x234a140d, "");
SYMBOL_CRC(__SCK__tp_func_fscache_access_volume, 0x37cb8390, "");
SYMBOL_CRC(__SCT__tp_func_fscache_access_volume, 0x7b1b25da, "");
SYMBOL_CRC(__tracepoint_fscache_access, 0x20d0f44c, "");
SYMBOL_CRC(__traceiter_fscache_access, 0xdcb87498, "");
SYMBOL_CRC(__SCK__tp_func_fscache_access, 0x6b44828e, "");
SYMBOL_CRC(__SCT__tp_func_fscache_access, 0x5954d7ac, "");
SYMBOL_CRC(fscache_wq, 0xbca46908, "");
SYMBOL_CRC(fscache_try_get_volume, 0x628b21cb, "");
SYMBOL_CRC(fscache_end_volume_access, 0x4b1b260a, "");
SYMBOL_CRC(__fscache_acquire_volume, 0x9d6fcd66, "");
SYMBOL_CRC(fscache_put_volume, 0x976d7d21, "");
SYMBOL_CRC(__fscache_relinquish_volume, 0x9027b2d5, "");
SYMBOL_CRC(fscache_withdraw_volume, 0x02c0c604, "");
SYMBOL_CRC(fscache_n_updates, 0x4996bd29, "");
SYMBOL_CRC(fscache_n_read, 0x9ffefcb2, "");
SYMBOL_CRC(fscache_n_write, 0x1a0d09e7, "");
SYMBOL_CRC(fscache_n_no_write_space, 0xcce11a60, "");
SYMBOL_CRC(fscache_n_no_create_space, 0x4404d2aa, "");
SYMBOL_CRC(fscache_n_culled, 0x90d447f3, "");
SYMBOL_CRC(fscache_n_dio_misfit, 0x2acb5e19, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xb25db7bb, "__filemap_set_wb_err" },
	{ 0xce630a8d, "__filemap_get_folio" },
	{ 0x30b3f334, "const_pcpu_hot" },
	{ 0xb35a4aa2, "filemap_invalidate_inode" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xfe1c338b, "folio_mark_dirty" },
	{ 0x5d49aabc, "init_wait_var_entry" },
	{ 0x16e297c3, "bit_wait" },
	{ 0x5e332b52, "__var_waitqueue" },
	{ 0x2afe0b40, "iov_iter_extract_pages" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x9035d11, "copy_page_from_iter_atomic" },
	{ 0x7b3f3b3e, "__folio_swap_cache_index" },
	{ 0xa8bbe83e, "folio_wait_private_2" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x8d3e9c35, "kmem_cache_size" },
	{ 0xfeb343d1, "mempool_alloc_noprof" },
	{ 0xe5c6bf23, "readahead_expand" },
	{ 0x2ceb193f, "__inode_attach_wb" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0xe6a2e5b6, "__folio_lock_killable" },
	{ 0x80170a16, "perf_trace_run_bpf_submit" },
	{ 0x57bc19d2, "down_write" },
	{ 0xce807a25, "up_write" },
	{ 0x8a99a016, "mempool_free_slab" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x4071b517, "out_of_line_wait_on_bit_timeout" },
	{ 0x6501f459, "bpf_trace_run5" },
	{ 0xb4115a8b, "inode_dio_finished" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xe68efe41, "_raw_write_lock" },
	{ 0x4c4c793a, "file_update_time" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x8a315db1, "kmem_cache_free" },
	{ 0x1ddd1ad9, "seq_putc" },
	{ 0xebd48f80, "trace_event_reg" },
	{ 0xe7bdb5aa, "file_remove_privs" },
	{ 0xdd4d55b6, "_raw_read_unlock" },
	{ 0x40235c98, "_raw_write_unlock" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xf8f61ebc, "wake_up_var" },
	{ 0xfaa8002f, "__folio_start_writeback" },
	{ 0xb9003dd, "bpf_trace_run1" },
	{ 0x883565f5, "folio_end_writeback" },
	{ 0xcb983b41, "folio_alloc_noprof" },
	{ 0xb61d6fc2, "down_read_interruptible" },
	{ 0x10c1a021, "proc_mkdir" },
	{ 0x35394096, "inode_dio_wait_interruptible" },
	{ 0xfb578fc5, "memset" },
	{ 0x799a6bb5, "iov_iter_bvec" },
	{ 0xdf237453, "timer_shutdown_sync" },
	{ 0xf64cd362, "unpin_user_page" },
	{ 0xc972449f, "mempool_alloc_slab" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xdcefe742, "kmem_cache_alloc_noprof" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x9736fe39, "folio_end_private_2" },
	{ 0x736386df, "__kmem_cache_create_args" },
	{ 0xd2bd5092, "writeback_iter" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x668b19a1, "down_read" },
	{ 0xbb9ed3bf, "mutex_trylock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x24d12dbe, "set_page_dirty" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0xd82233ae, "bpf_trace_run3" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x44bae227, "bit_wait_timeout" },
	{ 0x979e742, "trace_event_buffer_reserve" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x364850b1, "down_write_killable" },
	{ 0xf67b31d3, "filemap_fdatawait_range" },
	{ 0x554475ca, "seq_write" },
	{ 0x16095307, "__folio_put" },
	{ 0xe2889a12, "remove_proc_entry" },
	{ 0x23bf00f8, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0x90c28d79, "seq_printf" },
	{ 0x9380571a, "iov_iter_zero" },
	{ 0x9ac03a3, "touch_atime" },
	{ 0x51a28207, "filemap_read" },
	{ 0x7b716824, "__percpu_down_read" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xded8189e, "balance_dirty_pages_ratelimited_flags" },
	{ 0xfe8c61f0, "_raw_read_lock" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x18888d00, "downgrade_write" },
	{ 0xfcabeb84, "filemap_dirty_folio" },
	{ 0xd4c14632, "system_unbound_wq" },
	{ 0x8f607389, "rcuwait_wake_up" },
	{ 0x2ec6bba0, "errseq_set" },
	{ 0x77f3bf7c, "iov_iter_xarray" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x2d2431ac, "proc_create_single_data" },
	{ 0xa7ba5207, "filemap_write_and_wait_range" },
	{ 0x8427d36f, "folio_wait_writeback_killable" },
	{ 0xf2d95916, "mempool_init_noprof" },
	{ 0x754d539c, "strlen" },
	{ 0xef9691a6, "proc_symlink" },
	{ 0xa0fbac79, "wake_up_bit" },
	{ 0x1c6e82f5, "generic_write_checks" },
	{ 0x511c70b0, "iov_iter_revert" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xdd029d21, "proc_create_seq_private" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x666065bd, "folio_wait_private_2_killable" },
	{ 0x31f2a14c, "__kvmalloc_node_noprof" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x53b954a2, "up_read" },
	{ 0x25b6536, "iov_iter_npages" },
	{ 0x1e7586c1, "fault_in_iov_iter_readable" },
	{ 0xf9a482f9, "msleep" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x53847a1a, "kmalloc_caches" },
	{ 0x38e46431, "mempool_exit" },
	{ 0xff6471f2, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xaf53481b, "vfs_fsync_range" },
	{ 0xb8f8fbe9, "wbc_detach_inode" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x42b26a28, "bpf_trace_run4" },
	{ 0xcbfb4fed, "kiocb_write_and_wait" },
	{ 0xf94f719, "param_ops_uint" },
	{ 0x6a9e95de, "filemap_range_has_page" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x8679ce36, "__folio_batch_release" },
	{ 0x7a0f613f, "folio_unlock" },
	{ 0xe7d4daac, "seq_list_next" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x62f95a87, "trace_raw_output_prep" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0xf346231f, "seq_list_start_head" },
	{ 0xfdfb55be, "__trace_trigger_soft_disabled" },
	{ 0x2bd66d89, "filemap_fdatawrite_range" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x1528846d, "iov_iter_advance" },
	{ 0x80f27d0a, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x23967b1, "xas_find" },
	{ 0x997f77e6, "folio_redirty_for_writepage" },
	{ 0xc93f145a, "iov_iter_folio_queue" },
	{ 0x34983dc1, "trace_event_raw_init" },
	{ 0x8900d05a, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0xd2692a6d, "unmap_mapping_range" },
	{ 0x37a0cba, "kfree" },
	{ 0xeef8799c, "invalidate_inode_pages2_range" },
	{ 0xad13d1c1, "pcpu_hot" },
	{ 0x69d37424, "wbc_attach_and_unlock_inode" },
	{ 0x5d7b1ad9, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x1984d421, "out_of_line_wait_on_bit" },
	{ 0x56ec556a, "remove_proc_subtree" },
	{ 0xc60decc7, "folio_clear_dirty_for_io" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xa897e3e7, "mempool_free" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xcd44e46f, "trace_event_buffer_commit" },
	{ 0x9feed7ce, "timer_reduce" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x7777a199, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "34F90DBAECD60D1512A89D6");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
