#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(nfs3_set_ds_client, "_gpl", "");

SYMBOL_CRC(nfs3_set_ds_client, 0xe060c9c7, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x29726332, "nfs_async_iocounter_wait" },
	{ 0xf1734ab5, "nfs_setattr_update_inode" },
	{ 0x235b8869, "nfs_sops" },
	{ 0xeffe66c2, "init_user_ns" },
	{ 0x3e8481e3, "rpc_restart_call" },
	{ 0x46c64256, "nfs_link" },
	{ 0x23bf00f8, "__kmalloc_cache_noprof" },
	{ 0x86014ef4, "dput" },
	{ 0x1ce1598c, "nfs_stat_to_errno" },
	{ 0xdbadd3b9, "put_nfs_open_context" },
	{ 0x18c5870, "nfs_permission" },
	{ 0x92cbf2fe, "alloc_pages_noprof" },
	{ 0x841e1827, "nfs_add_or_obtain" },
	{ 0x2d934cd9, "from_kuid_munged" },
	{ 0x754d539c, "strlen" },
	{ 0x57220ce4, "nfs_free_client" },
	{ 0xc9134d30, "nfs_close_context" },
	{ 0x98c93c90, "nfs_refresh_inode" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x8e162a8, "nfs_access_set_mask" },
	{ 0x8ea28394, "xdr_stream_pos" },
	{ 0xaf5bf6ef, "nfs_debug" },
	{ 0x53847a1a, "kmalloc_caches" },
	{ 0xcc3a95b8, "nfs_symlink" },
	{ 0xa7c523f7, "nfs_unlink" },
	{ 0xa121ec4b, "forget_cached_acl" },
	{ 0x3bfdc9c0, "nfs_clone_server" },
	{ 0xe914e41e, "strcpy" },
	{ 0x36791a91, "nlmclnt_proc" },
	{ 0xaf2abcfa, "nfs_writeback_update_inode" },
	{ 0x3a2ff963, "nfs_alloc_client" },
	{ 0x74499319, "nfs_dentry_operations" },
	{ 0xf06efb89, "xdr_write_pages" },
	{ 0x5aef8c87, "nfs_access_zap_cache" },
	{ 0xd08167f1, "nfs_wb_all" },
	{ 0xaabf0748, "xdr_inline_decode" },
	{ 0x2c260e53, "forget_all_cached_acls" },
	{ 0x68ca4ae1, "nfs_submount" },
	{ 0xd9f0658d, "__tracepoint_nfs_xdr_status" },
	{ 0xdf6a00fb, "nfs_mknod" },
	{ 0xdebd38ab, "nfs_create_server" },
	{ 0xb837a147, "nfs_init_client" },
	{ 0x37a0cba, "kfree" },
	{ 0x99451ea, "nfs_post_op_update_inode" },
	{ 0xad13d1c1, "pcpu_hot" },
	{ 0x549c0738, "rpc_ntop" },
	{ 0xe5919cb1, "xdr_encode_opaque" },
	{ 0x56c1ef3e, "xdr_read_pages" },
	{ 0x98a12589, "nfsacl_decode" },
	{ 0x5818fe3c, "posix_acl_from_mode" },
	{ 0x1d1bbc32, "nfs_create" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x353bb62c, "nfs_mkdir" },
	{ 0xdb869820, "nfs_revalidate_inode" },
	{ 0x196b3589, "nfs_get_lock_context" },
	{ 0x92997ed8, "_printk" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x986e12fe, "nfs_try_get_tree" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xff881a38, "make_kuid" },
	{ 0xfeb42418, "__SCT__tp_func_nfs_xdr_status" },
	{ 0x30b3f334, "const_pcpu_hot" },
	{ 0x750c88cb, "nfs_get_client" },
	{ 0xb48a0755, "__free_pages" },
	{ 0x8898b390, "nfs_file_operations" },
	{ 0x16491ecd, "get_inode_acl" },
	{ 0x37239e6d, "__SCT__tp_func_nfs_xdr_bad_filehandle" },
	{ 0x41d6439b, "nfs_put_lock_context" },
	{ 0x9fe84242, "nfs_rename" },
	{ 0xf37f5322, "nfs_lookup" },
	{ 0xde41395b, "nfs_sysfs_link_rpc_client" },
	{ 0xe8628aec, "nfsacl_encode" },
	{ 0x59c4fde5, "posix_acl_create" },
	{ 0xbbaf86ee, "get_nfs_open_context" },
	{ 0x1f825863, "__SCK__tp_func_nfs_xdr_status" },
	{ 0x2b834c88, "nfs_invalidate_atime" },
	{ 0xb4e615, "posix_acl_equiv_mode" },
	{ 0x680d2b4c, "nfs_getattr" },
	{ 0xdd1ba76e, "__SCK__tp_func_nfs_xdr_bad_filehandle" },
	{ 0xe5d71d13, "nfs_zap_acl_cache" },
	{ 0xa24ae51e, "__tracepoint_nfs_xdr_bad_filehandle" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x24dbe370, "rpc_bind_new_program" },
	{ 0xad423e00, "register_nfs_version" },
	{ 0x8f789050, "nfs_atomic_open_v23" },
	{ 0xf2268043, "rpc_call_start" },
	{ 0x44dcf477, "rpc_call_sync" },
	{ 0xa365e8ad, "rpc_prepare_reply_pages" },
	{ 0xab872010, "nfs_fs_type" },
	{ 0xc2736afe, "nfs_setattr" },
	{ 0x53b19c73, "xdr_terminate_string" },
	{ 0xa05ca625, "nfs_fattr_init" },
	{ 0x420a6d4, "rpc_delay" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x98b0ece8, "nfs_init_timeout_values" },
	{ 0x955348cc, "make_kgid" },
	{ 0xa996e88c, "from_kgid_munged" },
	{ 0x832e8f0b, "nfs_alloc_fattr" },
	{ 0x67e7c721, "xdr_reserve_space" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x1e51d09a, "nfs_rmdir" },
	{ 0xc9548f11, "unregister_nfs_version" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x7777a199, "module_layout" },
};

MODULE_INFO(depends, "nfs,sunrpc,lockd,nfs_acl");


MODULE_INFO(srcversion, "12BE3500CFC85C0BEACCCFC");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
