#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x1324cc4a, "inode_sub_bytes" },
	{ 0xa916b694, "strnlen" },
	{ 0xce630a8d, "__filemap_get_folio" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x30b3f334, "const_pcpu_hot" },
	{ 0x7171121c, "overflowgid" },
	{ 0xfe1c338b, "folio_mark_dirty" },
	{ 0x349baba1, "invalidate_inode_buffers" },
	{ 0xa21bd2fb, "block_commit_write" },
	{ 0x71e2891a, "bdev_getblk" },
	{ 0xc6cbbc89, "capable" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x408bccf4, "inode_init_once" },
	{ 0x525c1f15, "cdrom_get_last_written" },
	{ 0x94bf03ca, "utf8_to_utf32" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xfe5d4bb2, "sys_tz" },
	{ 0xb1a3ae8f, "__brelse" },
	{ 0x180f2eff, "inode_nohighmem" },
	{ 0x57bc19d2, "down_write" },
	{ 0xce807a25, "up_write" },
	{ 0xde931a27, "generic_file_read_iter" },
	{ 0xe7d3a79b, "inode_maybe_inc_iversion" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0xc8e21b63, "truncate_pagecache" },
	{ 0xae77cc76, "sync_dirty_buffer" },
	{ 0xe0b71296, "insert_inode_locked" },
	{ 0xadcaaa45, "__bh_read_batch" },
	{ 0x326c33fc, "setattr_copy" },
	{ 0xe68efe41, "_raw_write_lock" },
	{ 0xb4fd291, "write_cache_pages" },
	{ 0x4c4c793a, "file_update_time" },
	{ 0xa82c5da, "set_nlink" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x36bd125d, "kmem_cache_alloc_lru_noprof" },
	{ 0x8a315db1, "kmem_cache_free" },
	{ 0x5a921311, "strncmp" },
	{ 0xc52203ba, "from_kgid" },
	{ 0x900cc70b, "__bh_read" },
	{ 0xaf982c9d, "cdrom_multisession" },
	{ 0xba9ac7dd, "mpage_writepages" },
	{ 0xdd4d55b6, "_raw_read_unlock" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x40235c98, "_raw_write_unlock" },
	{ 0x791c9efc, "folio_wait_stable" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x5ea4f292, "d_obtain_alias" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x880120fa, "__bread_gfp" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x41ab4fab, "folio_end_read" },
	{ 0x56f29783, "block_dirty_folio" },
	{ 0xd3931bce, "inode_add_bytes" },
	{ 0xfa20d45d, "mpage_read_folio" },
	{ 0xddbfb38d, "from_kuid" },
	{ 0xfb578fc5, "memset" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0xb8e7ce2c, "__put_user_8" },
	{ 0x1b38eef5, "buffer_migrate_folio" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x955348cc, "make_kgid" },
	{ 0x736386df, "__kmem_cache_create_args" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x668b19a1, "down_read" },
	{ 0xcb7444d3, "truncate_setsize" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x9d10e764, "generic_llseek_cookie" },
	{ 0x81452ead, "unlock_buffer" },
	{ 0x5bef86a9, "generic_read_dir" },
	{ 0x9f421da7, "d_instantiate_new" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x800ead5a, "mpage_readahead" },
	{ 0xfb2f8a4, "mktime64" },
	{ 0xeffe66c2, "init_user_ns" },
	{ 0xaf1cdc59, "inode_set_ctime_current" },
	{ 0xb8b6564a, "inc_nlink" },
	{ 0x554475ca, "seq_write" },
	{ 0x16095307, "__folio_put" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x453c8afe, "get_tree_bdev" },
	{ 0x23bf00f8, "__kmalloc_cache_noprof" },
	{ 0x90c28d79, "seq_printf" },
	{ 0x9ac03a3, "touch_atime" },
	{ 0x7b716824, "__percpu_down_read" },
	{ 0xe7fe9d8, "__lock_buffer" },
	{ 0xfff5afc, "time64_to_tm" },
	{ 0xfe8c61f0, "_raw_read_lock" },
	{ 0x51336bc4, "generic_file_open" },
	{ 0xfa54f504, "__folio_lock" },
	{ 0x192bc51b, "is_bad_inode" },
	{ 0x8f607389, "rcuwait_wake_up" },
	{ 0x4f6b1793, "block_write_begin" },
	{ 0xf7c4e1db, "__fs_parse" },
	{ 0x7e443706, "filemap_splice_read" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xafc08054, "dotdot_name" },
	{ 0x60e7859d, "d_parent_ino" },
	{ 0x9ec4a0a5, "__generic_file_write_iter" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x754d539c, "strlen" },
	{ 0x9a34a2b, "crc_itu_t" },
	{ 0x1c6e82f5, "generic_write_checks" },
	{ 0xfb33ac36, "inode_permission" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x909bc0e6, "filemap_fault" },
	{ 0xcb1d94ff, "__mark_inode_dirty" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xf56d0927, "generic_file_llseek" },
	{ 0x467c7914, "make_bad_inode" },
	{ 0x31f2a14c, "__kvmalloc_node_noprof" },
	{ 0xc84e4cf, "unload_nls" },
	{ 0x53b954a2, "up_read" },
	{ 0xa8618c5, "mark_buffer_dirty_inode" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xf0b43ed6, "drop_nlink" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x53847a1a, "kmalloc_caches" },
	{ 0x8580f8b, "iget_failed" },
	{ 0xff6471f2, "kmem_cache_destroy" },
	{ 0xbc314156, "nop_mnt_idmap" },
	{ 0x1c045b82, "bh_uptodate_or_lock" },
	{ 0x2b6a08ca, "inode_init_owner" },
	{ 0x8ede7148, "filemap_fdatawrite" },
	{ 0x253ee06a, "generic_fillattr" },
	{ 0xaf53481b, "vfs_fsync_range" },
	{ 0x7fb5f2f7, "setattr_prepare" },
	{ 0xf812cff6, "memscan" },
	{ 0x7ff01565, "iget_locked" },
	{ 0xb4ae5e1b, "clear_nlink" },
	{ 0x69f63c8a, "generic_block_bmap" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0x85573cd7, "d_instantiate" },
	{ 0xf7f092b8, "clear_inode" },
	{ 0x8d73278e, "hex_asc_upper" },
	{ 0x623ab420, "discard_new_inode" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xd5efe09e, "fs_param_is_string" },
	{ 0x7a0f613f, "folio_unlock" },
	{ 0xb0e602eb, "memmove" },
	{ 0xd3ee663f, "new_inode" },
	{ 0xf511c2bc, "filemap_map_pages" },
	{ 0x508b399e, "init_special_inode" },
	{ 0x6a3c3e48, "unregister_filesystem" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x2875a315, "utf32_to_utf8" },
	{ 0xd5352b84, "mark_buffer_dirty" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x8b618d08, "overflowuid" },
	{ 0xd8ba35d9, "__block_write_begin" },
	{ 0x1906c1d6, "inode_query_iversion" },
	{ 0xa21472fb, "__blockdev_direct_IO" },
	{ 0x246a7a5d, "d_make_root" },
	{ 0x38b55372, "sb_set_blocksize" },
	{ 0xeb707c67, "block_truncate_page" },
	{ 0x9ab23924, "read_cache_folio" },
	{ 0xb6f41566, "sync_filesystem" },
	{ 0x47051cc3, "d_splice_alias" },
	{ 0x69acdf38, "memcpy" },
	{ 0xd04ead52, "ihold" },
	{ 0x969fdb6, "page_get_link" },
	{ 0x37a0cba, "kfree" },
	{ 0xfc54c47f, "generic_file_fsync" },
	{ 0xbf63cd43, "finish_open" },
	{ 0xc055933, "iput" },
	{ 0xad13d1c1, "pcpu_hot" },
	{ 0xb78be7c9, "logfc" },
	{ 0x690efead, "iter_file_splice_write" },
	{ 0x160aa066, "register_filesystem" },
	{ 0xb9b5c5cd, "d_tmpfile" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x9bffd1e3, "simple_inode_init_ts" },
	{ 0x284faa6b, "__x86_indirect_thunk_r11" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x76a1a841, "fs_param_is_u32" },
	{ 0x4f8bb3e5, "kill_block_super" },
	{ 0xcdf45e42, "unlock_new_inode" },
	{ 0x92997ed8, "_printk" },
	{ 0xd681ef8b, "block_invalidate_folio" },
	{ 0x41f2296f, "generic_write_end" },
	{ 0x6d334118, "__get_user_8" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xf473e73b, "load_nls" },
	{ 0xff881a38, "make_kuid" },
	{ 0x5a238d4f, "truncate_inode_pages_final" },
	{ 0x7777a199, "module_layout" },
};

MODULE_INFO(depends, "cdrom,crc-itu-t");


MODULE_INFO(srcversion, "012EAAAAFF86C9D01FD06BD");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
