#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(v9fs_register_trans, "", "");
KSYMTAB_FUNC(v9fs_unregister_trans, "", "");
KSYMTAB_FUNC(v9fs_get_trans_by_name, "", "");
KSYMTAB_FUNC(v9fs_get_default_trans, "", "");
KSYMTAB_FUNC(p9_is_proto_dotl, "", "");
KSYMTAB_FUNC(p9_is_proto_dotu, "", "");
KSYMTAB_FUNC(p9_show_client_options, "", "");
KSYMTAB_FUNC(p9_fcall_fini, "", "");
KSYMTAB_FUNC(p9_tag_lookup, "", "");
KSYMTAB_FUNC(p9_req_put, "", "");
KSYMTAB_FUNC(p9_client_cb, "", "");
KSYMTAB_FUNC(p9_parse_header, "", "");
KSYMTAB_DATA(__tracepoint_9p_fid_ref, "", "");
KSYMTAB_FUNC(__traceiter_9p_fid_ref, "", "");
KSYMTAB_DATA(__SCK__tp_func_9p_fid_ref, "", "");
KSYMTAB_FUNC(__SCT__tp_func_9p_fid_ref, "", "");
KSYMTAB_FUNC(do_trace_9p_fid_get, "", "");
KSYMTAB_FUNC(do_trace_9p_fid_put, "", "");
KSYMTAB_FUNC(p9_client_create, "", "");
KSYMTAB_FUNC(p9_client_destroy, "", "");
KSYMTAB_FUNC(p9_client_disconnect, "", "");
KSYMTAB_FUNC(p9_client_begin_disconnect, "", "");
KSYMTAB_FUNC(p9_client_attach, "", "");
KSYMTAB_FUNC(p9_client_walk, "", "");
KSYMTAB_FUNC(p9_client_open, "", "");
KSYMTAB_FUNC(p9_client_create_dotl, "", "");
KSYMTAB_FUNC(p9_client_fcreate, "", "");
KSYMTAB_FUNC(p9_client_symlink, "", "");
KSYMTAB_FUNC(p9_client_link, "", "");
KSYMTAB_FUNC(p9_client_fsync, "", "");
KSYMTAB_FUNC(p9_client_clunk, "", "");
KSYMTAB_FUNC(p9_client_remove, "", "");
KSYMTAB_FUNC(p9_client_unlinkat, "", "");
KSYMTAB_FUNC(p9_client_read, "", "");
KSYMTAB_FUNC(p9_client_read_once, "", "");
KSYMTAB_FUNC(p9_client_write, "", "");
KSYMTAB_FUNC(p9_client_write_subreq, "", "");
KSYMTAB_FUNC(p9_client_stat, "", "");
KSYMTAB_FUNC(p9_client_getattr_dotl, "", "");
KSYMTAB_FUNC(p9_client_wstat, "", "");
KSYMTAB_FUNC(p9_client_setattr, "", "");
KSYMTAB_FUNC(p9_client_statfs, "", "");
KSYMTAB_FUNC(p9_client_rename, "", "");
KSYMTAB_FUNC(p9_client_renameat, "", "");
KSYMTAB_FUNC(p9_client_xattrwalk, "_gpl", "");
KSYMTAB_FUNC(p9_client_xattrcreate, "_gpl", "");
KSYMTAB_FUNC(p9_client_readdir, "", "");
KSYMTAB_FUNC(p9_client_mknod_dotl, "", "");
KSYMTAB_FUNC(p9_client_mkdir_dotl, "", "");
KSYMTAB_FUNC(p9_client_lock_dotl, "", "");
KSYMTAB_FUNC(p9_client_getlock_dotl, "", "");
KSYMTAB_FUNC(p9_client_readlink, "", "");
KSYMTAB_FUNC(p9_error_init, "", "");
KSYMTAB_FUNC(p9_errstr2errno, "", "");
KSYMTAB_FUNC(p9stat_free, "", "");
KSYMTAB_FUNC(p9stat_read, "", "");
KSYMTAB_FUNC(p9dirent_read, "", "");
KSYMTAB_FUNC(p9_release_pages, "", "");

SYMBOL_CRC(v9fs_register_trans, 0x9f472cef, "");
SYMBOL_CRC(v9fs_unregister_trans, 0x44b8e4ee, "");
SYMBOL_CRC(v9fs_get_trans_by_name, 0x604b2483, "");
SYMBOL_CRC(v9fs_get_default_trans, 0x139c10c7, "");
SYMBOL_CRC(p9_is_proto_dotl, 0x50302f01, "");
SYMBOL_CRC(p9_is_proto_dotu, 0x56d5be62, "");
SYMBOL_CRC(p9_show_client_options, 0xd19a5a6a, "");
SYMBOL_CRC(p9_fcall_fini, 0x4ba99359, "");
SYMBOL_CRC(p9_tag_lookup, 0x156b0670, "");
SYMBOL_CRC(p9_req_put, 0xa19cbd19, "");
SYMBOL_CRC(p9_client_cb, 0x458f74c7, "");
SYMBOL_CRC(p9_parse_header, 0x761cad64, "");
SYMBOL_CRC(__tracepoint_9p_fid_ref, 0xb449e520, "");
SYMBOL_CRC(__traceiter_9p_fid_ref, 0x858c39e0, "");
SYMBOL_CRC(__SCK__tp_func_9p_fid_ref, 0x919eb73e, "");
SYMBOL_CRC(__SCT__tp_func_9p_fid_ref, 0xb798a888, "");
SYMBOL_CRC(do_trace_9p_fid_get, 0x4d7724c8, "");
SYMBOL_CRC(do_trace_9p_fid_put, 0x9bada82e, "");
SYMBOL_CRC(p9_client_create, 0x6d6bf016, "");
SYMBOL_CRC(p9_client_destroy, 0x362fc553, "");
SYMBOL_CRC(p9_client_disconnect, 0x41603509, "");
SYMBOL_CRC(p9_client_begin_disconnect, 0xeae212fa, "");
SYMBOL_CRC(p9_client_attach, 0x52816df7, "");
SYMBOL_CRC(p9_client_walk, 0x8ef08943, "");
SYMBOL_CRC(p9_client_open, 0xe5d40658, "");
SYMBOL_CRC(p9_client_create_dotl, 0xdf43aaa9, "");
SYMBOL_CRC(p9_client_fcreate, 0x8f658f1c, "");
SYMBOL_CRC(p9_client_symlink, 0x70c1936f, "");
SYMBOL_CRC(p9_client_link, 0x53088acc, "");
SYMBOL_CRC(p9_client_fsync, 0x024263eb, "");
SYMBOL_CRC(p9_client_clunk, 0x33a2b8d1, "");
SYMBOL_CRC(p9_client_remove, 0x11aa6990, "");
SYMBOL_CRC(p9_client_unlinkat, 0xa1f11812, "");
SYMBOL_CRC(p9_client_read, 0xb8c78c74, "");
SYMBOL_CRC(p9_client_read_once, 0x64c45ba6, "");
SYMBOL_CRC(p9_client_write, 0xae96c50c, "");
SYMBOL_CRC(p9_client_write_subreq, 0xf425ea5d, "");
SYMBOL_CRC(p9_client_stat, 0xdc137a2d, "");
SYMBOL_CRC(p9_client_getattr_dotl, 0x4b4c7463, "");
SYMBOL_CRC(p9_client_wstat, 0xd3dc513d, "");
SYMBOL_CRC(p9_client_setattr, 0xe03321af, "");
SYMBOL_CRC(p9_client_statfs, 0xef0e6b76, "");
SYMBOL_CRC(p9_client_rename, 0x3b73565b, "");
SYMBOL_CRC(p9_client_renameat, 0xddcf7c23, "");
SYMBOL_CRC(p9_client_xattrwalk, 0x5d7a8010, "_gpl");
SYMBOL_CRC(p9_client_xattrcreate, 0x6c9a40fb, "_gpl");
SYMBOL_CRC(p9_client_readdir, 0xbfdbd5cc, "");
SYMBOL_CRC(p9_client_mknod_dotl, 0xdae407d1, "");
SYMBOL_CRC(p9_client_mkdir_dotl, 0xeb56ebd2, "");
SYMBOL_CRC(p9_client_lock_dotl, 0x2546e15e, "");
SYMBOL_CRC(p9_client_getlock_dotl, 0xadb2a93f, "");
SYMBOL_CRC(p9_client_readlink, 0x34c76db1, "");
SYMBOL_CRC(p9_error_init, 0xe58a3360, "");
SYMBOL_CRC(p9_errstr2errno, 0x3d73a797, "");
SYMBOL_CRC(p9stat_free, 0xd384c683, "");
SYMBOL_CRC(p9stat_read, 0x41ce9823, "");
SYMBOL_CRC(p9dirent_read, 0x95bd8f96, "");
SYMBOL_CRC(p9_release_pages, 0xd92b0eed, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x34983dc1, "trace_event_raw_init" },
	{ 0x8900d05a, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xad13d1c1, "pcpu_hot" },
	{ 0x5d7b1ad9, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xcd44e46f, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xfb6af58d, "recalc_sigpending" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xff881a38, "make_kuid" },
	{ 0xa916b694, "strnlen" },
	{ 0xc57c48a3, "idr_get_next" },
	{ 0x30b3f334, "const_pcpu_hot" },
	{ 0xec1f44a5, "module_put" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x7665a95b, "idr_remove" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0x80170a16, "perf_trace_run_bpf_submit" },
	{ 0x4e3567f7, "match_int" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x954f099c, "idr_preload" },
	{ 0x8a315db1, "kmem_cache_free" },
	{ 0x5a921311, "strncmp" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xc52203ba, "from_kgid" },
	{ 0xebd48f80, "trace_event_reg" },
	{ 0xb3bb2933, "iov_iter_kvec" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xbe1bebbc, "__put_devmap_managed_folio_refs" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xddbfb38d, "from_kuid" },
	{ 0x90f5f875, "netfs_write_subrequest_terminated" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xdcefe742, "kmem_cache_alloc_noprof" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x955348cc, "make_kgid" },
	{ 0x736386df, "__kmem_cache_create_args" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0xd82233ae, "bpf_trace_run3" },
	{ 0x979e742, "trace_event_buffer_reserve" },
	{ 0x85df9b6c, "strsep" },
	{ 0xeffe66c2, "init_user_ns" },
	{ 0x554475ca, "seq_write" },
	{ 0x44e9a829, "match_token" },
	{ 0x16095307, "__folio_put" },
	{ 0x23bf00f8, "__kmalloc_cache_noprof" },
	{ 0x90c28d79, "seq_printf" },
	{ 0x27417999, "_copy_from_iter" },
	{ 0xacf4d843, "match_strdup" },
	{ 0x754d539c, "strlen" },
	{ 0x511c70b0, "iov_iter_revert" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x53847a1a, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xff6471f2, "kmem_cache_destroy" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x6d4142d7, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xd904e577, "_copy_to_iter" },
	{ 0x42b26a28, "bpf_trace_run4" },
	{ 0x20978fb9, "idr_find" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xb0e602eb, "memmove" },
	{ 0xd9916c3a, "idr_alloc_u32" },
	{ 0x62f95a87, "trace_raw_output_prep" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0xfdfb55be, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x80f27d0a, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x7777a199, "module_layout" },
};

MODULE_INFO(depends, "netfs");


MODULE_INFO(srcversion, "4C531F7DD86FD70554375E7");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
