#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(qrtr_endpoint_post, "_gpl", "");
KSYMTAB_FUNC(qrtr_endpoint_register, "_gpl", "");
KSYMTAB_FUNC(qrtr_endpoint_unregister, "_gpl", "");
KSYMTAB_FUNC(qrtr_ns_init, "_gpl", "");
KSYMTAB_FUNC(qrtr_ns_remove, "_gpl", "");

SYMBOL_CRC(qrtr_endpoint_post, 0x05bc88bd, "_gpl");
SYMBOL_CRC(qrtr_endpoint_register, 0x31d5eae9, "_gpl");
SYMBOL_CRC(qrtr_endpoint_unregister, 0x19f07d60, "_gpl");
SYMBOL_CRC(qrtr_ns_init, 0xa47e91ba, "_gpl");
SYMBOL_CRC(qrtr_ns_remove, 0x8d25501f, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd85124d9, "__pskb_copy_fclone" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x619b7013, "sk_error_report" },
	{ 0xaf78e7ac, "skb_queue_purge_reason" },
	{ 0x5fc52abd, "radix_tree_iter_delete" },
	{ 0xcd44e46f, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xb834cbe3, "proto_unregister" },
	{ 0x8d084f7c, "sock_register" },
	{ 0x1fad48b, "datagram_poll" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x7fc07437, "__alloc_skb" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x30b3f334, "const_pcpu_hot" },
	{ 0xf8e71bf2, "proto_register" },
	{ 0xc6cbbc89, "capable" },
	{ 0xec1f44a5, "module_put" },
	{ 0x9114b616, "__xa_alloc" },
	{ 0x4a8b9d91, "sock_no_shutdown" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0x80170a16, "perf_trace_run_bpf_submit" },
	{ 0x37b16a1, "init_net" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x5df2b678, "radix_tree_next_chunk" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x6ef78684, "sk_skb_reason_drop" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0xb8fc65e, "__SCK__tp_func_sk_data_ready" },
	{ 0xcb884a73, "kernel_getsockname" },
	{ 0x5102a30b, "do_wait_intr_irq" },
	{ 0x1129b280, "sk_free" },
	{ 0xbc0387d5, "sock_no_accept" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x9ea2a343, "skb_push" },
	{ 0xfa6949b1, "sock_no_listen" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xebd48f80, "trace_event_reg" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x1e7ffc23, "lock_sock_nested" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xbb887d17, "skb_copy_datagram_iter" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xace37018, "sk_alloc" },
	{ 0x81dc6a55, "sock_no_socketpair" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xe88ad7e0, "sock_no_mmap" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xfff50bc6, "__netdev_alloc_skb" },
	{ 0x7dcf4135, "__xa_insert" },
	{ 0x745a981, "xa_erase" },
	{ 0xd82233ae, "bpf_trace_run3" },
	{ 0xad640ef, "skb_set_owner_w" },
	{ 0x979e742, "trace_event_buffer_reserve" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xe6105308, "sock_create_kern" },
	{ 0x8fa25c24, "xa_find" },
	{ 0xfca70494, "skb_recv_datagram" },
	{ 0xa67cd9a2, "sock_alloc_send_pskb" },
	{ 0x23bf00f8, "__kmalloc_cache_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x5b3e282f, "xa_store" },
	{ 0x27417999, "_copy_from_iter" },
	{ 0xa97bb79b, "sock_release" },
	{ 0xd9ad336d, "sock_gettstamp" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xdf36914b, "xa_find_after" },
	{ 0x754d539c, "strlen" },
	{ 0x511c70b0, "iov_iter_revert" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x7eeeb05f, "kernel_sendmsg" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xa2b2a780, "sock_init_data" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x87809aeb, "put_user_ifreq" },
	{ 0x53847a1a, "kmalloc_caches" },
	{ 0x1118f863, "release_sock" },
	{ 0xbf86245c, "skb_free_datagram" },
	{ 0x74eade3e, "sock_queue_rcv_skb_reason" },
	{ 0x15998a50, "__skb_pad" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x42b26a28, "bpf_trace_run4" },
	{ 0x2d8d83f7, "skb_copy_bits" },
	{ 0x6fbc6a00, "radix_tree_insert" },
	{ 0x34611bfc, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xfad60243, "consume_skb" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x62f95a87, "trace_raw_output_prep" },
	{ 0xa85bbe00, "__SCT__tp_func_sk_data_ready" },
	{ 0x80816f26, "get_user_ifreq" },
	{ 0xfdfb55be, "__trace_trigger_soft_disabled" },
	{ 0x70ad75fb, "radix_tree_lookup" },
	{ 0x51a511eb, "_raw_write_lock_bh" },
	{ 0x80f27d0a, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xcb286a16, "kernel_bind" },
	{ 0x99f7371c, "refcount_dec_and_mutex_lock" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0x34983dc1, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xad13d1c1, "pcpu_hot" },
	{ 0xe7ab1ecc, "_raw_write_unlock_bh" },
	{ 0x9f35c9d6, "__tracepoint_sk_data_ready" },
	{ 0xe2964344, "__wake_up" },
	{ 0x48896741, "__module_get" },
	{ 0xd3f62c04, "kernel_recvmsg" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x7777a199, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "473C5AB47E04ECEA0106681");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
