#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(snd_hda_gen_spec_init, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_add_kctl, "_gpl", "");
KSYMTAB_FUNC(snd_hda_get_path_idx, "_gpl", "");
KSYMTAB_FUNC(snd_hda_get_path_from_idx, "_gpl", "");
KSYMTAB_FUNC(snd_hda_add_new_path, "_gpl", "");
KSYMTAB_FUNC(snd_hda_activate_path, "_gpl", "");
KSYMTAB_DATA(hda_main_out_badness, "_gpl", "");
KSYMTAB_DATA(hda_extra_out_badness, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_add_mute_led_cdev, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_add_micmute_led_cdev, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_fix_pin_power, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_update_outputs, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_hp_automute, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_line_automute, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_mic_autoswitch, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_path_power_filter, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_stream_pm, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_shutup_speakers, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_parse_auto_config, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_build_controls, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_build_pcms, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_init, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_free, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_check_power_status, "_gpl", "");

SYMBOL_CRC(snd_hda_gen_spec_init, 0x0835c876, "_gpl");
SYMBOL_CRC(snd_hda_gen_add_kctl, 0xa8e1c67a, "_gpl");
SYMBOL_CRC(snd_hda_get_path_idx, 0x73bdee37, "_gpl");
SYMBOL_CRC(snd_hda_get_path_from_idx, 0xd8942b78, "_gpl");
SYMBOL_CRC(snd_hda_add_new_path, 0xd39b9aae, "_gpl");
SYMBOL_CRC(snd_hda_activate_path, 0xa04608e9, "_gpl");
SYMBOL_CRC(hda_main_out_badness, 0x76dc6871, "_gpl");
SYMBOL_CRC(hda_extra_out_badness, 0x871a6e44, "_gpl");
SYMBOL_CRC(snd_hda_gen_add_mute_led_cdev, 0x7f4a5e39, "_gpl");
SYMBOL_CRC(snd_hda_gen_add_micmute_led_cdev, 0xf82cb6cc, "_gpl");
SYMBOL_CRC(snd_hda_gen_fix_pin_power, 0x370199e2, "_gpl");
SYMBOL_CRC(snd_hda_gen_update_outputs, 0x60f03487, "_gpl");
SYMBOL_CRC(snd_hda_gen_hp_automute, 0x6b58a754, "_gpl");
SYMBOL_CRC(snd_hda_gen_line_automute, 0x7bda21a2, "_gpl");
SYMBOL_CRC(snd_hda_gen_mic_autoswitch, 0x70767e9a, "_gpl");
SYMBOL_CRC(snd_hda_gen_path_power_filter, 0xc307d9b1, "_gpl");
SYMBOL_CRC(snd_hda_gen_stream_pm, 0x9cad2797, "_gpl");
SYMBOL_CRC(snd_hda_gen_shutup_speakers, 0xb7b68cec, "_gpl");
SYMBOL_CRC(snd_hda_gen_parse_auto_config, 0x430c1206, "_gpl");
SYMBOL_CRC(snd_hda_gen_build_controls, 0x69f61350, "_gpl");
SYMBOL_CRC(snd_hda_gen_build_pcms, 0x3e6fee42, "_gpl");
SYMBOL_CRC(snd_hda_gen_init, 0x45cb4850, "_gpl");
SYMBOL_CRC(snd_hda_gen_free, 0x7a086ee5, "_gpl");
SYMBOL_CRC(snd_hda_gen_check_power_status, 0xc9c7a930, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xfb5184ad, "snd_hda_apply_fixup" },
	{ 0x4f9838a3, "snd_hda_enum_helper_info" },
	{ 0xee08bbc9, "snd_hda_get_default_vref" },
	{ 0x9a8e1877, "snd_array_free" },
	{ 0x754d539c, "strlen" },
	{ 0x1c6fcc2, "snd_hdac_codec_read" },
	{ 0xf2c63a0e, "snd_hda_mixer_amp_volume_put" },
	{ 0xf8dc35ac, "snd_hda_input_mux_info" },
	{ 0x180dcf8c, "snd_hda_multi_out_dig_prepare" },
	{ 0x349cba85, "strchr" },
	{ 0x4f99135a, "snd_hda_codec_get_pin_target" },
	{ 0xf9a482f9, "msleep" },
	{ 0x4e349209, "snd_hdac_regmap_sync" },
	{ 0x53847a1a, "kmalloc_caches" },
	{ 0xfaf598c6, "snd_ctl_request_layer" },
	{ 0x89be9b, "snd_hda_apply_verbs" },
	{ 0x7b601277, "snd_hda_codec_amp_update" },
	{ 0xc2279312, "snd_hda_add_new_ctls" },
	{ 0x46710de3, "snd_hda_get_connections" },
	{ 0x245381d8, "snd_hda_codec_amp_init_stereo" },
	{ 0xa9e128c9, "snd_hda_set_vmaster_tlv" },
	{ 0xeaf32581, "hda_get_autocfg_input_label" },
	{ 0x6557726f, "query_amp_caps" },
	{ 0x48623c21, "devm_kmalloc" },
	{ 0xfd6b7f22, "snd_hda_mixer_amp_volume_info" },
	{ 0xfedfa410, "snd_hdac_regmap_read_raw" },
	{ 0x3fc82ca4, "snd_hda_jack_detect_state_mst" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xe264f4ae, "snd_hda_codec_setup_stream" },
	{ 0xb06ecae8, "snd_hda_mixer_amp_switch_info" },
	{ 0x97bd4121, "hda_codec_driver_unregister" },
	{ 0xcbab6982, "snd_hda_codec_get_pincfg" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xfa28851e, "snd_hdac_codec_write" },
	{ 0x96848186, "scnprintf" },
	{ 0x2134a4d9, "snd_hda_jack_tbl_get_mst" },
	{ 0xb9f357c1, "snd_hda_multi_out_dig_open" },
	{ 0x69acdf38, "memcpy" },
	{ 0x73063940, "snd_hda_add_vmaster_hook" },
	{ 0x37a0cba, "kfree" },
	{ 0xcb3d130f, "led_classdev_unregister" },
	{ 0x42572f4b, "snd_hda_codec_pcm_new" },
	{ 0xa0eda827, "__snd_hda_codec_cleanup_stream" },
	{ 0x3f45f7aa, "snd_ctl_sync_vmaster" },
	{ 0xe7f11285, "__dynamic_dev_dbg" },
	{ 0xce0d34a5, "snd_hda_multi_out_dig_cleanup" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x6305f2e5, "snd_hda_get_pin_label" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x2fcb4e34, "snd_hda_add_imux_item" },
	{ 0xb2677e78, "snd_hda_correct_pin_ctl" },
	{ 0x5e38f79c, "_snd_hdac_read_parm" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xa916b694, "strnlen" },
	{ 0x6fdbc944, "snd_hda_create_dig_out_ctls" },
	{ 0x8fd03349, "snd_hda_multi_out_dig_close" },
	{ 0xaa96364f, "snd_hda_get_conn_index" },
	{ 0x646b1f75, "snd_hda_multi_out_analog_open" },
	{ 0x89526b3b, "snd_hda_get_bool_hint" },
	{ 0xd04f0074, "snd_hda_create_spdif_share_sw" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x4fe97fbf, "snd_hda_find_mixer_ctl" },
	{ 0x863fd469, "snd_hda_get_int_hint" },
	{ 0x70ed1b59, "_dev_err" },
	{ 0x32b8bae7, "__hda_codec_driver_register" },
	{ 0xb7c0f443, "sort" },
	{ 0x4b1b2957, "snd_hda_parse_pin_defcfg" },
	{ 0x6b80c465, "snd_hda_codec_amp_init" },
	{ 0xe0953779, "snd_hda_create_spdif_in_ctls" },
	{ 0x20685e92, "is_jack_detectable" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3a05ac07, "snd_hda_multi_out_analog_cleanup" },
	{ 0xbd4756aa, "snd_hda_multi_out_analog_prepare" },
	{ 0x91ae5611, "snd_ctl_boolean_stereo_info" },
	{ 0x39ae41d4, "snd_hda_get_conn_list" },
	{ 0xce9cff09, "snd_hda_mixer_amp_switch_get" },
	{ 0x77e91bdb, "snd_hda_codec_set_pin_target" },
	{ 0xff38c190, "led_classdev_register_ext" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xc13023a4, "snd_hda_attach_beep_device" },
	{ 0x51ae1c47, "_snd_hda_set_pin_ctl" },
	{ 0x11089ac7, "_ctype" },
	{ 0xe206a347, "snd_hdac_regmap_write_raw" },
	{ 0x83994ac3, "snd_hda_mixer_amp_volume_get" },
	{ 0xb677f94d, "snd_hda_jack_detect_enable_callback_mst" },
	{ 0xf8e66d75, "_dev_warn" },
	{ 0xa8057d70, "snd_hda_check_amp_caps" },
	{ 0xf9c0b663, "strlcat" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xbfc38fc4, "snd_hda_mixer_amp_switch_put" },
	{ 0xe118de5d, "snd_pcm_2_1_chmaps" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x825f55a7, "snd_hda_jack_unsol_event" },
	{ 0x53cd5b7, "snd_hda_check_amp_list_power" },
	{ 0x676f5ac, "snd_hda_get_input_pin_attr" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xa2bc17cb, "snd_hda_mixer_amp_tlv" },
	{ 0xf121cc59, "snd_hda_jack_add_kctls" },
	{ 0x23bf00f8, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0xbe7dd7dc, "snd_array_new" },
	{ 0x518ebb8d, "__snd_hda_add_vmaster" },
	{ 0x7b73d06e, "snd_hda_codec_amp_stereo" },
	{ 0x4fdf48d5, "snd_hda_sync_vmaster_hook" },
	{ 0x7777a199, "module_layout" },
};

MODULE_INFO(depends, "snd-hda-codec,snd-hda-core,snd");

MODULE_ALIAS("hdaudio:v00000201r*a01*");

MODULE_INFO(srcversion, "0C63568A6259984F6E3A5C8");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
