#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(cs35l56_system_suspend, "_gpl", "");
KSYMTAB_FUNC(cs35l56_system_suspend_late, "_gpl", "");
KSYMTAB_FUNC(cs35l56_system_suspend_no_irq, "_gpl", "");
KSYMTAB_FUNC(cs35l56_system_resume_no_irq, "_gpl", "");
KSYMTAB_FUNC(cs35l56_system_resume_early, "_gpl", "");
KSYMTAB_FUNC(cs35l56_system_resume, "_gpl", "");
KSYMTAB_FUNC(cs35l56_common_probe, "_gpl", "SND_SOC_CS35L56_CORE");
KSYMTAB_FUNC(cs35l56_init, "_gpl", "SND_SOC_CS35L56_CORE");
KSYMTAB_FUNC(cs35l56_remove, "_gpl", "SND_SOC_CS35L56_CORE");
KSYMTAB_DATA(cs35l56_pm_ops_i2c_spi, "_gpl", "SND_SOC_CS35L56_CORE");

SYMBOL_CRC(cs35l56_system_suspend, 0xcd701396, "_gpl");
SYMBOL_CRC(cs35l56_system_suspend_late, 0xde2e712c, "_gpl");
SYMBOL_CRC(cs35l56_system_suspend_no_irq, 0xc365f372, "_gpl");
SYMBOL_CRC(cs35l56_system_resume_no_irq, 0xf96f41db, "_gpl");
SYMBOL_CRC(cs35l56_system_resume_early, 0xd0c1a1d8, "_gpl");
SYMBOL_CRC(cs35l56_system_resume, 0xc3715479, "_gpl");
SYMBOL_CRC(cs35l56_common_probe, 0xac2910ec, "_gpl");
SYMBOL_CRC(cs35l56_init, 0xf1ac2b85, "_gpl");
SYMBOL_CRC(cs35l56_remove, 0xbd8e94f1, "_gpl");
SYMBOL_CRC(cs35l56_pm_ops_i2c_spi, 0x410f3861, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xcb5ce68e, "regcache_mark_dirty" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x2ebca8a7, "devm_gpiod_get_optional" },
	{ 0xc6cce94d, "wm_adsp_stop" },
	{ 0xe7f11285, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x84689dc7, "cs35l56_get_calibration" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xc3abf0f7, "__pm_runtime_set_status" },
	{ 0x82686cbe, "devm_snd_soc_register_component" },
	{ 0xc7172f8e, "devm_kstrdup" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9e2c48d2, "sdw_write_no_pm" },
	{ 0x3d184561, "devm_free_irq" },
	{ 0xb6019912, "pm_runtime_enable" },
	{ 0x88d9f269, "fwnode_gpiod_get_index" },
	{ 0x9a9c58b7, "regulator_bulk_disable" },
	{ 0x208822a8, "_dev_info" },
	{ 0x2d720bea, "acpi_dev_remove_driver_gpios" },
	{ 0xc4462793, "snd_soc_info_volsw" },
	{ 0x18782c68, "cs35l56_init_cs_dsp" },
	{ 0x4ba47536, "wm_adsp_power_down" },
	{ 0x70ed1b59, "_dev_err" },
	{ 0xd81a439e, "debugfs_create_bool" },
	{ 0x88f706e9, "wm_adsp_event" },
	{ 0x5c2529e, "cs35l56_tx_input_values" },
	{ 0x64e759e4, "cs35l56_tx_input_texts" },
	{ 0xe5e147de, "device_property_read_string" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xfa4d22d, "cs35l56_calibration_controls" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x31925f12, "cs35l56_runtime_suspend_common" },
	{ 0x8e2ad121, "sdw_read_no_pm" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xdb55f646, "cs35l56_mbox_send" },
	{ 0xbaf6560b, "cs35l56_hw_init" },
	{ 0xf8e66d75, "_dev_warn" },
	{ 0x137c8cb, "wm_adsp2_component_probe" },
	{ 0xf3723aa5, "cs35l56_read_prot_status" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x7cb85e7a, "cs35l56_system_reset" },
	{ 0xae053276, "snd_soc_info_enum_double" },
	{ 0xe7c9d488, "regulator_bulk_enable" },
	{ 0x98f46b18, "devm_regulator_bulk_get" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x2668c345, "wm_adsp2_component_remove" },
	{ 0xc5a6fa96, "cs35l56_wait_for_firmware_boot" },
	{ 0x3d8d9eb1, "devm_kasprintf" },
	{ 0xe7694ad9, "snd_soc_get_volsw" },
	{ 0x5cb96fb1, "cs35l56_set_patch" },
	{ 0xad591ce8, "cs35l56_wait_control_port_ready" },
	{ 0x6df138f2, "fwnode_property_present" },
	{ 0x913ab584, "cs35l56_is_fw_reload_needed" },
	{ 0x29941a9, "regmap_read" },
	{ 0x2fe577f7, "snd_soc_put_volsw" },
	{ 0xa352bc61, "__pm_runtime_resume" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xc07fbd51, "cs_amp_write_cal_coeffs" },
	{ 0xecdf83e7, "device_get_named_child_node" },
	{ 0xc3713094, "pm_runtime_force_resume" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xa85f32d7, "sdw_stream_remove_slave" },
	{ 0x21519c7e, "cs35l56_runtime_resume_common" },
	{ 0x866ed9d5, "dapm_regulator_event" },
	{ 0x63986592, "cs35l56_get_speaker_id" },
	{ 0xc9c3a165, "wm_adsp_run" },
	{ 0x2c8951b9, "regmap_update_bits_base" },
	{ 0xfba2f5dd, "acpi_dev_get_property" },
	{ 0xc79efca8, "dev_err_probe" },
	{ 0xd2555fc1, "__pm_runtime_suspend" },
	{ 0x1d4878b, "cs35l56_fill_supply_names" },
	{ 0x8b72fb27, "__devm_add_action" },
	{ 0x2bd66870, "snd_soc_dapm_get_enum_double" },
	{ 0xc813900a, "__pm_runtime_use_autosuspend" },
	{ 0x3938ef06, "wm_halo_init" },
	{ 0x69b3ad8e, "__pm_runtime_disable" },
	{ 0xcc224a7a, "cs35l56_firmware_shutdown" },
	{ 0x9008e717, "sdw_stream_add_slave" },
	{ 0x73387843, "pm_runtime_force_suspend" },
	{ 0x2c230cbe, "wm_adsp_power_up" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0x785dd887, "snd_soc_dapm_put_enum_double" },
	{ 0xc7166d0e, "gpiod_get_value_cansleep" },
	{ 0x31a62f3e, "regcache_cache_only" },
	{ 0xa5ba64e0, "is_acpi_device_node" },
	{ 0xbafd58bd, "gpiod_put" },
	{ 0xde3c1def, "regcache_sync" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xff7b2ff1, "regmap_write" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x810124fe, "cs35l56_wait_min_reset_pulse" },
	{ 0x88762c92, "cs35l56_get_bclk_freq_id" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x1104f5ba, "pm_runtime_set_autosuspend_delay" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x4e84e11e, "gpiod_set_value_cansleep" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x8bee7989, "acpi_dev_add_driver_gpios" },
	{ 0x37a0cba, "kfree" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x7777a199, "module_layout" },
};

MODULE_INFO(depends, "snd-soc-wm-adsp,snd-soc-cs35l56-shared,snd-soc-core,soundwire-bus,snd-soc-cs-amp-lib,snd-pcm");


MODULE_INFO(srcversion, "D62B474544DEF6496D8466A");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
