#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(hda_sdw_startup, "", "SND_SOC_SOF_INTEL_HDA_GENERIC");
KSYMTAB_FUNC(hda_common_check_sdw_irq, "", "SND_SOC_SOF_INTEL_HDA_GENERIC");
KSYMTAB_FUNC(hda_sdw_check_wakeen_irq_common, "", "SND_SOC_SOF_INTEL_HDA_GENERIC");
KSYMTAB_FUNC(hda_sdw_process_wakeen_common, "", "SND_SOC_SOF_INTEL_HDA_GENERIC");
KSYMTAB_FUNC(hda_dsp_post_fw_run, "", "SND_SOC_SOF_INTEL_HDA_GENERIC");
KSYMTAB_FUNC(hda_dsp_probe_early, "", "SND_SOC_SOF_INTEL_HDA_GENERIC");
KSYMTAB_FUNC(hda_dsp_probe, "", "SND_SOC_SOF_INTEL_HDA_GENERIC");
KSYMTAB_FUNC(hda_dsp_remove, "", "SND_SOC_SOF_INTEL_HDA_GENERIC");
KSYMTAB_FUNC(hda_power_down_dsp, "", "SND_SOC_SOF_INTEL_HDA_GENERIC");
KSYMTAB_FUNC(hda_pci_intel_probe, "", "SND_SOC_SOF_INTEL_HDA_GENERIC");
KSYMTAB_DATA(sof_hda_common_ops, "", "SND_SOC_SOF_INTEL_HDA_GENERIC");

SYMBOL_CRC(hda_sdw_startup, 0x0cdf9815, "");
SYMBOL_CRC(hda_common_check_sdw_irq, 0x922e0403, "");
SYMBOL_CRC(hda_sdw_check_wakeen_irq_common, 0x77e08834, "");
SYMBOL_CRC(hda_sdw_process_wakeen_common, 0x1a604206, "");
SYMBOL_CRC(hda_dsp_post_fw_run, 0x279c19d9, "");
SYMBOL_CRC(hda_dsp_probe_early, 0x7f2b0426, "");
SYMBOL_CRC(hda_dsp_probe, 0x7b726ec0, "");
SYMBOL_CRC(hda_dsp_remove, 0x89800193, "");
SYMBOL_CRC(hda_power_down_dsp, 0xbceffcc6, "");
SYMBOL_CRC(hda_pci_intel_probe, 0xb685fe1d, "");
SYMBOL_CRC(sof_hda_common_ops, 0x9174e8c9, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xaa52eba1, "sdw_intel_thread" },
	{ 0x2ad078bb, "hda_dsp_d0i3_work" },
	{ 0x48623c21, "devm_kmalloc" },
	{ 0x79bb115b, "__SCT__tp_func_sof_intel_hda_irq" },
	{ 0x1b9284f, "pci_alloc_irq_vectors" },
	{ 0xa76b27dd, "intel_nhlt_get_dmic_geo" },
	{ 0xe7385d6f, "hda_dsp_ext_man_get_cavs_config_data" },
	{ 0xa62e238d, "hda_dsp_ctrl_ppcap_enable" },
	{ 0xdebca9ba, "hda_sdw_process_wakeen" },
	{ 0x75e1a6ed, "hda_sdw_int_enable" },
	{ 0xbbd22edc, "hda_bus_ml_init" },
	{ 0xe29c998, "hda_codec_probe_bus" },
	{ 0x46c266bf, "sof_hda_bus_exit" },
	{ 0x221f2a65, "sdw_hda_dai_hw_params" },
	{ 0xedc03953, "iounmap" },
	{ 0xda384255, "sdw_intel_exit" },
	{ 0xa1e94205, "hda_codec_check_for_state_change" },
	{ 0x584535, "sof_xtensa_arch_ops" },
	{ 0x41a05c36, "intel_nhlt_has_endpoint_type" },
	{ 0x56e2352e, "sdw_hda_dai_trigger" },
	{ 0xa4379116, "hda_bus_ml_free" },
	{ 0xad13d1c1, "pcpu_hot" },
	{ 0x2dda2a34, "hda_dsp_cl_boot_firmware" },
	{ 0x871e524b, "hda_dsp_pcm_hw_params" },
	{ 0x2c190f98, "hda_sdw_check_lcount" },
	{ 0x1b9bc687, "snd_intel_dsp_driver_probe" },
	{ 0xb7c8548e, "pci_irq_vector" },
	{ 0x3990adbd, "hda_dsp_ctrl_clock_power_gating" },
	{ 0xe7f11285, "__dynamic_dev_dbg" },
	{ 0x43a45d7a, "pci_ioremap_bar" },
	{ 0xa1f0bfc3, "hda_dsp_ctrl_init_chip" },
	{ 0x6c88c57, "sdw_hda_dai_hw_free" },
	{ 0xb86d7fe, "sof_pci_probe" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe3e4a477, "hda_dsp_suspend" },
	{ 0x2c74cc28, "hda_dsp_runtime_suspend" },
	{ 0x610fc7d7, "hda_codec_i915_exit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xa6c3423d, "hda_dsp_ipc_get_mailbox_offset" },
	{ 0x385957bf, "hda_dai_config" },
	{ 0xec1731df, "hda_probes_unregister" },
	{ 0xf2b1890f, "sof_block_write" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x8e883ffc, "hda_dsp_pcm_ack" },
	{ 0x79179e5b, "hda_dsp_trace_release" },
	{ 0xa88a48d6, "__SCK__tp_func_sof_intel_hda_irq" },
	{ 0x208822a8, "_dev_info" },
	{ 0xb3c80301, "hda_dsp_dump" },
	{ 0xf9a1012b, "sdw_intel_startup" },
	{ 0x75503036, "hda_dsp_pcm_pointer" },
	{ 0xe75fe3b8, "sdw_intel_process_wakeen_event" },
	{ 0xb6044a1, "sof_mailbox_write" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0xe9cd36a2, "sof_mailbox_read" },
	{ 0xa9696dd2, "hda_bus_ml_put_all" },
	{ 0x70ed1b59, "_dev_err" },
	{ 0xd81a439e, "debugfs_create_bool" },
	{ 0xe821eb28, "hda_dsp_core_reset_power_down" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x123f2991, "__tracepoint_sof_intel_hda_irq" },
	{ 0x75077a6, "platform_device_unregister" },
	{ 0x66e89463, "hda_dsp_trace_init" },
	{ 0xa27c0363, "snd_soc_acpi_find_machine" },
	{ 0x34042d5b, "snd_soc_acpi_intel_detect_codec_type" },
	{ 0x687fe20a, "hda_codec_device_remove" },
	{ 0xa25f021c, "hda_dsp_ctrl_ppcap_int_enable" },
	{ 0x2a5ca07b, "snd_soc_acpi_intel_get_codec_tplg_suffix" },
	{ 0x4e859456, "intel_nhlt_free" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xc70feb22, "snd_sof_dsp_update_bits" },
	{ 0x9355a995, "snd_sof_pci_update_bits" },
	{ 0xda018f83, "sof_hda_bus_init" },
	{ 0x11d966a3, "hda_dsp_runtime_idle" },
	{ 0x8a213ee2, "hda_dsp_pcm_open" },
	{ 0xf8e66d75, "_dev_warn" },
	{ 0x368c6727, "sof_debug_check_flag" },
	{ 0xaa9da373, "sdw_intel_lnl_hw_ops" },
	{ 0x63b3add3, "pci_set_master" },
	{ 0x83b20af4, "param_ops_charp" },
	{ 0x9959d25c, "hda_dsp_stream_hw_free" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x3bdcdfa9, "hda_dsp_stream_threaded_handler" },
	{ 0x1cd950e, "hda_dsp_pcm_close" },
	{ 0x6a0cd7bb, "dma_set_coherent_mask" },
	{ 0x3d8d9eb1, "devm_kasprintf" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x6b4eaf0, "hda_check_ipc_irq" },
	{ 0x7ba1b36d, "platform_device_register_full" },
	{ 0xe84eefc, "snd_soc_acpi_intel_get_amp_tplg_suffix" },
	{ 0x85df9b6c, "strsep" },
	{ 0x7edd36b8, "hda_dsp_runtime_resume" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x5e3e0e82, "hda_dsp_trace_trigger" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xf33ff8fc, "sof_machine_unregister" },
	{ 0x883bc5db, "skl_dai" },
	{ 0xb54c9936, "hda_dsp_get_stream_llp" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xf3d38421, "sdw_intel_probe" },
	{ 0x3bcc3964, "snd_sof_load_firmware_raw" },
	{ 0x1255f513, "snd_soc_acpi_intel_detect_amp_type" },
	{ 0xf564f860, "hda_is_chain_dma_supported" },
	{ 0xebe1fb3e, "hda_dsp_resume" },
	{ 0xb7b836b3, "intel_nhlt_ssp_mclk_mask" },
	{ 0x35030a14, "dma_set_mask" },
	{ 0xd1648b2f, "hda_probes_register" },
	{ 0xf2ce560f, "sof_hda_position_quirk" },
	{ 0xc79efca8, "dev_err_probe" },
	{ 0xdeed8ecc, "hda_dsp_stream_init" },
	{ 0x83d96006, "hda_dsp_get_stream_ldp" },
	{ 0x8a176b3c, "hda_dsp_stream_free" },
	{ 0xea6cf6cc, "hda_dsp_ctrl_get_caps" },
	{ 0x58cfccdb, "param_ops_int" },
	{ 0xb2c0e449, "intel_nhlt_init" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x590ae99, "sdw_intel_cnl_hw_ops" },
	{ 0x66fd6169, "intel_nhlt_ssp_endpoint_mask" },
	{ 0xc30ab1f5, "hda_codec_i915_init" },
	{ 0xb8ed33e, "pci_free_irq_vectors" },
	{ 0x155bbc5e, "hda_dsp_check_stream_irq" },
	{ 0xa06a14c1, "hda_set_stream_data_offset" },
	{ 0xbb4f9d1f, "sdw_intel_acpi_scan" },
	{ 0xbfbe543f, "hda_dsp_ipc_get_window_offset" },
	{ 0xc05a648b, "hda_ipc_msg_data" },
	{ 0x1c51de10, "sof_machine_register" },
	{ 0xa1cd5495, "hdac_bus_eml_get_mutex" },
	{ 0x3089c6e9, "snd_soc_acpi_intel_hda_machines" },
	{ 0xd98a39a3, "hda_dsp_set_hw_params_upon_resume" },
	{ 0xa75070a7, "snd_soc_acpi_sdw_link_slaves_found" },
	{ 0x17dbdff6, "sof_block_read" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x2a449c09, "snd_sof_debugfs_add_region_item_iomem" },
	{ 0xe1899c88, "hda_get_interface_mask" },
	{ 0x3a3c3848, "hda_codec_i915_display_power" },
	{ 0xa5ba64e0, "is_acpi_device_node" },
	{ 0x60a9282b, "hda_dsp_pcm_trigger" },
	{ 0x7777a199, "module_layout" },
};

MODULE_INFO(depends, "soundwire-intel,snd-sof-intel-hda-common,snd-intel-dspcfg,snd-sof-intel-hda-mlink,snd-sof-intel-hda,snd-sof-xtensa-dsp,snd-sof-pci,snd-sof,snd-soc-acpi,snd-soc-acpi-intel-match,snd-intel-sdw-acpi");


MODULE_INFO(srcversion, "91E2616A0CE4E613DD9E2F7");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
