#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(mhi_register_controller, "_gpl", "");
KSYMTAB_FUNC(mhi_unregister_controller, "_gpl", "");
KSYMTAB_FUNC(mhi_alloc_controller, "_gpl", "");
KSYMTAB_FUNC(mhi_free_controller, "_gpl", "");
KSYMTAB_FUNC(mhi_prepare_for_power_up, "_gpl", "");
KSYMTAB_FUNC(mhi_unprepare_after_power_down, "_gpl", "");
KSYMTAB_FUNC(__mhi_driver_register, "_gpl", "");
KSYMTAB_FUNC(mhi_driver_unregister, "_gpl", "");
KSYMTAB_FUNC(mhi_get_exec_env, "_gpl", "");
KSYMTAB_FUNC(mhi_get_mhi_state, "_gpl", "");
KSYMTAB_FUNC(mhi_soc_reset, "_gpl", "");
KSYMTAB_FUNC(mhi_get_free_desc_count, "_gpl", "");
KSYMTAB_FUNC(mhi_notify, "_gpl", "");
KSYMTAB_FUNC(mhi_queue_skb, "_gpl", "");
KSYMTAB_FUNC(mhi_queue_dma, "_gpl", "");
KSYMTAB_FUNC(mhi_queue_buf, "_gpl", "");
KSYMTAB_FUNC(mhi_queue_is_full, "_gpl", "");
KSYMTAB_FUNC(mhi_prepare_for_transfer, "_gpl", "");
KSYMTAB_FUNC(mhi_prepare_for_transfer_autoqueue, "_gpl", "");
KSYMTAB_FUNC(mhi_unprepare_from_transfer, "_gpl", "");
KSYMTAB_FUNC(mhi_get_channel_doorbell_offset, "_gpl", "");
KSYMTAB_FUNC(mhi_pm_suspend, "_gpl", "");
KSYMTAB_FUNC(mhi_pm_resume, "_gpl", "");
KSYMTAB_FUNC(mhi_pm_resume_force, "_gpl", "");
KSYMTAB_FUNC(mhi_async_power_up, "_gpl", "");
KSYMTAB_FUNC(mhi_power_down, "_gpl", "");
KSYMTAB_FUNC(mhi_power_down_keep_dev, "_gpl", "");
KSYMTAB_FUNC(mhi_sync_power_up, "", "");
KSYMTAB_FUNC(mhi_force_rddm_mode, "_gpl", "");
KSYMTAB_FUNC(mhi_device_get, "_gpl", "");
KSYMTAB_FUNC(mhi_device_get_sync, "_gpl", "");
KSYMTAB_FUNC(mhi_device_put, "_gpl", "");
KSYMTAB_FUNC(mhi_download_rddm_image, "_gpl", "");

SYMBOL_CRC(mhi_register_controller, 0xf0cb4b4a, "_gpl");
SYMBOL_CRC(mhi_unregister_controller, 0xef7188a9, "_gpl");
SYMBOL_CRC(mhi_alloc_controller, 0xebd92282, "_gpl");
SYMBOL_CRC(mhi_free_controller, 0xeb648db7, "_gpl");
SYMBOL_CRC(mhi_prepare_for_power_up, 0xfbd865c6, "_gpl");
SYMBOL_CRC(mhi_unprepare_after_power_down, 0x749356d5, "_gpl");
SYMBOL_CRC(__mhi_driver_register, 0x414c9d48, "_gpl");
SYMBOL_CRC(mhi_driver_unregister, 0x26bbe865, "_gpl");
SYMBOL_CRC(mhi_get_exec_env, 0x5fb5aba4, "_gpl");
SYMBOL_CRC(mhi_get_mhi_state, 0xa272d0e0, "_gpl");
SYMBOL_CRC(mhi_soc_reset, 0xc0ab9df7, "_gpl");
SYMBOL_CRC(mhi_get_free_desc_count, 0xcf97893a, "_gpl");
SYMBOL_CRC(mhi_notify, 0x4c79ffe9, "_gpl");
SYMBOL_CRC(mhi_queue_skb, 0x2ff0705c, "_gpl");
SYMBOL_CRC(mhi_queue_dma, 0x35823e8c, "_gpl");
SYMBOL_CRC(mhi_queue_buf, 0xd01ff73d, "_gpl");
SYMBOL_CRC(mhi_queue_is_full, 0x9d65ccc2, "_gpl");
SYMBOL_CRC(mhi_prepare_for_transfer, 0xa2b26e6a, "_gpl");
SYMBOL_CRC(mhi_prepare_for_transfer_autoqueue, 0x715a31b9, "_gpl");
SYMBOL_CRC(mhi_unprepare_from_transfer, 0x45220514, "_gpl");
SYMBOL_CRC(mhi_get_channel_doorbell_offset, 0xda99d45a, "_gpl");
SYMBOL_CRC(mhi_pm_suspend, 0x18d2a690, "_gpl");
SYMBOL_CRC(mhi_pm_resume, 0xd3ebffa6, "_gpl");
SYMBOL_CRC(mhi_pm_resume_force, 0xe339c957, "_gpl");
SYMBOL_CRC(mhi_async_power_up, 0xe191fea6, "_gpl");
SYMBOL_CRC(mhi_power_down, 0x5402f3cd, "_gpl");
SYMBOL_CRC(mhi_power_down_keep_dev, 0x8557b2c2, "_gpl");
SYMBOL_CRC(mhi_sync_power_up, 0x74744b0e, "");
SYMBOL_CRC(mhi_force_rddm_mode, 0x69153b8f, "_gpl");
SYMBOL_CRC(mhi_device_get, 0xec0a2bf9, "_gpl");
SYMBOL_CRC(mhi_device_get_sync, 0xe98691e7, "_gpl");
SYMBOL_CRC(mhi_device_put, 0x96bc2d39, "_gpl");
SYMBOL_CRC(mhi_download_rddm_image, 0x1f04783e, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x5d7b1ad9, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0xfde33339, "get_device" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xe7f11285, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x3aca0190, "_raw_write_lock_irq" },
	{ 0x48bb122e, "dev_driver_string" },
	{ 0xcd44e46f, "trace_event_buffer_commit" },
	{ 0xdf2ebb87, "_raw_read_unlock_irqrestore" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x922126bc, "dma_map_page_attrs" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xe10bc72f, "pm_wakeup_dev_event" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x64dba328, "put_device" },
	{ 0xdbd21ae4, "sysfs_remove_file_ns" },
	{ 0xb1342cdb, "_raw_read_lock_irqsave" },
	{ 0x208822a8, "_dev_info" },
	{ 0x47cfd825, "kstrtouint_from_user" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0x80170a16, "perf_trace_run_bpf_submit" },
	{ 0xf64226ef, "bus_unregister" },
	{ 0x70ed1b59, "_dev_err" },
	{ 0x902b6a7c, "device_wakeup_enable" },
	{ 0xf86cf345, "device_add" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x2364c85a, "tasklet_init" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x2ef23732, "dma_alloc_attrs" },
	{ 0x6303756b, "debugfs_remove" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x1ddd1ad9, "seq_putc" },
	{ 0xebd48f80, "trace_event_reg" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0xffb7c514, "ida_free" },
	{ 0x25e15af1, "driver_unregister" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xb7c5b9e1, "device_del" },
	{ 0x9f76baf4, "_raw_write_unlock_irq" },
	{ 0xf8e66d75, "_dev_warn" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0xeb078aee, "_raw_write_unlock_irqrestore" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xd82233ae, "bpf_trace_run3" },
	{ 0xa719d826, "seq_read" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x3571cbff, "debugfs_create_file" },
	{ 0x662ae0e6, "dma_free_attrs" },
	{ 0x999e8297, "vfree" },
	{ 0x979e742, "trace_event_buffer_reserve" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x554475ca, "seq_write" },
	{ 0x23bf00f8, "__kmalloc_cache_noprof" },
	{ 0xbee3ddd5, "vzalloc_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0x90c28d79, "seq_printf" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xfc79eb12, "single_release" },
	{ 0xa4191c0b, "memset_io" },
	{ 0x5021bd81, "_raw_write_lock_irqsave" },
	{ 0x754d539c, "strlen" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x665bbd8, "single_open" },
	{ 0xf29c5392, "debugfs_create_dir" },
	{ 0xd371b0df, "vcalloc_noprof" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x3d8ae1d7, "driver_register" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0xf9a482f9, "msleep" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x53847a1a, "kmalloc_caches" },
	{ 0x123627f, "bus_register" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x48112d76, "_raw_read_lock_irq" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xb973f05c, "device_set_wakeup_capable" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x42b26a28, "bpf_trace_run4" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xf8329ff, "sysfs_create_file_ns" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x75fc6fd4, "dev_set_name" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x62f95a87, "trace_raw_output_prep" },
	{ 0xa58af0a6, "_raw_read_unlock_irq" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xfdfb55be, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x1d5e64e4, "dma_unmap_page_attrs" },
	{ 0x372cadae, "request_firmware" },
	{ 0x51a511eb, "_raw_write_lock_bh" },
	{ 0x80f27d0a, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x87ef9baa, "device_initialize" },
	{ 0x34983dc1, "trace_event_raw_init" },
	{ 0x8900d05a, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xfcec0987, "enable_irq" },
	{ 0xaeb082ad, "_raw_read_unlock_bh" },
	{ 0x8dee722d, "_raw_read_lock_bh" },
	{ 0xad13d1c1, "pcpu_hot" },
	{ 0x386b670b, "device_for_each_child" },
	{ 0xe7ab1ecc, "_raw_write_unlock_bh" },
	{ 0x7777a199, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "34FDD70FBB8371846BB26BB");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
