#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(dfl_fpga_port_ops_get, "_gpl", "");
KSYMTAB_FUNC(dfl_fpga_port_ops_put, "_gpl", "");
KSYMTAB_FUNC(dfl_fpga_port_ops_add, "_gpl", "");
KSYMTAB_FUNC(dfl_fpga_port_ops_del, "_gpl", "");
KSYMTAB_FUNC(dfl_fpga_check_port_id, "_gpl", "");
KSYMTAB_FUNC(__dfl_driver_register, "", "");
KSYMTAB_FUNC(dfl_driver_unregister, "", "");
KSYMTAB_FUNC(dfl_fpga_dev_feature_uinit, "_gpl", "");
KSYMTAB_FUNC(dfl_fpga_dev_feature_init, "_gpl", "");
KSYMTAB_FUNC(dfl_fpga_dev_ops_register, "_gpl", "");
KSYMTAB_FUNC(dfl_fpga_dev_ops_unregister, "_gpl", "");
KSYMTAB_FUNC(dfh_find_param, "_gpl", "");
KSYMTAB_FUNC(dfl_fpga_enum_info_alloc, "_gpl", "");
KSYMTAB_FUNC(dfl_fpga_enum_info_free, "_gpl", "");
KSYMTAB_FUNC(dfl_fpga_enum_info_add_dfl, "_gpl", "");
KSYMTAB_FUNC(dfl_fpga_enum_info_add_irq, "_gpl", "");
KSYMTAB_FUNC(dfl_fpga_feature_devs_enumerate, "_gpl", "");
KSYMTAB_FUNC(dfl_fpga_feature_devs_remove, "_gpl", "");
KSYMTAB_FUNC(__dfl_fpga_cdev_find_port, "_gpl", "");
KSYMTAB_FUNC(dfl_fpga_cdev_release_port, "_gpl", "");
KSYMTAB_FUNC(dfl_fpga_cdev_assign_port, "_gpl", "");
KSYMTAB_FUNC(dfl_fpga_cdev_config_ports_pf, "_gpl", "");
KSYMTAB_FUNC(dfl_fpga_cdev_config_ports_vf, "_gpl", "");
KSYMTAB_FUNC(dfl_fpga_set_irq_triggers, "_gpl", "");
KSYMTAB_FUNC(dfl_feature_ioctl_get_num_irqs, "_gpl", "");
KSYMTAB_FUNC(dfl_feature_ioctl_set_irq, "_gpl", "");

SYMBOL_CRC(dfl_fpga_port_ops_get, 0x7abd7d8e, "_gpl");
SYMBOL_CRC(dfl_fpga_port_ops_put, 0xe4703632, "_gpl");
SYMBOL_CRC(dfl_fpga_port_ops_add, 0x079c32db, "_gpl");
SYMBOL_CRC(dfl_fpga_port_ops_del, 0xb68727a8, "_gpl");
SYMBOL_CRC(dfl_fpga_check_port_id, 0xe589d6c3, "_gpl");
SYMBOL_CRC(__dfl_driver_register, 0x12642edc, "");
SYMBOL_CRC(dfl_driver_unregister, 0x019e6c86, "");
SYMBOL_CRC(dfl_fpga_dev_feature_uinit, 0xd8c1fb5a, "_gpl");
SYMBOL_CRC(dfl_fpga_dev_feature_init, 0xc3c50658, "_gpl");
SYMBOL_CRC(dfl_fpga_dev_ops_register, 0xb6965988, "_gpl");
SYMBOL_CRC(dfl_fpga_dev_ops_unregister, 0x41d4cdb7, "_gpl");
SYMBOL_CRC(dfh_find_param, 0x6b8df4f5, "_gpl");
SYMBOL_CRC(dfl_fpga_enum_info_alloc, 0x566d27ed, "_gpl");
SYMBOL_CRC(dfl_fpga_enum_info_free, 0x52c9fcd1, "_gpl");
SYMBOL_CRC(dfl_fpga_enum_info_add_dfl, 0xd9593e7f, "_gpl");
SYMBOL_CRC(dfl_fpga_enum_info_add_irq, 0xc8d23ab9, "_gpl");
SYMBOL_CRC(dfl_fpga_feature_devs_enumerate, 0x74f975af, "_gpl");
SYMBOL_CRC(dfl_fpga_feature_devs_remove, 0xd24d2f5d, "_gpl");
SYMBOL_CRC(__dfl_fpga_cdev_find_port, 0x45379ab5, "_gpl");
SYMBOL_CRC(dfl_fpga_cdev_release_port, 0x927844e5, "_gpl");
SYMBOL_CRC(dfl_fpga_cdev_assign_port, 0xc30b3ee7, "_gpl");
SYMBOL_CRC(dfl_fpga_cdev_config_ports_pf, 0x6757d189, "_gpl");
SYMBOL_CRC(dfl_fpga_cdev_config_ports_vf, 0xff5186da, "_gpl");
SYMBOL_CRC(dfl_fpga_set_irq_triggers, 0x5f7bd750, "_gpl");
SYMBOL_CRC(dfl_feature_ioctl_get_num_irqs, 0x4594d79e, "_gpl");
SYMBOL_CRC(dfl_feature_ioctl_set_irq, 0x6bdfeb71, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x6d4142d7, "try_module_get" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xec1f44a5, "module_put" },
	{ 0x3d8ae1d7, "driver_register" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x25e15af1, "driver_unregister" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0xc5e74216, "release_resource" },
	{ 0x37a0cba, "kfree" },
	{ 0xffb7c514, "ida_free" },
	{ 0xd4d73561, "cdev_init" },
	{ 0xa139017c, "cdev_add" },
	{ 0x731b6c3d, "cdev_del" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xfde33339, "get_device" },
	{ 0x48623c21, "devm_kmalloc" },
	{ 0x64dba328, "put_device" },
	{ 0x3ab1caa3, "devm_kfree" },
	{ 0x74d0adf4, "devm_kmemdup" },
	{ 0x77358855, "iomem_resource" },
	{ 0x840706c5, "__devm_request_region" },
	{ 0xd9dc66c0, "devm_ioremap" },
	{ 0x70ed1b59, "_dev_err" },
	{ 0xc10e997, "eventfd_signal_mask" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x941f2aaa, "eventfd_ctx_put" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xd67364f7, "eventfd_ctx_fdget" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x123627f, "bus_register" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0xf64226ef, "bus_unregister" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x746c9725, "device_unregister" },
	{ 0x4c3f7603, "devm_platform_ioremap_resource" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x53847a1a, "kmalloc_caches" },
	{ 0x23bf00f8, "__kmalloc_cache_noprof" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x87ef9baa, "device_initialize" },
	{ 0x75fc6fd4, "dev_set_name" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x5f23e3fa, "insert_resource" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xf86cf345, "device_add" },
	{ 0xe7f11285, "__dynamic_dev_dbg" },
	{ 0xdc7a970a, "platform_device_add" },
	{ 0x50e88c64, "platform_device_del" },
	{ 0x7665a95b, "idr_remove" },
	{ 0xfb1ce637, "platform_device_put" },
	{ 0x386b670b, "device_for_each_child" },
	{ 0x860fa6dd, "fpga_region_unregister" },
	{ 0x75077a6, "platform_device_unregister" },
	{ 0x7d628444, "memcpy_fromio" },
	{ 0xf8e66d75, "_dev_warn" },
	{ 0x208822a8, "_dev_info" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x5bc1c9a9, "devm_ioremap_resource" },
	{ 0x9ff7f53d, "__fpga_region_register" },
	{ 0x854de061, "devm_iounmap" },
	{ 0x5369ac98, "__devm_release_region" },
	{ 0xa0263399, "platform_device_alloc" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0x7777a199, "module_layout" },
};

MODULE_INFO(depends, "fpga-region");


MODULE_INFO(srcversion, "50E5BCC174BDC5D715B8263");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
