#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(sensor_hub_register_callback, "_gpl", "");
KSYMTAB_FUNC(sensor_hub_remove_callback, "_gpl", "");
KSYMTAB_FUNC(sensor_hub_set_feature, "_gpl", "");
KSYMTAB_FUNC(sensor_hub_get_feature, "_gpl", "");
KSYMTAB_FUNC(sensor_hub_input_attr_get_raw_value, "_gpl", "");
KSYMTAB_FUNC(hid_sensor_get_usage_index, "_gpl", "");
KSYMTAB_FUNC(sensor_hub_input_get_attribute_info, "_gpl", "");
KSYMTAB_FUNC(sensor_hub_device_open, "_gpl", "");
KSYMTAB_FUNC(sensor_hub_device_close, "_gpl", "");

SYMBOL_CRC(sensor_hub_register_callback, 0xec35395c, "_gpl");
SYMBOL_CRC(sensor_hub_remove_callback, 0xe2b8de98, "_gpl");
SYMBOL_CRC(sensor_hub_set_feature, 0x1b29f255, "_gpl");
SYMBOL_CRC(sensor_hub_get_feature, 0x217ee66b, "_gpl");
SYMBOL_CRC(sensor_hub_input_attr_get_raw_value, 0x38256c22, "_gpl");
SYMBOL_CRC(hid_sensor_get_usage_index, 0x41b333ec, "_gpl");
SYMBOL_CRC(sensor_hub_input_get_attribute_info, 0xfa6e3ef6, "_gpl");
SYMBOL_CRC(sensor_hub_device_open, 0x595253ad, "_gpl");
SYMBOL_CRC(sensor_hub_device_close, 0xf4356b0a, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x37a0cba, "kfree" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xfb578fc5, "memset" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xee9c63f5, "hid_hw_request" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x69acdf38, "memcpy" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xf8e66d75, "_dev_warn" },
	{ 0x85c85d34, "hid_hw_open" },
	{ 0x70ed1b59, "_dev_err" },
	{ 0xc1cf771e, "hid_hw_close" },
	{ 0xf0e380ad, "__hid_register_driver" },
	{ 0xe7f11285, "__dynamic_dev_dbg" },
	{ 0xa6257a2f, "complete" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x6fb171d6, "hid_hw_stop" },
	{ 0x386b670b, "device_for_each_child" },
	{ 0x9685ed2d, "mfd_remove_devices" },
	{ 0x19ac305b, "hid_unregister_driver" },
	{ 0x53847a1a, "kmalloc_caches" },
	{ 0x23bf00f8, "__kmalloc_cache_noprof" },
	{ 0x48623c21, "devm_kmalloc" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xea8479d0, "hid_open_report" },
	{ 0x1801811e, "hid_hw_start" },
	{ 0x3d8d9eb1, "devm_kasprintf" },
	{ 0x817685a5, "mfd_add_devices" },
	{ 0xa716ab22, "hid_set_field" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xf02aa937, "wait_for_completion_interruptible_timeout" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x7777a199, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("hid:b*g0003v*p*");

MODULE_INFO(srcversion, "3EF2F3571F15A01F2259F17");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
