#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x15ba50a6, "jiffies" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xb628d75a, "usb_submit_urb" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xea8479d0, "hid_open_report" },
	{ 0x1801811e, "hid_hw_start" },
	{ 0xafc95851, "hid_is_usb" },
	{ 0x2cbfa3e8, "usb_free_urb" },
	{ 0x6fb171d6, "hid_hw_stop" },
	{ 0x69bce15e, "usb_alloc_urb" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x19ac305b, "hid_unregister_driver" },
	{ 0xa7d5f92e, "ida_destroy" },
	{ 0xf90df783, "input_event" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x1b20b344, "input_mt_report_slot_state" },
	{ 0x70cdef36, "input_mt_sync_frame" },
	{ 0xc1cf771e, "hid_hw_close" },
	{ 0xffb7c514, "ida_free" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xee9c63f5, "hid_hw_request" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x754d539c, "strlen" },
	{ 0x48f1e01f, "devm_led_classdev_register_ext" },
	{ 0x9920a2c4, "input_set_capability" },
	{ 0x741843ff, "input_ff_create_memless" },
	{ 0x3d8d9eb1, "devm_kasprintf" },
	{ 0x8e7dd5e3, "devm_power_supply_register" },
	{ 0x93a3d4e9, "power_supply_powers" },
	{ 0x85c85d34, "hid_hw_open" },
	{ 0x25b2a3a5, "hid_validate_values" },
	{ 0x5ee6c6fd, "input_mt_init_slots" },
	{ 0xf8e66d75, "_dev_warn" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x92997ed8, "_printk" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xf0e380ad, "__hid_register_driver" },
	{ 0x70ed1b59, "_dev_err" },
	{ 0x208822a8, "_dev_info" },
	{ 0x53847a1a, "kmalloc_caches" },
	{ 0x23bf00f8, "__kmalloc_cache_noprof" },
	{ 0x53ed67eb, "hid_hw_raw_request" },
	{ 0x37a0cba, "kfree" },
	{ 0xe1ea0a33, "hid_hw_output_report" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0xc3da73b6, "devm_input_allocate_device" },
	{ 0xa916b694, "strnlen" },
	{ 0x48623c21, "devm_kmalloc" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xf4a2c07c, "input_register_device" },
	{ 0xd4a949ad, "input_set_abs_params" },
	{ 0x802a5bed, "input_alloc_absinfo" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x565b9668, "power_supply_get_drvdata" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x7777a199, "module_layout" },
};

MODULE_INFO(depends, "usbcore,usbhid,ff-memless");

MODULE_ALIAS("hid:b0003g*v0000054Cp00000268");
MODULE_ALIAS("hid:b0003g*v0000054Cp0000042F");
MODULE_ALIAS("hid:b0005g*v0000054Cp0000042F");
MODULE_ALIAS("hid:b0003g*v0000054Cp000003D5");
MODULE_ALIAS("hid:b0005g*v0000054Cp000003D5");
MODULE_ALIAS("hid:b0005g*v0000054Cp00000268");
MODULE_ALIAS("hid:b0003g*v0000054Cp0000024B");
MODULE_ALIAS("hid:b0003g*v0000054Cp00000374");
MODULE_ALIAS("hid:b0003g*v0000054Cp00000002");
MODULE_ALIAS("hid:b0003g*v0000054Cp00001000");
MODULE_ALIAS("hid:b0005g*v0000054Cp00000306");
MODULE_ALIAS("hid:b0005g*v0000046Dp00000306");
MODULE_ALIAS("hid:b0005g*v00000609p00000306");
MODULE_ALIAS("hid:b0003g*v00001345p00003008");
MODULE_ALIAS("hid:b0005g*v00000609p00000368");
MODULE_ALIAS("hid:b0005g*v00000609p00000369");
MODULE_ALIAS("hid:b0003g*v000012BAp0000074B");
MODULE_ALIAS("hid:b0003g*v00001430p0000474C");
MODULE_ALIAS("hid:b0003g*v000012BAp00000100");
MODULE_ALIAS("hid:b0003g*v00001430p000007BB");

MODULE_INFO(srcversion, "87483B626E86F1884241C63");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
