#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(stm_register_protocol, "_gpl", "");
KSYMTAB_FUNC(stm_unregister_protocol, "_gpl", "");
KSYMTAB_FUNC(stm_data_write, "_gpl", "");
KSYMTAB_FUNC(stm_register_device, "_gpl", "");
KSYMTAB_FUNC(stm_unregister_device, "_gpl", "");
KSYMTAB_FUNC(stm_source_register_device, "_gpl", "");
KSYMTAB_FUNC(stm_source_unregister_device, "_gpl", "");
KSYMTAB_FUNC(stm_source_write, "_gpl", "");
KSYMTAB_FUNC(to_pdrv_policy_node, "_gpl", "");

SYMBOL_CRC(stm_register_protocol, 0x567ec8a2, "_gpl");
SYMBOL_CRC(stm_unregister_protocol, 0xfc925f86, "_gpl");
SYMBOL_CRC(stm_data_write, 0x7cee65b4, "_gpl");
SYMBOL_CRC(stm_register_device, 0xe9abbad8, "_gpl");
SYMBOL_CRC(stm_unregister_device, 0xdc23ad89, "_gpl");
SYMBOL_CRC(stm_source_register_device, 0x7b95f94f, "_gpl");
SYMBOL_CRC(stm_source_unregister_device, 0x02ec080b, "_gpl");
SYMBOL_CRC(stm_source_write, 0x9d4286b5, "_gpl");
SYMBOL_CRC(to_pdrv_policy_node, 0xd10e6bbc, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9f984513, "strrchr" },
	{ 0xec1f44a5, "module_put" },
	{ 0x615911d7, "__bitmap_set" },
	{ 0xddd68048, "compat_ptr_ioctl" },
	{ 0xe325f6fd, "init_srcu_struct" },
	{ 0x57bc19d2, "down_write" },
	{ 0xce807a25, "up_write" },
	{ 0xdfce3ffd, "configfs_register_subsystem" },
	{ 0xf86cf345, "device_add" },
	{ 0x11f1cff1, "__srcu_read_lock" },
	{ 0x40f6bbdf, "config_group_init_type_name" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xeb0d2ab8, "class_unregister" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x4297ac9, "cleanup_srcu_struct" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x34f73cc, "__get_task_comm" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x5c6e24c9, "pm_runtime_no_callbacks" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xbdfc1570, "nonseekable_open" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x922f45a6, "__bitmap_clear" },
	{ 0x3ae01f3a, "pm_runtime_forbid" },
	{ 0x999e8297, "vfree" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0xa352bc61, "__pm_runtime_resume" },
	{ 0x85df9b6c, "strsep" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x257b9b2d, "config_item_put" },
	{ 0x6aafdd71, "__register_chrdev" },
	{ 0xa9010c1b, "kobject_set_name" },
	{ 0x23bf00f8, "__kmalloc_cache_noprof" },
	{ 0xbee3ddd5, "vzalloc_noprof" },
	{ 0x3b3c29a5, "device_match_name" },
	{ 0xaa4b457e, "__srcu_read_unlock" },
	{ 0x3426ac54, "boot_cpu_data" },
	{ 0xd2555fc1, "__pm_runtime_suspend" },
	{ 0x46cf10eb, "cachemode2protval" },
	{ 0xc813900a, "__pm_runtime_use_autosuspend" },
	{ 0x69b3ad8e, "__pm_runtime_disable" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xe5548c62, "class_register" },
	{ 0x53847a1a, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xe9c19e26, "class_find_device" },
	{ 0x6bc3fbc0, "__unregister_chrdev" },
	{ 0x6d4142d7, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x2ca26b07, "config_group_init" },
	{ 0xd64ed259, "__memcat_p" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x746c9725, "device_unregister" },
	{ 0x1104f5ba, "pm_runtime_set_autosuspend_delay" },
	{ 0x7998cf8, "vm_iomap_memory" },
	{ 0x997d6fda, "config_item_get" },
	{ 0x87ef9baa, "device_initialize" },
	{ 0x37a0cba, "kfree" },
	{ 0xaa2f79b8, "synchronize_srcu" },
	{ 0xe7f11285, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x961caec9, "configfs_unregister_subsystem" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xc3abf0f7, "__pm_runtime_set_status" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x64dba328, "put_device" },
	{ 0xb6019912, "pm_runtime_enable" },
	{ 0x30b3f334, "const_pcpu_hot" },
	{ 0x7777a199, "module_layout" },
};

MODULE_INFO(depends, "configfs");


MODULE_INFO(srcversion, "A80A2091E20FB9827EE187E");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
