#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(bmp280_chip_info, "", "IIO_BMP280");
KSYMTAB_DATA(bme280_chip_info, "", "IIO_BMP280");
KSYMTAB_DATA(bmp380_chip_info, "", "IIO_BMP280");
KSYMTAB_DATA(bmp580_chip_info, "", "IIO_BMP280");
KSYMTAB_DATA(bmp180_chip_info, "", "IIO_BMP280");
KSYMTAB_FUNC(bmp280_common_probe, "", "IIO_BMP280");
KSYMTAB_DATA(bmp280_dev_pm_ops, "", "");
KSYMTAB_DATA(bmp180_regmap_config, "", "IIO_BMP280");
KSYMTAB_DATA(bmp280_regmap_config, "", "IIO_BMP280");
KSYMTAB_DATA(bme280_regmap_config, "", "IIO_BMP280");
KSYMTAB_DATA(bmp380_regmap_config, "", "IIO_BMP280");
KSYMTAB_DATA(bmp580_regmap_config, "", "IIO_BMP280");

SYMBOL_CRC(bmp280_chip_info, 0xdba017c6, "");
SYMBOL_CRC(bme280_chip_info, 0xac453602, "");
SYMBOL_CRC(bmp380_chip_info, 0x46aff6b0, "");
SYMBOL_CRC(bmp580_chip_info, 0xbe6dbd06, "");
SYMBOL_CRC(bmp180_chip_info, 0xa7c1321d, "");
SYMBOL_CRC(bmp280_common_probe, 0x684ee1ec, "");
SYMBOL_CRC(bmp280_dev_pm_ops, 0x54078b73, "");
SYMBOL_CRC(bmp180_regmap_config, 0xb9052ed9, "");
SYMBOL_CRC(bmp280_regmap_config, 0x5383f3bb, "");
SYMBOL_CRC(bme280_regmap_config, 0x7e4b450b, "");
SYMBOL_CRC(bmp380_regmap_config, 0xbcd1455a, "");
SYMBOL_CRC(bmp580_regmap_config, 0xb2adf9df, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc79efca8, "dev_err_probe" },
	{ 0x4d812041, "iio_trigger_notify_done" },
	{ 0xd2555fc1, "__pm_runtime_suspend" },
	{ 0x8b72fb27, "__devm_add_action" },
	{ 0xdf76bbeb, "iio_pollfunc_store_time" },
	{ 0xc813900a, "__pm_runtime_use_autosuspend" },
	{ 0x69b3ad8e, "__pm_runtime_disable" },
	{ 0x5bc2476b, "__pm_runtime_idle" },
	{ 0xf9a482f9, "msleep" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xff7b2ff1, "regmap_write" },
	{ 0xdfd16b21, "devm_request_threaded_irq" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xb4e3d8c9, "gpiod_set_value" },
	{ 0xd0bac12f, "devm_nvmem_register" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xc2e50e1c, "devm_iio_triggered_buffer_setup_ext" },
	{ 0xa6257a2f, "complete" },
	{ 0x1104f5ba, "pm_runtime_set_autosuspend_delay" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xf4a7c3d7, "iio_push_to_buffers" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x2ebca8a7, "devm_gpiod_get_optional" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xc3abf0f7, "__pm_runtime_set_status" },
	{ 0xd66c8184, "add_device_randomness" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb6019912, "pm_runtime_enable" },
	{ 0x9a9c58b7, "regulator_bulk_disable" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x208822a8, "_dev_info" },
	{ 0x70ed1b59, "_dev_err" },
	{ 0x959f212a, "irq_get_irq_data" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x88e389c9, "__devm_iio_device_register" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x807d9c59, "devm_iio_device_alloc" },
	{ 0xf8e66d75, "_dev_warn" },
	{ 0x9991d108, "regulator_bulk_set_supply_names" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xe7c9d488, "regulator_bulk_enable" },
	{ 0x98f46b18, "devm_regulator_bulk_get" },
	{ 0x272c946a, "iio_get_time_ns" },
	{ 0x29941a9, "regmap_read" },
	{ 0xd612840c, "regmap_bulk_write" },
	{ 0xa352bc61, "__pm_runtime_resume" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x54669399, "regmap_bulk_read" },
	{ 0x2c8951b9, "regmap_update_bits_base" },
	{ 0x7777a199, "module_layout" },
};

MODULE_INFO(depends, "industrialio,industrialio-triggered-buffer");


MODULE_INFO(srcversion, "3B329A381C77EF259650548");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
