#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(rtrs_srv_resp_rdma, "", "");
KSYMTAB_FUNC(rtrs_srv_set_sess_priv, "", "");
KSYMTAB_FUNC(rtrs_srv_get_path_name, "", "");
KSYMTAB_FUNC(rtrs_srv_get_queue_depth, "", "");
KSYMTAB_FUNC(rtrs_srv_open, "", "");
KSYMTAB_FUNC(rtrs_srv_close, "", "");

SYMBOL_CRC(rtrs_srv_resp_rdma, 0x79217aaa, "");
SYMBOL_CRC(rtrs_srv_set_sess_priv, 0x88afe40c, "");
SYMBOL_CRC(rtrs_srv_get_path_name, 0x7e338cb9, "");
SYMBOL_CRC(rtrs_srv_get_queue_depth, 0xf0b4e40b, "");
SYMBOL_CRC(rtrs_srv_open, 0x02d8bd56, "");
SYMBOL_CRC(rtrs_srv_close, 0x1e94b8ae, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe783e261, "sysfs_emit" },
	{ 0xcd44e46f, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xd00e7a3e, "rtrs_rdma_dev_pd_init" },
	{ 0x92997ed8, "_printk" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0xd64f410a, "rtrs_ib_dev_find_or_add" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9fde5fb9, "__rdma_create_kernel_id" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x64dba328, "put_device" },
	{ 0xcc2310, "rtrs_rdma_dev_pd_deinit" },
	{ 0x9ad30606, "ib_register_event_handler" },
	{ 0xa916b694, "strnlen" },
	{ 0xb48a0755, "__free_pages" },
	{ 0xe36bf83b, "ib_unregister_event_handler" },
	{ 0xc23cc13f, "rdma_bind_addr" },
	{ 0x3a28c36d, "ib_register_client" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xb3f985a8, "sg_alloc_table" },
	{ 0x79ff6ec8, "rtrs_iu_free" },
	{ 0xc867bf91, "ib_map_mr_sg" },
	{ 0x37bf7be3, "percpu_ref_exit" },
	{ 0xe6f97633, "__dma_sync_single_for_cpu" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0x80170a16, "perf_trace_run_bpf_submit" },
	{ 0x37b16a1, "init_net" },
	{ 0xf86cf345, "device_add" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x1ee0fa65, "kobj_sysfs_ops" },
	{ 0x72d5114c, "rtrs_cq_qp_destroy" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xebd48f80, "trace_event_reg" },
	{ 0x1a1efd2c, "rtrs_iu_post_recv" },
	{ 0x59114188, "kobject_init_and_add" },
	{ 0xdb1171d5, "rdma_listen" },
	{ 0xeb0d2ab8, "class_unregister" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x991d80aa, "sysfs_create_group" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x62a79d0b, "sysfs_remove_file_self" },
	{ 0xb7c5b9e1, "device_del" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0xe477c6bb, "ib_alloc_mr" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6f262eb6, "kobject_create_and_add" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xe15357ef, "sockaddr_to_str" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x69a87810, "sysfs_remove_group" },
	{ 0xe5840ec6, "ib_wc_status_msg" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x1000a929, "ib_dma_virt_map_sg" },
	{ 0xc25d94c1, "pcpu_alloc_noprof" },
	{ 0x72ee6bb1, "kobject_del" },
	{ 0x979e742, "trace_event_buffer_reserve" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x7be61139, "param_ops_bool" },
	{ 0x4f2c13f5, "rdma_destroy_id" },
	{ 0xdd0fa41d, "__dma_sync_single_for_device" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x23bf00f8, "__kmalloc_cache_noprof" },
	{ 0xa863d182, "rdma_accept" },
	{ 0x135be6ee, "rtrs_start_hb" },
	{ 0xd89b1880, "kobject_uevent" },
	{ 0x92cbf2fe, "alloc_pages_noprof" },
	{ 0xb54d21b4, "ib_drain_qp" },
	{ 0x79ae1aea, "dma_unmap_sg_attrs" },
	{ 0xe3d8282d, "rtrs_cq_qp_create" },
	{ 0x8e0c1832, "rtrs_ib_dev_put" },
	{ 0x58cfccdb, "param_ops_int" },
	{ 0x3c78d477, "rtrs_init_hb" },
	{ 0x6abe886e, "rtrs_stop_hb" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x349cba85, "strchr" },
	{ 0x892d8fd7, "rtrs_send_hb_ack" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x568bdb10, "rtrs_iu_alloc" },
	{ 0xe5548c62, "class_register" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0x930e154f, "kobject_get" },
	{ 0x53847a1a, "kmalloc_caches" },
	{ 0xce209a36, "dma_map_sg_attrs" },
	{ 0x327d8d22, "kobject_put" },
	{ 0x242a8646, "rtrs_addr_to_str" },
	{ 0x2144c8d4, "ib_unregister_client" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x42b26a28, "bpf_trace_run4" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x907df803, "rdma_event_msg" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x75fc6fd4, "dev_set_name" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x81a7f541, "percpu_ref_init" },
	{ 0x62f95a87, "trace_raw_output_prep" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0xc8c85086, "sg_free_table" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xfdfb55be, "__trace_trigger_soft_disabled" },
	{ 0x80f27d0a, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x87ef9baa, "device_initialize" },
	{ 0x34983dc1, "trace_event_raw_init" },
	{ 0x8900d05a, "trace_print_symbols_seq" },
	{ 0x37a0cba, "kfree" },
	{ 0xeaa0400a, "rtrs_post_recv_empty" },
	{ 0xad13d1c1, "pcpu_hot" },
	{ 0x24ba7795, "ib_dereg_mr_user" },
	{ 0xba546824, "rtrs_iu_post_send" },
	{ 0xf6ed3334, "ib_event_msg" },
	{ 0xfde33339, "get_device" },
	{ 0x76b1069, "rdma_reject" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x1ed4d2eb, "percpu_ref_kill_and_confirm" },
	{ 0x6a680fbc, "rdma_disconnect" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x7777a199, "module_layout" },
};

MODULE_INFO(depends, "rtrs-core,rdma_cm,ib_core");


MODULE_INFO(srcversion, "BD6DA5962B9C3EAB1C26C1B");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
