#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ipu_bridge_parse_ssdb, "_gpl", "INTEL_IPU_BRIDGE");
KSYMTAB_FUNC(ipu_bridge_instantiate_vcm, "_gpl", "INTEL_IPU_BRIDGE");
KSYMTAB_FUNC(ipu_bridge_init, "_gpl", "INTEL_IPU_BRIDGE");

SYMBOL_CRC(ipu_bridge_parse_ssdb, 0xb6dabc75, "_gpl");
SYMBOL_CRC(ipu_bridge_instantiate_vcm, 0xc031bba7, "_gpl");
SYMBOL_CRC(ipu_bridge_init, 0x63d62ec4, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa5ba64e0, "is_acpi_device_node" },
	{ 0xa352bc61, "__pm_runtime_resume" },
	{ 0x444b2f50, "i2c_acpi_new_device_by_fwnode" },
	{ 0x960fd435, "device_link_add" },
	{ 0x208822a8, "_dev_info" },
	{ 0x5bc2476b, "__pm_runtime_idle" },
	{ 0x64dba328, "put_device" },
	{ 0x37a0cba, "kfree" },
	{ 0x70ed1b59, "_dev_err" },
	{ 0x499c751c, "acpi_dev_get_first_match_dev" },
	{ 0xc0cee75, "acpi_dev_get_next_consumer_dev" },
	{ 0x63cf1708, "acpi_dev_get_next_match_dev" },
	{ 0x464e1a5, "platform_bus_type" },
	{ 0x85bf4986, "bus_find_device" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x9afa5978, "device_find_child_by_name" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0x8fc12788, "software_node_unregister_node_group" },
	{ 0xd92deb6b, "acpi_evaluate_object" },
	{ 0x1d1abdf0, "acpi_get_physical_device_location" },
	{ 0xf8e66d75, "_dev_warn" },
	{ 0xa8caf714, "__dev_fwnode" },
	{ 0xdc9c3dd2, "fwnode_find_reference" },
	{ 0xb17365b6, "i2c_find_device_by_fwnode" },
	{ 0x53847a1a, "kmalloc_caches" },
	{ 0x23bf00f8, "__kmalloc_cache_noprof" },
	{ 0xfde33339, "get_device" },
	{ 0xceab0311, "strchrnul" },
	{ 0x131db64a, "system_long_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xaad1451c, "fwnode_graph_get_next_endpoint" },
	{ 0xb48f0638, "software_node_register" },
	{ 0x5c62a5c7, "acpi_device_hid" },
	{ 0x7a9e4c23, "software_node_register_node_group" },
	{ 0x99f059a5, "software_node_fwnode" },
	{ 0x99d84854, "set_secondary_fwnode" },
	{ 0xcbe3ee2, "software_node_unregister" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x7777a199, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "DD00931DA7B32CC86328B9D");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
