#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(sdhci_dumpregs, "_gpl", "");
KSYMTAB_FUNC(sdhci_enable_v4_mode, "_gpl", "");
KSYMTAB_FUNC(sdhci_reset, "_gpl", "");
KSYMTAB_FUNC(sdhci_adma_write_desc, "_gpl", "");
KSYMTAB_FUNC(sdhci_set_data_timeout_irq, "_gpl", "");
KSYMTAB_FUNC(__sdhci_set_timeout, "_gpl", "");
KSYMTAB_FUNC(sdhci_switch_external_dma, "_gpl", "");
KSYMTAB_FUNC(sdhci_calc_clk, "_gpl", "");
KSYMTAB_FUNC(sdhci_enable_clk, "_gpl", "");
KSYMTAB_FUNC(sdhci_set_clock, "_gpl", "");
KSYMTAB_FUNC(sdhci_set_power_noreg, "_gpl", "");
KSYMTAB_FUNC(sdhci_set_power, "_gpl", "");
KSYMTAB_FUNC(sdhci_set_power_and_bus_voltage, "_gpl", "");
KSYMTAB_FUNC(sdhci_request, "_gpl", "");
KSYMTAB_FUNC(sdhci_request_atomic, "_gpl", "");
KSYMTAB_FUNC(sdhci_set_bus_width, "_gpl", "");
KSYMTAB_FUNC(sdhci_set_uhs_signaling, "_gpl", "");
KSYMTAB_FUNC(sdhci_set_ios, "_gpl", "");
KSYMTAB_FUNC(sdhci_get_cd_nogpio, "_gpl", "");
KSYMTAB_FUNC(sdhci_get_ro, "_gpl", "");
KSYMTAB_FUNC(sdhci_enable_sdio_irq, "_gpl", "");
KSYMTAB_FUNC(sdhci_start_signal_voltage_switch, "_gpl", "");
KSYMTAB_FUNC(sdhci_start_tuning, "_gpl", "");
KSYMTAB_FUNC(sdhci_end_tuning, "_gpl", "");
KSYMTAB_FUNC(sdhci_reset_tuning, "_gpl", "");
KSYMTAB_FUNC(sdhci_abort_tuning, "_gpl", "");
KSYMTAB_FUNC(sdhci_send_tuning, "_gpl", "");
KSYMTAB_FUNC(__sdhci_execute_tuning, "_gpl", "");
KSYMTAB_FUNC(sdhci_execute_tuning, "_gpl", "");
KSYMTAB_FUNC(sdhci_suspend_host, "_gpl", "");
KSYMTAB_FUNC(sdhci_resume_host, "_gpl", "");
KSYMTAB_FUNC(sdhci_runtime_suspend_host, "_gpl", "");
KSYMTAB_FUNC(sdhci_runtime_resume_host, "_gpl", "");
KSYMTAB_FUNC(sdhci_cqe_enable, "_gpl", "");
KSYMTAB_FUNC(sdhci_cqe_disable, "_gpl", "");
KSYMTAB_FUNC(sdhci_cqe_irq, "_gpl", "");
KSYMTAB_FUNC(sdhci_alloc_host, "_gpl", "");
KSYMTAB_FUNC(__sdhci_read_caps, "_gpl", "");
KSYMTAB_FUNC(sdhci_setup_host, "_gpl", "");
KSYMTAB_FUNC(sdhci_cleanup_host, "_gpl", "");
KSYMTAB_FUNC(__sdhci_add_host, "_gpl", "");
KSYMTAB_FUNC(sdhci_add_host, "_gpl", "");
KSYMTAB_FUNC(sdhci_remove_host, "_gpl", "");
KSYMTAB_FUNC(sdhci_free_host, "_gpl", "");

SYMBOL_CRC(sdhci_dumpregs, 0x40f64549, "_gpl");
SYMBOL_CRC(sdhci_enable_v4_mode, 0x4329b3ca, "_gpl");
SYMBOL_CRC(sdhci_reset, 0x224b1d55, "_gpl");
SYMBOL_CRC(sdhci_adma_write_desc, 0xf107095f, "_gpl");
SYMBOL_CRC(sdhci_set_data_timeout_irq, 0x083e93bf, "_gpl");
SYMBOL_CRC(__sdhci_set_timeout, 0xfdca5ba5, "_gpl");
SYMBOL_CRC(sdhci_switch_external_dma, 0x183d3c13, "_gpl");
SYMBOL_CRC(sdhci_calc_clk, 0xe19edbb8, "_gpl");
SYMBOL_CRC(sdhci_enable_clk, 0xcfa5a88d, "_gpl");
SYMBOL_CRC(sdhci_set_clock, 0xa33a058a, "_gpl");
SYMBOL_CRC(sdhci_set_power_noreg, 0x7181657d, "_gpl");
SYMBOL_CRC(sdhci_set_power, 0x07142d67, "_gpl");
SYMBOL_CRC(sdhci_set_power_and_bus_voltage, 0xa0f73474, "_gpl");
SYMBOL_CRC(sdhci_request, 0xdb1252b0, "_gpl");
SYMBOL_CRC(sdhci_request_atomic, 0xec0514b0, "_gpl");
SYMBOL_CRC(sdhci_set_bus_width, 0x58c09953, "_gpl");
SYMBOL_CRC(sdhci_set_uhs_signaling, 0x484c078b, "_gpl");
SYMBOL_CRC(sdhci_set_ios, 0x673d5c7f, "_gpl");
SYMBOL_CRC(sdhci_get_cd_nogpio, 0x9fd3ee3a, "_gpl");
SYMBOL_CRC(sdhci_get_ro, 0xd323be16, "_gpl");
SYMBOL_CRC(sdhci_enable_sdio_irq, 0xb6914e65, "_gpl");
SYMBOL_CRC(sdhci_start_signal_voltage_switch, 0xf759d71a, "_gpl");
SYMBOL_CRC(sdhci_start_tuning, 0xd1d686fb, "_gpl");
SYMBOL_CRC(sdhci_end_tuning, 0x4685a17e, "_gpl");
SYMBOL_CRC(sdhci_reset_tuning, 0xbe2dc9cb, "_gpl");
SYMBOL_CRC(sdhci_abort_tuning, 0x30977a5f, "_gpl");
SYMBOL_CRC(sdhci_send_tuning, 0xd1789833, "_gpl");
SYMBOL_CRC(__sdhci_execute_tuning, 0x65357a60, "_gpl");
SYMBOL_CRC(sdhci_execute_tuning, 0xe6b931c3, "_gpl");
SYMBOL_CRC(sdhci_suspend_host, 0x0b6a970e, "_gpl");
SYMBOL_CRC(sdhci_resume_host, 0x5d7fa429, "_gpl");
SYMBOL_CRC(sdhci_runtime_suspend_host, 0x48af9e8d, "_gpl");
SYMBOL_CRC(sdhci_runtime_resume_host, 0x66a15b55, "_gpl");
SYMBOL_CRC(sdhci_cqe_enable, 0xb6d7ec62, "_gpl");
SYMBOL_CRC(sdhci_cqe_disable, 0x16ae80c1, "_gpl");
SYMBOL_CRC(sdhci_cqe_irq, 0x2484cc74, "_gpl");
SYMBOL_CRC(sdhci_alloc_host, 0x947b325d, "_gpl");
SYMBOL_CRC(__sdhci_read_caps, 0x59379def, "_gpl");
SYMBOL_CRC(sdhci_setup_host, 0x99c5753f, "_gpl");
SYMBOL_CRC(sdhci_cleanup_host, 0x1deac3f7, "_gpl");
SYMBOL_CRC(__sdhci_add_host, 0x7d70ddfb, "_gpl");
SYMBOL_CRC(sdhci_add_host, 0x32c21f9c, "_gpl");
SYMBOL_CRC(sdhci_remove_host, 0x60d8b71e, "_gpl");
SYMBOL_CRC(sdhci_free_host, 0xd2676465, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x92997ed8, "_printk" },
	{ 0xce209a36, "dma_map_sg_attrs" },
	{ 0xdd0fa41d, "__dma_sync_single_for_device" },
	{ 0x16f123e, "sg_copy_to_buffer" },
	{ 0x79ae1aea, "dma_unmap_sg_attrs" },
	{ 0x93687180, "mmc_alloc_host" },
	{ 0x662ae0e6, "dma_free_attrs" },
	{ 0xe7a39948, "regulator_disable" },
	{ 0x9cc49ecf, "mmc_free_host" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x7e7fefad, "mmc_retune_timer_stop" },
	{ 0xaa309cf, "synchronize_hardirq" },
	{ 0x33e6f0c4, "mmc_send_abort_tuning" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56470118, "__warn_printk" },
	{ 0xa22fec5, "mmc_regulator_set_ocr" },
	{ 0xd2168555, "mmc_request_done" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xdcbeba1d, "sg_copy_from_buffer" },
	{ 0xe6f97633, "__dma_sync_single_for_cpu" },
	{ 0x443a9081, "mmc_gpio_get_cd" },
	{ 0x4d817e6a, "mmc_can_gpio_cd" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xff38c190, "led_classdev_register_ext" },
	{ 0xe37069c4, "mmc_add_host" },
	{ 0xcb3d130f, "led_classdev_unregister" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xf64d6888, "mmc_remove_host" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x7287d17, "mmc_can_gpio_ro" },
	{ 0x75ddf0b3, "mmc_gpio_get_ro" },
	{ 0xff4ae395, "mmc_regulator_set_vqmmc" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x53001771, "device_property_read_u64_array" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x2c28dc6c, "regulator_is_supported_voltage" },
	{ 0xb6782a7a, "regulator_get_current_limit" },
	{ 0xdaf0c6fe, "regulator_enable" },
	{ 0x2ef23732, "dma_alloc_attrs" },
	{ 0x48623c21, "devm_kmalloc" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x922126bc, "dma_map_page_attrs" },
	{ 0x3ab1caa3, "devm_kfree" },
	{ 0x2ead8306, "mmc_regulator_get_supply" },
	{ 0x6cbe5f88, "dma_max_mapping_size" },
	{ 0x35030a14, "dma_set_mask" },
	{ 0x6a0cd7bb, "dma_set_coherent_mask" },
	{ 0x48bb122e, "dev_driver_string" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x88fbf1c9, "mmc_detect_change" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xffae8e8b, "nsecs_to_jiffies" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xc66fea1c, "sg_miter_start" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xb1468009, "__dma_sync_sg_for_cpu" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x8748a2f6, "mmc_command_done" },
	{ 0xfd7467b5, "sdio_signal_irq" },
	{ 0x69d303e3, "sg_miter_next" },
	{ 0xa1bf9dc6, "sg_miter_stop" },
	{ 0xe2964344, "__wake_up" },
	{ 0xf94f719, "param_ops_uint" },
	{ 0x7777a199, "module_layout" },
};

MODULE_INFO(depends, "mmc_core");


MODULE_INFO(srcversion, "F7E2BC1EC3453CAF9EDC791");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
