#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(b53_imp_vlan_setup, "", "");
KSYMTAB_FUNC(b53_enable_port, "", "");
KSYMTAB_FUNC(b53_disable_port, "", "");
KSYMTAB_FUNC(b53_brcm_hdr_setup, "", "");
KSYMTAB_FUNC(b53_configure_vlan, "", "");
KSYMTAB_FUNC(b53_get_strings, "", "");
KSYMTAB_FUNC(b53_get_ethtool_stats, "", "");
KSYMTAB_FUNC(b53_get_ethtool_phy_stats, "", "");
KSYMTAB_FUNC(b53_get_sset_count, "", "");
KSYMTAB_FUNC(b53_setup_devlink_resources, "", "");
KSYMTAB_FUNC(b53_port_event, "", "");
KSYMTAB_FUNC(b53_vlan_filtering, "", "");
KSYMTAB_FUNC(b53_vlan_add, "", "");
KSYMTAB_FUNC(b53_vlan_del, "", "");
KSYMTAB_FUNC(b53_fdb_add, "", "");
KSYMTAB_FUNC(b53_fdb_del, "", "");
KSYMTAB_FUNC(b53_fdb_dump, "", "");
KSYMTAB_FUNC(b53_mdb_add, "", "");
KSYMTAB_FUNC(b53_mdb_del, "", "");
KSYMTAB_FUNC(b53_br_join, "", "");
KSYMTAB_FUNC(b53_br_leave, "", "");
KSYMTAB_FUNC(b53_br_set_stp_state, "", "");
KSYMTAB_FUNC(b53_br_fast_age, "", "");
KSYMTAB_FUNC(b53_br_flags_pre, "", "");
KSYMTAB_FUNC(b53_br_flags, "", "");
KSYMTAB_FUNC(b53_get_tag_protocol, "", "");
KSYMTAB_FUNC(b53_mirror_add, "", "");
KSYMTAB_FUNC(b53_mirror_del, "", "");
KSYMTAB_FUNC(b53_eee_init, "", "");
KSYMTAB_FUNC(b53_get_mac_eee, "", "");
KSYMTAB_FUNC(b53_set_mac_eee, "", "");
KSYMTAB_FUNC(b53_switch_alloc, "", "");
KSYMTAB_FUNC(b53_switch_detect, "", "");
KSYMTAB_FUNC(b53_switch_register, "", "");

SYMBOL_CRC(b53_imp_vlan_setup, 0xa034d617, "");
SYMBOL_CRC(b53_enable_port, 0x452901f1, "");
SYMBOL_CRC(b53_disable_port, 0x5ddb67f3, "");
SYMBOL_CRC(b53_brcm_hdr_setup, 0x8fcb10bc, "");
SYMBOL_CRC(b53_configure_vlan, 0x010510a9, "");
SYMBOL_CRC(b53_get_strings, 0x432d421b, "");
SYMBOL_CRC(b53_get_ethtool_stats, 0x749bdf1d, "");
SYMBOL_CRC(b53_get_ethtool_phy_stats, 0xe9df1f8a, "");
SYMBOL_CRC(b53_get_sset_count, 0x3b043520, "");
SYMBOL_CRC(b53_setup_devlink_resources, 0xa7033f21, "");
SYMBOL_CRC(b53_port_event, 0xd41058a4, "");
SYMBOL_CRC(b53_vlan_filtering, 0x3f38b93c, "");
SYMBOL_CRC(b53_vlan_add, 0xb3f037b1, "");
SYMBOL_CRC(b53_vlan_del, 0x58c1b76b, "");
SYMBOL_CRC(b53_fdb_add, 0x99493614, "");
SYMBOL_CRC(b53_fdb_del, 0xea8dc119, "");
SYMBOL_CRC(b53_fdb_dump, 0xc3f173d1, "");
SYMBOL_CRC(b53_mdb_add, 0x91114ad4, "");
SYMBOL_CRC(b53_mdb_del, 0xb514ec4c, "");
SYMBOL_CRC(b53_br_join, 0x3517b3df, "");
SYMBOL_CRC(b53_br_leave, 0x0c924cc7, "");
SYMBOL_CRC(b53_br_set_stp_state, 0x14e8b2e1, "");
SYMBOL_CRC(b53_br_fast_age, 0x56e21e9d, "");
SYMBOL_CRC(b53_br_flags_pre, 0x7a41a67f, "");
SYMBOL_CRC(b53_br_flags, 0x636e9fbb, "");
SYMBOL_CRC(b53_get_tag_protocol, 0x5b436686, "");
SYMBOL_CRC(b53_mirror_add, 0x53e57cb6, "");
SYMBOL_CRC(b53_mirror_del, 0xeebf95f6, "");
SYMBOL_CRC(b53_eee_init, 0x2db2108b, "");
SYMBOL_CRC(b53_get_mac_eee, 0x734193b1, "");
SYMBOL_CRC(b53_set_mac_eee, 0x2c640bc7, "");
SYMBOL_CRC(b53_switch_alloc, 0x7963e5fb, "");
SYMBOL_CRC(b53_switch_detect, 0x37200c09, "");
SYMBOL_CRC(b53_switch_register, 0xa859dea4, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xbf2772d5, "dsa_devlink_resources_unregister" },
	{ 0xc5521f18, "dsa_devlink_resource_register" },
	{ 0x7f3dc202, "dsa_devlink_resource_occ_get_register" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xf8e66d75, "_dev_warn" },
	{ 0x48623c21, "devm_kmalloc" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x3b0f1cc2, "mdiobus_get_phy" },
	{ 0x6d61e281, "phy_ethtool_get_stats" },
	{ 0xfa2d711b, "phy_ethtool_get_sset_count" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xaa5900d8, "phy_ethtool_get_strings" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xacd24b01, "dsa_port_phylink_mac_change" },
	{ 0xb89b2c9f, "phy_init_eee" },
	{ 0x70ed1b59, "_dev_err" },
	{ 0xf9a482f9, "msleep" },
	{ 0xe7f11285, "__dynamic_dev_dbg" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x208822a8, "_dev_info" },
	{ 0xace3143f, "dsa_register_switch" },
	{ 0xfb578fc5, "memset" },
	{ 0x3e9e758a, "gpio_to_desc" },
	{ 0x4dcdcdbb, "gpiod_set_raw_value" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x7777a199, "module_layout" },
};

MODULE_INFO(depends, "dsa_core,libphy");


MODULE_INFO(srcversion, "770E2540C61C5E8374D7943");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
