#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(vnic_dev_get_res_count, "", "");
KSYMTAB_FUNC(vnic_dev_get_res, "", "");
KSYMTAB_FUNC(vnic_dev_unregister, "", "");
KSYMTAB_FUNC(vnic_dev_register, "", "");
KSYMTAB_FUNC(vnic_dev_get_pdev, "", "");
KSYMTAB_FUNC(enic_api_devcmd_proxy_by_index, "", "");

SYMBOL_CRC(vnic_dev_get_res_count, 0xd50128bd, "");
SYMBOL_CRC(vnic_dev_get_res, 0x65010262, "");
SYMBOL_CRC(vnic_dev_unregister, 0x8b6d410e, "");
SYMBOL_CRC(vnic_dev_register, 0x0715021d, "");
SYMBOL_CRC(vnic_dev_get_pdev, 0x2b712f2d, "");
SYMBOL_CRC(enic_api_devcmd_proxy_by_index, 0x2c418fb3, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xcba67309, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x922126bc, "dma_map_page_attrs" },
	{ 0xa6edc192, "napi_complete_done" },
	{ 0x92997ed8, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x68e4c068, "pci_enable_msix_range" },
	{ 0xa916b694, "strnlen" },
	{ 0x208822a8, "_dev_info" },
	{ 0xf0674cc7, "__hw_addr_unsync_dev" },
	{ 0x87b903a2, "napi_gro_receive" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x289e40ff, "dev_open" },
	{ 0xd4afea5d, "free_irq_cpu_rmap" },
	{ 0xe6f97633, "__dma_sync_single_for_cpu" },
	{ 0xc8a91f5b, "cpumask_local_spread" },
	{ 0x7919b383, "alloc_cpu_rmap" },
	{ 0xad536327, "pci_enable_msi" },
	{ 0x199c4833, "__irq_apply_affinity_hint" },
	{ 0x70ed1b59, "_dev_err" },
	{ 0xd3f0bfd4, "softnet_data" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x485684b6, "netif_set_real_num_tx_queues" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x6f759072, "netif_set_real_num_rx_queues" },
	{ 0x70f5f4ef, "dev_close" },
	{ 0x2ef23732, "dma_alloc_attrs" },
	{ 0xb3e19cb6, "pci_read_config_word" },
	{ 0xc7ca8122, "napi_enable" },
	{ 0xd5636a87, "netif_receive_skb" },
	{ 0x8d304f20, "nla_put" },
	{ 0xd0d71c15, "register_netdev" },
	{ 0x121a44d, "free_netdev" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x52662891, "ethtool_op_get_link" },
	{ 0x49e95e69, "netif_set_xps_queue" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xeff39aad, "flow_keys_dissector" },
	{ 0xd34f1171, "netif_tx_wake_queue" },
	{ 0xb19b445, "ioread8" },
	{ 0xfb578fc5, "memset" },
	{ 0xf8e66d75, "_dev_warn" },
	{ 0x63b3add3, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xe3382fd8, "__pskb_pull_tail" },
	{ 0xb47cca30, "csum_ipv6_magic" },
	{ 0xfff50bc6, "__netdev_alloc_skb" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xb86f74c5, "free_cpumask_var" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x6a0cd7bb, "dma_set_coherent_mask" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x8404a1c3, "rps_may_expire_flow" },
	{ 0x662ae0e6, "dma_free_attrs" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x6d1c329a, "pci_release_regions" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xb6c15c1d, "call_netdevice_notifiers" },
	{ 0x23bf00f8, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x46b3a19b, "netif_carrier_off" },
	{ 0x6514c1e6, "flow_get_u32_src" },
	{ 0x6779c6ea, "__hw_addr_sync_dev" },
	{ 0xa231b344, "pci_disable_sriov" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x95c2c3bb, "netif_carrier_on" },
	{ 0xb14a43bb, "pci_disable_msix" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xb9be1cdb, "pci_disable_device" },
	{ 0x35030a14, "dma_set_mask" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xd22923f4, "__skb_flow_dissect" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x10f1c533, "__napi_schedule_irqoff" },
	{ 0xbf7f226a, "napi_schedule_prep" },
	{ 0x151f4898, "schedule_timeout_uninterruptible" },
	{ 0xa53005cf, "napi_disable" },
	{ 0x591bdbd4, "dev_kfree_skb_any_reason" },
	{ 0x91eb9b4, "round_jiffies" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x7820c797, "pci_enable_sriov" },
	{ 0xb26a1add, "elfcorehdr_addr" },
	{ 0x53847a1a, "kmalloc_caches" },
	{ 0x584fcf9d, "netdev_info" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x3316ac4f, "alloc_etherdev_mqs" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xa78af5f3, "ioread32" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xbd877a01, "pci_find_ext_capability" },
	{ 0x2d8d83f7, "skb_copy_bits" },
	{ 0x34611bfc, "skb_put" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0xcc59cbcf, "skb_tstamp_tx" },
	{ 0x4a453f53, "iowrite32" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x4256dce2, "pci_enable_device_mem" },
	{ 0xfad60243, "consume_skb" },
	{ 0x9a7ae8d8, "pci_iomap" },
	{ 0xeb0c29b3, "netif_napi_add_weight" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x3d3739d6, "unregister_netdev" },
	{ 0x1d5e64e4, "dma_unmap_page_attrs" },
	{ 0xf3f3a963, "__pci_register_driver" },
	{ 0xedc03953, "iounmap" },
	{ 0xca6947c5, "pci_disable_msi" },
	{ 0x6a4f48c6, "pci_request_regions" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x5a99a0d7, "flow_get_u32_dst" },
	{ 0xe23b37f, "alloc_cpumask_var_node" },
	{ 0xad13d1c1, "pcpu_hot" },
	{ 0xe975e51b, "eth_validate_addr" },
	{ 0x81c51d19, "irq_cpu_rmap_add" },
	{ 0x7eef5e76, "netdev_warn" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x20225c0a, "__netif_napi_del" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xd8061a3c, "pci_unregister_driver" },
	{ 0x467df16d, "netdev_rss_key_fill" },
	{ 0x8067a59c, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x48bb122e, "dev_driver_string" },
	{ 0x63443ada, "dev_addr_mod" },
	{ 0x7777a199, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("pci:v00001137d00000043sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001137d00000044sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001137d00000071sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "BC2E97E5A825F30A9DEE11A");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
