#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(geneve_dev_create_fb, "_gpl", "");

SYMBOL_CRC(geneve_dev_create_fb, 0xea542a14, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xae39f80e, "dst_cache_init" },
	{ 0x4e0492f2, "ether_setup" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x63443ada, "dev_addr_mod" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x58da155e, "udp_tunnel_notify_del_rx_port" },
	{ 0x79c4fd97, "udp_tunnel_sock_release" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xdb4270e3, "rtnl_create_link" },
	{ 0xec3ca080, "rtnl_configure_link" },
	{ 0x121a44d, "free_netdev" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0xe3382fd8, "__pskb_pull_tail" },
	{ 0x2d8d83f7, "skb_copy_bits" },
	{ 0x6ef78684, "sk_skb_reason_drop" },
	{ 0xf3202e03, "__iptunnel_pull_header" },
	{ 0x66628bf3, "ip_tunnel_metadata_cnt" },
	{ 0x71a88ee6, "udp_tun_rx_dst" },
	{ 0xdae65ceb, "gro_cells_receive" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xcba67309, "eth_type_trans" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0x56470118, "__warn_printk" },
	{ 0x92997ed8, "_printk" },
	{ 0x1fc47558, "udp_tunnel_dst_lookup" },
	{ 0xcaec67e1, "udp_tunnel6_dst_lookup" },
	{ 0x1ae08d52, "__skb_get_hash_net" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x7522873, "eth_gro_receive" },
	{ 0xd6b42a7f, "gro_find_receive_by_type" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xfad60243, "consume_skb" },
	{ 0x602ebf2, "skb_tunnel_check_pmtu" },
	{ 0x8c2cbce6, "metadata_dst_alloc" },
	{ 0x17f17cd1, "__netif_rx" },
	{ 0x5eabb17e, "udp_tunnel6_xmit_skb" },
	{ 0x8d6bbb27, "udp_tunnel_xmit_skb" },
	{ 0xb75a5cce, "__dynamic_netdev_dbg" },
	{ 0x700512ea, "ip6_dst_hoplimit" },
	{ 0xa5c6ea4a, "metadata_dst_free" },
	{ 0x52662891, "ethtool_op_get_link" },
	{ 0x2fe34acc, "eth_mac_addr" },
	{ 0xe975e51b, "eth_validate_addr" },
	{ 0x7be61139, "param_ops_bool" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x8d304f20, "nla_put" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x979c64a3, "skb_scrub_packet" },
	{ 0x9ef7eb7f, "pskb_expand_head" },
	{ 0x58520aaa, "iptunnel_handle_offloads" },
	{ 0x47e5db00, "dst_release" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x1e269ae, "eth_gro_complete" },
	{ 0x922df6a1, "gro_find_complete_by_type" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xd4a8fad8, "udp_sock_create4" },
	{ 0x3f85bc34, "udp_sock_create6" },
	{ 0x441d0de9, "__kmalloc_large_noprof" },
	{ 0xf475679a, "udp_tunnel_notify_add_rx_port" },
	{ 0xe8bcd46a, "setup_udp_tunnel_sock" },
	{ 0x37a0cba, "kfree" },
	{ 0xada38766, "dst_cache_destroy" },
	{ 0x9f54ead7, "gro_cells_destroy" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x849088b2, "register_netdevice" },
	{ 0xf3d91036, "unregister_netdevice_queue" },
	{ 0x4329be6d, "register_pernet_subsys" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x28669c79, "rtnl_link_register" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x6cadd276, "unregister_pernet_subsys" },
	{ 0xf5e1cd5a, "udp_tunnel_push_rx_port" },
	{ 0xc63e05c2, "udp_tunnel_drop_rx_port" },
	{ 0x184649db, "rtnl_link_unregister" },
	{ 0x369c8722, "rt6_lookup" },
	{ 0xfc4508c, "ip_route_output_flow" },
	{ 0x1bc81eb7, "gro_cells_init" },
	{ 0x7777a199, "module_layout" },
};

MODULE_INFO(depends, "udp_tunnel,ip6_udp_tunnel");


MODULE_INFO(srcversion, "6C8EEA5831CEF588C700096");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
