#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(macsec_pn_wrapped, "_gpl", "");
KSYMTAB_FUNC(macsec_get_real_dev, "_gpl", "");
KSYMTAB_FUNC(macsec_netdev_is_offloaded, "_gpl", "");

SYMBOL_CRC(macsec_pn_wrapped, 0xb697f707, "_gpl");
SYMBOL_CRC(macsec_get_real_dev, 0x01321398, "_gpl");
SYMBOL_CRC(macsec_netdev_is_offloaded, 0x951e7d7b, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x23bf00f8, "__kmalloc_cache_noprof" },
	{ 0x8296066c, "netdev_rx_handler_register" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xfb0b29ac, "skb_ensure_writable_head_tail" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x1bc81eb7, "gro_cells_init" },
	{ 0x63443ada, "dev_addr_mod" },
	{ 0x56470118, "__warn_printk" },
	{ 0xfaae571d, "skb_copy" },
	{ 0x5c40d4b3, "skb_copy_expand" },
	{ 0xfad60243, "consume_skb" },
	{ 0x9ea2a343, "skb_push" },
	{ 0x34611bfc, "skb_put" },
	{ 0x86963e2c, "skb_cow_data" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0x192170e5, "skb_to_sgvec" },
	{ 0x4f93baa9, "crypto_aead_encrypt" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xf75b2343, "skb_clone" },
	{ 0x17f17cd1, "__netif_rx" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x2dc2d5a2, "crypto_aead_decrypt" },
	{ 0xe3382fd8, "__pskb_pull_tail" },
	{ 0xf565e61d, "netdev_rx_handler_unregister" },
	{ 0xc52f4e67, "dev_set_mtu" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0x46b3a19b, "netif_carrier_off" },
	{ 0x242318f0, "dev_mc_unsync" },
	{ 0x58662a04, "dev_uc_unsync" },
	{ 0x88145da4, "dev_uc_del" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x83f51840, "__nla_parse" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x7e4c15c6, "dev_uc_add" },
	{ 0x95c2c3bb, "netif_carrier_on" },
	{ 0x69acdf38, "memcpy" },
	{ 0xfb578fc5, "memset" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x25179bdc, "genlmsg_put" },
	{ 0x99934c81, "skb_trim" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x92997ed8, "_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x28669c79, "rtnl_link_register" },
	{ 0x42a47d4f, "genl_register_family" },
	{ 0x184649db, "rtnl_link_unregister" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x37a0cba, "kfree" },
	{ 0xbf5f2b98, "crypto_destroy_tfm" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x308cb21c, "crypto_alloc_aead" },
	{ 0xe5a8a44c, "crypto_aead_setkey" },
	{ 0xb914c2ca, "crypto_aead_setauthsize" },
	{ 0x2fba5c7c, "nla_put_64bit" },
	{ 0x8d304f20, "nla_put" },
	{ 0xb0e602eb, "memmove" },
	{ 0xff81d66a, "skb_pull" },
	{ 0xbb58b2e1, "___pskb_trim" },
	{ 0x4e0492f2, "ether_setup" },
	{ 0x47e5db00, "dst_release" },
	{ 0x8fa5a6ee, "dev_fetch_sw_netstats" },
	{ 0x7545b400, "dev_mc_sync" },
	{ 0xa157c003, "dev_uc_sync" },
	{ 0x97d80a5d, "dev_set_allmulti" },
	{ 0x905b693e, "dev_set_promiscuity" },
	{ 0x9f54ead7, "gro_cells_destroy" },
	{ 0x9cdbf352, "genl_unregister_family" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0xad13d1c1, "pcpu_hot" },
	{ 0x8554e007, "__dev_queue_xmit" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xcba67309, "eth_type_trans" },
	{ 0xdae65ceb, "gro_cells_receive" },
	{ 0x6ef78684, "sk_skb_reason_drop" },
	{ 0x8c7addc7, "__dev_get_by_index" },
	{ 0x849088b2, "register_netdevice" },
	{ 0x7249dff0, "netdev_upper_dev_link" },
	{ 0x495816cd, "netdev_upper_dev_unlink" },
	{ 0xf3d91036, "unregister_netdevice_queue" },
	{ 0xc25d94c1, "pcpu_alloc_noprof" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x8c2cbce6, "metadata_dst_alloc" },
	{ 0xb6159370, "netif_stacked_transfer_operstate" },
	{ 0x275e37ea, "linkwatch_fire_event" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0x53847a1a, "kmalloc_caches" },
	{ 0x7777a199, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "C78414ACA870AFB19B161BC");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
