#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x436b7029, "genphy_read_mmd_unsupported" },
	{ 0x349ff74c, "genphy_write_mmd_unsupported" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xaa2bc43b, "phy_drivers_register" },
	{ 0xe559fce0, "mdiobus_read" },
	{ 0x491c27ef, "mdiobus_write" },
	{ 0x89ee0790, "genphy_read_status" },
	{ 0x9e061565, "phy_modify" },
	{ 0xc1b1d699, "genphy_read_abilities" },
	{ 0xbe0f8097, "phy_read_mmd" },
	{ 0xb0fc174a, "phy_write_mmd" },
	{ 0x6d69b7e3, "genphy_restart_aneg" },
	{ 0x33100e65, "phy_trigger_machine" },
	{ 0xd234862e, "phy_error" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x41b324d3, "ptp_classify_raw" },
	{ 0xad8c468c, "ptp_parse_header" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xb4506e42, "skb_complete_tx_timestamp" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x8e804e4d, "__mdiobus_write" },
	{ 0x4808ca26, "__mdiobus_read" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x70ed1b59, "_dev_err" },
	{ 0xc3f5f90d, "ethnl_cable_test_result_with_src" },
	{ 0xc3f9eaf4, "ethnl_cable_test_fault_length_with_src" },
	{ 0xf9a482f9, "msleep" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x9ddd1bbf, "phy_drivers_unregister" },
	{ 0xb3ae6999, "genphy_resume" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x738069b6, "__genphy_config_aneg" },
	{ 0x1479a216, "phy_eee_cap1_features" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0x7bc3af62, "phy_init_hw" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x138c8ce6, "phy_modify_mmd" },
	{ 0xaf78e7ac, "skb_queue_purge_reason" },
	{ 0x8b6ff6f4, "ptp_find_pin_unlocked" },
	{ 0xea792d9e, "ptp_clock_event" },
	{ 0x902a6e80, "ptp_find_pin" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x92997ed8, "_printk" },
	{ 0x48623c21, "devm_kmalloc" },
	{ 0xeb090f71, "devm_phy_package_join" },
	{ 0x2ebca8a7, "devm_gpiod_get_optional" },
	{ 0x15415167, "gpiod_set_consumer_name" },
	{ 0x4e84e11e, "gpiod_set_value_cansleep" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xb989af40, "ptp_clock_register" },
	{ 0xe7f11285, "__dynamic_dev_dbg" },
	{ 0xa524cf77, "genphy_suspend" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0x815588a6, "clk_enable" },
	{ 0x53847a1a, "kmalloc_caches" },
	{ 0x23bf00f8, "__kmalloc_cache_noprof" },
	{ 0x9ea2a343, "skb_push" },
	{ 0x3cb33466, "netif_rx" },
	{ 0x37a0cba, "kfree" },
	{ 0xabf4dc01, "devm_clk_get_optional_enabled" },
	{ 0x556e4390, "clk_get_rate" },
	{ 0x87d70ffc, "ptp_cancel_worker_sync" },
	{ 0xeacf2556, "genphy_soft_reset" },
	{ 0x7777a199, "module_layout" },
};

MODULE_INFO(depends, "libphy");

MODULE_ALIAS("mdio:????????????0010000101100001000?");
MODULE_ALIAS("mdio:????????00100010000101100010????");
MODULE_ALIAS("mdio:????????00100010000101100100????");
MODULE_ALIAS("mdio:????????0010001000010110000110??");
MODULE_ALIAS("mdio:????????00100010000101110010????");
MODULE_ALIAS("mdio:????????001000100001010101010101");
MODULE_ALIAS("mdio:????????001000100001010101010110");
MODULE_ALIAS("mdio:????????00100010000101010001????");
MODULE_ALIAS("mdio:????????00100010000101010101????");
MODULE_ALIAS("mdio:????????00100010000101010111????");
MODULE_ALIAS("mdio:????????00100010000101010110????");
MODULE_ALIAS("mdio:????????00001110011100100011????");
MODULE_ALIAS("mdio:????????00100010000101000011????");
MODULE_ALIAS("mdio:????????00100010000101100011????");
MODULE_ALIAS("mdio:????????00100010000101100110????");
MODULE_ALIAS("mdio:????????00100010000101100111????");
MODULE_ALIAS("mdio:????????00100010000101100101????");

MODULE_INFO(srcversion, "45654D8BF8B980BECAE7598");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
