#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ath9k_cmn_rx_accept, "", "");
KSYMTAB_FUNC(ath9k_cmn_rx_skb_postprocess, "", "");
KSYMTAB_FUNC(ath9k_cmn_process_rate, "", "");
KSYMTAB_FUNC(ath9k_cmn_process_rssi, "", "");
KSYMTAB_FUNC(ath9k_cmn_get_hw_crypto_keytype, "", "");
KSYMTAB_FUNC(ath9k_cmn_get_channel, "", "");
KSYMTAB_FUNC(ath9k_cmn_count_streams, "", "");
KSYMTAB_FUNC(ath9k_cmn_update_txpow, "", "");
KSYMTAB_FUNC(ath9k_cmn_init_crypto, "", "");
KSYMTAB_FUNC(ath9k_cmn_init_channels_rates, "", "");
KSYMTAB_FUNC(ath9k_cmn_setup_ht_cap, "", "");
KSYMTAB_FUNC(ath9k_cmn_reload_chainmask, "", "");
KSYMTAB_FUNC(ath9k_cmn_beacon_config_sta, "", "");
KSYMTAB_FUNC(ath9k_cmn_beacon_config_adhoc, "", "");
KSYMTAB_FUNC(ath9k_cmn_beacon_config_ap, "", "");

SYMBOL_CRC(ath9k_cmn_rx_accept, 0x970ce625, "");
SYMBOL_CRC(ath9k_cmn_rx_skb_postprocess, 0xeec677ad, "");
SYMBOL_CRC(ath9k_cmn_process_rate, 0x07cdb5d2, "");
SYMBOL_CRC(ath9k_cmn_process_rssi, 0xb3995354, "");
SYMBOL_CRC(ath9k_cmn_get_hw_crypto_keytype, 0x6d334793, "");
SYMBOL_CRC(ath9k_cmn_get_channel, 0xd31da9e1, "");
SYMBOL_CRC(ath9k_cmn_count_streams, 0xd2981357, "");
SYMBOL_CRC(ath9k_cmn_update_txpow, 0xc45991b2, "");
SYMBOL_CRC(ath9k_cmn_init_crypto, 0x28b37a3a, "");
SYMBOL_CRC(ath9k_cmn_init_channels_rates, 0x91203194, "");
SYMBOL_CRC(ath9k_cmn_setup_ht_cap, 0x24507610, "");
SYMBOL_CRC(ath9k_cmn_reload_chainmask, 0xb4c4e601, "");
SYMBOL_CRC(ath9k_cmn_beacon_config_sta, 0xe8b3de8c, "");
SYMBOL_CRC(ath9k_cmn_beacon_config_adhoc, 0x2120376b, "");
SYMBOL_CRC(ath9k_cmn_beacon_config_ap, 0xe57cd86a, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x48623c21, "devm_kmalloc" },
	{ 0xb0e602eb, "memmove" },
	{ 0xab8bbf7a, "ieee80211_get_hdrlen_from_skb" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xff81d66a, "skb_pull" },
	{ 0xd626cfd9, "ath9k_hw_gettsf64" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x7ef39823, "ieee80211_hdrlen" },
	{ 0x11401a3b, "ath9k_hw_set_txpowerlimit" },
	{ 0x7f70b0c9, "ath_hw_keyreset" },
	{ 0x7777a199, "module_layout" },
};

MODULE_INFO(depends, "cfg80211,ath9k_hw,ath");


MODULE_INFO(srcversion, "6AB875ABAF703AC5629CAD0");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
