#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(pcmcia_register_driver, "", "");
KSYMTAB_FUNC(pcmcia_unregister_driver, "", "");
KSYMTAB_FUNC(pcmcia_dev_present, "", "");
KSYMTAB_FUNC(pcmcia_read_config_byte, "", "");
KSYMTAB_FUNC(pcmcia_write_config_byte, "", "");
KSYMTAB_FUNC(pcmcia_map_mem_page, "", "");
KSYMTAB_FUNC(pcmcia_fixup_iowidth, "", "");
KSYMTAB_FUNC(pcmcia_fixup_vpp, "", "");
KSYMTAB_FUNC(pcmcia_release_window, "", "");
KSYMTAB_FUNC(pcmcia_enable_device, "", "");
KSYMTAB_FUNC(pcmcia_request_io, "", "");
KSYMTAB_FUNC(pcmcia_request_irq, "", "");
KSYMTAB_FUNC(pcmcia_request_window, "", "");
KSYMTAB_FUNC(pcmcia_disable_device, "", "");
KSYMTAB_FUNC(pcmcia_parse_tuple, "", "");
KSYMTAB_FUNC(pcmcia_loop_config, "", "");
KSYMTAB_FUNC(pcmcia_loop_tuple, "", "");
KSYMTAB_FUNC(pcmcia_get_tuple, "", "");
KSYMTAB_FUNC(pcmcia_get_mac_from_cis, "", "");

SYMBOL_CRC(pcmcia_register_driver, 0x2f485390, "");
SYMBOL_CRC(pcmcia_unregister_driver, 0xad66f46a, "");
SYMBOL_CRC(pcmcia_dev_present, 0x4a3031a0, "");
SYMBOL_CRC(pcmcia_read_config_byte, 0xae86cc5d, "");
SYMBOL_CRC(pcmcia_write_config_byte, 0x9f6d8091, "");
SYMBOL_CRC(pcmcia_map_mem_page, 0xf3ef38c9, "");
SYMBOL_CRC(pcmcia_fixup_iowidth, 0xd3db37f2, "");
SYMBOL_CRC(pcmcia_fixup_vpp, 0x83c1d062, "");
SYMBOL_CRC(pcmcia_release_window, 0x5e865164, "");
SYMBOL_CRC(pcmcia_enable_device, 0xa179f044, "");
SYMBOL_CRC(pcmcia_request_io, 0xbe4fd7c3, "");
SYMBOL_CRC(pcmcia_request_irq, 0x42fadb40, "");
SYMBOL_CRC(pcmcia_request_window, 0x634e891f, "");
SYMBOL_CRC(pcmcia_disable_device, 0xef489179, "");
SYMBOL_CRC(pcmcia_parse_tuple, 0xbb312663, "");
SYMBOL_CRC(pcmcia_loop_config, 0x8dbdc925, "");
SYMBOL_CRC(pcmcia_loop_tuple, 0x44c3c15a, "");
SYMBOL_CRC(pcmcia_get_tuple, 0xf3480fee, "");
SYMBOL_CRC(pcmcia_get_mac_from_cis, 0x7542b921, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x25e15af1, "driver_unregister" },
	{ 0x361561ee, "class_interface_unregister" },
	{ 0xde80cd09, "ioremap" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xb2b3c659, "class_interface_register" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x49da913e, "device_register" },
	{ 0xe6564dda, "pcmcia_parse_uevents" },
	{ 0xfb578fc5, "memset" },
	{ 0xf8e66d75, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xae28f56f, "bus_rescan_devices" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x58088e8c, "_dev_notice" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x1ff73bee, "pcmcia_socket_class" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x23bf00f8, "__kmalloc_cache_noprof" },
	{ 0xb7c8ff85, "pcmcia_put_socket" },
	{ 0xc5e74216, "release_resource" },
	{ 0x754d539c, "strlen" },
	{ 0x77358855, "iomem_resource" },
	{ 0x58cfccdb, "param_ops_int" },
	{ 0xecbb773e, "sysfs_remove_bin_file" },
	{ 0x3d8ae1d7, "driver_register" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0xf9a482f9, "msleep" },
	{ 0x53847a1a, "kmalloc_caches" },
	{ 0x123627f, "bus_register" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x6d4142d7, "try_module_get" },
	{ 0x13110126, "request_resource" },
	{ 0x8e2e96a7, "pcmcia_get_socket" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x75fc6fd4, "dev_set_name" },
	{ 0x4c535543, "driver_remove_file" },
	{ 0x46092630, "driver_attach" },
	{ 0x746c9725, "device_unregister" },
	{ 0x372cadae, "request_firmware" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xe798f276, "sysfs_create_bin_file" },
	{ 0xedc03953, "iounmap" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xfde33339, "get_device" },
	{ 0xe7f11285, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x63443ada, "dev_addr_mod" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x64dba328, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0x671b3c96, "driver_create_file" },
	{ 0xef3fcd34, "bus_for_each_dev" },
	{ 0x208822a8, "_dev_info" },
	{ 0x127d83ea, "security_locked_down" },
	{ 0xabaeb96, "pccard_register_pcmcia" },
	{ 0xec1f44a5, "module_put" },
	{ 0xf64226ef, "bus_unregister" },
	{ 0x70ed1b59, "_dev_err" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x7777a199, "module_layout" },
};

MODULE_INFO(depends, "pcmcia_core");


MODULE_INFO(srcversion, "1B92392FB7B7C34C1A62744");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
