#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(vdpa_set_status, "", "");
KSYMTAB_FUNC(__vdpa_alloc_device, "_gpl", "");
KSYMTAB_FUNC(_vdpa_register_device, "_gpl", "");
KSYMTAB_FUNC(vdpa_register_device, "_gpl", "");
KSYMTAB_FUNC(_vdpa_unregister_device, "_gpl", "");
KSYMTAB_FUNC(vdpa_unregister_device, "_gpl", "");
KSYMTAB_FUNC(__vdpa_register_driver, "_gpl", "");
KSYMTAB_FUNC(vdpa_unregister_driver, "_gpl", "");
KSYMTAB_FUNC(vdpa_mgmtdev_register, "_gpl", "");
KSYMTAB_FUNC(vdpa_mgmtdev_unregister, "_gpl", "");
KSYMTAB_FUNC(vdpa_get_config, "_gpl", "");
KSYMTAB_FUNC(vdpa_set_config, "_gpl", "");

SYMBOL_CRC(vdpa_set_status, 0xabd3fe6a, "");
SYMBOL_CRC(__vdpa_alloc_device, 0x38d2958f, "_gpl");
SYMBOL_CRC(_vdpa_register_device, 0xf3b61381, "_gpl");
SYMBOL_CRC(vdpa_register_device, 0x614d82c1, "_gpl");
SYMBOL_CRC(_vdpa_unregister_device, 0xb6015552, "_gpl");
SYMBOL_CRC(vdpa_unregister_device, 0xb402cfec, "_gpl");
SYMBOL_CRC(__vdpa_register_driver, 0xc697d27b, "_gpl");
SYMBOL_CRC(vdpa_unregister_driver, 0x4416d413, "_gpl");
SYMBOL_CRC(vdpa_mgmtdev_register, 0x94578043, "_gpl");
SYMBOL_CRC(vdpa_mgmtdev_unregister, 0xe6bcc3cb, "_gpl");
SYMBOL_CRC(vdpa_get_config, 0x2f967631, "_gpl");
SYMBOL_CRC(vdpa_set_config, 0x0e6f7a16, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x746c9725, "device_unregister" },
	{ 0x3d8ae1d7, "driver_register" },
	{ 0x25e15af1, "driver_unregister" },
	{ 0xef3fcd34, "bus_for_each_dev" },
	{ 0x668b19a1, "down_read" },
	{ 0x53b954a2, "up_read" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x2fba5c7c, "nla_put_64bit" },
	{ 0x8d304f20, "nla_put" },
	{ 0x9cdbf352, "genl_unregister_family" },
	{ 0xf64226ef, "bus_unregister" },
	{ 0xa7d5f92e, "ida_destroy" },
	{ 0x123627f, "bus_register" },
	{ 0x42a47d4f, "genl_register_family" },
	{ 0x35030a14, "dma_set_mask" },
	{ 0x6a0cd7bb, "dma_set_coherent_mask" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x75fc6fd4, "dev_set_name" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0x87ef9baa, "device_initialize" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x8e7ec4e9, "netlink_capable" },
	{ 0x25179bdc, "genlmsg_put" },
	{ 0x754d539c, "strlen" },
	{ 0x99934c81, "skb_trim" },
	{ 0x7fc07437, "__alloc_skb" },
	{ 0x6ef78684, "sk_skb_reason_drop" },
	{ 0xdb7d87ab, "netlink_unicast" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x92997ed8, "_printk" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x57bc19d2, "down_write" },
	{ 0xce807a25, "up_write" },
	{ 0xffb7c514, "ida_free" },
	{ 0x37a0cba, "kfree" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xbe7efce0, "driver_set_override" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x85bf4986, "bus_find_device" },
	{ 0xf86cf345, "device_add" },
	{ 0x64dba328, "put_device" },
	{ 0x7777a199, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "A0522936D0657C3EA735B82");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
