#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(jbd2__journal_start, "", "");
KSYMTAB_FUNC(jbd2_journal_start, "", "");
KSYMTAB_FUNC(jbd2_journal_free_reserved, "", "");
KSYMTAB_FUNC(jbd2_journal_start_reserved, "", "");
KSYMTAB_FUNC(jbd2__journal_restart, "", "");
KSYMTAB_FUNC(jbd2_journal_restart, "", "");
KSYMTAB_FUNC(jbd2_submit_inode_data, "", "");
KSYMTAB_FUNC(jbd2_wait_inode_data, "", "");
KSYMTAB_FUNC(jbd2_journal_extend, "", "");
KSYMTAB_FUNC(jbd2_journal_stop, "", "");
KSYMTAB_FUNC(jbd2_journal_lock_updates, "", "");
KSYMTAB_FUNC(jbd2_journal_unlock_updates, "", "");
KSYMTAB_FUNC(jbd2_journal_get_write_access, "", "");
KSYMTAB_FUNC(jbd2_journal_get_create_access, "", "");
KSYMTAB_FUNC(jbd2_journal_get_undo_access, "", "");
KSYMTAB_FUNC(jbd2_journal_set_triggers, "", "");
KSYMTAB_FUNC(jbd2_journal_dirty_metadata, "", "");
KSYMTAB_FUNC(jbd2_journal_forget, "", "");
KSYMTAB_FUNC(jbd2_journal_flush, "", "");
KSYMTAB_FUNC(jbd2_journal_revoke, "", "");
KSYMTAB_FUNC(jbd2_journal_init_dev, "", "");
KSYMTAB_FUNC(jbd2_journal_init_inode, "", "");
KSYMTAB_FUNC(jbd2_journal_check_used_features, "", "");
KSYMTAB_FUNC(jbd2_journal_check_available_features, "", "");
KSYMTAB_FUNC(jbd2_journal_set_features, "", "");
KSYMTAB_FUNC(jbd2_journal_load, "", "");
KSYMTAB_FUNC(jbd2_journal_destroy, "", "");
KSYMTAB_FUNC(jbd2_journal_abort, "", "");
KSYMTAB_FUNC(jbd2_journal_errno, "", "");
KSYMTAB_FUNC(jbd2_journal_ack_err, "", "");
KSYMTAB_FUNC(jbd2_journal_clear_err, "", "");
KSYMTAB_FUNC(jbd2_log_wait_commit, "", "");
KSYMTAB_FUNC(jbd2_journal_start_commit, "", "");
KSYMTAB_FUNC(jbd2_journal_force_commit_nested, "", "");
KSYMTAB_FUNC(jbd2_journal_wipe, "", "");
KSYMTAB_FUNC(jbd2_journal_blocks_per_page, "", "");
KSYMTAB_FUNC(jbd2_journal_invalidate_folio, "", "");
KSYMTAB_FUNC(jbd2_journal_try_to_free_buffers, "", "");
KSYMTAB_FUNC(jbd2_journal_force_commit, "", "");
KSYMTAB_FUNC(jbd2_journal_inode_ranged_write, "", "");
KSYMTAB_FUNC(jbd2_journal_inode_ranged_wait, "", "");
KSYMTAB_FUNC(jbd2_journal_finish_inode_data_buffers, "", "");
KSYMTAB_FUNC(jbd2_journal_init_jbd_inode, "", "");
KSYMTAB_FUNC(jbd2_journal_release_jbd_inode, "", "");
KSYMTAB_FUNC(jbd2_journal_begin_ordered_truncate, "", "");
KSYMTAB_DATA(jbd2_inode_cache, "", "");
KSYMTAB_FUNC(jbd2_trans_will_send_data_barrier, "", "");
KSYMTAB_FUNC(jbd2_fc_begin_commit, "", "");
KSYMTAB_FUNC(jbd2_fc_end_commit, "", "");
KSYMTAB_FUNC(jbd2_fc_end_commit_fallback, "", "");
KSYMTAB_FUNC(jbd2_transaction_committed, "", "");
KSYMTAB_FUNC(jbd2_complete_transaction, "", "");
KSYMTAB_FUNC(jbd2_fc_get_buf, "", "");
KSYMTAB_FUNC(jbd2_fc_wait_bufs, "", "");
KSYMTAB_FUNC(jbd2_fc_release_bufs, "", "");
KSYMTAB_FUNC(jbd2_journal_update_sb_errno, "", "");
KSYMTAB_FUNC(jbd2_journal_clear_features, "", "");
KSYMTAB_FUNC(jbd2_journal_grab_journal_head, "", "");
KSYMTAB_FUNC(jbd2_journal_put_journal_head, "", "");

SYMBOL_CRC(jbd2__journal_start, 0x6c493bc5, "");
SYMBOL_CRC(jbd2_journal_start, 0x15a08f45, "");
SYMBOL_CRC(jbd2_journal_free_reserved, 0xf56e94a4, "");
SYMBOL_CRC(jbd2_journal_start_reserved, 0x60e03301, "");
SYMBOL_CRC(jbd2__journal_restart, 0x407ef60e, "");
SYMBOL_CRC(jbd2_journal_restart, 0x0860ea0f, "");
SYMBOL_CRC(jbd2_submit_inode_data, 0x55a31b9e, "");
SYMBOL_CRC(jbd2_wait_inode_data, 0x32465403, "");
SYMBOL_CRC(jbd2_journal_extend, 0x3b282b35, "");
SYMBOL_CRC(jbd2_journal_stop, 0xe24588fa, "");
SYMBOL_CRC(jbd2_journal_lock_updates, 0x95ca96b7, "");
SYMBOL_CRC(jbd2_journal_unlock_updates, 0xbb781dc5, "");
SYMBOL_CRC(jbd2_journal_get_write_access, 0x44a2f2e4, "");
SYMBOL_CRC(jbd2_journal_get_create_access, 0x4b275001, "");
SYMBOL_CRC(jbd2_journal_get_undo_access, 0xb2a42ae7, "");
SYMBOL_CRC(jbd2_journal_set_triggers, 0x2b61fd3c, "");
SYMBOL_CRC(jbd2_journal_dirty_metadata, 0x99ca0029, "");
SYMBOL_CRC(jbd2_journal_forget, 0xf4bebd38, "");
SYMBOL_CRC(jbd2_journal_flush, 0x2f0d93d5, "");
SYMBOL_CRC(jbd2_journal_revoke, 0x11c4735d, "");
SYMBOL_CRC(jbd2_journal_init_dev, 0xb6f67291, "");
SYMBOL_CRC(jbd2_journal_init_inode, 0x6140ebff, "");
SYMBOL_CRC(jbd2_journal_check_used_features, 0x5d270e79, "");
SYMBOL_CRC(jbd2_journal_check_available_features, 0xe0e6934b, "");
SYMBOL_CRC(jbd2_journal_set_features, 0x2cbd1c56, "");
SYMBOL_CRC(jbd2_journal_load, 0x25faffd1, "");
SYMBOL_CRC(jbd2_journal_destroy, 0x6b626fb3, "");
SYMBOL_CRC(jbd2_journal_abort, 0x9018f6f5, "");
SYMBOL_CRC(jbd2_journal_errno, 0xc76b252c, "");
SYMBOL_CRC(jbd2_journal_ack_err, 0x8b5ea7d3, "");
SYMBOL_CRC(jbd2_journal_clear_err, 0xdeb70c7c, "");
SYMBOL_CRC(jbd2_log_wait_commit, 0xdf3d6234, "");
SYMBOL_CRC(jbd2_journal_start_commit, 0x2acb75da, "");
SYMBOL_CRC(jbd2_journal_force_commit_nested, 0xf4dfbd4d, "");
SYMBOL_CRC(jbd2_journal_wipe, 0xba24e5d4, "");
SYMBOL_CRC(jbd2_journal_blocks_per_page, 0xe3c71ca9, "");
SYMBOL_CRC(jbd2_journal_invalidate_folio, 0xfef6b087, "");
SYMBOL_CRC(jbd2_journal_try_to_free_buffers, 0x9962cc39, "");
SYMBOL_CRC(jbd2_journal_force_commit, 0x9716e926, "");
SYMBOL_CRC(jbd2_journal_inode_ranged_write, 0x96b6cc2c, "");
SYMBOL_CRC(jbd2_journal_inode_ranged_wait, 0x1b919f2c, "");
SYMBOL_CRC(jbd2_journal_finish_inode_data_buffers, 0x7e458414, "");
SYMBOL_CRC(jbd2_journal_init_jbd_inode, 0x497e5818, "");
SYMBOL_CRC(jbd2_journal_release_jbd_inode, 0x9a08d228, "");
SYMBOL_CRC(jbd2_journal_begin_ordered_truncate, 0x1e8c0fbb, "");
SYMBOL_CRC(jbd2_inode_cache, 0xacd81eb3, "");
SYMBOL_CRC(jbd2_trans_will_send_data_barrier, 0xccc0e30f, "");
SYMBOL_CRC(jbd2_fc_begin_commit, 0x883d48a1, "");
SYMBOL_CRC(jbd2_fc_end_commit, 0x2551839e, "");
SYMBOL_CRC(jbd2_fc_end_commit_fallback, 0x88dfd0de, "");
SYMBOL_CRC(jbd2_transaction_committed, 0x09fe82f4, "");
SYMBOL_CRC(jbd2_complete_transaction, 0xa647b9c6, "");
SYMBOL_CRC(jbd2_fc_get_buf, 0xfb41c818, "");
SYMBOL_CRC(jbd2_fc_wait_bufs, 0x854fd771, "");
SYMBOL_CRC(jbd2_fc_release_bufs, 0x1f79ca46, "");
SYMBOL_CRC(jbd2_journal_update_sb_errno, 0xb1f92cb0, "");
SYMBOL_CRC(jbd2_journal_clear_features, 0x1caa05bd, "");
SYMBOL_CRC(jbd2_journal_grab_journal_head, 0xfcd693cf, "");
SYMBOL_CRC(jbd2_journal_put_journal_head, 0xc14c600f, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xcd44e46f, "trace_event_buffer_commit" },
	{ 0x50fad434, "round_jiffies_up" },
	{ 0xbf5f2b98, "crypto_destroy_tfm" },
	{ 0x4482cdb, "__refrigerator" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x64a31445, "mutex_lock_io" },
	{ 0xd73653c4, "freezer_active" },
	{ 0x92997ed8, "_printk" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x164db0d9, "try_to_free_buffers" },
	{ 0x83b5ad84, "sync_blockdev" },
	{ 0x3ff8a4b4, "free_buffer_head" },
	{ 0x9dadfde1, "shrinker_register" },
	{ 0x30b3f334, "const_pcpu_hot" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xa1f99c85, "blk_finish_plug" },
	{ 0x71e2891a, "bdev_getblk" },
	{ 0xa02aa74a, "__cond_resched_lock" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x769f6e64, "errseq_check" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xad9901ae, "bit_waitqueue" },
	{ 0x58e3306d, "bit_wait_io" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xb1a3ae8f, "__brelse" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0x80170a16, "perf_trace_run_bpf_submit" },
	{ 0x5240ee7, "percpu_counter_batch" },
	{ 0x24d273d1, "add_timer" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xadcaaa45, "__bh_read_batch" },
	{ 0x6501f459, "bpf_trace_run5" },
	{ 0xe68efe41, "_raw_write_lock" },
	{ 0x62d9792d, "__wait_on_buffer" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x8a315db1, "kmem_cache_free" },
	{ 0x900cc70b, "__bh_read" },
	{ 0xebd48f80, "trace_event_reg" },
	{ 0x364c23ad, "mutex_is_locked" },
	{ 0x4eb1c2f9, "blkdev_issue_zeroout" },
	{ 0x80d5de5b, "filemap_fdatawait_range_keep_errors" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xce66faa6, "crypto_shash_update" },
	{ 0xdd4d55b6, "_raw_read_unlock" },
	{ 0x40235c98, "_raw_write_unlock" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xdf9012f0, "freezing_slow_path" },
	{ 0xb9003dd, "bpf_trace_run1" },
	{ 0x10c1a021, "proc_mkdir" },
	{ 0xfb578fc5, "memset" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xdcefe742, "kmem_cache_alloc_noprof" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x736386df, "__kmem_cache_create_args" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x3fcdf30e, "kthread_create_on_node" },
	{ 0xd82233ae, "bpf_trace_run3" },
	{ 0xa719d826, "seq_read" },
	{ 0xb30b2bda, "preempt_model_full" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x81452ead, "unlock_buffer" },
	{ 0x979e742, "trace_event_buffer_reserve" },
	{ 0x21bdb523, "errseq_check_and_advance" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xc622556f, "prepare_to_wait_exclusive" },
	{ 0xe138fb8c, "percpu_counter_add_batch" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xca431c05, "wake_bit_function" },
	{ 0x16095307, "__folio_put" },
	{ 0xe2889a12, "remove_proc_entry" },
	{ 0x23bf00f8, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0x90c28d79, "seq_printf" },
	{ 0xe7fe9d8, "__lock_buffer" },
	{ 0xfe8c61f0, "_raw_read_lock" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0xf9dd014c, "truncate_inode_pages_range" },
	{ 0x80b798d5, "blkdev_issue_flush" },
	{ 0xe5327b14, "folio_set_bh" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x79986444, "end_buffer_write_sync" },
	{ 0x626b36f2, "seq_open" },
	{ 0x3c3001d3, "bmap" },
	{ 0xa0fbac79, "wake_up_bit" },
	{ 0x6a460dc5, "schedule_hrtimeout" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x5009546e, "crypto_alloc_shash" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xccf69887, "get_free_pages_noprof" },
	{ 0x7410aba2, "strreplace" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x53847a1a, "kmalloc_caches" },
	{ 0xff6471f2, "kmem_cache_destroy" },
	{ 0x8c33b1d, "blkdev_issue_discard" },
	{ 0x484f6edf, "ktime_get_coarse_real_ts64" },
	{ 0x1c045b82, "bh_uptodate_or_lock" },
	{ 0x1d08ed56, "shrinker_alloc" },
	{ 0x3b19dd48, "blk_start_plug" },
	{ 0x42b26a28, "bpf_trace_run4" },
	{ 0x916aefbe, "__percpu_counter_init_many" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x7a0f613f, "folio_unlock" },
	{ 0x93dfefe7, "seq_release" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x62f95a87, "trace_raw_output_prep" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x6f8fdd1, "bpf_trace_run6" },
	{ 0xd5352b84, "mark_buffer_dirty" },
	{ 0x373f2d7d, "__find_get_block" },
	{ 0xfdfb55be, "__trace_trigger_soft_disabled" },
	{ 0x2bd66d89, "filemap_fdatawrite_range" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x80f27d0a, "trace_event_printf" },
	{ 0x27f67bf0, "__bforget" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xb510aa29, "write_dirty_buffer" },
	{ 0xdb2e4f7d, "percpu_counter_destroy_many" },
	{ 0x9e61bb05, "set_freezable" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0x4df02057, "crc32_be" },
	{ 0x34983dc1, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xc055933, "iput" },
	{ 0xad13d1c1, "pcpu_hot" },
	{ 0x239c6232, "seq_lseek" },
	{ 0x49a6b6e, "blockdev_superblock" },
	{ 0x89b3641f, "proc_create_data" },
	{ 0x5d7b1ad9, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x1984d421, "out_of_line_wait_on_bit" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xe2964344, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xefb04891, "bpf_trace_run8" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x8e4a6aab, "submit_bh" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x89d85808, "alloc_buffer_head" },
	{ 0x2a493ec3, "wake_up_process" },
	{ 0x35c52854, "shrinker_free" },
	{ 0x7777a199, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "A0DEBBF4F9E35E650F80AC1");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
