#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(nfs41_sequence_done, "_gpl", "");
KSYMTAB_FUNC(nfs4_sequence_done, "_gpl", "");
KSYMTAB_FUNC(nfs4_setup_sequence, "_gpl", "");
KSYMTAB_FUNC(nfs4_set_rw_stateid, "_gpl", "");
KSYMTAB_FUNC(nfs4_test_session_trunk, "_gpl", "");
KSYMTAB_FUNC(nfs4_proc_getdeviceinfo, "_gpl", "");
KSYMTAB_DATA(nfs41_maxgetdevinfo_overhead, "_gpl", "");
KSYMTAB_FUNC(nfs4_schedule_lease_recovery, "_gpl", "");
KSYMTAB_FUNC(nfs4_schedule_migration_recovery, "_gpl", "");
KSYMTAB_FUNC(nfs4_schedule_lease_moved_recovery, "_gpl", "");
KSYMTAB_FUNC(nfs4_schedule_stateid_recovery, "_gpl", "");
KSYMTAB_FUNC(nfs4_schedule_session_recovery, "_gpl", "");
KSYMTAB_FUNC(nfs_remove_bad_delegation, "_gpl", "");
KSYMTAB_FUNC(nfs_map_string_to_numeric, "_gpl", "");
KSYMTAB_FUNC(nfs4_find_or_create_ds_client, "_gpl", "");
KSYMTAB_FUNC(nfs4_set_ds_client, "_gpl", "");
KSYMTAB_FUNC(nfs4_init_ds_session, "_gpl", "");
KSYMTAB_DATA(__tracepoint_nfs4_pnfs_read, "_gpl", "");
KSYMTAB_FUNC(__traceiter_nfs4_pnfs_read, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_nfs4_pnfs_read, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_nfs4_pnfs_read, "_gpl", "");
KSYMTAB_DATA(__tracepoint_nfs4_pnfs_write, "_gpl", "");
KSYMTAB_FUNC(__traceiter_nfs4_pnfs_write, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_nfs4_pnfs_write, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_nfs4_pnfs_write, "_gpl", "");
KSYMTAB_DATA(__tracepoint_nfs4_pnfs_commit_ds, "_gpl", "");
KSYMTAB_FUNC(__traceiter_nfs4_pnfs_commit_ds, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_nfs4_pnfs_commit_ds, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_nfs4_pnfs_commit_ds, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_pg_init_read, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_pg_init_read, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_pg_init_read, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_pnfs_mds_fallback_pg_init_read, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_pg_init_write, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_pg_init_write, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_pg_init_write, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_pnfs_mds_fallback_pg_init_write, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_pg_get_mirror_count, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_pg_get_mirror_count, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_pg_get_mirror_count, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_pnfs_mds_fallback_pg_get_mirror_count, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_read_done, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_read_done, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_read_done, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_pnfs_mds_fallback_read_done, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_write_done, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_write_done, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_write_done, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_pnfs_mds_fallback_write_done, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_read_pagelist, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_read_pagelist, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_read_pagelist, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_pnfs_mds_fallback_read_pagelist, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_write_pagelist, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_write_pagelist, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_write_pagelist, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_pnfs_mds_fallback_write_pagelist, "_gpl", "");
KSYMTAB_DATA(__tracepoint_ff_layout_read_error, "_gpl", "");
KSYMTAB_FUNC(__traceiter_ff_layout_read_error, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_ff_layout_read_error, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_ff_layout_read_error, "_gpl", "");
KSYMTAB_DATA(__tracepoint_ff_layout_write_error, "_gpl", "");
KSYMTAB_FUNC(__traceiter_ff_layout_write_error, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_ff_layout_write_error, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_ff_layout_write_error, "_gpl", "");
KSYMTAB_DATA(__tracepoint_ff_layout_commit_error, "_gpl", "");
KSYMTAB_FUNC(__traceiter_ff_layout_commit_error, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_ff_layout_commit_error, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_ff_layout_commit_error, "_gpl", "");
KSYMTAB_DATA(__tracepoint_bl_pr_key_reg, "_gpl", "");
KSYMTAB_FUNC(__traceiter_bl_pr_key_reg, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_bl_pr_key_reg, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_bl_pr_key_reg, "_gpl", "");
KSYMTAB_DATA(__tracepoint_bl_pr_key_reg_err, "_gpl", "");
KSYMTAB_FUNC(__traceiter_bl_pr_key_reg_err, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_bl_pr_key_reg_err, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_bl_pr_key_reg_err, "_gpl", "");
KSYMTAB_DATA(__tracepoint_bl_pr_key_unreg, "_gpl", "");
KSYMTAB_FUNC(__traceiter_bl_pr_key_unreg, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_bl_pr_key_unreg, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_bl_pr_key_unreg, "_gpl", "");
KSYMTAB_DATA(__tracepoint_bl_pr_key_unreg_err, "_gpl", "");
KSYMTAB_FUNC(__traceiter_bl_pr_key_unreg_err, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_bl_pr_key_unreg_err, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_bl_pr_key_unreg_err, "_gpl", "");
KSYMTAB_DATA(__tracepoint_fl_getdevinfo, "_gpl", "");
KSYMTAB_FUNC(__traceiter_fl_getdevinfo, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_fl_getdevinfo, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_fl_getdevinfo, "_gpl", "");
KSYMTAB_FUNC(pnfs_register_layoutdriver, "_gpl", "");
KSYMTAB_FUNC(pnfs_unregister_layoutdriver, "_gpl", "");
KSYMTAB_FUNC(pnfs_put_lseg, "_gpl", "");
KSYMTAB_FUNC(pnfs_destroy_layout, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_layout_insert_lseg, "_gpl", "");
KSYMTAB_FUNC(pnfs_update_layout, "_gpl", "");
KSYMTAB_FUNC(pnfs_error_mark_layout_for_return, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_check_layout, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_init_read, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_init_write, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_cleanup, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_test, "_gpl", "");
KSYMTAB_FUNC(pnfs_write_done_resend_to_mds, "_gpl", "");
KSYMTAB_FUNC(pnfs_ld_write_done, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_writepages, "_gpl", "");
KSYMTAB_FUNC(pnfs_read_done_resend_to_mds, "_gpl", "");
KSYMTAB_FUNC(pnfs_ld_read_done, "_gpl", "");
KSYMTAB_FUNC(pnfs_read_resend_pnfs, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_readpages, "_gpl", "");
KSYMTAB_FUNC(pnfs_set_lo_fail, "_gpl", "");
KSYMTAB_FUNC(pnfs_set_layoutcommit, "_gpl", "");
KSYMTAB_FUNC(pnfs_layoutcommit_inode, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_sync, "_gpl", "");
KSYMTAB_FUNC(pnfs_report_layoutstat, "_gpl", "");
KSYMTAB_DATA(layoutstats_timer, "_gpl", "");
KSYMTAB_FUNC(nfs4_print_deviceid, "_gpl", "");
KSYMTAB_FUNC(nfs4_find_get_deviceid, "_gpl", "");
KSYMTAB_FUNC(nfs4_delete_deviceid, "_gpl", "");
KSYMTAB_FUNC(nfs4_init_deviceid_node, "_gpl", "");
KSYMTAB_FUNC(nfs4_put_deviceid_node, "_gpl", "");
KSYMTAB_FUNC(nfs4_mark_deviceid_available, "_gpl", "");
KSYMTAB_FUNC(nfs4_mark_deviceid_unavailable, "_gpl", "");
KSYMTAB_FUNC(nfs4_test_deviceid_unavailable, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_rw_release, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_prepare_to_resend_writes, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_write_commit_done, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_commit_release, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_clear_request_commit, "_gpl", "");
KSYMTAB_FUNC(pnfs_alloc_commit_array, "_gpl", "");
KSYMTAB_FUNC(pnfs_free_commit_array, "_gpl", "");
KSYMTAB_FUNC(pnfs_add_commit_array, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_ds_cinfo_release_lseg, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_ds_cinfo_destroy, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_scan_commit_lists, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_recover_commit_reqs, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_commit_pagelist, "_gpl", "");
KSYMTAB_FUNC(nfs4_pnfs_ds_put, "_gpl", "");
KSYMTAB_FUNC(nfs4_pnfs_ds_add, "_gpl", "");
KSYMTAB_FUNC(nfs4_pnfs_ds_connect, "_gpl", "");
KSYMTAB_FUNC(nfs4_decode_mp_ds_addr, "_gpl", "");
KSYMTAB_FUNC(pnfs_layout_mark_request_commit, "_gpl", "");
KSYMTAB_FUNC(pnfs_nfs_generic_sync, "_gpl", "");
KSYMTAB_FUNC(nfs42_proc_layouterror, "_gpl", "");

SYMBOL_CRC(nfs41_sequence_done, 0x06cd879b, "_gpl");
SYMBOL_CRC(nfs4_sequence_done, 0x8e0428e3, "_gpl");
SYMBOL_CRC(nfs4_setup_sequence, 0xa644832b, "_gpl");
SYMBOL_CRC(nfs4_set_rw_stateid, 0xc9b366d2, "_gpl");
SYMBOL_CRC(nfs4_test_session_trunk, 0x8cd6a4d7, "_gpl");
SYMBOL_CRC(nfs4_proc_getdeviceinfo, 0xf11bbcb9, "_gpl");
SYMBOL_CRC(nfs41_maxgetdevinfo_overhead, 0xf7801360, "_gpl");
SYMBOL_CRC(nfs4_schedule_lease_recovery, 0x52564d9c, "_gpl");
SYMBOL_CRC(nfs4_schedule_migration_recovery, 0x041d02f9, "_gpl");
SYMBOL_CRC(nfs4_schedule_lease_moved_recovery, 0x428e85f1, "_gpl");
SYMBOL_CRC(nfs4_schedule_stateid_recovery, 0xc41ce766, "_gpl");
SYMBOL_CRC(nfs4_schedule_session_recovery, 0x874e9dd4, "_gpl");
SYMBOL_CRC(nfs_remove_bad_delegation, 0x462031a5, "_gpl");
SYMBOL_CRC(nfs_map_string_to_numeric, 0x6085edbd, "_gpl");
SYMBOL_CRC(nfs4_find_or_create_ds_client, 0x6f47c17d, "_gpl");
SYMBOL_CRC(nfs4_set_ds_client, 0xa7503e12, "_gpl");
SYMBOL_CRC(nfs4_init_ds_session, 0x061fb6db, "_gpl");
SYMBOL_CRC(__tracepoint_nfs4_pnfs_read, 0x581bb9be, "_gpl");
SYMBOL_CRC(__traceiter_nfs4_pnfs_read, 0x43f35518, "_gpl");
SYMBOL_CRC(__SCK__tp_func_nfs4_pnfs_read, 0x5a745524, "_gpl");
SYMBOL_CRC(__SCT__tp_func_nfs4_pnfs_read, 0x63826d35, "_gpl");
SYMBOL_CRC(__tracepoint_nfs4_pnfs_write, 0x137ca089, "_gpl");
SYMBOL_CRC(__traceiter_nfs4_pnfs_write, 0x7a6c0b05, "_gpl");
SYMBOL_CRC(__SCK__tp_func_nfs4_pnfs_write, 0x03a4b53f, "_gpl");
SYMBOL_CRC(__SCT__tp_func_nfs4_pnfs_write, 0xadeca730, "_gpl");
SYMBOL_CRC(__tracepoint_nfs4_pnfs_commit_ds, 0x3302803f, "_gpl");
SYMBOL_CRC(__traceiter_nfs4_pnfs_commit_ds, 0xcd79e68d, "_gpl");
SYMBOL_CRC(__SCK__tp_func_nfs4_pnfs_commit_ds, 0x45a0af91, "_gpl");
SYMBOL_CRC(__SCT__tp_func_nfs4_pnfs_commit_ds, 0x2b16e909, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_pg_init_read, 0x93b40750, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_pg_init_read, 0x888244ce, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_pg_init_read, 0x2e84fc3e, "_gpl");
SYMBOL_CRC(__SCT__tp_func_pnfs_mds_fallback_pg_init_read, 0x6a5eb444, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_pg_init_write, 0x5405c048, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_pg_init_write, 0xe4d3bc0c, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_pg_init_write, 0xfeb2bcec, "_gpl");
SYMBOL_CRC(__SCT__tp_func_pnfs_mds_fallback_pg_init_write, 0xdeb5edce, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_pg_get_mirror_count, 0x22662569, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_pg_get_mirror_count, 0xa0786a22, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_pg_get_mirror_count, 0xc883d5ca, "_gpl");
SYMBOL_CRC(__SCT__tp_func_pnfs_mds_fallback_pg_get_mirror_count, 0x96c4643f, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_read_done, 0xf19d9e0f, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_read_done, 0x759492df, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_read_done, 0x55e9874e, "_gpl");
SYMBOL_CRC(__SCT__tp_func_pnfs_mds_fallback_read_done, 0xc361c3c5, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_write_done, 0x26fde50d, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_write_done, 0xad29ecf5, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_write_done, 0x2782e012, "_gpl");
SYMBOL_CRC(__SCT__tp_func_pnfs_mds_fallback_write_done, 0x930a94fd, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_read_pagelist, 0x0c666f03, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_read_pagelist, 0x9817f76a, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_read_pagelist, 0xa6d113a7, "_gpl");
SYMBOL_CRC(__SCT__tp_func_pnfs_mds_fallback_read_pagelist, 0x6a925097, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_write_pagelist, 0x83810ce9, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_write_pagelist, 0xd0947779, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_write_pagelist, 0x5290dc64, "_gpl");
SYMBOL_CRC(__SCT__tp_func_pnfs_mds_fallback_write_pagelist, 0x18e75751, "_gpl");
SYMBOL_CRC(__tracepoint_ff_layout_read_error, 0x178530de, "_gpl");
SYMBOL_CRC(__traceiter_ff_layout_read_error, 0x1c84af80, "_gpl");
SYMBOL_CRC(__SCK__tp_func_ff_layout_read_error, 0x269d1c1e, "_gpl");
SYMBOL_CRC(__SCT__tp_func_ff_layout_read_error, 0x7e42bd3f, "_gpl");
SYMBOL_CRC(__tracepoint_ff_layout_write_error, 0x10a41646, "_gpl");
SYMBOL_CRC(__traceiter_ff_layout_write_error, 0x2506dd5f, "_gpl");
SYMBOL_CRC(__SCK__tp_func_ff_layout_write_error, 0x8bf1ccda, "_gpl");
SYMBOL_CRC(__SCT__tp_func_ff_layout_write_error, 0xf32fa2b7, "_gpl");
SYMBOL_CRC(__tracepoint_ff_layout_commit_error, 0x9540b394, "_gpl");
SYMBOL_CRC(__traceiter_ff_layout_commit_error, 0xa171637d, "_gpl");
SYMBOL_CRC(__SCK__tp_func_ff_layout_commit_error, 0x6c623921, "_gpl");
SYMBOL_CRC(__SCT__tp_func_ff_layout_commit_error, 0xcc21ce5c, "_gpl");
SYMBOL_CRC(__tracepoint_bl_pr_key_reg, 0x0f0c04a6, "_gpl");
SYMBOL_CRC(__traceiter_bl_pr_key_reg, 0x70e4533d, "_gpl");
SYMBOL_CRC(__SCK__tp_func_bl_pr_key_reg, 0x0d739465, "_gpl");
SYMBOL_CRC(__SCT__tp_func_bl_pr_key_reg, 0xf0a5b199, "_gpl");
SYMBOL_CRC(__tracepoint_bl_pr_key_reg_err, 0x742f9429, "_gpl");
SYMBOL_CRC(__traceiter_bl_pr_key_reg_err, 0x60ef9972, "_gpl");
SYMBOL_CRC(__SCK__tp_func_bl_pr_key_reg_err, 0xab6d6924, "_gpl");
SYMBOL_CRC(__SCT__tp_func_bl_pr_key_reg_err, 0x87ed16c4, "_gpl");
SYMBOL_CRC(__tracepoint_bl_pr_key_unreg, 0xd478f602, "_gpl");
SYMBOL_CRC(__traceiter_bl_pr_key_unreg, 0x3f8aca67, "_gpl");
SYMBOL_CRC(__SCK__tp_func_bl_pr_key_unreg, 0xc4a0e3b4, "_gpl");
SYMBOL_CRC(__SCT__tp_func_bl_pr_key_unreg, 0xa37b1177, "_gpl");
SYMBOL_CRC(__tracepoint_bl_pr_key_unreg_err, 0x5a340a6b, "_gpl");
SYMBOL_CRC(__traceiter_bl_pr_key_unreg_err, 0xdfcdcc8f, "_gpl");
SYMBOL_CRC(__SCK__tp_func_bl_pr_key_unreg_err, 0x2c9625c5, "_gpl");
SYMBOL_CRC(__SCT__tp_func_bl_pr_key_unreg_err, 0xe1bc35e8, "_gpl");
SYMBOL_CRC(__tracepoint_fl_getdevinfo, 0x82fced33, "_gpl");
SYMBOL_CRC(__traceiter_fl_getdevinfo, 0x15b6e5d2, "_gpl");
SYMBOL_CRC(__SCK__tp_func_fl_getdevinfo, 0x80837df0, "_gpl");
SYMBOL_CRC(__SCT__tp_func_fl_getdevinfo, 0x6f27cded, "_gpl");
SYMBOL_CRC(pnfs_register_layoutdriver, 0xf361006a, "_gpl");
SYMBOL_CRC(pnfs_unregister_layoutdriver, 0xedfd3b69, "_gpl");
SYMBOL_CRC(pnfs_put_lseg, 0xca1b1796, "_gpl");
SYMBOL_CRC(pnfs_destroy_layout, 0x758f9423, "_gpl");
SYMBOL_CRC(pnfs_generic_layout_insert_lseg, 0x0bc0df39, "_gpl");
SYMBOL_CRC(pnfs_update_layout, 0x66fbd4e7, "_gpl");
SYMBOL_CRC(pnfs_error_mark_layout_for_return, 0x118e0207, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_check_layout, 0x13db32cd, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_init_read, 0xa024b654, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_init_write, 0xc6537668, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_cleanup, 0x370d3314, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_test, 0x7ee77cd6, "_gpl");
SYMBOL_CRC(pnfs_write_done_resend_to_mds, 0x24fbaa45, "_gpl");
SYMBOL_CRC(pnfs_ld_write_done, 0xdfe37ee4, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_writepages, 0xfadffe85, "_gpl");
SYMBOL_CRC(pnfs_read_done_resend_to_mds, 0xd5e212cb, "_gpl");
SYMBOL_CRC(pnfs_ld_read_done, 0xb004f436, "_gpl");
SYMBOL_CRC(pnfs_read_resend_pnfs, 0xb7308f53, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_readpages, 0x1c6b8d49, "_gpl");
SYMBOL_CRC(pnfs_set_lo_fail, 0xb7cdf985, "_gpl");
SYMBOL_CRC(pnfs_set_layoutcommit, 0x3bea8a3c, "_gpl");
SYMBOL_CRC(pnfs_layoutcommit_inode, 0x380b0054, "_gpl");
SYMBOL_CRC(pnfs_generic_sync, 0xc69f99a4, "_gpl");
SYMBOL_CRC(pnfs_report_layoutstat, 0xd032b9a3, "_gpl");
SYMBOL_CRC(layoutstats_timer, 0x054bef45, "_gpl");
SYMBOL_CRC(nfs4_print_deviceid, 0xed15fb41, "_gpl");
SYMBOL_CRC(nfs4_find_get_deviceid, 0x26785b01, "_gpl");
SYMBOL_CRC(nfs4_delete_deviceid, 0x1195a04f, "_gpl");
SYMBOL_CRC(nfs4_init_deviceid_node, 0x0290af5e, "_gpl");
SYMBOL_CRC(nfs4_put_deviceid_node, 0xb6c7a32c, "_gpl");
SYMBOL_CRC(nfs4_mark_deviceid_available, 0xac33dc1f, "_gpl");
SYMBOL_CRC(nfs4_mark_deviceid_unavailable, 0x66a56502, "_gpl");
SYMBOL_CRC(nfs4_test_deviceid_unavailable, 0x7fd10d60, "_gpl");
SYMBOL_CRC(pnfs_generic_rw_release, 0x69d3558d, "_gpl");
SYMBOL_CRC(pnfs_generic_prepare_to_resend_writes, 0x69fe5c5f, "_gpl");
SYMBOL_CRC(pnfs_generic_write_commit_done, 0xbe4b3263, "_gpl");
SYMBOL_CRC(pnfs_generic_commit_release, 0xf999267e, "_gpl");
SYMBOL_CRC(pnfs_generic_clear_request_commit, 0x2e0fb8df, "_gpl");
SYMBOL_CRC(pnfs_alloc_commit_array, 0x76ff80b6, "_gpl");
SYMBOL_CRC(pnfs_free_commit_array, 0xe94fa8d7, "_gpl");
SYMBOL_CRC(pnfs_add_commit_array, 0xeb8847f9, "_gpl");
SYMBOL_CRC(pnfs_generic_ds_cinfo_release_lseg, 0x0ba7037c, "_gpl");
SYMBOL_CRC(pnfs_generic_ds_cinfo_destroy, 0xec835ce3, "_gpl");
SYMBOL_CRC(pnfs_generic_scan_commit_lists, 0x5a28ec13, "_gpl");
SYMBOL_CRC(pnfs_generic_recover_commit_reqs, 0x966f14fb, "_gpl");
SYMBOL_CRC(pnfs_generic_commit_pagelist, 0x61464b64, "_gpl");
SYMBOL_CRC(nfs4_pnfs_ds_put, 0xf4419be4, "_gpl");
SYMBOL_CRC(nfs4_pnfs_ds_add, 0x6aab06e4, "_gpl");
SYMBOL_CRC(nfs4_pnfs_ds_connect, 0xf79635ae, "_gpl");
SYMBOL_CRC(nfs4_decode_mp_ds_addr, 0x169d4000, "_gpl");
SYMBOL_CRC(pnfs_layout_mark_request_commit, 0x7d4a91f4, "_gpl");
SYMBOL_CRC(pnfs_nfs_generic_sync, 0x53c98a58, "_gpl");
SYMBOL_CRC(nfs42_proc_layouterror, 0xb64cb09f, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe5d71d13, "nfs_zap_acl_cache" },
	{ 0x82d79b51, "sysctl_vfs_cache_pressure" },
	{ 0x47e7c590, "nfs_fscache_open_file" },
	{ 0xc52203ba, "from_kgid" },
	{ 0xebd48f80, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x62c9f165, "nfs_write_inode" },
	{ 0xa37443c, "nfs_request_remove_commit_list" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x2e3bcce2, "wait_for_completion_interruptible" },
	{ 0x306d3852, "rpc_wake_up_first" },
	{ 0x28dbb225, "alloc_nfs_open_context" },
	{ 0xbebd8e1a, "list_lru_add_obj" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x41973af5, "vfs_parse_fs_param" },
	{ 0xc8c6a902, "nfs_path" },
	{ 0xd88c4e99, "rpc_sleep_on_priority_timeout" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xb7fc1736, "nfs_create_rpc_client" },
	{ 0xbe1bebbc, "__put_devmap_managed_folio_refs" },
	{ 0xfef216eb, "_raw_spin_trylock" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xad423e00, "register_nfs_version" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x6bb8a6ca, "rpc_sleep_on_timeout" },
	{ 0x7a3dbcfc, "list_lru_count_one" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x739bea8c, "svc_destroy" },
	{ 0xf8f61ebc, "wake_up_var" },
	{ 0xf2268043, "rpc_call_start" },
	{ 0xcb51ff7a, "xprt_setup_backchannel" },
	{ 0xb9003dd, "bpf_trace_run1" },
	{ 0x12d192d4, "svc_create" },
	{ 0xe55f30b1, "rpc_clnt_iterate_for_each_xprt" },
	{ 0x564c17e3, "nfs_file_set_open_context" },
	{ 0x9c66d431, "rpc_init_priority_wait_queue" },
	{ 0x3f2690f2, "nfs_check_flags" },
	{ 0x44dcf477, "rpc_call_sync" },
	{ 0xddbfb38d, "from_kuid" },
	{ 0x90a3536a, "rpc_put_task_async" },
	{ 0xa365e8ad, "rpc_prepare_reply_pages" },
	{ 0xb0e361a7, "rpc_queue_upcall" },
	{ 0x9da43aa8, "nfs_free_server" },
	{ 0x16286533, "fc_mount" },
	{ 0x3bd45f5c, "register_sysctl_sz" },
	{ 0xc2736afe, "nfs_setattr" },
	{ 0xfb578fc5, "memset" },
	{ 0x53b19c73, "xdr_terminate_string" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x1cb319bd, "nfs4_fs_type" },
	{ 0x9454767b, "key_revoke" },
	{ 0xa05ca625, "nfs_fattr_init" },
	{ 0x420a6d4, "rpc_delay" },
	{ 0xd0f1b137, "nfs_flock" },
	{ 0x668ef4fb, "nfs_read_alloc_scratch" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x3fd731bb, "__list_lru_init" },
	{ 0xdcefe742, "kmem_cache_alloc_noprof" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x1d638100, "svc_generic_init_request" },
	{ 0xcf4fdd4d, "_atomic_dec_and_lock" },
	{ 0x6fafa05, "key_validate" },
	{ 0x98b0ece8, "nfs_init_timeout_values" },
	{ 0xa5302106, "rpc_exit" },
	{ 0x955348cc, "make_kgid" },
	{ 0xece784c2, "rb_first" },
	{ 0x736386df, "__kmem_cache_create_args" },
	{ 0xe60dd405, "rpc_remove_pipe_dir_object" },
	{ 0xe68f0f09, "nfs_may_open" },
	{ 0xa996e88c, "from_kgid_munged" },
	{ 0xfc619abd, "_nfs_display_fhandle" },
	{ 0xb3687850, "out_of_line_wait_on_bit_lock" },
	{ 0x47022b9e, "nfs_server_copy_userdata" },
	{ 0x832e8f0b, "nfs_alloc_fattr" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x668b19a1, "down_read" },
	{ 0x67e7c721, "xdr_reserve_space" },
	{ 0x27b16d05, "rpcauth_lookupcred" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x3fcdf30e, "kthread_create_on_node" },
	{ 0xabc640f3, "list_lru_isolate" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x1e51d09a, "nfs_rmdir" },
	{ 0xd82233ae, "bpf_trace_run3" },
	{ 0x370755a6, "override_creds" },
	{ 0x4cb9e001, "recover_lost_locks" },
	{ 0x94c62eb0, "trace_print_flags_seq" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x986f7def, "nfs_filemap_write_and_wait_range" },
	{ 0x15b977d6, "rpc_mkpipe_dentry" },
	{ 0x60f8cc14, "alloc_file_pseudo" },
	{ 0xc9a3e36d, "rpc_mkpipe_data" },
	{ 0xb365ed05, "rpc_add_pipe_dir_object" },
	{ 0xfedddb4b, "igrab" },
	{ 0xc9548f11, "unregister_nfs_version" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x29726332, "nfs_async_iocounter_wait" },
	{ 0xb96bf139, "nfs_file_read" },
	{ 0x979e742, "trace_event_buffer_reserve" },
	{ 0x8f07daec, "nfs_alloc_fattr_with_label" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xf67b31d3, "filemap_fdatawait_range" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xe138fb8c, "percpu_counter_add_batch" },
	{ 0x4cab0050, "nfs_commitdata_alloc" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xf1734ab5, "nfs_setattr_update_inode" },
	{ 0xb2b92c6e, "nfs_instantiate" },
	{ 0xeffe66c2, "init_user_ns" },
	{ 0x95c9f5e2, "rpc_uaddr2sockaddr" },
	{ 0x80c34c65, "user_read" },
	{ 0x3e8481e3, "rpc_restart_call" },
	{ 0x53f64bce, "request_key_tag" },
	{ 0x1485194d, "xprt_force_disconnect" },
	{ 0x8ead800c, "user_free_preparse" },
	{ 0x727c1169, "rpc_clnt_xprt_switch_remove_xprt" },
	{ 0x95c76b1b, "svc_xprt_destroy_all" },
	{ 0x85983379, "generic_key_instantiate" },
	{ 0xb8b6564a, "inc_nlink" },
	{ 0x44e9a829, "match_token" },
	{ 0x46c64256, "nfs_link" },
	{ 0x16095307, "__folio_put" },
	{ 0x23bf00f8, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x1aa7ea38, "list_lru_walk_one" },
	{ 0xc3a2be67, "nfs_net_id" },
	{ 0x6f586c98, "rpcauth_stringify_acceptor" },
	{ 0x56470118, "__warn_printk" },
	{ 0x86014ef4, "dput" },
	{ 0xd9b85ef6, "lockref_get" },
	{ 0x101529e2, "rpc_init_wait_queue" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x78014db6, "xdr_stream_move_subsegment" },
	{ 0x5dfabe27, "put_rpccred" },
	{ 0x294c6a2, "nfs_callback_nr_threads" },
	{ 0xde314849, "nfs_post_op_update_inode_force_wcc" },
	{ 0x322df6e4, "nfs_pgheader_init" },
	{ 0xdbadd3b9, "put_nfs_open_context" },
	{ 0x3bff8061, "nfs_show_path" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0xf3fcd584, "nfs_show_devname" },
	{ 0x18c5870, "nfs_permission" },
	{ 0x82dc89b5, "nfs_initiate_commit" },
	{ 0xf9dd014c, "truncate_inode_pages_range" },
	{ 0xa7064e26, "__put_user_ns" },
	{ 0x92cbf2fe, "alloc_pages_noprof" },
	{ 0x906c5954, "cred_fscmp" },
	{ 0x610ba7a, "rpc_unlink" },
	{ 0xb9467ba9, "nfs_sync_inode" },
	{ 0xb308c97d, "wait_woken" },
	{ 0xf943375f, "proc_dointvec" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0x29bff804, "nfs_file_write" },
	{ 0xaafd4acc, "max_session_cb_slots" },
	{ 0x1548ee05, "node_data" },
	{ 0xb70ce772, "nfs_probe_server" },
	{ 0x861cb761, "nfs_setsecurity" },
	{ 0xad59ace1, "rpc_clnt_xprt_switch_has_addr" },
	{ 0x68c1919f, "rpc_clnt_test_and_add_xprt" },
	{ 0x1504463d, "file_ra_state_init" },
	{ 0x6f9e1f36, "nfs_force_lookup_revalidate" },
	{ 0xc0f5b20b, "nfs_file_llseek" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x85b15409, "rpc_clnt_add_xprt" },
	{ 0x67613b6e, "dget_parent" },
	{ 0x2d934cd9, "from_kuid_munged" },
	{ 0xcadab198, "prepare_kernel_cred" },
	{ 0x273f5b76, "nfs_alloc_server" },
	{ 0xea4db410, "rpc_call_async" },
	{ 0xd588e6d5, "security_dentry_init_security" },
	{ 0xa7ba5207, "filemap_write_and_wait_range" },
	{ 0xfee4d172, "list_lru_del_obj" },
	{ 0xe68431f8, "nfs_server_insert_lists" },
	{ 0xf98908cf, "nfs_dreq_bytes_left" },
	{ 0x3854774b, "kstrtoll" },
	{ 0x754d539c, "strlen" },
	{ 0x57220ce4, "nfs_free_client" },
	{ 0xa0fbac79, "wake_up_bit" },
	{ 0xf760311c, "rpc_init_pipe_dir_object" },
	{ 0x41b138e5, "bpf_trace_run7" },
	{ 0x98c93c90, "nfs_refresh_inode" },
	{ 0x5e06bc5c, "refcount_dec_and_lock" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x91d1fe52, "max_session_slots" },
	{ 0x349cba85, "strchr" },
	{ 0x8e162a8, "nfs_access_set_mask" },
	{ 0x5038d42, "nfs_init_server_rpcclient" },
	{ 0xcb1d94ff, "__mark_inode_dirty" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xccf69887, "get_free_pages_noprof" },
	{ 0x373c756d, "rpc_set_connect_timeout" },
	{ 0xd769466, "rpcauth_create" },
	{ 0x8ea28394, "xdr_stream_pos" },
	{ 0x31f2a14c, "__kvmalloc_node_noprof" },
	{ 0x4a1572b4, "key_set_timeout" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xefa414fb, "nfs_delay_retrans" },
	{ 0xaf5bf6ef, "nfs_debug" },
	{ 0x10962bc2, "nfs_auth_info_match" },
	{ 0x53b954a2, "up_read" },
	{ 0x39e05ac3, "nfs_idmap_cache_timeout" },
	{ 0x9cbfb2b6, "svc_xprt_create" },
	{ 0xe89d1891, "nfs42_ssc_register" },
	{ 0x6bcf3348, "rpc_wait_for_completion_task" },
	{ 0xf0b43ed6, "drop_nlink" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc05c2bd6, "rpc_num_bc_slots" },
	{ 0xd6601244, "nfs_alloc_inode" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x5b2a5b3, "rpc_destroy_wait_queue" },
	{ 0x53847a1a, "kmalloc_caches" },
	{ 0x5d3dbc3f, "security_inode_listsecurity" },
	{ 0x96185faf, "nfs_fhget" },
	{ 0xcc3a95b8, "nfs_symlink" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x405a89d5, "locks_copy_lock" },
	{ 0xff6471f2, "kmem_cache_destroy" },
	{ 0x51892d61, "nfs_callback_set_tcpport" },
	{ 0xa7c523f7, "nfs_unlink" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x766e1cbe, "nfs_set_verifier" },
	{ 0x3eca0c01, "proc_dointvec_minmax" },
	{ 0x2d7daee1, "rpc_put_task" },
	{ 0x21955cf8, "nfs4_stat_to_errno" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x2bb02595, "svc_generic_rpcbind_set" },
	{ 0x3bfdc9c0, "nfs_clone_server" },
	{ 0x6a447198, "nfs_access_add_cache" },
	{ 0x8ede7148, "filemap_fdatawrite" },
	{ 0x7d9889a3, "nfs_show_stats" },
	{ 0x940137e5, "nfs_server_remove_lists" },
	{ 0x1d08ed56, "shrinker_alloc" },
	{ 0x8d96e1b, "nfs42_ssc_unregister" },
	{ 0xedbea5bc, "generic_listxattr" },
	{ 0x6d4142d7, "try_module_get" },
	{ 0x24b6c105, "revert_creds" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0xaf2abcfa, "nfs_writeback_update_inode" },
	{ 0xf7f092b8, "clear_inode" },
	{ 0x1df129e6, "inode_to_bdi" },
	{ 0x42b26a28, "bpf_trace_run4" },
	{ 0x2c7ff5a1, "user_destroy" },
	{ 0x20978fb9, "idr_find" },
	{ 0xf94f719, "param_ops_uint" },
	{ 0x986b4d2, "user_revoke" },
	{ 0xd32e19b8, "d_exact_alias" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x3a2ff963, "nfs_alloc_client" },
	{ 0xdae9b5d7, "nfs4_disable_idmapping" },
	{ 0x4d2db5b2, "nfs_mark_client_ready" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x966ccd5b, "rpc_clnt_probe_trunked_xprts" },
	{ 0xd4abc877, "nfs_pageio_reset_read_mds" },
	{ 0xf06efb89, "xdr_write_pages" },
	{ 0xcdc39c9e, "security_ismaclabel" },
	{ 0xc8ff945e, "rpc_shutdown_client" },
	{ 0x9c029a52, "svc_bind" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xdff3fff5, "nfs_d_prune_case_insensitive_aliases" },
	{ 0x40739385, "nfs_wait_bit_killable" },
	{ 0xf464cd57, "nfs_free_inode" },
	{ 0x5aef8c87, "nfs_access_zap_cache" },
	{ 0x9859e002, "nfs_sb_deactive" },
	{ 0xd08167f1, "nfs_wb_all" },
	{ 0x574b30f0, "__break_lease" },
	{ 0x6aad8db2, "nfs_pageio_init_write" },
	{ 0x5387a0db, "svc_recv" },
	{ 0xa68d7d8c, "nfs_drop_inode" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xaabf0748, "xdr_inline_decode" },
	{ 0x3f21828a, "nfs_pageio_init_read" },
	{ 0x62f95a87, "trace_raw_output_prep" },
	{ 0xd53b8474, "nfs_wait_client_init_complete" },
	{ 0x6e9dd606, "__symbol_put" },
	{ 0x5c1f8527, "nfs_init_commit" },
	{ 0x918d7532, "nfs_commitdata_release" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x6f8fdd1, "bpf_trace_run6" },
	{ 0x96a55fda, "list_lru_destroy" },
	{ 0xca9360b5, "rb_next" },
	{ 0xedfc0ca5, "rpc_net_ns" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xfdfb55be, "__trace_trigger_soft_disabled" },
	{ 0xdf6a00fb, "nfs_mknod" },
	{ 0x27ff41d5, "nfs_inode_attach_open_context" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x3a1a6b48, "nfs4_label_alloc" },
	{ 0x9826e9fd, "rpc_localaddr" },
	{ 0xbc773afc, "rpc_wake_up" },
	{ 0xdd691402, "xprt_find_transport_ident" },
	{ 0x80f27d0a, "trace_event_printf" },
	{ 0x82a1bba0, "nfs_access_get_cached" },
	{ 0x96848186, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x7b82b9a1, "idr_replace" },
	{ 0x91fa60e6, "nfs_lock" },
	{ 0x8e89f8d2, "unregister_key_type" },
	{ 0x6a2a2e1, "nfs_client_init_is_complete" },
	{ 0x64df52c2, "nfs_file_splice_read" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x47051cc3, "d_splice_alias" },
	{ 0x9e61bb05, "set_freezable" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0x6df1aaf1, "kernel_sigaction" },
	{ 0x34983dc1, "trace_event_raw_init" },
	{ 0x1e424d61, "user_preparse" },
	{ 0x8900d05a, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x8b910be2, "errseq_sample" },
	{ 0xd04ead52, "ihold" },
	{ 0xc743f7ea, "truncate_pagecache_range" },
	{ 0x5de63082, "rpc_peeraddr" },
	{ 0x37a0cba, "kfree" },
	{ 0xeef8799c, "invalidate_inode_pages2_range" },
	{ 0x99451ea, "nfs_post_op_update_inode" },
	{ 0xbe010875, "svc_exit_thread" },
	{ 0xc055933, "iput" },
	{ 0x4a229256, "xdr_set_pagelen" },
	{ 0xad13d1c1, "pcpu_hot" },
	{ 0xc59e3b81, "nfs_pgio_header_free" },
	{ 0x3e20aacd, "nfs_request_add_commit_list_locked" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0xb78be7c9, "logfc" },
	{ 0x117921b2, "nfs_pgio_header_alloc" },
	{ 0x690efead, "iter_file_splice_write" },
	{ 0x8eb521f, "rpc_pton" },
	{ 0x3586b00e, "nfs_sb_active" },
	{ 0x564e9906, "mod_node_page_state" },
	{ 0x549c0738, "rpc_ntop" },
	{ 0x4f1c4083, "rpc_wake_up_queued_task" },
	{ 0x5d7b1ad9, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x1984d421, "out_of_line_wait_on_bit" },
	{ 0x506eb1c8, "xdr_stream_zero" },
	{ 0x1e119a79, "rpcauth_get_pseudoflavor" },
	{ 0xcf1dda0b, "rpc_restart_call_prepare" },
	{ 0xe2964344, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x218955e6, "_copy_from_pages" },
	{ 0x48896741, "__module_get" },
	{ 0x1dd49a5d, "rpc_task_release_transport" },
	{ 0xe3903662, "xdr_page_pos" },
	{ 0x9aa8ec26, "nfs_file_release" },
	{ 0xe5919cb1, "xdr_encode_opaque" },
	{ 0xc1b4cfdd, "nfs_pgio_current_mirror" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x20cd49e4, "key_instantiate_and_link" },
	{ 0x5e651d9f, "trace_print_hex_seq" },
	{ 0x3539f11b, "match_strlcpy" },
	{ 0x56c1ef3e, "xdr_read_pages" },
	{ 0x65994f1, "xdr_encode_opaque_fixed" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb4304d2e, "register_key_type" },
	{ 0xc7bc7ae7, "rpc_sleep_on" },
	{ 0x6d4216f9, "rpc_run_task" },
	{ 0xe059eab5, "nfs_pageio_resend" },
	{ 0xe3f8b32c, "keyring_alloc" },
	{ 0x78402a07, "vfs_setpos" },
	{ 0x1d1bbc32, "nfs_create" },
	{ 0xe4d84b0f, "complete_request_key" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x56d0f696, "__put_cred" },
	{ 0x55d4a842, "nfs_update_delegated_mtime" },
	{ 0x4c639a1b, "nfs_statfs" },
	{ 0x2a493ec3, "wake_up_process" },
	{ 0x35c52854, "shrinker_free" },
	{ 0x9ae47436, "_find_last_bit" },
	{ 0xeaace169, "splice_file_range" },
	{ 0x5df645b7, "rpc_max_bc_payload" },
	{ 0xcd44e46f, "trace_event_buffer_commit" },
	{ 0x584b8482, "nfs_inc_attr_generation_counter" },
	{ 0x90a5530f, "nfsiod_workqueue" },
	{ 0xaddb7d27, "rpc_clnt_xprt_switch_add_xprt" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x6d81e592, "locks_lock_inode_wait" },
	{ 0x5e95b1cd, "current_umask" },
	{ 0x353bb62c, "nfs_mkdir" },
	{ 0xdb869820, "nfs_revalidate_inode" },
	{ 0x261ecdf3, "inode_newsize_ok" },
	{ 0x9eee108a, "nfs_file_mmap" },
	{ 0x196b3589, "nfs_get_lock_context" },
	{ 0x8994184b, "d_drop" },
	{ 0x92997ed8, "_printk" },
	{ 0x1d15f92, "nfs_set_cache_invalid" },
	{ 0x10161aa0, "rpc_release_client" },
	{ 0xdb76b70b, "rpc_clnt_manage_trunked_xprts" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x79d46baa, "xdr_enter_page" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x1b0baac0, "rpc_clnt_setup_test_and_add_xprt" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x1693c4c3, "unregister_sysctl_table" },
	{ 0x6ef8069e, "nfs_generic_pgio" },
	{ 0xff881a38, "make_kuid" },
	{ 0x5a238d4f, "truncate_inode_pages_final" },
	{ 0x9d55102f, "generic_setlease" },
	{ 0x441d0de9, "__kmalloc_large_noprof" },
	{ 0x77267da0, "xprt_destroy_backchannel" },
	{ 0xbbfdc01c, "rpc_switch_client_transport" },
	{ 0xa916b694, "strnlen" },
	{ 0xd52c9794, "nfs_scan_commit_list" },
	{ 0x671ded1a, "xdr_stream_decode_string_dup" },
	{ 0x34fb7e1c, "nfs_commit_inode" },
	{ 0x9dadfde1, "shrinker_register" },
	{ 0x95d1ddaf, "locks_init_lock" },
	{ 0xa8e9e1ae, "send_implementation_id" },
	{ 0x30b3f334, "const_pcpu_hot" },
	{ 0x23909c51, "rpc_destroy_pipe_data" },
	{ 0x750c88cb, "nfs_get_client" },
	{ 0xb48a0755, "__free_pages" },
	{ 0x9f984513, "strrchr" },
	{ 0x5d49aabc, "init_wait_var_entry" },
	{ 0x16e297c3, "bit_wait" },
	{ 0xed61f6b3, "security_release_secctx" },
	{ 0xaf9ef473, "init_task" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0xdd95ac9, "nfs_atomic_open" },
	{ 0x19e573be, "rpc_pipe_generic_upcall" },
	{ 0x5bdf50a2, "nfs_file_fsync" },
	{ 0xec1f44a5, "module_put" },
	{ 0x5e332b52, "__var_waitqueue" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x59b28372, "mntput" },
	{ 0x41d6439b, "nfs_put_lock_context" },
	{ 0x9fe84242, "nfs_rename" },
	{ 0xf37f5322, "nfs_lookup" },
	{ 0x769f6e64, "errseq_check" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xde41395b, "nfs_sysfs_link_rpc_client" },
	{ 0x898f47e1, "nfs_put_client" },
	{ 0xfcb695be, "nfs_show_options" },
	{ 0xfa764f0c, "dns_query" },
	{ 0x26884ff7, "nfs_alloc_fhandle" },
	{ 0x8fcd8a05, "key_put" },
	{ 0x868784cb, "__symbol_get" },
	{ 0x37776158, "mount_subtree" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0xbbaf86ee, "get_nfs_open_context" },
	{ 0x80170a16, "perf_trace_run_bpf_submit" },
	{ 0x5a26a34a, "nfs_clear_verifier_delegated" },
	{ 0x6c2222a5, "nfs_sysfs_add_server" },
	{ 0xee724366, "fput" },
	{ 0x57bc19d2, "down_write" },
	{ 0xb899b0eb, "rpc_machine_cred" },
	{ 0x42f2c81f, "nfs4_client_id_uniquifier" },
	{ 0x705b088f, "nfs_do_submount" },
	{ 0xb2a51b80, "vfs_dup_fs_context" },
	{ 0xce807a25, "up_write" },
	{ 0xb7c0f443, "sort" },
	{ 0x896cffd, "request_key_with_auxdata" },
	{ 0xf1c4a0e0, "rpc_clone_client_set_auth" },
	{ 0xbf533e51, "rpc_clone_client" },
	{ 0x9b4cb09b, "svc_set_num_threads" },
	{ 0x4e3567f7, "match_int" },
	{ 0x69bd1868, "nfs_client_init_status" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0x1dfb211f, "svc_rpcb_cleanup" },
	{ 0xa07a37f0, "memchr" },
	{ 0x1dc5d827, "user_describe" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xcc043044, "put_fs_context" },
	{ 0x1f9be295, "nfs_retry_commit" },
	{ 0xd32e95b7, "nfs4_dentry_operations" },
	{ 0xb14d7e6f, "__module_put_and_kthread_exit" },
	{ 0xc666920d, "rpc_peeraddr2str" },
	{ 0xb3f548ad, "kmemdup_nul" },
	{ 0x16596a8a, "nfs_client_for_each_server" },
	{ 0x4a190ce6, "nfs_clear_inode" },
	{ 0x926caabe, "rpc_sleep_on_priority" },
	{ 0x2b834c88, "nfs_invalidate_atime" },
	{ 0x6501f459, "bpf_trace_run5" },
	{ 0x954f099c, "idr_preload" },
	{ 0x256fe219, "nfs_umount_begin" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x680d2b4c, "nfs_getattr" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x6f32227b, "nfs_pageio_reset_write_mds" },
	{ 0x8a315db1, "kmem_cache_free" },
	{ 0x1e6ac879, "nfs_generic_pg_test" },
	{ 0x5a921311, "strncmp" },
	{ 0x9d09bae2, "xdr_stream_subsegment" },
	{ 0x7777a199, "module_layout" },
};

MODULE_INFO(depends, "nfs,sunrpc,dns_resolver");


MODULE_INFO(srcversion, "A42DB7961EE869C19ED40E5");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
