#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(rxrpc_debug_id, "", "");
KSYMTAB_FUNC(rxrpc_kernel_lookup_peer, "", "");
KSYMTAB_FUNC(rxrpc_kernel_get_peer, "", "");
KSYMTAB_FUNC(rxrpc_kernel_put_peer, "", "");
KSYMTAB_FUNC(rxrpc_kernel_begin_call, "", "");
KSYMTAB_FUNC(rxrpc_kernel_shutdown_call, "", "");
KSYMTAB_FUNC(rxrpc_kernel_put_call, "", "");
KSYMTAB_FUNC(rxrpc_kernel_check_life, "", "");
KSYMTAB_FUNC(rxrpc_kernel_get_epoch, "", "");
KSYMTAB_FUNC(rxrpc_kernel_new_call_notification, "", "");
KSYMTAB_FUNC(rxrpc_kernel_set_max_life, "", "");
KSYMTAB_FUNC(rxrpc_sock_set_min_security_level, "", "");
KSYMTAB_FUNC(rxrpc_kernel_charge_accept, "", "");
KSYMTAB_DATA(key_type_rxrpc, "", "");
KSYMTAB_FUNC(rxrpc_get_server_data_key, "", "");
KSYMTAB_FUNC(rxrpc_get_null_key, "", "");
KSYMTAB_FUNC(rxrpc_kernel_get_call_peer, "", "");
KSYMTAB_FUNC(rxrpc_kernel_get_srtt, "", "");
KSYMTAB_FUNC(rxrpc_kernel_remote_srx, "", "");
KSYMTAB_FUNC(rxrpc_kernel_remote_addr, "", "");
KSYMTAB_FUNC(rxrpc_kernel_recv_data, "", "");
KSYMTAB_FUNC(rxrpc_kernel_send_data, "", "");
KSYMTAB_FUNC(rxrpc_kernel_abort_call, "", "");
KSYMTAB_FUNC(rxrpc_kernel_set_tx_length, "", "");
KSYMTAB_FUNC(rxrpc_sock_set_security_keyring, "", "");

SYMBOL_CRC(rxrpc_debug_id, 0x31bf3ca3, "");
SYMBOL_CRC(rxrpc_kernel_lookup_peer, 0x14f960c8, "");
SYMBOL_CRC(rxrpc_kernel_get_peer, 0x0eb83d48, "");
SYMBOL_CRC(rxrpc_kernel_put_peer, 0x3dc6043a, "");
SYMBOL_CRC(rxrpc_kernel_begin_call, 0xb3d2273c, "");
SYMBOL_CRC(rxrpc_kernel_shutdown_call, 0x1c24ffd4, "");
SYMBOL_CRC(rxrpc_kernel_put_call, 0x0ce52fe7, "");
SYMBOL_CRC(rxrpc_kernel_check_life, 0xa6887fb9, "");
SYMBOL_CRC(rxrpc_kernel_get_epoch, 0x8154b02f, "");
SYMBOL_CRC(rxrpc_kernel_new_call_notification, 0xaaa19723, "");
SYMBOL_CRC(rxrpc_kernel_set_max_life, 0x7703fa36, "");
SYMBOL_CRC(rxrpc_sock_set_min_security_level, 0x9bcbe9b1, "");
SYMBOL_CRC(rxrpc_kernel_charge_accept, 0x4887d276, "");
SYMBOL_CRC(key_type_rxrpc, 0x29122c56, "");
SYMBOL_CRC(rxrpc_get_server_data_key, 0x25d6fb6d, "");
SYMBOL_CRC(rxrpc_get_null_key, 0x2a894315, "");
SYMBOL_CRC(rxrpc_kernel_get_call_peer, 0x659f8879, "");
SYMBOL_CRC(rxrpc_kernel_get_srtt, 0xa3b14339, "");
SYMBOL_CRC(rxrpc_kernel_remote_srx, 0x3918b497, "");
SYMBOL_CRC(rxrpc_kernel_remote_addr, 0x73c5638d, "");
SYMBOL_CRC(rxrpc_kernel_recv_data, 0xcc3b2ec3, "");
SYMBOL_CRC(rxrpc_kernel_send_data, 0x82897373, "");
SYMBOL_CRC(rxrpc_kernel_abort_call, 0xf1f892f9, "");
SYMBOL_CRC(rxrpc_kernel_set_tx_length, 0xb909dca1, "");
SYMBOL_CRC(rxrpc_sock_set_security_keyring, 0x0e10e5b6, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc704355c, "kernel_sock_shutdown" },
	{ 0xbc0387d5, "sock_no_accept" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xe68efe41, "_raw_write_lock" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x8a315db1, "kmem_cache_free" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x896c49d8, "proc_doulongvec_minmax" },
	{ 0xebd48f80, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0xb3bb2933, "iov_iter_kvec" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xdd4d55b6, "_raw_read_unlock" },
	{ 0x40235c98, "_raw_write_unlock" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x5edb18f1, "unregister_pernet_device" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xb1518e15, "cancel_work" },
	{ 0x1e7ffc23, "lock_sock_nested" },
	{ 0xa07941ab, "kthread_stop" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0xbb887d17, "skb_copy_datagram_iter" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x91f44510, "idr_alloc_cyclic" },
	{ 0xf8f61ebc, "wake_up_var" },
	{ 0x3be806af, "udp_sendmsg" },
	{ 0x11089ac7, "_ctype" },
	{ 0xace37018, "sk_alloc" },
	{ 0xb9003dd, "bpf_trace_run1" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0x63bff8d5, "__sock_recv_wifi_status" },
	{ 0x81dc6a55, "sock_no_socketpair" },
	{ 0xfb578fc5, "memset" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x9454767b, "key_revoke" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xdcefe742, "kmem_cache_alloc_noprof" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0xe88ad7e0, "sock_no_mmap" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xcf4fdd4d, "_atomic_dec_and_lock" },
	{ 0x6fafa05, "key_validate" },
	{ 0xcc65085a, "crypto_alloc_sync_skcipher" },
	{ 0x736386df, "__kmem_cache_create_args" },
	{ 0xe8bcd46a, "setup_udp_tunnel_sock" },
	{ 0xc12e3f8, "proc_remove" },
	{ 0x3f85bc34, "udp_sock_create6" },
	{ 0xbb9ed3bf, "mutex_trylock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x3fcdf30e, "kthread_create_on_node" },
	{ 0xd82233ae, "bpf_trace_run3" },
	{ 0x9dab3c1f, "__page_frag_cache_drain" },
	{ 0x953e1b9e, "ktime_get_real_seconds" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xe050af2c, "ipv4_mtu" },
	{ 0x979e742, "trace_event_buffer_reserve" },
	{ 0xefe0bd56, "keyring_search" },
	{ 0xae0c6290, "ip_sock_set_recverr" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xc622556f, "prepare_to_wait_exclusive" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x53f64bce, "request_key_tag" },
	{ 0x85983379, "generic_key_instantiate" },
	{ 0x554475ca, "seq_write" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x6d5f5b91, "radix_tree_tagged" },
	{ 0x23bf00f8, "__kmalloc_cache_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xee8311cc, "sock_no_getname" },
	{ 0x56470118, "__warn_printk" },
	{ 0x90c28d79, "seq_printf" },
	{ 0x6bd0e573, "down_interruptible" },
	{ 0xfaae571d, "skb_copy" },
	{ 0x20000329, "simple_strtoul" },
	{ 0xf75b2343, "skb_clone" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x47e5db00, "dst_release" },
	{ 0x27417999, "_copy_from_iter" },
	{ 0xfe8c61f0, "_raw_read_lock" },
	{ 0xa97bb79b, "sock_release" },
	{ 0x7adc0fbf, "rb_replace_node_rcu" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0xffae8e8b, "nsecs_to_jiffies" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0x28ea23dd, "sock_no_ioctl" },
	{ 0x49ad7d94, "_proc_mkdir" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x5ac8c04c, "unregister_net_sysctl_table" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xa9320d27, "ktime_get_seconds" },
	{ 0x71445e30, "__seq_puts" },
	{ 0x4ce0f44d, "__page_frag_alloc_align" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x754d539c, "strlen" },
	{ 0x41b138e5, "bpf_trace_run7" },
	{ 0xb8a9df35, "ip_icmp_error" },
	{ 0x511c70b0, "iov_iter_revert" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x50944630, "seq_list_start_head_rcu" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x7eeeb05f, "kernel_sendmsg" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x192170e5, "skb_to_sgvec" },
	{ 0x715f74ea, "register_pernet_device" },
	{ 0xe0a88b40, "skb_condense" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xa2b2a780, "sock_init_data" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x53847a1a, "kmalloc_caches" },
	{ 0xff6471f2, "kmem_cache_destroy" },
	{ 0x1118f863, "release_sock" },
	{ 0x5f918c6d, "skb_queue_head" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x8607ed, "proc_create_net_single_write" },
	{ 0x2af66683, "crypto_alloc_skcipher" },
	{ 0x3eca0c01, "proc_dointvec_minmax" },
	{ 0xac60b598, "crypto_skcipher_encrypt" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x4f5ae8c1, "key_alloc" },
	{ 0x42b26a28, "bpf_trace_run4" },
	{ 0x2d8d83f7, "skb_copy_bits" },
	{ 0x20978fb9, "idr_find" },
	{ 0xf94f719, "param_ops_uint" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xfad60243, "consume_skb" },
	{ 0xe7d4daac, "seq_list_next" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x62f95a87, "trace_raw_output_prep" },
	{ 0xd4a8fad8, "udp_sock_create4" },
	{ 0x6f8fdd1, "bpf_trace_run6" },
	{ 0xf346231f, "seq_list_start_head" },
	{ 0x863f913b, "skb_dequeue" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xfdfb55be, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x51a511eb, "_raw_write_lock_bh" },
	{ 0x80f27d0a, "trace_event_printf" },
	{ 0x67b78eb3, "seq_hlist_next_rcu" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xde293f9e, "add_wait_queue_exclusive" },
	{ 0x54393edd, "set_user_nice" },
	{ 0xcf2a6966, "up" },
	{ 0x72e95d1f, "udpv6_sendmsg" },
	{ 0x8e89f8d2, "unregister_key_type" },
	{ 0x96eff39b, "__kmalloc_node_track_caller_noprof" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0x34983dc1, "trace_event_raw_init" },
	{ 0x8900d05a, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x2839126e, "key_type_keyring" },
	{ 0x43babd19, "sg_init_one" },
	{ 0xad13d1c1, "pcpu_hot" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xe7ab1ecc, "_raw_write_unlock_bh" },
	{ 0x5d7b1ad9, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xe2964344, "__wake_up" },
	{ 0xccecfb87, "crypto_skcipher_setkey" },
	{ 0xfc4508c, "ip_route_output_flow" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x20cd49e4, "key_instantiate_and_link" },
	{ 0x479aac1, "seq_list_next_rcu" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xc84a0a7e, "seq_hlist_start_rcu" },
	{ 0xb4304d2e, "register_key_type" },
	{ 0x43f030e4, "proc_create_net_data" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x8a607a59, "put_cmsg" },
	{ 0x2a493ec3, "wake_up_process" },
	{ 0xcd44e46f, "trace_event_buffer_commit" },
	{ 0x9feed7ce, "timer_reduce" },
	{ 0x23215a9c, "register_net_sysctl_sz" },
	{ 0xbf5f2b98, "crypto_destroy_tfm" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x88e1d0f0, "page_frag_free" },
	{ 0xb834cbe3, "proto_unregister" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0x5803bed1, "ipv6_icmp_error" },
	{ 0x8d084f7c, "sock_register" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xf9885911, "crypto_skcipher_decrypt" },
	{ 0xff881a38, "make_kuid" },
	{ 0xe35ffbc, "ip6_route_output_flags" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0xc57c48a3, "idr_get_next" },
	{ 0x30b3f334, "const_pcpu_hot" },
	{ 0xf8e71bf2, "proto_register" },
	{ 0x5d49aabc, "init_wait_var_entry" },
	{ 0xae7df2e2, "skb_queue_tail" },
	{ 0x5e332b52, "__var_waitqueue" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xc2c5802, "work_busy" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x7665a95b, "idr_remove" },
	{ 0x9ccb1213, "__sock_recv_timestamp" },
	{ 0x8fcd8a05, "key_put" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0x80170a16, "perf_trace_run_bpf_submit" },
	{ 0x37b16a1, "init_net" },
	{ 0xff81d66a, "skb_pull" },
	{ 0xbc01ddc0, "proc_doulongvec_ms_jiffies_minmax" },
	{ 0xa07a37f0, "memchr" },
	{ 0xd7ed93cd, "sock_enable_timestamps" },
	{ 0x17949acf, "ip_sock_set_mtu_discover" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x26e6076a, "ip6_mtu" },
	{ 0x6ef78684, "sk_skb_reason_drop" },
	{ 0x6626afca, "down" },
	{ 0x6501f459, "bpf_trace_run5" },
	{ 0x1129b280, "sk_free" },
	{ 0x2d879a00, "sock_wake_async" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0x7777a199, "module_layout" },
};

MODULE_INFO(depends, "udp_tunnel,ip6_udp_tunnel");


MODULE_INFO(srcversion, "C2F140DC4185DFBB52F4A51");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
