#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(sctp_get_sctp_info, "_gpl", "");
KSYMTAB_FUNC(sctp_for_each_endpoint, "_gpl", "");
KSYMTAB_FUNC(sctp_transport_lookup_process, "_gpl", "");
KSYMTAB_FUNC(sctp_transport_traverse_process, "_gpl", "");
KSYMTAB_FUNC(sctp_do_peeloff, "", "");

SYMBOL_CRC(sctp_get_sctp_info, 0x97dcc653, "_gpl");
SYMBOL_CRC(sctp_for_each_endpoint, 0x0c94293c, "_gpl");
SYMBOL_CRC(sctp_transport_lookup_process, 0x1937b3e6, "_gpl");
SYMBOL_CRC(sctp_transport_traverse_process, 0xecc4f631, "_gpl");
SYMBOL_CRC(sctp_do_peeloff, 0x36f5f037, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xadd139d4, "rfs_needed" },
	{ 0x29604158, "napi_busy_loop" },
	{ 0x7665a95b, "idr_remove" },
	{ 0xec8de5b9, "inet_ctl_sock_create" },
	{ 0x55d15990, "inet_ioctl" },
	{ 0xa5fae10f, "reuseport_add_sock" },
	{ 0x24265a39, "reuseport_select_sock" },
	{ 0x1ed10558, "proc_dostring" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0xc8fedb5b, "sk_filter_trim_cap" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0x80170a16, "perf_trace_run_bpf_submit" },
	{ 0xee724366, "fput" },
	{ 0x8b6554c2, "inet_accept" },
	{ 0x37b16a1, "init_net" },
	{ 0x3116aae, "crypto_shash_setkey" },
	{ 0xff81d66a, "skb_pull" },
	{ 0x5aa8e617, "inet_add_offload" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x26e6076a, "ip6_mtu" },
	{ 0x6ef78684, "sk_skb_reason_drop" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xb8fc65e, "__SCK__tp_func_sk_data_ready" },
	{ 0x16c6ee54, "inet_add_protocol" },
	{ 0x62e93b32, "inet_shutdown" },
	{ 0x1129b280, "sk_free" },
	{ 0x2d879a00, "sock_wake_async" },
	{ 0x7a2da530, "dev_get_by_index_rcu" },
	{ 0x954f099c, "idr_preload" },
	{ 0x48722c82, "inet_del_offload" },
	{ 0xe68efe41, "_raw_write_lock" },
	{ 0x9ea2a343, "skb_push" },
	{ 0xd5248bae, "__ip_queue_xmit" },
	{ 0x8a315db1, "kmem_cache_free" },
	{ 0x9ee373a3, "__sk_mem_reclaim" },
	{ 0x770a5ae9, "fl6_update_dst" },
	{ 0x5a921311, "strncmp" },
	{ 0x896c49d8, "proc_doulongvec_minmax" },
	{ 0xebd48f80, "trace_event_reg" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0xdd4d55b6, "_raw_read_unlock" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x9a5dce5c, "rhashtable_walk_start_check" },
	{ 0xe590dea3, "sk_busy_loop_end" },
	{ 0x40235c98, "_raw_write_unlock" },
	{ 0x3891794f, "ns_capable" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x1e7ffc23, "lock_sock_nested" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x944375db, "_totalram_pages" },
	{ 0x8c52595c, "inet6_ioctl" },
	{ 0xbb887d17, "skb_copy_datagram_iter" },
	{ 0x9cd7551a, "rhashtable_walk_stop" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x91f44510, "idr_alloc_cyclic" },
	{ 0xace37018, "sk_alloc" },
	{ 0x3dabf271, "memcg_sockets_enabled_key" },
	{ 0x6cadd276, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x4b430c50, "ip6_dst_lookup_flow" },
	{ 0x7f6cee89, "rhashtable_free_and_destroy" },
	{ 0x81dc6a55, "sock_no_socketpair" },
	{ 0xfb578fc5, "memset" },
	{ 0xb202f0d7, "rht_bucket_nested_insert" },
	{ 0x79c4fd97, "udp_tunnel_sock_release" },
	{ 0x2fe252cc, "unregister_inet6addr_notifier" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xdcefe742, "kmem_cache_alloc_noprof" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xe88ad7e0, "sock_no_mmap" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xe3382fd8, "__pskb_pull_tail" },
	{ 0x736386df, "__kmem_cache_create_args" },
	{ 0xe8bcd46a, "setup_udp_tunnel_sock" },
	{ 0x3f85bc34, "udp_sock_create6" },
	{ 0x99934c81, "skb_trim" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x150662b5, "sk_common_release" },
	{ 0xdddcc7e5, "pv_ops" },
	{ 0xd82233ae, "bpf_trace_run3" },
	{ 0xe0313d71, "rhashtable_insert_slow" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xb15b4109, "crc32c" },
	{ 0xc1606a6d, "inet6_getname" },
	{ 0x32bed2b9, "sock_i_ino" },
	{ 0xefe2311b, "inet6_sock_destruct" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xa7f01c90, "ip6_xmit" },
	{ 0xa46e87ca, "security_sctp_assoc_request" },
	{ 0x8326e880, "inet_del_protocol" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xe050af2c, "ipv4_mtu" },
	{ 0x8d2f7c81, "rhltable_init_noprof" },
	{ 0xc25d94c1, "pcpu_alloc_noprof" },
	{ 0xad640ef, "skb_set_owner_w" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x979e742, "trace_event_buffer_reserve" },
	{ 0xce9b6629, "__skb_checksum" },
	{ 0x810eb1fa, "reuseport_alloc" },
	{ 0x4143b39c, "inet6_register_protosw" },
	{ 0xae316c11, "icmpv6_err_convert" },
	{ 0x1c3cf56, "inet6_release" },
	{ 0xc622556f, "prepare_to_wait_exclusive" },
	{ 0xe138fb8c, "percpu_counter_add_batch" },
	{ 0xce25656, "inet_sendmsg" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x7be61139, "param_ops_bool" },
	{ 0xa843805a, "get_unused_fd_flags" },
	{ 0x7f9011bc, "ipv6_dup_options" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x554475ca, "seq_write" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x60352082, "register_inet6addr_notifier" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x23bf00f8, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x8d6bbb27, "udp_tunnel_xmit_skb" },
	{ 0x56470118, "__warn_printk" },
	{ 0x90c28d79, "seq_printf" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x138b0e, "proc_create_net_single" },
	{ 0xfaae571d, "skb_copy" },
	{ 0xf75b2343, "skb_clone" },
	{ 0xfa59d8fd, "inet_sk_set_state" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x47e5db00, "dst_release" },
	{ 0x27417999, "_copy_from_iter" },
	{ 0xfe8c61f0, "_raw_read_lock" },
	{ 0xa97bb79b, "sock_release" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0xda6af10f, "inet_recv_error" },
	{ 0xf943375f, "proc_dointvec" },
	{ 0xd9ad336d, "sock_gettstamp" },
	{ 0x419c0011, "security_sctp_bind_connect" },
	{ 0x54651f9b, "rhashtable_walk_next" },
	{ 0x49ad7d94, "_proc_mkdir" },
	{ 0xf519c38e, "sk_setup_caps" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x6d678709, "send_sig" },
	{ 0x5ac8c04c, "unregister_net_sysctl_table" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xf68285c0, "register_inetaddr_notifier" },
	{ 0xb1c33e04, "inet6_add_protocol" },
	{ 0x2d934cd9, "from_kuid_munged" },
	{ 0x15fb1ed7, "ip_setsockopt" },
	{ 0xcd5835b, "ipv6_flowlabel_exclusive" },
	{ 0x759269c1, "ipv6_chk_addr" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0xcd748a1a, "ipv6_getsockopt" },
	{ 0x754d539c, "strlen" },
	{ 0xb81f4352, "reuseport_detach_sock" },
	{ 0xd2754d98, "ip_getsockopt" },
	{ 0xaad0ae78, "__bitmap_shift_right" },
	{ 0x511c70b0, "iov_iter_revert" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x5009546e, "crypto_alloc_shash" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xccf69887, "get_free_pages_noprof" },
	{ 0xf6d7a6fd, "ipv4_dst_check" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xf188a662, "rhashtable_walk_exit" },
	{ 0xd4ec10e6, "BUG_func" },
	{ 0x49045426, "icmp_err_convert" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xa2b2a780, "sock_init_data" },
	{ 0x7d5e1008, "__crc32c_le_shift" },
	{ 0x53847a1a, "kmalloc_caches" },
	{ 0xff6471f2, "kmem_cache_destroy" },
	{ 0x1118f863, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x5f918c6d, "skb_queue_head" },
	{ 0x3eca0c01, "proc_dointvec_minmax" },
	{ 0x86d5fea9, "inet_recvmsg" },
	{ 0x200b2041, "in6addr_any" },
	{ 0x4b76d8d8, "sock_i_uid" },
	{ 0x71b30596, "ip6_dst_check" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x153297e8, "inet_addr_type_table" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x506dff1a, "__genradix_free" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0x27fa66e1, "nr_free_buffer_pages" },
	{ 0x2d8d83f7, "skb_copy_bits" },
	{ 0x4fae9f2e, "inet_unregister_protosw" },
	{ 0x20978fb9, "idr_find" },
	{ 0xfba7a5f5, "__get_random_u32_below" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xa6e8f9fa, "sock_wfree" },
	{ 0x34611bfc, "skb_put" },
	{ 0x916aefbe, "__percpu_counter_init_many" },
	{ 0xdc74f804, "__fl6_sock_lookup" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x700512ea, "ip6_dst_hoplimit" },
	{ 0xfad60243, "consume_skb" },
	{ 0xcb437050, "inet6_add_offload" },
	{ 0xeb050080, "crypto_shash_tfm_digest" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xe8b0ce1d, "inet6_bind" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x62f95a87, "trace_raw_output_prep" },
	{ 0xa85bbe00, "__SCT__tp_func_sk_data_ready" },
	{ 0x95a1384e, "l3mdev_fib_table_by_index" },
	{ 0xd4a8fad8, "udp_sock_create4" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x863f913b, "skb_dequeue" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0xd9d52af4, "inet6_unregister_protosw" },
	{ 0x5be63c5b, "crc32c_csum_stub" },
	{ 0xfdfb55be, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x3a3486ac, "__skb_ext_del" },
	{ 0x86b0ec9a, "skb_segment" },
	{ 0x80f27d0a, "trace_event_printf" },
	{ 0xbe321e79, "__ip_dev_find" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0x5eabb17e, "udp_tunnel6_xmit_skb" },
	{ 0x682db864, "sock_common_getsockopt" },
	{ 0xdd92d986, "inet_bind" },
	{ 0x185b33a7, "sock_create" },
	{ 0x812e6c9e, "net_hotdata" },
	{ 0x96eff39b, "__kmalloc_node_track_caller_noprof" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xdb2e4f7d, "percpu_counter_destroy_many" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0x722d8a5b, "fd_install" },
	{ 0x34983dc1, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0xf5a20ed2, "__genradix_prealloc" },
	{ 0x37a0cba, "kfree" },
	{ 0x9e8fe0a4, "inet_register_protosw" },
	{ 0xaeb082ad, "_raw_read_unlock_bh" },
	{ 0x8dee722d, "_raw_read_lock_bh" },
	{ 0x44f0ad9, "get_random_u16" },
	{ 0xad13d1c1, "pcpu_hot" },
	{ 0x84ed0077, "__xfrm_policy_check" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x9841a610, "security_sctp_assoc_established" },
	{ 0x9f35c9d6, "__tracepoint_sk_data_ready" },
	{ 0x5d7b1ad9, "bpf_trace_run2" },
	{ 0xbf5f6522, "sock_common_setsockopt" },
	{ 0x56ec556a, "remove_proc_subtree" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xe2964344, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xfc4508c, "ip_route_output_flow" },
	{ 0xe5ce1a56, "rhashtable_walk_enter" },
	{ 0xb2c1f905, "__sk_mem_schedule" },
	{ 0xf31cbfc5, "ipv6_setsockopt" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0x7945ccc6, "sock_alloc_file" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x43f030e4, "proc_create_net_data" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x3f4547a7, "put_unused_fd" },
	{ 0x619b7013, "sk_error_report" },
	{ 0x4329be6d, "register_pernet_subsys" },
	{ 0x8a607a59, "put_cmsg" },
	{ 0xcd44e46f, "trace_event_buffer_commit" },
	{ 0x9feed7ce, "timer_reduce" },
	{ 0x23215a9c, "register_net_sysctl_sz" },
	{ 0x2d6006b7, "inet_sock_destruct" },
	{ 0xbf5f2b98, "crypto_destroy_tfm" },
	{ 0x10d27123, "sock_kmalloc" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x11c7edc0, "inet_sk_get_local_port_range" },
	{ 0x4bcd5f4, "inet6_del_protocol" },
	{ 0x79d219c0, "__get_hash_from_flowi6" },
	{ 0x92997ed8, "_printk" },
	{ 0x542e9c8e, "inet_getname" },
	{ 0xb834cbe3, "proto_unregister" },
	{ 0x6a34ecfb, "security_sctp_sk_clone" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x54e6fcdd, "net_enable_timestamp" },
	{ 0xc69bc081, "__sock_recv_cmsgs" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xfe029963, "unregister_inetaddr_notifier" },
	{ 0x7fc07437, "__alloc_skb" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x50f91491, "__genradix_ptr" },
	{ 0x3667bf3, "inet_release" },
	{ 0x30b3f334, "const_pcpu_hot" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xf8e71bf2, "proto_register" },
	{ 0x5c40d4b3, "skb_copy_expand" },
	{ 0xba220db7, "__wake_up_sync_key" },
	{ 0x21408079, "inet6_compat_ioctl" },
	{ 0x7777a199, "module_layout" },
};

MODULE_INFO(depends, "udp_tunnel,ip6_udp_tunnel,libcrc32c");


MODULE_INFO(srcversion, "296A31A1250258DE53BEE75");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
