#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(null_dailink_component, "_gpl", "");
KSYMTAB_DATA(snd_soc_debugfs_root, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_name_get, "_gpl", "");
KSYMTAB_FUNC(snd_soc_rtdcom_lookup, "_gpl", "");
KSYMTAB_FUNC(snd_soc_lookup_component_nolocked, "_gpl", "");
KSYMTAB_FUNC(snd_soc_lookup_component, "_gpl", "");
KSYMTAB_FUNC(snd_soc_get_pcm_runtime, "_gpl", "");
KSYMTAB_FUNC(snd_soc_close_delayed_work, "_gpl", "");
KSYMTAB_FUNC(snd_soc_suspend, "_gpl", "");
KSYMTAB_FUNC(snd_soc_resume, "_gpl", "");
KSYMTAB_FUNC(snd_soc_copy_dai_args, "_gpl", "");
KSYMTAB_FUNC(snd_soc_find_dai, "_gpl", "");
KSYMTAB_FUNC(snd_soc_find_dai_with_mutex, "_gpl", "");
KSYMTAB_FUNC(snd_soc_remove_pcm_runtime, "_gpl", "");
KSYMTAB_FUNC(snd_soc_add_pcm_runtimes, "_gpl", "");
KSYMTAB_FUNC(snd_soc_runtime_set_dai_fmt, "_gpl", "");
KSYMTAB_FUNC(snd_soc_set_dmi_name, "_gpl", "");
KSYMTAB_FUNC(snd_soc_poweroff, "_gpl", "");
KSYMTAB_DATA(snd_soc_pm_ops, "_gpl", "");
KSYMTAB_FUNC(snd_soc_cnew, "_gpl", "");
KSYMTAB_FUNC(snd_soc_add_component_controls, "_gpl", "");
KSYMTAB_FUNC(snd_soc_add_card_controls, "_gpl", "");
KSYMTAB_FUNC(snd_soc_add_dai_controls, "_gpl", "");
KSYMTAB_FUNC(snd_soc_register_card, "_gpl", "");
KSYMTAB_FUNC(snd_soc_unregister_card, "_gpl", "");
KSYMTAB_FUNC(snd_soc_unregister_dai, "_gpl", "");
KSYMTAB_FUNC(snd_soc_register_dai, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_initialize, "_gpl", "");
KSYMTAB_FUNC(snd_soc_add_component, "_gpl", "");
KSYMTAB_FUNC(snd_soc_register_component, "_gpl", "");
KSYMTAB_FUNC(snd_soc_unregister_component_by_driver, "_gpl", "");
KSYMTAB_FUNC(snd_soc_unregister_component, "_gpl", "");
KSYMTAB_FUNC(snd_soc_of_parse_card_name, "_gpl", "");
KSYMTAB_FUNC(snd_soc_of_parse_audio_simple_widgets, "_gpl", "");
KSYMTAB_FUNC(snd_soc_of_parse_pin_switches, "_gpl", "");
KSYMTAB_FUNC(snd_soc_of_get_slot_mask, "_gpl", "");
KSYMTAB_FUNC(snd_soc_of_parse_tdm_slot, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dlc_use_cpu_as_platform, "_gpl", "");
KSYMTAB_FUNC(snd_soc_of_parse_node_prefix, "_gpl", "");
KSYMTAB_FUNC(snd_soc_of_parse_audio_routing, "_gpl", "");
KSYMTAB_FUNC(snd_soc_of_parse_aux_devs, "_gpl", "");
KSYMTAB_FUNC(snd_soc_daifmt_clock_provider_flipped, "_gpl", "");
KSYMTAB_FUNC(snd_soc_daifmt_clock_provider_from_bitmap, "_gpl", "");
KSYMTAB_FUNC(snd_soc_daifmt_parse_format, "_gpl", "");
KSYMTAB_FUNC(snd_soc_daifmt_parse_clock_provider_raw, "_gpl", "");
KSYMTAB_FUNC(snd_soc_get_stream_cpu, "_gpl", "");
KSYMTAB_FUNC(snd_soc_get_dai_id, "_gpl", "");
KSYMTAB_FUNC(snd_soc_get_dlc, "_gpl", "");
KSYMTAB_FUNC(snd_soc_of_get_dlc, "_gpl", "");
KSYMTAB_FUNC(snd_soc_get_dai_name, "_gpl", "");
KSYMTAB_FUNC(snd_soc_of_get_dai_name, "_gpl", "");
KSYMTAB_FUNC(snd_soc_get_dai_via_args, "_gpl", "");
KSYMTAB_FUNC(snd_soc_of_put_dai_link_codecs, "_gpl", "");
KSYMTAB_FUNC(snd_soc_of_get_dai_link_codecs, "_gpl", "");
KSYMTAB_FUNC(snd_soc_of_put_dai_link_cpus, "_gpl", "");
KSYMTAB_FUNC(snd_soc_of_get_dai_link_cpus, "_gpl", "");
KSYMTAB_FUNC(dapm_mark_endpoints_dirty, "_gpl", "");
KSYMTAB_FUNC(dapm_kcontrol_get_value, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_kcontrol_widget, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_kcontrol_dapm, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_force_bias_level, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_dai_get_connected_widgets, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_dai_free_widgets, "_gpl", "");
KSYMTAB_FUNC(dapm_regulator_event, "_gpl", "");
KSYMTAB_FUNC(dapm_pinctrl_event, "_gpl", "");
KSYMTAB_FUNC(dapm_clock_event, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_mux_update_power, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_mixer_update_power, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_free_widget, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_sync_unlocked, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_sync, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_update_dai, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_widget_name_cmp, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_add_routes, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_del_routes, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_weak_routes, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_new_widgets, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_get_volsw, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_put_volsw, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_get_enum_double, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_put_enum_double, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_info_pin_switch, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_get_pin_switch, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_put_pin_switch, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_new_control, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_new_controls, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_new_dai_widgets, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_stream_stop, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_enable_pin_unlocked, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_enable_pin, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_force_enable_pin_unlocked, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_force_enable_pin, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_disable_pin_unlocked, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_disable_pin, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_nc_pin_unlocked, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_nc_pin, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_get_pin_status, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_ignore_suspend, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_free, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_init, "_gpl", "");
KSYMTAB_FUNC(snd_soc_jack_report, "_gpl", "");
KSYMTAB_FUNC(snd_soc_jack_add_zones, "_gpl", "");
KSYMTAB_FUNC(snd_soc_jack_get_type, "_gpl", "");
KSYMTAB_FUNC(snd_soc_jack_add_pins, "_gpl", "");
KSYMTAB_FUNC(snd_soc_jack_notifier_register, "_gpl", "");
KSYMTAB_FUNC(snd_soc_jack_notifier_unregister, "_gpl", "");
KSYMTAB_FUNC(snd_soc_jack_add_gpios, "_gpl", "");
KSYMTAB_FUNC(snd_soc_jack_add_gpiods, "_gpl", "");
KSYMTAB_FUNC(snd_soc_jack_free_gpios, "_gpl", "");
KSYMTAB_FUNC(snd_soc_calc_frame_size, "_gpl", "");
KSYMTAB_FUNC(snd_soc_params_to_frame_size, "_gpl", "");
KSYMTAB_FUNC(snd_soc_calc_bclk, "_gpl", "");
KSYMTAB_FUNC(snd_soc_params_to_bclk, "_gpl", "");
KSYMTAB_FUNC(snd_soc_tdm_params_to_bclk, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_is_dummy, "_gpl", "");
KSYMTAB_DATA(snd_soc_dummy_dlc, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_set_sysclk, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_set_clkdiv, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_set_pll, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_set_bclk_ratio, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_set_fmt, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_set_tdm_slot, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_set_channel_map, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_get_channel_map, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_set_tristate, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_digital_mute, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_action, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_active, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_compr_startup, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_compr_shutdown, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_compr_trigger, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_compr_set_params, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_compr_get_params, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_compr_ack, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_compr_pointer, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_compr_set_metadata, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_compr_get_metadata, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_set_sysclk, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_set_pll, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_enable_pin, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_enable_pin_unlocked, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_disable_pin, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_disable_pin_unlocked, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_nc_pin, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_nc_pin_unlocked, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_get_pin_status, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_force_enable_pin, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_force_enable_pin_unlocked, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_get_kcontrol, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_notify_control, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_set_jack, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_get_jack_type, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_init_regmap, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_exit_regmap, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_compr_open, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_compr_free, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_compr_trigger, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_compr_set_params, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_compr_get_params, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_compr_get_caps, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_compr_get_codec_caps, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_compr_ack, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_compr_pointer, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_compr_copy, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_compr_set_metadata, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_compr_get_metadata, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_read, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_write, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_update_bits, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_update_bits_async, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_read_field, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_write_field, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_async_complete, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_test_bits, "_gpl", "");
KSYMTAB_FUNC(snd_soc_runtime_action, "_gpl", "");
KSYMTAB_FUNC(snd_soc_set_runtime_hwparams, "_gpl", "");
KSYMTAB_FUNC(snd_soc_runtime_calc_hw, "_gpl", "");
KSYMTAB_FUNC(widget_in_list, "_gpl", "");
KSYMTAB_FUNC(dpcm_end_walk_at_be, "_gpl", "");
KSYMTAB_FUNC(dpcm_be_dai_trigger, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dpcm_runtime_update, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dpcm_get_substream, "_gpl", "");
KSYMTAB_FUNC(devm_snd_soc_register_dai, "_gpl", "");
KSYMTAB_FUNC(devm_snd_soc_register_component, "_gpl", "");
KSYMTAB_FUNC(devm_snd_soc_register_card, "_gpl", "");
KSYMTAB_FUNC(devm_snd_dmaengine_pcm_register, "_gpl", "");
KSYMTAB_FUNC(snd_soc_info_enum_double, "_gpl", "");
KSYMTAB_FUNC(snd_soc_get_enum_double, "_gpl", "");
KSYMTAB_FUNC(snd_soc_put_enum_double, "_gpl", "");
KSYMTAB_FUNC(snd_soc_info_volsw, "_gpl", "");
KSYMTAB_FUNC(snd_soc_info_volsw_sx, "_gpl", "");
KSYMTAB_FUNC(snd_soc_get_volsw, "_gpl", "");
KSYMTAB_FUNC(snd_soc_put_volsw, "_gpl", "");
KSYMTAB_FUNC(snd_soc_get_volsw_sx, "_gpl", "");
KSYMTAB_FUNC(snd_soc_put_volsw_sx, "_gpl", "");
KSYMTAB_FUNC(snd_soc_info_volsw_range, "_gpl", "");
KSYMTAB_FUNC(snd_soc_put_volsw_range, "_gpl", "");
KSYMTAB_FUNC(snd_soc_get_volsw_range, "_gpl", "");
KSYMTAB_FUNC(snd_soc_limit_volume, "_gpl", "");
KSYMTAB_FUNC(snd_soc_bytes_info, "_gpl", "");
KSYMTAB_FUNC(snd_soc_bytes_get, "_gpl", "");
KSYMTAB_FUNC(snd_soc_bytes_put, "_gpl", "");
KSYMTAB_FUNC(snd_soc_bytes_info_ext, "_gpl", "");
KSYMTAB_FUNC(snd_soc_bytes_tlv_callback, "_gpl", "");
KSYMTAB_FUNC(snd_soc_info_xr_sx, "_gpl", "");
KSYMTAB_FUNC(snd_soc_get_xr_sx, "_gpl", "");
KSYMTAB_FUNC(snd_soc_put_xr_sx, "_gpl", "");
KSYMTAB_FUNC(snd_soc_get_strobe, "_gpl", "");
KSYMTAB_FUNC(snd_soc_put_strobe, "_gpl", "");
KSYMTAB_FUNC(snd_soc_link_compr_startup, "_gpl", "");
KSYMTAB_FUNC(snd_soc_link_compr_shutdown, "_gpl", "");
KSYMTAB_FUNC(snd_soc_link_compr_set_params, "_gpl", "");
KSYMTAB_FUNC(snd_soc_card_get_kcontrol, "_gpl", "");
KSYMTAB_FUNC(snd_soc_card_jack_new, "_gpl", "");
KSYMTAB_FUNC(snd_soc_card_jack_new_pins, "_gpl", "");
KSYMTAB_FUNC(snd_soc_card_add_dai_link, "_gpl", "");
KSYMTAB_FUNC(snd_soc_card_remove_dai_link, "_gpl", "");
KSYMTAB_FUNC(snd_soc_new_compress, "_gpl", "");
KSYMTAB_FUNC(snd_soc_tplg_widget_bind_event, "_gpl", "");
KSYMTAB_FUNC(snd_soc_tplg_component_load, "_gpl", "");
KSYMTAB_FUNC(snd_soc_tplg_component_remove, "_gpl", "");
KSYMTAB_FUNC(snd_dmaengine_pcm_prepare_slave_config, "_gpl", "");
KSYMTAB_FUNC(snd_dmaengine_pcm_register, "_gpl", "");
KSYMTAB_FUNC(snd_dmaengine_pcm_unregister, "_gpl", "");

SYMBOL_CRC(null_dailink_component, 0x254a932c, "_gpl");
SYMBOL_CRC(snd_soc_debugfs_root, 0x1400f4bc, "_gpl");
SYMBOL_CRC(snd_soc_dai_name_get, 0xc4afdcb2, "_gpl");
SYMBOL_CRC(snd_soc_rtdcom_lookup, 0x4642f732, "_gpl");
SYMBOL_CRC(snd_soc_lookup_component_nolocked, 0x85b39b8f, "_gpl");
SYMBOL_CRC(snd_soc_lookup_component, 0x36c3df68, "_gpl");
SYMBOL_CRC(snd_soc_get_pcm_runtime, 0x28f04577, "_gpl");
SYMBOL_CRC(snd_soc_close_delayed_work, 0xb3e41229, "_gpl");
SYMBOL_CRC(snd_soc_suspend, 0x87afb9ae, "_gpl");
SYMBOL_CRC(snd_soc_resume, 0xe44cb7ab, "_gpl");
SYMBOL_CRC(snd_soc_copy_dai_args, 0xfa95510f, "_gpl");
SYMBOL_CRC(snd_soc_find_dai, 0xe10d0998, "_gpl");
SYMBOL_CRC(snd_soc_find_dai_with_mutex, 0xad80b46a, "_gpl");
SYMBOL_CRC(snd_soc_remove_pcm_runtime, 0xd684a6be, "_gpl");
SYMBOL_CRC(snd_soc_add_pcm_runtimes, 0x0b36192b, "_gpl");
SYMBOL_CRC(snd_soc_runtime_set_dai_fmt, 0xf3c2a7ef, "_gpl");
SYMBOL_CRC(snd_soc_set_dmi_name, 0x6f12a9ee, "_gpl");
SYMBOL_CRC(snd_soc_poweroff, 0x6d2d147c, "_gpl");
SYMBOL_CRC(snd_soc_pm_ops, 0x88c539bd, "_gpl");
SYMBOL_CRC(snd_soc_cnew, 0xaf8c7c59, "_gpl");
SYMBOL_CRC(snd_soc_add_component_controls, 0x42955ddc, "_gpl");
SYMBOL_CRC(snd_soc_add_card_controls, 0xb6f4ae23, "_gpl");
SYMBOL_CRC(snd_soc_add_dai_controls, 0x1066c2e8, "_gpl");
SYMBOL_CRC(snd_soc_register_card, 0xd7feacd4, "_gpl");
SYMBOL_CRC(snd_soc_unregister_card, 0x670b7770, "_gpl");
SYMBOL_CRC(snd_soc_unregister_dai, 0xc8549430, "_gpl");
SYMBOL_CRC(snd_soc_register_dai, 0xf3f7e02e, "_gpl");
SYMBOL_CRC(snd_soc_component_initialize, 0x375f5bab, "_gpl");
SYMBOL_CRC(snd_soc_add_component, 0xde708d67, "_gpl");
SYMBOL_CRC(snd_soc_register_component, 0x2837d048, "_gpl");
SYMBOL_CRC(snd_soc_unregister_component_by_driver, 0x2be737dc, "_gpl");
SYMBOL_CRC(snd_soc_unregister_component, 0x0d01cf2d, "_gpl");
SYMBOL_CRC(snd_soc_of_parse_card_name, 0xf0fa0d65, "_gpl");
SYMBOL_CRC(snd_soc_of_parse_audio_simple_widgets, 0xd6b1ad0c, "_gpl");
SYMBOL_CRC(snd_soc_of_parse_pin_switches, 0xfd6346d5, "_gpl");
SYMBOL_CRC(snd_soc_of_get_slot_mask, 0x2f07f999, "_gpl");
SYMBOL_CRC(snd_soc_of_parse_tdm_slot, 0xc7f49e41, "_gpl");
SYMBOL_CRC(snd_soc_dlc_use_cpu_as_platform, 0x52c8a03e, "_gpl");
SYMBOL_CRC(snd_soc_of_parse_node_prefix, 0x34adb66f, "_gpl");
SYMBOL_CRC(snd_soc_of_parse_audio_routing, 0x33202e33, "_gpl");
SYMBOL_CRC(snd_soc_of_parse_aux_devs, 0xa349ee05, "_gpl");
SYMBOL_CRC(snd_soc_daifmt_clock_provider_flipped, 0xc317a15e, "_gpl");
SYMBOL_CRC(snd_soc_daifmt_clock_provider_from_bitmap, 0xf9622dd1, "_gpl");
SYMBOL_CRC(snd_soc_daifmt_parse_format, 0x5a27fec0, "_gpl");
SYMBOL_CRC(snd_soc_daifmt_parse_clock_provider_raw, 0xf1913779, "_gpl");
SYMBOL_CRC(snd_soc_get_stream_cpu, 0xd09dded5, "_gpl");
SYMBOL_CRC(snd_soc_get_dai_id, 0x2941ee34, "_gpl");
SYMBOL_CRC(snd_soc_get_dlc, 0xbb933dfa, "_gpl");
SYMBOL_CRC(snd_soc_of_get_dlc, 0x31d54356, "_gpl");
SYMBOL_CRC(snd_soc_get_dai_name, 0x27767c30, "_gpl");
SYMBOL_CRC(snd_soc_of_get_dai_name, 0x0d4548fc, "_gpl");
SYMBOL_CRC(snd_soc_get_dai_via_args, 0xc34004c8, "_gpl");
SYMBOL_CRC(snd_soc_of_put_dai_link_codecs, 0xfd194c5f, "_gpl");
SYMBOL_CRC(snd_soc_of_get_dai_link_codecs, 0x024146f6, "_gpl");
SYMBOL_CRC(snd_soc_of_put_dai_link_cpus, 0x953580ab, "_gpl");
SYMBOL_CRC(snd_soc_of_get_dai_link_cpus, 0xe9835c4f, "_gpl");
SYMBOL_CRC(dapm_mark_endpoints_dirty, 0xf38ea0dc, "_gpl");
SYMBOL_CRC(dapm_kcontrol_get_value, 0xed836d68, "_gpl");
SYMBOL_CRC(snd_soc_dapm_kcontrol_widget, 0x26695b1a, "_gpl");
SYMBOL_CRC(snd_soc_dapm_kcontrol_dapm, 0x2237576f, "_gpl");
SYMBOL_CRC(snd_soc_dapm_force_bias_level, 0x0dbb8ca9, "_gpl");
SYMBOL_CRC(snd_soc_dapm_dai_get_connected_widgets, 0xd3dfdb43, "_gpl");
SYMBOL_CRC(snd_soc_dapm_dai_free_widgets, 0x30d9f42c, "_gpl");
SYMBOL_CRC(dapm_regulator_event, 0x866ed9d5, "_gpl");
SYMBOL_CRC(dapm_pinctrl_event, 0x56630998, "_gpl");
SYMBOL_CRC(dapm_clock_event, 0xad111e41, "_gpl");
SYMBOL_CRC(snd_soc_dapm_mux_update_power, 0x08326ebe, "_gpl");
SYMBOL_CRC(snd_soc_dapm_mixer_update_power, 0xf9f81110, "_gpl");
SYMBOL_CRC(snd_soc_dapm_free_widget, 0x4e3ee84d, "_gpl");
SYMBOL_CRC(snd_soc_dapm_sync_unlocked, 0xd6f45ff8, "_gpl");
SYMBOL_CRC(snd_soc_dapm_sync, 0xa8110948, "_gpl");
SYMBOL_CRC(snd_soc_dapm_update_dai, 0x6714787b, "_gpl");
SYMBOL_CRC(snd_soc_dapm_widget_name_cmp, 0xd99e5e53, "_gpl");
SYMBOL_CRC(snd_soc_dapm_add_routes, 0xd08a984f, "_gpl");
SYMBOL_CRC(snd_soc_dapm_del_routes, 0x0d0d77bb, "_gpl");
SYMBOL_CRC(snd_soc_dapm_weak_routes, 0x3f7d98e6, "_gpl");
SYMBOL_CRC(snd_soc_dapm_new_widgets, 0xe8d96337, "_gpl");
SYMBOL_CRC(snd_soc_dapm_get_volsw, 0xe188bd6b, "_gpl");
SYMBOL_CRC(snd_soc_dapm_put_volsw, 0x339a2855, "_gpl");
SYMBOL_CRC(snd_soc_dapm_get_enum_double, 0x2bd66870, "_gpl");
SYMBOL_CRC(snd_soc_dapm_put_enum_double, 0x785dd887, "_gpl");
SYMBOL_CRC(snd_soc_dapm_info_pin_switch, 0x9aea93c9, "_gpl");
SYMBOL_CRC(snd_soc_dapm_get_pin_switch, 0xb099d7d7, "_gpl");
SYMBOL_CRC(snd_soc_dapm_put_pin_switch, 0x88ba1025, "_gpl");
SYMBOL_CRC(snd_soc_dapm_new_control, 0xc2468a02, "_gpl");
SYMBOL_CRC(snd_soc_dapm_new_controls, 0xa6bd573f, "_gpl");
SYMBOL_CRC(snd_soc_dapm_new_dai_widgets, 0xa79ea837, "_gpl");
SYMBOL_CRC(snd_soc_dapm_stream_stop, 0x060ad09a, "_gpl");
SYMBOL_CRC(snd_soc_dapm_enable_pin_unlocked, 0x81cf464d, "_gpl");
SYMBOL_CRC(snd_soc_dapm_enable_pin, 0x98c0e0dc, "_gpl");
SYMBOL_CRC(snd_soc_dapm_force_enable_pin_unlocked, 0x06a8314e, "_gpl");
SYMBOL_CRC(snd_soc_dapm_force_enable_pin, 0xf5231339, "_gpl");
SYMBOL_CRC(snd_soc_dapm_disable_pin_unlocked, 0xe2280dca, "_gpl");
SYMBOL_CRC(snd_soc_dapm_disable_pin, 0x2bdf1f6c, "_gpl");
SYMBOL_CRC(snd_soc_dapm_nc_pin_unlocked, 0xc57f1859, "_gpl");
SYMBOL_CRC(snd_soc_dapm_nc_pin, 0xe1267c20, "_gpl");
SYMBOL_CRC(snd_soc_dapm_get_pin_status, 0x12d1592e, "_gpl");
SYMBOL_CRC(snd_soc_dapm_ignore_suspend, 0xb7a9e9fa, "_gpl");
SYMBOL_CRC(snd_soc_dapm_free, 0x8cd755b7, "_gpl");
SYMBOL_CRC(snd_soc_dapm_init, 0x5ea6fd41, "_gpl");
SYMBOL_CRC(snd_soc_jack_report, 0xa3901342, "_gpl");
SYMBOL_CRC(snd_soc_jack_add_zones, 0xdbcda869, "_gpl");
SYMBOL_CRC(snd_soc_jack_get_type, 0xccfc097e, "_gpl");
SYMBOL_CRC(snd_soc_jack_add_pins, 0xefe7a008, "_gpl");
SYMBOL_CRC(snd_soc_jack_notifier_register, 0x271edc9b, "_gpl");
SYMBOL_CRC(snd_soc_jack_notifier_unregister, 0xa18984a9, "_gpl");
SYMBOL_CRC(snd_soc_jack_add_gpios, 0x42bb00be, "_gpl");
SYMBOL_CRC(snd_soc_jack_add_gpiods, 0x9b6f1385, "_gpl");
SYMBOL_CRC(snd_soc_jack_free_gpios, 0x51ae2c6e, "_gpl");
SYMBOL_CRC(snd_soc_calc_frame_size, 0x2541a979, "_gpl");
SYMBOL_CRC(snd_soc_params_to_frame_size, 0xee9124b3, "_gpl");
SYMBOL_CRC(snd_soc_calc_bclk, 0x7e606130, "_gpl");
SYMBOL_CRC(snd_soc_params_to_bclk, 0x2acda8a0, "_gpl");
SYMBOL_CRC(snd_soc_tdm_params_to_bclk, 0x6c456e7b, "_gpl");
SYMBOL_CRC(snd_soc_dai_is_dummy, 0xe5f7fca9, "_gpl");
SYMBOL_CRC(snd_soc_dummy_dlc, 0x00e1b17b, "_gpl");
SYMBOL_CRC(snd_soc_dai_set_sysclk, 0xe724af6b, "_gpl");
SYMBOL_CRC(snd_soc_dai_set_clkdiv, 0xb4668070, "_gpl");
SYMBOL_CRC(snd_soc_dai_set_pll, 0x66047044, "_gpl");
SYMBOL_CRC(snd_soc_dai_set_bclk_ratio, 0x9abef152, "_gpl");
SYMBOL_CRC(snd_soc_dai_set_fmt, 0x4d589e8b, "_gpl");
SYMBOL_CRC(snd_soc_dai_set_tdm_slot, 0x488acea1, "_gpl");
SYMBOL_CRC(snd_soc_dai_set_channel_map, 0xe95698fc, "_gpl");
SYMBOL_CRC(snd_soc_dai_get_channel_map, 0x86b4c97d, "_gpl");
SYMBOL_CRC(snd_soc_dai_set_tristate, 0x54ea0308, "_gpl");
SYMBOL_CRC(snd_soc_dai_digital_mute, 0x21cccbd2, "_gpl");
SYMBOL_CRC(snd_soc_dai_action, 0x839e7f46, "_gpl");
SYMBOL_CRC(snd_soc_dai_active, 0x72ec0dad, "_gpl");
SYMBOL_CRC(snd_soc_dai_compr_startup, 0x5e19ac74, "_gpl");
SYMBOL_CRC(snd_soc_dai_compr_shutdown, 0x757efa05, "_gpl");
SYMBOL_CRC(snd_soc_dai_compr_trigger, 0xcb897170, "_gpl");
SYMBOL_CRC(snd_soc_dai_compr_set_params, 0x30aa3f50, "_gpl");
SYMBOL_CRC(snd_soc_dai_compr_get_params, 0x790e8b6e, "_gpl");
SYMBOL_CRC(snd_soc_dai_compr_ack, 0xcc4fee9b, "_gpl");
SYMBOL_CRC(snd_soc_dai_compr_pointer, 0xaddca535, "_gpl");
SYMBOL_CRC(snd_soc_dai_compr_set_metadata, 0x790eb9a1, "_gpl");
SYMBOL_CRC(snd_soc_dai_compr_get_metadata, 0x253e815e, "_gpl");
SYMBOL_CRC(snd_soc_component_set_sysclk, 0x33b193f2, "_gpl");
SYMBOL_CRC(snd_soc_component_set_pll, 0x9d6344b3, "_gpl");
SYMBOL_CRC(snd_soc_component_enable_pin, 0x8da7a805, "_gpl");
SYMBOL_CRC(snd_soc_component_enable_pin_unlocked, 0xb9afc54b, "_gpl");
SYMBOL_CRC(snd_soc_component_disable_pin, 0x9668ac08, "_gpl");
SYMBOL_CRC(snd_soc_component_disable_pin_unlocked, 0x9fee31dc, "_gpl");
SYMBOL_CRC(snd_soc_component_nc_pin, 0xbe27b856, "_gpl");
SYMBOL_CRC(snd_soc_component_nc_pin_unlocked, 0x84331622, "_gpl");
SYMBOL_CRC(snd_soc_component_get_pin_status, 0x18b7b59f, "_gpl");
SYMBOL_CRC(snd_soc_component_force_enable_pin, 0x8e9a755d, "_gpl");
SYMBOL_CRC(snd_soc_component_force_enable_pin_unlocked, 0xa21df3d4, "_gpl");
SYMBOL_CRC(snd_soc_component_get_kcontrol, 0xdce481a3, "_gpl");
SYMBOL_CRC(snd_soc_component_notify_control, 0xcba08f07, "_gpl");
SYMBOL_CRC(snd_soc_component_set_jack, 0xbf185278, "_gpl");
SYMBOL_CRC(snd_soc_component_get_jack_type, 0x94755a7c, "_gpl");
SYMBOL_CRC(snd_soc_component_init_regmap, 0xc8f702c9, "_gpl");
SYMBOL_CRC(snd_soc_component_exit_regmap, 0x0f3bc09c, "_gpl");
SYMBOL_CRC(snd_soc_component_compr_open, 0x181cd234, "_gpl");
SYMBOL_CRC(snd_soc_component_compr_free, 0x9207f46b, "_gpl");
SYMBOL_CRC(snd_soc_component_compr_trigger, 0x69078c4f, "_gpl");
SYMBOL_CRC(snd_soc_component_compr_set_params, 0x78c8effd, "_gpl");
SYMBOL_CRC(snd_soc_component_compr_get_params, 0xb0907e56, "_gpl");
SYMBOL_CRC(snd_soc_component_compr_get_caps, 0xd74104c8, "_gpl");
SYMBOL_CRC(snd_soc_component_compr_get_codec_caps, 0x14c25ce9, "_gpl");
SYMBOL_CRC(snd_soc_component_compr_ack, 0xa870a48e, "_gpl");
SYMBOL_CRC(snd_soc_component_compr_pointer, 0x875b5c4a, "_gpl");
SYMBOL_CRC(snd_soc_component_compr_copy, 0x78dfc808, "_gpl");
SYMBOL_CRC(snd_soc_component_compr_set_metadata, 0xfd74889e, "_gpl");
SYMBOL_CRC(snd_soc_component_compr_get_metadata, 0xbf72ac3a, "_gpl");
SYMBOL_CRC(snd_soc_component_read, 0xa0e351c2, "_gpl");
SYMBOL_CRC(snd_soc_component_write, 0xc9a8e648, "_gpl");
SYMBOL_CRC(snd_soc_component_update_bits, 0x013fdf71, "_gpl");
SYMBOL_CRC(snd_soc_component_update_bits_async, 0x6cbdfca5, "_gpl");
SYMBOL_CRC(snd_soc_component_read_field, 0x71a60507, "_gpl");
SYMBOL_CRC(snd_soc_component_write_field, 0xa1d3df6e, "_gpl");
SYMBOL_CRC(snd_soc_component_async_complete, 0xde09e518, "_gpl");
SYMBOL_CRC(snd_soc_component_test_bits, 0xb5f339bc, "_gpl");
SYMBOL_CRC(snd_soc_runtime_action, 0x3f7f9372, "_gpl");
SYMBOL_CRC(snd_soc_set_runtime_hwparams, 0xfee0b01e, "_gpl");
SYMBOL_CRC(snd_soc_runtime_calc_hw, 0x26d20fb6, "_gpl");
SYMBOL_CRC(widget_in_list, 0x07b00301, "_gpl");
SYMBOL_CRC(dpcm_end_walk_at_be, 0x273d8f51, "_gpl");
SYMBOL_CRC(dpcm_be_dai_trigger, 0xf4927aa2, "_gpl");
SYMBOL_CRC(snd_soc_dpcm_runtime_update, 0x992d4426, "_gpl");
SYMBOL_CRC(snd_soc_dpcm_get_substream, 0x7cf2a97c, "_gpl");
SYMBOL_CRC(devm_snd_soc_register_dai, 0xa8485482, "_gpl");
SYMBOL_CRC(devm_snd_soc_register_component, 0x82686cbe, "_gpl");
SYMBOL_CRC(devm_snd_soc_register_card, 0x5c0951e3, "_gpl");
SYMBOL_CRC(devm_snd_dmaengine_pcm_register, 0x53190c8d, "_gpl");
SYMBOL_CRC(snd_soc_info_enum_double, 0xae053276, "_gpl");
SYMBOL_CRC(snd_soc_get_enum_double, 0xe521aba8, "_gpl");
SYMBOL_CRC(snd_soc_put_enum_double, 0xb9057da2, "_gpl");
SYMBOL_CRC(snd_soc_info_volsw, 0xc4462793, "_gpl");
SYMBOL_CRC(snd_soc_info_volsw_sx, 0x62b7610a, "_gpl");
SYMBOL_CRC(snd_soc_get_volsw, 0xe7694ad9, "_gpl");
SYMBOL_CRC(snd_soc_put_volsw, 0x2fe577f7, "_gpl");
SYMBOL_CRC(snd_soc_get_volsw_sx, 0x24020248, "_gpl");
SYMBOL_CRC(snd_soc_put_volsw_sx, 0x9837eedf, "_gpl");
SYMBOL_CRC(snd_soc_info_volsw_range, 0xbd85ccf7, "_gpl");
SYMBOL_CRC(snd_soc_put_volsw_range, 0x23a94eea, "_gpl");
SYMBOL_CRC(snd_soc_get_volsw_range, 0x7f8d98e0, "_gpl");
SYMBOL_CRC(snd_soc_limit_volume, 0x3ae5f89e, "_gpl");
SYMBOL_CRC(snd_soc_bytes_info, 0xa2ea49fb, "_gpl");
SYMBOL_CRC(snd_soc_bytes_get, 0x6686ae7b, "_gpl");
SYMBOL_CRC(snd_soc_bytes_put, 0x9459402f, "_gpl");
SYMBOL_CRC(snd_soc_bytes_info_ext, 0x916dedc2, "_gpl");
SYMBOL_CRC(snd_soc_bytes_tlv_callback, 0x0c1a6afe, "_gpl");
SYMBOL_CRC(snd_soc_info_xr_sx, 0xb47e8968, "_gpl");
SYMBOL_CRC(snd_soc_get_xr_sx, 0xcd7659e3, "_gpl");
SYMBOL_CRC(snd_soc_put_xr_sx, 0x05fa64cd, "_gpl");
SYMBOL_CRC(snd_soc_get_strobe, 0x82f37c4e, "_gpl");
SYMBOL_CRC(snd_soc_put_strobe, 0x5eedfdbc, "_gpl");
SYMBOL_CRC(snd_soc_link_compr_startup, 0x448e0e7b, "_gpl");
SYMBOL_CRC(snd_soc_link_compr_shutdown, 0x65cced1b, "_gpl");
SYMBOL_CRC(snd_soc_link_compr_set_params, 0x9dd0085a, "_gpl");
SYMBOL_CRC(snd_soc_card_get_kcontrol, 0xdc8d400e, "_gpl");
SYMBOL_CRC(snd_soc_card_jack_new, 0xd0f58e8a, "_gpl");
SYMBOL_CRC(snd_soc_card_jack_new_pins, 0xc8b715e5, "_gpl");
SYMBOL_CRC(snd_soc_card_add_dai_link, 0x2da21fd3, "_gpl");
SYMBOL_CRC(snd_soc_card_remove_dai_link, 0x22280665, "_gpl");
SYMBOL_CRC(snd_soc_new_compress, 0x9c502c67, "_gpl");
SYMBOL_CRC(snd_soc_tplg_widget_bind_event, 0x439ef8ab, "_gpl");
SYMBOL_CRC(snd_soc_tplg_component_load, 0x0c642e19, "_gpl");
SYMBOL_CRC(snd_soc_tplg_component_remove, 0x832e874f, "_gpl");
SYMBOL_CRC(snd_dmaengine_pcm_prepare_slave_config, 0x8a4df639, "_gpl");
SYMBOL_CRC(snd_dmaengine_pcm_register, 0x025e75a5, "_gpl");
SYMBOL_CRC(snd_dmaengine_pcm_unregister, 0xf3cdc1fc, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x823eae06, "blocking_notifier_call_chain" },
	{ 0xc7172f8e, "devm_kstrdup" },
	{ 0x51faf7d9, "snd_pcm_stream_lock_irq" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x8412e404, "debugfs_lookup_and_remove" },
	{ 0x64dba328, "put_device" },
	{ 0xa9e15889, "gpiod_unexport" },
	{ 0xe9d1ab9, "snd_component_add" },
	{ 0xa916b694, "strnlen" },
	{ 0x68e1ae59, "devm_regulator_get" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x7578bd42, "snd_dmaengine_pcm_close" },
	{ 0xc6ba38e3, "dma_get_slave_caps" },
	{ 0x208822a8, "_dev_info" },
	{ 0xec1f44a5, "module_put" },
	{ 0x365e7911, "kstrdup_const" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xcc6a729f, "snd_ctl_enum_info" },
	{ 0x864e73bb, "snd_card_new" },
	{ 0x34104277, "snd_card_disconnect_sync" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x74d0adf4, "devm_kmemdup" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0x1be1dbaa, "snd_dmaengine_pcm_request_channel" },
	{ 0x80170a16, "perf_trace_run_bpf_submit" },
	{ 0x3ab1caa3, "devm_kfree" },
	{ 0x70ed1b59, "_dev_err" },
	{ 0xe71abee0, "pinctrl_pm_select_sleep_state" },
	{ 0x86e7b44c, "simple_open" },
	{ 0x2d5e6c8e, "snd_pcm_lib_ioctl" },
	{ 0x75077a6, "platform_device_unregister" },
	{ 0xdbdb0e8b, "request_any_context_irq" },
	{ 0xdc02eb39, "dmi_available" },
	{ 0x49f3eeec, "snd_jack_new" },
	{ 0x1e6d26a8, "strstr" },
	{ 0x695fe862, "snd_pcm_stream_unlock_irqrestore" },
	{ 0x55baadf6, "snd_jack_add_new_kctl" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xf7c1224d, "dev_get_regmap" },
	{ 0x6303756b, "debugfs_remove" },
	{ 0x9cc4f70a, "register_pm_notifier" },
	{ 0x3be45ab1, "__devres_alloc_node" },
	{ 0xebd48f80, "trace_event_reg" },
	{ 0xaafdc258, "strcasecmp" },
	{ 0x96806a1d, "snd_ctl_notify" },
	{ 0x64264c57, "regulator_allow_bypass" },
	{ 0x8b4797f7, "snd_pcm_set_ops" },
	{ 0xf20b1d65, "regmap_async_complete" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xd96f9656, "snd_pcm_set_managed_buffer" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xc5034e44, "_snd_pcm_stream_lock_irqsave_nested" },
	{ 0x11089ac7, "_ctype" },
	{ 0x49da913e, "device_register" },
	{ 0xb9003dd, "bpf_trace_run1" },
	{ 0xbf45ce47, "default_llseek" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0xf8e66d75, "_dev_warn" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x57d6698, "debugfs_create_u32" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0x39cbf8df, "snd_dmaengine_pcm_open" },
	{ 0xb3c90366, "regmap_parse_val" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x74072e59, "snd_pcm_suspend_all" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xf474fdcb, "kfree_const" },
	{ 0x8c699fd2, "snd_dmaengine_pcm_pointer" },
	{ 0xc293c0fa, "__platform_driver_register" },
	{ 0xc5e8cf45, "dma_request_chan" },
	{ 0x3d8d9eb1, "devm_kasprintf" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x86a4c454, "pinctrl_lookup_state" },
	{ 0xd82233ae, "bpf_trace_run3" },
	{ 0xa719d826, "seq_read" },
	{ 0x910a431f, "snd_compress_new" },
	{ 0x3571cbff, "debugfs_create_file" },
	{ 0x4ece3615, "blocking_notifier_chain_unregister" },
	{ 0x8218135b, "snd_hwparams_to_dma_slave_config" },
	{ 0x7ba1b36d, "platform_device_register_full" },
	{ 0x29941a9, "regmap_read" },
	{ 0x979e742, "trace_event_buffer_reserve" },
	{ 0xa352bc61, "__pm_runtime_resume" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xe93e49c3, "devres_free" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x23bf00f8, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0x90c28d79, "seq_printf" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x415d2d9c, "devm_pinctrl_get" },
	{ 0xd21b61bd, "async_schedule_node_domain" },
	{ 0x27417999, "_copy_from_iter" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0x9f08ba86, "pinctrl_select_state" },
	{ 0x46a81de7, "snd_power_wait" },
	{ 0x715a147b, "snd_pcm_hw_constraint_msbits" },
	{ 0xfc79eb12, "single_release" },
	{ 0x2c8951b9, "regmap_update_bits_base" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xc79efca8, "dev_err_probe" },
	{ 0x5154a017, "snd_dmaengine_pcm_set_config_from_dai_data" },
	{ 0xaa81c4a9, "device_add_groups" },
	{ 0xd2555fc1, "__pm_runtime_suspend" },
	{ 0x137b3227, "regmap_exit" },
	{ 0x81188c30, "match_string" },
	{ 0x3854774b, "kstrtoll" },
	{ 0x151f4898, "schedule_timeout_uninterruptible" },
	{ 0xda993b90, "regmap_raw_write" },
	{ 0x754d539c, "strlen" },
	{ 0x58cfccdb, "param_ops_int" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x665bbd8, "single_open" },
	{ 0xa286a234, "snd_pcm_format_name" },
	{ 0xf29c5392, "debugfs_create_dir" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x815588a6, "clk_enable" },
	{ 0x47884890, "system_power_efficient_wq" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0x5bc2476b, "__pm_runtime_idle" },
	{ 0x53847a1a, "kmalloc_caches" },
	{ 0x847188e8, "krealloc_noprof" },
	{ 0xd0657cec, "snd_dmaengine_pcm_pointer_no_residue" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0x81e6b37f, "dmi_get_system_info" },
	{ 0xc7166d0e, "gpiod_get_value_cansleep" },
	{ 0xdaf0c6fe, "regulator_enable" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x6d4142d7, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0xab8bc1a2, "snd_pcm_rate_mask_intersect" },
	{ 0xd904e577, "_copy_to_iter" },
	{ 0xbafd58bd, "gpiod_put" },
	{ 0xff7b2ff1, "regmap_write" },
	{ 0xf94f719, "param_ops_uint" },
	{ 0x48623c21, "devm_kmalloc" },
	{ 0xbbdd3e30, "snd_pcm_hw_limit_rates" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x75fc6fd4, "dev_set_name" },
	{ 0xed72f38b, "regmap_get_val_bytes" },
	{ 0xc72d966d, "platform_driver_unregister" },
	{ 0xd9107781, "snd_ctl_add" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x206cc068, "snd_dmaengine_pcm_sync_stop" },
	{ 0xa45b4639, "snd_pcm_new" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x18ba6673, "snd_jack_report" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x62f95a87, "trace_raw_output_prep" },
	{ 0x6af93f, "regmap_raw_read" },
	{ 0x8db7b395, "snd_card_register" },
	{ 0x746c9725, "device_unregister" },
	{ 0xc6808d75, "snd_card_free" },
	{ 0xfdfb55be, "__trace_trigger_soft_disabled" },
	{ 0x80f27d0a, "trace_event_printf" },
	{ 0x1f431936, "devres_destroy" },
	{ 0x96848186, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xc7ca4406, "gpiod_get_index" },
	{ 0x8b4aec6, "snd_dmaengine_pcm_trigger" },
	{ 0x7681946c, "unregister_pm_notifier" },
	{ 0x9fbe8c9, "snd_pcm_hw_constraint_minmax" },
	{ 0x34983dc1, "trace_event_raw_init" },
	{ 0x8095cf56, "gpiod_to_irq" },
	{ 0xa5fc591f, "gpiod_export" },
	{ 0x69acdf38, "memcpy" },
	{ 0x6ca4bf88, "async_synchronize_full_domain" },
	{ 0x37a0cba, "kfree" },
	{ 0x7dbd4c6d, "dma_release_channel" },
	{ 0xad13d1c1, "pcpu_hot" },
	{ 0x239c6232, "seq_lseek" },
	{ 0x68a24153, "snd_pcm_format_physical_width" },
	{ 0xcb5ce68e, "regcache_mark_dirty" },
	{ 0x5d7b1ad9, "bpf_trace_run2" },
	{ 0xe2964344, "__wake_up" },
	{ 0x148653, "vsnprintf" },
	{ 0x9b514e68, "regulator_disable_deferred" },
	{ 0xe7f11285, "__dynamic_dev_dbg" },
	{ 0x7305fb7d, "snd_ctl_remove" },
	{ 0xeaa40535, "snd_ctl_free_one" },
	{ 0x4848265d, "snd_ctl_find_id" },
	{ 0xa9e42b93, "devm_clk_get" },
	{ 0x8ae76ff9, "devres_add" },
	{ 0xc9313314, "snd_pcm_new_internal" },
	{ 0x907d14d, "blocking_notifier_chain_register" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x65a0d5ee, "snd_dmaengine_pcm_refine_runtime_hwparams" },
	{ 0xc5f69ac1, "snd_dmaengine_pcm_get_chan" },
	{ 0x6a751ef6, "pinctrl_pm_select_default_state" },
	{ 0xcd44e46f, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0xb5e73116, "flush_delayed_work" },
	{ 0xeff09ea2, "snd_ctl_new1" },
	{ 0x92997ed8, "_printk" },
	{ 0x29567379, "snd_pcm_stream_unlock_irq" },
	{ 0xe10bc72f, "pm_wakeup_dev_event" },
	{ 0x7777a199, "module_layout" },
};

MODULE_INFO(depends, "snd-pcm,snd,snd-pcm-dmaengine,snd-compress");


MODULE_INFO(srcversion, "C9C2184445FD2D516DD9372");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
