#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(hda_cl_prepare, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(cl_dsp_init, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_cl_trigger, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_cl_cleanup, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_cl_boot_firmware_iccmax, "", "SND_SOC_SOF_INTEL_CNL");
KSYMTAB_FUNC(hda_dsp_cl_boot_firmware, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_ipc4_load_library, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_ext_man_get_cavs_config_data, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_DATA(sof_hda_position_quirk, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_stream_hw_free, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_check_stream_irq, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_stream_threaded_handler, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_stream_init, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_stream_free, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_stream_get_position, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_get_stream_llp, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_get_stream_ldp, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_trace_init, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_trace_release, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_trace_trigger, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_get_interface_mask, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_is_chain_dma_supported, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_core_stall_reset, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_core_is_enabled, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_core_run, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_core_power_up, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_enable_core, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_core_reset_power_down, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_ipc_int_enable, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_ipc_int_disable, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_set_power_state_ipc3, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_set_power_state_ipc4, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_resume, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_runtime_resume, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_runtime_idle, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_runtime_suspend, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_suspend, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_shutdown_dma_flush, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_shutdown, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_set_hw_params_upon_resume, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_d0i3_work, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_core_get, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_common_enable_sdw_irq, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_sdw_int_enable, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_sdw_check_lcount_common, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_sdw_check_lcount_ext, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_sdw_check_lcount, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_sdw_process_wakeen, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_disable_interrupts, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_get_state, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_dump, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_DATA(__tracepoint_sof_intel_ipc_firmware_initiated, "", "");
KSYMTAB_FUNC(__traceiter_sof_intel_ipc_firmware_initiated, "", "");
KSYMTAB_DATA(__SCK__tp_func_sof_intel_ipc_firmware_initiated, "", "");
KSYMTAB_FUNC(__SCT__tp_func_sof_intel_ipc_firmware_initiated, "", "");
KSYMTAB_DATA(__tracepoint_sof_intel_ipc_firmware_response, "", "");
KSYMTAB_FUNC(__traceiter_sof_intel_ipc_firmware_response, "", "");
KSYMTAB_DATA(__SCK__tp_func_sof_intel_ipc_firmware_response, "", "");
KSYMTAB_FUNC(__SCT__tp_func_sof_intel_ipc_firmware_response, "", "");
KSYMTAB_DATA(__tracepoint_sof_intel_hda_irq_ipc_check, "", "");
KSYMTAB_FUNC(__traceiter_sof_intel_hda_irq_ipc_check, "", "");
KSYMTAB_DATA(__SCK__tp_func_sof_intel_hda_irq_ipc_check, "", "");
KSYMTAB_FUNC(__SCT__tp_func_sof_intel_hda_irq_ipc_check, "", "");
KSYMTAB_FUNC(hda_dsp_ipc_send_msg, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_ipc4_schedule_d0i3_work, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_ipc4_send_msg, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_ipc_get_reply, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_ipc4_irq_thread, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_ipc_irq_thread, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_check_ipc_irq, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_ipc_get_mailbox_offset, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_ipc_get_window_offset, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_ipc_msg_data, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_set_stream_data_offset, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_ipc4_dsp_dump, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_check_ipc_irq, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_ipc_irq_dump, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_ipc_dump, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_ipc4_dump, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_ipc4_tx_is_busy, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_ctrl_get_caps, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_ctrl_ppcap_enable, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_ctrl_ppcap_int_enable, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_ctrl_clock_power_gating, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_ctrl_init_chip, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_pcm_hw_params, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_pcm_ack, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_pcm_trigger, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_pcm_pointer, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_pcm_open, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_pcm_close, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dai_config, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(sdw_hda_dai_hw_params, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(sdw_hda_dai_hw_free, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(sdw_hda_dai_trigger, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_set_dai_drv_ops, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_ops_free, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_DATA(skl_dai, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(sof_hda_bus_init, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(sof_hda_bus_exit, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(sof_ipc4_intel_dump_telemetry_state, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_DATA(__tracepoint_sof_intel_hda_irq, "", "");
KSYMTAB_FUNC(__traceiter_sof_intel_hda_irq, "", "");
KSYMTAB_DATA(__SCK__tp_func_sof_intel_hda_irq, "", "");
KSYMTAB_FUNC(__SCT__tp_func_sof_intel_hda_irq, "", "");
KSYMTAB_FUNC(hda_probes_register, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_probes_unregister, "", "SND_SOC_SOF_INTEL_HDA_COMMON");

SYMBOL_CRC(hda_cl_prepare, 0xa4c17f7c, "");
SYMBOL_CRC(cl_dsp_init, 0xd88a022a, "");
SYMBOL_CRC(hda_cl_trigger, 0x63fa71fa, "");
SYMBOL_CRC(hda_cl_cleanup, 0xe0f3aaed, "");
SYMBOL_CRC(hda_dsp_cl_boot_firmware_iccmax, 0x9fa69a12, "");
SYMBOL_CRC(hda_dsp_cl_boot_firmware, 0x2dda2a34, "");
SYMBOL_CRC(hda_dsp_ipc4_load_library, 0xbf1b075d, "");
SYMBOL_CRC(hda_dsp_ext_man_get_cavs_config_data, 0xe7385d6f, "");
SYMBOL_CRC(sof_hda_position_quirk, 0xf2ce560f, "");
SYMBOL_CRC(hda_dsp_stream_hw_free, 0x9959d25c, "");
SYMBOL_CRC(hda_dsp_check_stream_irq, 0x155bbc5e, "");
SYMBOL_CRC(hda_dsp_stream_threaded_handler, 0x3bdcdfa9, "");
SYMBOL_CRC(hda_dsp_stream_init, 0xdeed8ecc, "");
SYMBOL_CRC(hda_dsp_stream_free, 0x8a176b3c, "");
SYMBOL_CRC(hda_dsp_stream_get_position, 0x208b319f, "");
SYMBOL_CRC(hda_dsp_get_stream_llp, 0xb54c9936, "");
SYMBOL_CRC(hda_dsp_get_stream_ldp, 0x83d96006, "");
SYMBOL_CRC(hda_dsp_trace_init, 0x66e89463, "");
SYMBOL_CRC(hda_dsp_trace_release, 0x79179e5b, "");
SYMBOL_CRC(hda_dsp_trace_trigger, 0x5e3e0e82, "");
SYMBOL_CRC(hda_get_interface_mask, 0xe1899c88, "");
SYMBOL_CRC(hda_is_chain_dma_supported, 0xf564f860, "");
SYMBOL_CRC(hda_dsp_core_stall_reset, 0xb5bda7df, "");
SYMBOL_CRC(hda_dsp_core_is_enabled, 0x2c450ebb, "");
SYMBOL_CRC(hda_dsp_core_run, 0xd3454c7b, "");
SYMBOL_CRC(hda_dsp_core_power_up, 0x126d5288, "");
SYMBOL_CRC(hda_dsp_enable_core, 0x405c52e8, "");
SYMBOL_CRC(hda_dsp_core_reset_power_down, 0xe821eb28, "");
SYMBOL_CRC(hda_dsp_ipc_int_enable, 0xcb3e9342, "");
SYMBOL_CRC(hda_dsp_ipc_int_disable, 0x4871fb2f, "");
SYMBOL_CRC(hda_dsp_set_power_state_ipc3, 0x3524e8b6, "");
SYMBOL_CRC(hda_dsp_set_power_state_ipc4, 0xdf38f3d9, "");
SYMBOL_CRC(hda_dsp_resume, 0xebe1fb3e, "");
SYMBOL_CRC(hda_dsp_runtime_resume, 0x7edd36b8, "");
SYMBOL_CRC(hda_dsp_runtime_idle, 0x11d966a3, "");
SYMBOL_CRC(hda_dsp_runtime_suspend, 0x2c74cc28, "");
SYMBOL_CRC(hda_dsp_suspend, 0xe3e4a477, "");
SYMBOL_CRC(hda_dsp_shutdown_dma_flush, 0x5c73f0dc, "");
SYMBOL_CRC(hda_dsp_shutdown, 0xd8b3dd0f, "");
SYMBOL_CRC(hda_dsp_set_hw_params_upon_resume, 0xd98a39a3, "");
SYMBOL_CRC(hda_dsp_d0i3_work, 0x2ad078bb, "");
SYMBOL_CRC(hda_dsp_core_get, 0x78eeb758, "");
SYMBOL_CRC(hda_common_enable_sdw_irq, 0x4e224276, "");
SYMBOL_CRC(hda_sdw_int_enable, 0x75e1a6ed, "");
SYMBOL_CRC(hda_sdw_check_lcount_common, 0x19af568a, "");
SYMBOL_CRC(hda_sdw_check_lcount_ext, 0xdc268610, "");
SYMBOL_CRC(hda_sdw_check_lcount, 0x2c190f98, "");
SYMBOL_CRC(hda_sdw_process_wakeen, 0xdebca9ba, "");
SYMBOL_CRC(hda_dsp_disable_interrupts, 0xeae6cd28, "");
SYMBOL_CRC(hda_dsp_get_state, 0xbf5bccce, "");
SYMBOL_CRC(hda_dsp_dump, 0xb3c80301, "");
SYMBOL_CRC(__tracepoint_sof_intel_ipc_firmware_initiated, 0x802aa353, "");
SYMBOL_CRC(__traceiter_sof_intel_ipc_firmware_initiated, 0x893ca639, "");
SYMBOL_CRC(__SCK__tp_func_sof_intel_ipc_firmware_initiated, 0xdaf2015c, "");
SYMBOL_CRC(__SCT__tp_func_sof_intel_ipc_firmware_initiated, 0x35e33813, "");
SYMBOL_CRC(__tracepoint_sof_intel_ipc_firmware_response, 0xc8b3df05, "");
SYMBOL_CRC(__traceiter_sof_intel_ipc_firmware_response, 0x732526e3, "");
SYMBOL_CRC(__SCK__tp_func_sof_intel_ipc_firmware_response, 0x15cecbfb, "");
SYMBOL_CRC(__SCT__tp_func_sof_intel_ipc_firmware_response, 0x16bbbb91, "");
SYMBOL_CRC(__tracepoint_sof_intel_hda_irq_ipc_check, 0x592a2d62, "");
SYMBOL_CRC(__traceiter_sof_intel_hda_irq_ipc_check, 0xc120b5db, "");
SYMBOL_CRC(__SCK__tp_func_sof_intel_hda_irq_ipc_check, 0xfb4fa48a, "");
SYMBOL_CRC(__SCT__tp_func_sof_intel_hda_irq_ipc_check, 0x2b37f935, "");
SYMBOL_CRC(hda_dsp_ipc_send_msg, 0xdda621c5, "");
SYMBOL_CRC(hda_dsp_ipc4_schedule_d0i3_work, 0xed673e29, "");
SYMBOL_CRC(hda_dsp_ipc4_send_msg, 0xf7ebb721, "");
SYMBOL_CRC(hda_dsp_ipc_get_reply, 0x702a065b, "");
SYMBOL_CRC(hda_dsp_ipc4_irq_thread, 0x6ef62ffb, "");
SYMBOL_CRC(hda_dsp_ipc_irq_thread, 0xa457063a, "");
SYMBOL_CRC(hda_dsp_check_ipc_irq, 0xb337df29, "");
SYMBOL_CRC(hda_dsp_ipc_get_mailbox_offset, 0xa6c3423d, "");
SYMBOL_CRC(hda_dsp_ipc_get_window_offset, 0xbfbe543f, "");
SYMBOL_CRC(hda_ipc_msg_data, 0xc05a648b, "");
SYMBOL_CRC(hda_set_stream_data_offset, 0xa06a14c1, "");
SYMBOL_CRC(hda_ipc4_dsp_dump, 0x5221ddca, "");
SYMBOL_CRC(hda_check_ipc_irq, 0x06b4eaf0, "");
SYMBOL_CRC(hda_ipc_irq_dump, 0x45e91cc8, "");
SYMBOL_CRC(hda_ipc_dump, 0x9bfbc75c, "");
SYMBOL_CRC(hda_ipc4_dump, 0xd3ac518a, "");
SYMBOL_CRC(hda_ipc4_tx_is_busy, 0xd6b6bcf8, "");
SYMBOL_CRC(hda_dsp_ctrl_get_caps, 0xea6cf6cc, "");
SYMBOL_CRC(hda_dsp_ctrl_ppcap_enable, 0xa62e238d, "");
SYMBOL_CRC(hda_dsp_ctrl_ppcap_int_enable, 0xa25f021c, "");
SYMBOL_CRC(hda_dsp_ctrl_clock_power_gating, 0x3990adbd, "");
SYMBOL_CRC(hda_dsp_ctrl_init_chip, 0xa1f0bfc3, "");
SYMBOL_CRC(hda_dsp_pcm_hw_params, 0x871e524b, "");
SYMBOL_CRC(hda_dsp_pcm_ack, 0x8e883ffc, "");
SYMBOL_CRC(hda_dsp_pcm_trigger, 0x60a9282b, "");
SYMBOL_CRC(hda_dsp_pcm_pointer, 0x75503036, "");
SYMBOL_CRC(hda_dsp_pcm_open, 0x8a213ee2, "");
SYMBOL_CRC(hda_dsp_pcm_close, 0x01cd950e, "");
SYMBOL_CRC(hda_dai_config, 0x385957bf, "");
SYMBOL_CRC(sdw_hda_dai_hw_params, 0x221f2a65, "");
SYMBOL_CRC(sdw_hda_dai_hw_free, 0x06c88c57, "");
SYMBOL_CRC(sdw_hda_dai_trigger, 0x56e2352e, "");
SYMBOL_CRC(hda_set_dai_drv_ops, 0x05108cf3, "");
SYMBOL_CRC(hda_ops_free, 0xfdc6626f, "");
SYMBOL_CRC(skl_dai, 0x883bc5db, "");
SYMBOL_CRC(sof_hda_bus_init, 0xda018f83, "");
SYMBOL_CRC(sof_hda_bus_exit, 0x46c266bf, "");
SYMBOL_CRC(sof_ipc4_intel_dump_telemetry_state, 0x18a696da, "");
SYMBOL_CRC(__tracepoint_sof_intel_hda_irq, 0x123f2991, "");
SYMBOL_CRC(__traceiter_sof_intel_hda_irq, 0x14d6aa16, "");
SYMBOL_CRC(__SCK__tp_func_sof_intel_hda_irq, 0xa88a48d6, "");
SYMBOL_CRC(__SCT__tp_func_sof_intel_hda_irq, 0x79bb115b, "");
SYMBOL_CRC(hda_probes_register, 0xd1648b2f, "");
SYMBOL_CRC(hda_probes_unregister, 0xec1731df, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x416a56d, "snd_sgbuf_get_addr" },
	{ 0xe7f11285, "__dynamic_dev_dbg" },
	{ 0xbd1f8c3c, "snd_sgbuf_get_chunk_size" },
	{ 0xf8aeaee, "snd_soc_hdac_hda_get_ops" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xcd44e46f, "trace_event_buffer_commit" },
	{ 0x5d344e56, "snd_dma_free_pages" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x52dd848b, "hda_codec_resume_cmd_io" },
	{ 0x5cbf62e4, "sof_ipc4_find_debug_slot_offset_by_type" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x1a8c53df, "snd_hdac_ext_bus_exit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xbf5b05cf, "snd_hdac_ext_stream_clear" },
	{ 0xa9eb7eb4, "snd_sof_dsp_only_d0i3_compatible_stream_active" },
	{ 0x208822a8, "_dev_info" },
	{ 0x6295bfae, "snd_hdac_ext_bus_link_power" },
	{ 0xbae55ae7, "snd_sof_dsp_dbg_dump" },
	{ 0xb6044a1, "sof_mailbox_write" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xe9cd36a2, "sof_mailbox_read" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0x80170a16, "perf_trace_run_bpf_submit" },
	{ 0x3ab1caa3, "devm_kfree" },
	{ 0x70ed1b59, "_dev_err" },
	{ 0x8b737ded, "snd_sof_dsp_update_bits_forced" },
	{ 0xc6721232, "snd_hdac_ext_stream_release" },
	{ 0x1e6d26a8, "strstr" },
	{ 0x6a1d3b30, "hdac_bus_eml_sdw_map_stream_ch" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x93fc1034, "sof_client_dev_register" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xebd48f80, "trace_event_reg" },
	{ 0x7cf2a97c, "snd_soc_dpcm_get_substream" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x4e859456, "intel_nhlt_free" },
	{ 0xd20f27b7, "snd_sof_dsp_update_bits_unlocked" },
	{ 0x258ec67, "sof_print_oops_and_stack" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x72f0059d, "hda_bus_ml_reset_losidv" },
	{ 0xff13785, "snd_hdac_ext_stream_setup" },
	{ 0xff6104d0, "snd_pcm_rate_bit_to_rate" },
	{ 0x5e330c99, "snd_sof_ipc_get_reply" },
	{ 0xc70feb22, "snd_sof_dsp_update_bits" },
	{ 0x1528aa9a, "pci_restore_state" },
	{ 0x9355a995, "snd_sof_pci_update_bits" },
	{ 0x67ce9ffc, "hdac_bus_eml_ssp_get_hlink" },
	{ 0xadcd65c0, "hdac_bus_eml_dmic_get_hlink" },
	{ 0xf8e66d75, "_dev_warn" },
	{ 0xbcf7fd55, "snd_hdac_display_power" },
	{ 0x38a4dbcc, "snd_pcm_hw_constraint_mask64" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xdfb2511b, "snd_hdac_stream_format_bits" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x1460cf27, "snd_pcm_hw_constraint_integer" },
	{ 0xd82233ae, "bpf_trace_run3" },
	{ 0x6e5af703, "hda_codec_rirb_status_clear" },
	{ 0xc1e14306, "hda_codec_suspend_cmd_io" },
	{ 0x32821dbc, "snd_sof_ipc_reply" },
	{ 0xd7d40ea4, "hda_codec_init_cmd_io" },
	{ 0xb122d1f6, "hda_codec_stop_cmd_io" },
	{ 0xc59a8d1b, "hda_codec_detect_mask" },
	{ 0x979e742, "trace_event_buffer_reserve" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x7be61139, "param_ops_bool" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x23bf00f8, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd8f1f025, "sof_ipc_tx_message" },
	{ 0x27055e96, "snd_sof_dsp_panic" },
	{ 0xeab97c84, "snd_hdac_ext_bus_get_hlink_by_name" },
	{ 0x833cdf67, "snd_sof_suspend" },
	{ 0x680c7f92, "snd_hdac_ext_bus_link_set_stream_id" },
	{ 0xdcb61650, "snd_hdac_stream_format" },
	{ 0x61622661, "snd_pcm_hw_constraint_step" },
	{ 0x754d539c, "strlen" },
	{ 0x58cfccdb, "param_ops_int" },
	{ 0xb2c0e449, "intel_nhlt_init" },
	{ 0xa7d0e13, "_dev_printk" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xe21f9516, "sof_client_dev_unregister" },
	{ 0xece7d92a, "hda_codec_check_rirb_status" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xc5602f0b, "snd_hdac_ext_stream_reset" },
	{ 0x8bcd4f17, "hdac_bus_eml_get_count" },
	{ 0xc4553248, "snd_hdac_ext_bus_link_clear_stream_id" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x53847a1a, "kmalloc_caches" },
	{ 0x94a9d8a5, "sof_io_write" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x5f1e450, "snd_sof_pcm_period_elapsed" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0x7601a810, "hda_codec_jack_check" },
	{ 0x2107f267, "hda_bus_ml_suspend" },
	{ 0x6cbe9d98, "pci_save_state" },
	{ 0x17dbdff6, "sof_block_read" },
	{ 0x3a3c3848, "hda_codec_i915_display_power" },
	{ 0x42b26a28, "bpf_trace_run4" },
	{ 0xff51ff11, "snd_dma_alloc_dir_pages" },
	{ 0x48623c21, "devm_kmalloc" },
	{ 0x7a283f21, "snd_hdac_bus_send_cmd" },
	{ 0xb34c16a4, "hda_bus_ml_resume" },
	{ 0x59d682b6, "snd_hdac_bus_get_response" },
	{ 0xafdbbaae, "snd_hdac_ext_stream_start" },
	{ 0xa6257a2f, "complete" },
	{ 0x62f95a87, "trace_raw_output_prep" },
	{ 0xd4f2018e, "hdac_bus_eml_sdw_get_hlink" },
	{ 0x67bf202d, "hda_codec_set_codec_wakeup" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xfdfb55be, "__trace_trigger_soft_disabled" },
	{ 0x98ac962a, "snd_hdac_ext_stream_decouple_locked" },
	{ 0x80f27d0a, "trace_event_printf" },
	{ 0x96848186, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x9fbe8c9, "snd_pcm_hw_constraint_minmax" },
	{ 0xfe155d55, "hda_codec_jack_wake_enable" },
	{ 0x34983dc1, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x5d40238d, "snd_hdac_ext_bus_init" },
	{ 0xad13d1c1, "pcpu_hot" },
	{ 0x68a24153, "snd_pcm_format_physical_width" },
	{ 0x224b39a0, "sof_ipc4_set_pipeline_state" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x5d7b1ad9, "bpf_trace_run2" },
	{ 0xe2964344, "__wake_up" },
	{ 0x7777a199, "module_layout" },
};

MODULE_INFO(depends, "snd-pcm,snd-soc-hdac-hda,snd-sof-intel-hda,snd-sof,snd-hda-ext-core,snd-sof-intel-hda-mlink,snd-soc-core,snd-intel-dspcfg,snd-hda-core");


MODULE_INFO(srcversion, "9D1D4F670714E0F8755976F");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
